<%
'	************************************************************************
'	* ASP-Nuke: Free web portal in ASP                                     *
'	************************************************************************
'	* Copyright (c) 2002-2003 by Gaetan Bouveret (webmaster@asp-nuke.com)  *
'	* http://www.asp-nuke.com                                              *
'	*                                                                      *
'	* This program is free software. You can redistribute it and/or modify *
'	* it under the terms of the GNU General Public License as published by *
'	* the Free Software Foundation; either version 2 of the License, or    *
'	* (at your option) any later version.                                  *
'	*                                                                      *
'	************************************************************************
%>
<%
	Function NoEntry(ByVal sText)
		NoEntry = IIF(Trim(sText&"")<>"",sText,"-")
	End Function

	' Display user account
	' IN  : uID (string) : user's login
	' OUT : -
	Sub DisplayAdminAccount(uID)
		Dim oRs, rSQL
		Dim dDate

		Dim oCn
		Set oCn=DBConnexion(DB_MAIN)

		rSQL = "SELECT * FROM users, roles WHERE uRole=rID AND uLogin='" & SQLEncrypt(uID) & "'"
		Set oRs = DBRecordSet(oCn, rSQL)

		CreateTopTable "Account", GetTranslation("LANG_ACCOUNT")
		If Not oRs.EOF Then
			Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF

			Dim	oForm
			Set oForm = new DesignForms
			With oForm
				.AddShowHeader		GetTranslation("LANG_FIELD"),			GetTranslation("LANG_VALUE")
				.AddShowText		GetTranslation("LANG_FULLNAME"),		NoEntry(oRs("uName"))
				.AddShowText		GetTranslation("LANG_LOGIN"),			oRs("uLogin")
				.AddShowText		GetTranslation("LANG_PASSWORD"),		IIF(IsAuthorized(ROLE_ADMIN),oRs("uPassword"),string(20,"*"))

				.AddShowText		GetTranslation("LANG_BIRTHDAY"),		oRs("uBirthday")
				.AddShowCheckbox	GetTranslation("LANG_SHOW_BIRTHDAY"),	oRs("uBirthdayShow").value
				.AddShowGender		GetTranslation("LANG_GENDER"),			oRs("uGender")

				.AddShowText		GetTranslation("LANG_ADDRESS"),			NoEntry(oRs("uAddresse"))
				.AddShowText		GetTranslation("LANG_ZIPCODE"),			NoEntry(oRs("uZipCode"))
				.AddShowText		GetTranslation("LANG_CITY"),			NoEntry(oRs("uCity"))
				.AddShowCountry		GetTranslation("LANG_COUNTRY"),			oRs("uCountry")
				.AddShowTimeZone	GetTranslation("LANG_TIMEZONE"),		oRs("uTimeZone")
				.AddShowText		GetTranslation("LANG_PHONE"),			NoEntry(oRs("uPhone"))
				.AddShowText		GetTranslation("LANG_CELLPHONE"),		NoEntry(oRs("uCellPhone"))

				dDate = trim(oRs("uEndMemberShip") & "")
				if len(dDate) = 0 then dDate = DateToString(DateAdd("y", 1, LocalDate()))
				.AddShowText		GetTranslation("LANG_MEMBERSHIP_END"),	FormatDate(StringToDate(dDate))

				.AddShowText		GetTranslation("LANG_EMAIL"),			"<a href=""" & GLOBAL_SITE_MAIL_PAGE & "?to=" & EncodeEmail(oRs("uEmail")&"") & """>" & EncodeEmail(oRs("uEmail")) & "</a>"
				.AddShowText		"MSN",									NoEntry(oRs("uMSN"))
				.AddShowText		"Yahoo Messenger",						NoEntry(oRs("uYahoo"))
				.AddShowText		"ICQ",									NoEntry(oRs("uICQ"))
				.AddShowText		"AIM",									NoEntry(oRs("uAIM"))
				.AddShowText		GetTranslation("LANG_SITE"),			IIF(oRs("uURL")&""<>"","<a href=""" & GLOBAL_SITE_PATH & GLOBAL_SITE_GOTOURL_PAGE & "?url=" & Server.URLEncode(oRs("uURL")&"") & """ target=""_blank"">" & oRs("uURL") & "</a>","-")

				.AddShowText		GetTranslation("LANG_DESCRIPTION"),		CodeMessage(oRs("uDescription")&"",false)
				.AddShowText		GetTranslation("LANG_SIGNATURE"),		CodeMessage(oRs("uSignature")&"",false)
				.AddShowText		GetTranslation("LANG_DATE_CREATED"),	GetDateDDMMYYHHMMSS(GMT2Local(StringToDate(oRs("uDate")&"")))
				.AddShowRole		GetTranslation("LANG_ROLE"),			oRs("uRole")
				If bNewsLetter Then
					.AddShowCheckbox	GetTranslation("LANG_NEWSLETTER"),	oRs("uNewsletter")
				End If
				.AddShowBoolean		GetTranslation("LANG_VALID"),			oRs("uValid")
				.AlignRight
				.AddShowBottom		.AddBack("","")
			End With
			Set oForm = Nothing

			Response.Write "</table>" & vbCRLF
		End If
		CreateBottomTable ""
		
		Set oRs = Nothing
		Set oCn = Nothing
	End Sub

	' Display top user accounts sorted by creation's date
	' IN  : iTop (int) : numbers of results wanted
	'     : sSortedField (string) : field sorted
	'     : bAscSort (boolean) : if true = ASC sort, else DESC
	' OUT : -
	Sub DisplayTopAccounts(iTop, sSortedField, bAscSort)
		Dim oRs, rSQL, iLine, sSortDesc

		Select Case LCase(sSortedField)
			Case "ulogin" :
				sSortedField = sSortedField
				sSortDesc = GetTranslation("LANG_LOGIN")
			Case "uname" :
				sSortedField = sSortedField
				sSortDesc = GetTranslation("LANG_NAME")
			Case "uemail" :
				sSortedField = sSortedField
				sSortDesc = GetTranslation("LANG_EMAIL")
			Case "udate" :
				sSortedField = sSortedField
				sSortDesc = GetTranslation("LANG_DATE")
			Case "urole" :
				sSortedField = sSortedField
				sSortDesc = GetTranslation("LANG_ROLE")
			Case "uvalid" :
				sSortedField = sSortedField
				sSortDesc = GetTranslation("LANG_VALID")
			Case Else :
				' default value
				sSortedField = "uDate"
				bAscSort = False
				sSortDesc = GetTranslation("LANG_DATE")
		End Select

		If iTop <> "" and iTop <> 0 Then
			rSQL = "SELECT " & SQLtop(iTop) & " uLogin, uEmail, uName, uDate, uRole, uValid, rTitle FROM users, roles WHERE uRole=rID ORDER BY " & sSortedField
		Else
			rSQL = "SELECT uLogin, uEmail, uName, uDate, uRole, uValid, rTitle FROM users, roles WHERE uRole=rID ORDER BY " & sSortedField
		End If

		If Not bAscSort Then
			rSQL = rSQL & " DESC"
			sSortDesc = sSortDesc & " (DESC)"
		Else
			sSortDesc = sSortDesc & " (ASC)"
		End If

		Dim oCn
		Set oCn=DBConnexion(DB_MAIN)
		Set oRs = DBRecordSet(oCn, rSQL)
		
		CreateTopTable "TopAccounts", GetTranslation("LANG_TOP") & " " & iTop & " - " & GetTranslation("LANG_ACCOUNTS") & "&nbsp;|&nbsp;<span class=""small"">" & Replace(GetTranslation("LANG_SORT_BY"), "%1%", sSortDesc)  & "</span>"
		If Not oRs.EOF Then
			Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
			Response.Write "	<tr class=""tablelinemain"">" & vbCRLF

			Response.Write "		<td width=""80"">"
			SortMenu GetTranslation("LANG_LOGIN"), "uLogin", sSortedField, bAscSort
			Response.Write "</td>" & vbCRLF

			Response.Write "		<td width=""180"">"
			SortMenu GetTranslation("LANG_NAME"), "uName", sSortedField, bAscSort
			Response.Write "</td>" & vbCRLF

			Response.Write "		<td width=""100"">"
			SortMenu GetTranslation("LANG_EMAIL"), "uEmail", sSortedField, bAscSort
			Response.Write "</td>" & vbCRLF

			Response.Write "		<td>"' width=""140""
			SortMenu GetTranslation("LANG_DATE"), "uDate", sSortedField, bAscSort
			Response.Write "</td>" & vbCRLF

			Response.Write "		<td align=""center"">"' width=""70""
			SortMenu GetTranslation("LANG_ROLE"), "uRole", sSortedField, bAscSort
			Response.Write "</td>" & vbCRLF

			Response.Write "		<td align=""center"">"' width=""70""
			SortMenu GetTranslation("LANG_VALID"), "uValid", sSortedField, bAscSort
			Response.Write "</td>" & vbCRLF

			Response.Write "		<td align=""center"">" & GetTranslation("LANG_ACTIONS") & "</td>" & vbCRLF' width=""90""
			Response.Write "	</tr>" & vbCRLF

			iLine = 1
			While Not oRs.EOF
				Response.Write "  <tr class=""tableline" & iLine & """>" & vbCRLF
				Response.Write "    <td>" & oRs("uLogin") & "</td>" & vbCRLF
				Response.Write "    <td>" & Trim(oRs("uName")& "") & "</td>" & vbCRLF
				Response.Write "    <td><a href=""" & GLOBAL_SITE_MAIL_PAGE & "?to=" & EncodeEmail(oRs("uEmail")) & """>" & EncodeEmail(oRs("uEmail")) & "</a></td>" & vbCRLF
				Response.Write "    <td align=""center"" nowrap>" & GMT2Local(StringToDate(oRs("uDate"))) & "</td>" & vbCRLF
				Response.Write "    <td align=""center"" nowrap>" & GetTranslation(trim(oRs("rTitle")&" ")) & "</td>" & vbCRLF

			'	Response.Write "    <td align=""center"">" & ShowBoolean(oRs("uValid")) & "</td>" & vbCRLF
				Response.Write "    <td align=""center"" nowrap>" & vbCRLF
				MenuValid Server.URLEncode(oRs("uLogin")), oRs("uValid")
				Response.Write "    </td>" & vbCRLF

				Response.Write "    <td align=""center"" nowrap>" & vbCRLF
				MenuAdmin(Server.URLEncode(oRs("uLogin")))
				Response.Write "    </td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF

				iLine = 1 + ((iLine-1) XOR 1)
				oRs.MoveNext
			WEnd
			Response.Write "</table>" & vbCRLF
		End If
		CreateBottomTable ""

		Set oRs = Nothing
		Set oCn = Nothing
	End Sub

	' Display search's result on user accounts
	' IN  : sQuery (string) : query data
	'     : sSortedField (string) : field sorted
	'     : bAscSort (boolean) : if true = ASC sort, else DESC
	' OUT : -
	Sub DisplayAccountsSearch(sQuery, sSortedField, bAscSort)
		Dim oRs, rSQL, iLine, sSortDesc

		Select Case LCase(sSortedField)
			Case "ulogin" :
				sSortedField = sSortedField
				sSortDesc = GetTranslation("LANG_LOGIN")
			Case "uname" :
				sSortedField = sSortedField
				sSortDesc = GetTranslation("LANG_NAME")
			Case "uemail" :
				sSortedField = sSortedField
				sSortDesc = GetTranslation("LANG_EMAIL")
			Case "udate" :
				sSortedField = sSortedField
				sSortDesc = GetTranslation("LANG_DATE")
			Case "urole" :
				sSortedField = sSortedField
				sSortDesc = GetTranslation("LANG_ROLE")
			Case "uvalid" :
				sSortedField = sSortedField
				sSortDesc = GetTranslation("LANG_VALID")
			Case Else :
				' default value
				sSortedField = "uDate"
				bAscSort = False
				sSortDesc = GetTranslation("LANG_DATE")
		End Select

	'	If iTop <> "" and iTop <> 0 Then
	'		rSQL = "SELECT " & SQLtop(iTop) & " uLogin, uEmail, uName, uDate, uRole, uValid, rTitle FROM users, roles WHERE uRole=rID ORDER BY " & sSortedField
	'	Else
	'		rSQL = "SELECT uLogin, uEmail, uName, uDate, uRole, uValid, rTitle FROM users, roles WHERE uRole=rID ORDER BY " & sSortedField
	'	End If
		rSQL = "SELECT uLogin, uEmail, uName, uDate, uRole, uValid, rTitle FROM users, roles WHERE uRole=rID AND uLogin LIKE '" & SQLEncrypt(sQuery) & "' ORDER BY " & sSortedField

		If Not bAscSort Then
			rSQL = rSQL & " DESC"
			sSortDesc = sSortDesc & " (DESC)"
		Else
			sSortDesc = sSortDesc & " (ASC)"
		End If

		Dim oCn
		Set oCn=DBConnexion(DB_MAIN)
		Set oRs = DBRecordSet(oCn, rSQL)
		
		CreateTopTable "SearchAccounts", GetTranslation("LANG_SEARCH") & " - " & GetTranslation("LANG_ACCOUNTS") & " (" & Server.HTMLEncode( Replace(sQuery, "%", "")) & ")"
		If Not oRs.EOF Then
			Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
			Response.Write "	<tr class=""tablelinemain"">" & vbCRLF

			Response.Write "		<td width=""80"">"
			SortMenu GetTranslation("LANG_LOGIN"), "uLogin", sSortedField, bAscSort
			Response.Write "</td>" & vbCRLF

			Response.Write "		<td width=""180"">"
			SortMenu GetTranslation("LANG_NAME"), "uName", sSortedField, bAscSort
			Response.Write "</td>" & vbCRLF

			Response.Write "		<td width=""100"">"
			SortMenu GetTranslation("LANG_EMAIL"), "uEmail", sSortedField, bAscSort
			Response.Write "</td>" & vbCRLF

			Response.Write "		<td width=""140"">"
			SortMenu GetTranslation("LANG_DATE"), "uDate", sSortedField, bAscSort
			Response.Write "</td>" & vbCRLF

			Response.Write "		<td width=""70"" align=""center"">"
			SortMenu GetTranslation("LANG_ROLE"), "uRole", sSortedField, bAscSort
			Response.Write "</td>" & vbCRLF

			Response.Write "		<td width=""70"" align=""center"">"
			SortMenu GetTranslation("LANG_VALID"), "uValid", sSortedField, bAscSort
			Response.Write "</td>" & vbCRLF

			Response.Write "		<td width=""90"" align=""center"">" & GetTranslation("LANG_ACTIONS") & "</td>" & vbCRLF
			Response.Write "	</tr>" & vbCRLF

			iLine = 1
			While Not oRs.EOF
				Response.Write "  <tr class=""tableline" & iLine & """>" & vbCRLF
				Response.Write "    <td>" & oRs("uLogin") & "</td>" & vbCRLF
				Response.Write "    <td>" & Trim(oRs("uName")& "") & "</td>" & vbCRLF
				Response.Write "    <td><a href=""" & GLOBAL_SITE_MAIL_PAGE & "?to=" & EncodeEmail(oRs("uEmail")) & """>" & EncodeEmail(oRs("uEmail")) & "</a></td>" & vbCRLF
				Response.Write "    <td align=""center"">" & GMT2Local(StringToDate(oRs("uDate"))) & "</td>" & vbCRLF
				Response.Write "    <td align=""center"">" & GetTranslation(trim(oRs("rTitle")&" ")) & "</td>" & vbCRLF

			'	Response.Write "    <td align=""center"">" & ShowBoolean(oRs("uValid")) & "</td>" & vbCRLF
				Response.Write "    <td align=""center"">" & vbCRLF
				MenuValid Server.URLEncode(oRs("uLogin")), oRs("uValid")
				Response.Write "    </td>" & vbCRLF

				Response.Write "    <td align=""center"" nowrap>" & vbCRLF
				MenuAdmin(Server.URLEncode(oRs("uLogin")))
				Response.Write "    </td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF

				iLine = 1 + ((iLine-1) XOR 1)
				oRs.MoveNext
			WEnd
			Response.Write "</table>" & vbCRLF
		End If
		CreateBottomTable ""

		Set oRs = Nothing
		Set oCn = Nothing
	End Sub


'	----------------------
'	|
'	----------------------
'	DisplayTopAccountsAdmin
	Sub	DisplayTopAccounts(Byval sQuery, ByVal sSortedField, ByVal bAscSort)
		Dim rSQL, rs, X, iNbTotalPosts, sHTML, sSortDesc, iPage, iLine
		Dim iCat
		iCat = RequestSession("sRole",-1)
		If Not IsNumeric(iCat) Then iCat = -1

		' Number of Accounts lines per page, default 10
		Dim MAX_LINES_PER_PAGE
		MAX_LINES_PER_PAGE = RequestSession("AccountsPageSize", 10)

		Dim aPage(5,1)
		aPage(0,0)="5"		:	aPage(0,1)=5
		aPage(1,0)="10"		:	aPage(1,1)=10
		aPage(2,0)="15"		:	aPage(2,1)=15
		aPage(3,0)="20"		:	aPage(3,1)=20
		aPage(4,0)="40"		:	aPage(4,1)=40
		aPage(5,0)="all"	:	aPage(5,1)=9999
		sHTML = ""

		Select Case LCase(sSortedField)
			Case "ulogin" :
				sSortedField = sSortedField
				sSortDesc = GetTranslation("LANG_LOGIN")
			Case "uname" :
				sSortedField = sSortedField
				sSortDesc = GetTranslation("LANG_NAME")
			Case "uemail" :
				sSortedField = sSortedField
				sSortDesc = GetTranslation("LANG_EMAIL")
			Case "udate" :
				sSortedField = sSortedField
				sSortDesc = GetTranslation("LANG_DATE")
			Case "urole" :
				sSortedField = sSortedField
				sSortDesc = GetTranslation("LANG_ROLE")
			Case "uvalid" :
				sSortedField = sSortedField
				sSortDesc = GetTranslation("LANG_VALID")
			Case Else :
				' default value
				sSortedField = "uDate"
				bAscSort = False
				sSortDesc = GetTranslation("LANG_DATE")
		End Select

		rSQL = "SELECT * FROM users, roles WHERE uRole=rID"
		rSQL = rSQL & IIF(Trim(sQuery&"")<>"", " AND uLogin LIKE '" & SQLEncrypt(sQuery) & "'", "")
		rSQL = rSQL & IIF(cLng(iCat)<>-1, " AND uRole=" & iCat, "")
		rSQL = rSQL & " ORDER BY " & sSortedField

		If NOT bAscSort Then 
			rSQL = rSQL & " DESC"
			sSortDesc = sSortDesc & " (DESC)"
		Else
			sSortDesc = sSortDesc & " (ASC)"
		End If
		DebugPrint rSQL

		Response.Write "<script language='javascript' type='text/javascript'>" & vbCrLf
		Response.Write "function changeAccountsPage()" & vbCrLf
		Response.Write "{" & vbCrLf
		Response.Write "  document.AccountsPage.submit();" & vbCrLf
		Response.Write "}" & vbCrLf
		Response.Write "</script>" & vbCrLf
		Response.Write "<form method='post' name='AccountsPage' action='" & sURLPage & IIF(Request.QueryString<>"","?" & Request.QueryString,"") & "'>"

		sHTML = ""
		sHTML = sHTML & GetTranslation("LANG_ACCOUNTS")
		sHTML = sHTML & "&nbsp;|&nbsp;<span class=small>" & GetTranslation("LANG_SORT_BY", sSortDesc) & "</span>"
		If sQuery<>"" Then
			sHTML = sHTML & "&nbsp;|&nbsp;" & GetTranslation("LANG_SEARCH") & " - " & GetTranslation("LANG_ACCOUNTS") & " (" & Server.HTMLEncode( Replace(sQuery, "%", "")) & ")"
		End If
		CreateTopTable "SearchAccounts", sHTML



		sHTML = ""
		sHTML = sHTML & " | " & GetTranslation("LANG_ITEMS_PER_PAGE")  & vbCrLf
		sHTML = sHTML & " <select name='AccountsPageSize' class='smallcell' onChange='javascript:changeAccountsPage();'>" & vbCrLf
		For X = 0 To UBound(aPage)
				sHTML = sHTML & "  <option value=" & aPage(X,1) & "" & _
								IIF(cLng(MAX_LINES_PER_PAGE)=cLng(aPage(X,1))," selected","") & ">" & _
								aPage(X,0) & "</option>" & vbCrLf
		Next
		sHTML = sHTML & " </select>" & vbCrLf

		sHTML = sHTML & " | " & GetTranslation("LANG_ROLE")
		sHTML = sHTML & " <select name='sRole' class='smallcell' onChange='javascript:changeAccountsPage();'>" & vbCrLf

		Dim oCn
		Set oCn=DBConnexion(DB_MAIN)

		Dim rSQL1, rs1
		rSQL1 = "SELECT * FROM roles"
		SET rs1 = DBrecordset(oCn, rSQL1)
		iLine = dLookupM("count(*)","users","")
		sHTML = sHTML & "  <option value=-1" & IIF(cLng(iCat)=-1," selected","") & ">"&GetTranslation("LANG_ALL")&"("&iLine&")</option>" & vbCrLf
		IF NOT (rs1.BOF or rs1.EOF) Then
			While Not rs1.EOF
				iLine = dLookupM("count(*)","users","uRole="&rs1("rID"))
				if iline<>0 Then
					sHTML = sHTML & "  <option value=" & rs1("rID") & IIF(cLng(iCat)=cLng(rs1("rID"))," selected","") & ">"
					sHTML = sHTML & GetTranslation(rs1("rTitle"))
					sHTML = sHTML & "(" & iLine  & ")"
					sHTML = sHTML & "</option>" & vbCrLf
				End If
				rs1.MoveNext 
			Wend
		End If
		sHTML = sHTML & " </select>" & vbCrLf
		Response.Write sHTML

		Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
		Response.Write "	<tr class=""tablelinemain"">" & vbCRLF

		Response.Write "		<td width=""80"">"
		SortMenu GetTranslation("LANG_LOGIN"), "uLogin", sSortedField, bAscSort
		Response.Write "</td>" & vbCRLF

		Response.Write "		<td width=""180"">"
		SortMenu GetTranslation("LANG_NAME"), "uName", sSortedField, bAscSort
		Response.Write "</td>" & vbCRLF

		Response.Write "		<td width=""100"">"
		SortMenu GetTranslation("LANG_EMAIL"), "uEmail", sSortedField, bAscSort
		Response.Write "</td>" & vbCRLF

		Response.Write "		<td width=""140"">"
		SortMenu GetTranslation("LANG_DATE"), "uDate", sSortedField, bAscSort
		Response.Write "</td>" & vbCRLF

		Response.Write "		<td width=""70"" align=""center"">"
		SortMenu GetTranslation("LANG_ROLE"), "uRole", sSortedField, bAscSort
		Response.Write "</td>" & vbCRLF

		Response.Write "		<td width=""70"" align=""center"">"
		SortMenu GetTranslation("LANG_VALID"), "uValid", sSortedField, bAscSort
		Response.Write "</td>" & vbCRLF

		Response.Write "		<td width=""90"" align=""center"">" & GetTranslation("LANG_ACTIONS") & "</td>" & vbCRLF
		Response.Write "	</tr>" & vbCRLF
'---

		Set rs = Server.CreateObject("ADODB.Recordset")
		rs.PageSize = MAX_LINES_PER_PAGE
		rs.open rSQL, oCn, 1
		iNbTotalPosts = rs.RecordCount

		iPage = RequestSession("Page", 1)
		If Not IsNumeric(iPage) Then iPage = 1
		iPage=Int(iPage)
		If iPage<1 Then iPage=1
		If ((iPage-1)*MAX_LINES_PER_PAGE) > iNbTotalPosts Then
			iPage=1
			Session("page")=iPage
		end if

		if not rs is nothing then
			if not rs.eof and not rs.bof then
				If rs.RecordCount <> -1 Then
					rs.AbsolutePage = iPage
				Else
					For X = 1 To (iPage-1)*MAX_LINES_PER_PAGE
						rs.MoveNext
					Next
				End If
			end if
		end if

		if not rs is nothing then
			if not rs.eof and not rs.bof then

				If Not rs.EOF Then
					iLine = 1
					For X = 1 to MAX_LINES_PER_PAGE
						if not rs.eof then
							Response.Write "  <tr class=""tableline" & iLine & """>" & vbCRLF
							Response.Write "    <td>" & rs("uLogin") & "</td>" & vbCRLF
							Response.Write "    <td>" & Trim(rs("uName")& "") & "</td>" & vbCRLF
							Response.Write "    <td><a href=""" & GLOBAL_SITE_MAIL_PAGE & "?to=" & EncodeEmail(rs("uEmail")) & """>" & EncodeEmail(rs("uEmail")) & "</a></td>" & vbCRLF
							Response.Write "    <td align=""center"">" & GMT2Local(StringToDate(rs("uDate"))) & "</td>" & vbCRLF
							Response.Write "    <td align=""center"">" & GetTranslation(trim(rs("rTitle")&" ")) & "</td>" & vbCRLF

							Response.Write "    <td align=""center"">" & vbCRLF
							MenuValid Server.URLEncode(rs("uLogin")), rs("uValid")
							Response.Write "    </td>" & vbCRLF

							Response.Write "    <td align=""center"" nowrap>" & vbCRLF
							MenuAdmin(Server.URLEncode(rs("uLogin")))
							Response.Write "    </td>" & vbCRLF
							Response.Write "  </tr>" & vbCRLF

							iLine = 1 + ((iLine-1) XOR 1)
							rs.MoveNext
						End If
					Next
				end if
			else
				Response.Write "  <tr class='tableline" & iLine & "'>" & vbCRLF
				Response.Write "    <td align=center colspan=7>" & vbCRLF
				Response.Write "<p><span class='normal'>" & GetTranslation("LANG_EMPTY_SECTION") & "</span><p>" & vbCrLf
				Response.Write "    </td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF
				iLine = 1 + ((iLine-1) XOR 1)
			end if
		end if
		DisplayAccountsPageRules "", rs.RecordCount, MAX_LINES_PER_PAGE, iPage, 7
		Response.Write "</table>" & vbCRLF
		CreateBottomTable ""

		rs.close
		set rs = nothing
		Set oCn = Nothing
	End Sub

	function AccountsPage(page)
		AccountsPage =	"<a href='" & GLOBAL_SITE_Accounts_PAGE & "?page=" & page & "'>"
	end function
	
	sub DisplayAccountsPageRules(ByVal sText, ByVal Totalepc, ByVal PageLen, ByVal Pagina, ByVal ColsPan)
		Dim PagineTotali, X
		if Totalepc < 0 then Totalepc = 0
		PagineTotali = 0
		if Totalepc > 0 then
			PagineTotali = Totalepc\PageLen
			If Totalepc Mod PageLen Then PagineTotali = PagineTotali + 1
		end if

		If PagineTotali > 1 Then
			Response.Write "  <tr class='tablelinemain'>" & vbCrLf
			
			If sText<>"" Then
				Response.Write "    <td >" & sText & "</td>" & vbCRLF
				ColSpan=ColSpan-1
			End IF
			
			Response.Write "    <td align='center' colspan='" & Colspan & "'>" & vbCrLf
			If Pagina <> 1 Then
				Response.Write "      &nbsp;" & AccountsPage(Pagina-1) & "<span title='"&GetTranslation("LANG_PREV_PAGE")&"'>&lt;&lt;</span></a>" & vbCrLf
			End If
			For X = 1 To PagineTotali
				If X <> CInt(Pagina) Then 
					Response.Write "      &nbsp;" & AccountsPage(X) & X & "</a>" & vbCrLf
				Else
					Response.Write "&nbsp;<b>(" & X & ")</b>" & vbCrLf
				End If
			Next
			If Pagina <> PagineTotali Then
				Response.Write "      &nbsp;" & AccountsPage(Pagina+1) & "<span title='"&GetTranslation("LANG_NEXT_PAGE")&"'>&gt;&gt;</span></a>" & vbCrLf
			End IF
			Response.Write "    </td>" & vbCrLf
			Response.Write "  </tr>" & vbCrLf
		Else
			If sText<>"" Then
				Response.Write "  <tr class='tablelinemain'>" & vbCrLf
				Response.Write "    <td colspan='" & Colspan & "'>" & sText & "</td>" & vbCRLF
			End IF
		End If
	end sub
'------

	' Display search's result on user accounts
	' IN  : sQuery (string) : query data
	' OUT : -
	Sub Display_Accounts_Search_OLD(sQuery)
		Dim oRs, rSQL, iLine, iNum

		iNum = 0
	
		Dim oCn
		Set oCn=DBConnexion(DB_MAIN)
		
		rSQL = "SELECT uLogin, uEmail, uName, uDate, uValid, rTitle FROM users, roles WHERE uRole=rID AND uLogin LIKE '" & SQLEncrypt(sQuery) & "'"
		Set oRs = DBRecordSet(oCn, rSQL)

		CreateTopTable "SearchAccounts", GetTranslation("LANG_SEARCH") & " - " & GetTranslation("LANG_ACCOUNTS") & " (" & Server.HTMLEncode( Replace(sQuery, "%", "")) & ")"
		If Not oRs.EOF Then
			Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
			Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
			Response.Write "    <td width=""80"">" & GetTranslation("LANG_LOGIN") & "</td>" & vbCRLF
			Response.Write "    <td width=""180"">" & GetTranslation("LANG_NAME") & "</td>" & vbCRLF
			Response.Write "    <td width=""180"">" & GetTranslation("LANG_EMAIL") & "</td>" & vbCRLF
			Response.Write "    <td width=""140"">" & GetTranslation("LANG_DATE") & "</td>" & vbCRLF
			Response.Write "    <td width=""70"">" & GetTranslation("LANG_ROLE") & "</td>" & vbCRLF
			Response.Write "    <td width=""70"">" & GetTranslation("LANG_VALID") & "</td>" & vbCRLF
			Response.Write "    <td width=""90"">" & GetTranslation("LANG_ACTIONS") & "</td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF

			iLine = 1
			While Not oRs.EOF
				Response.Write "  <tr class=""tableline" & iLine & """>" & vbCRLF
				Response.Write "    <td>" & oRs("uLogin") & "</td>" & vbCRLF
				Response.Write "    <td>" & oRs("uName") & "</td>" & vbCRLF
				Response.Write "    <td><a href=""" & GLOBAL_SITE_MAIL_PAGE & "?to=" & EncodeEmail(oRs("uEmail"))& """>" & EncodeEmail(oRs("uEmail")) & "</a></td>" & vbCRLF
				Response.Write "    <td align=""center"">" & GMT2Local(StringToDate(oRs("uDate"))) & "</td>" & vbCRLF
				Response.Write "    <td align=""center"">" & GetTranslation(oRs("rTitle") & "") & "</td>" & vbCRLF

			'	Response.Write "    <td align=""center"">" & ShowBoolean(oRs("uValid")) & "</td>" & vbCRLF
				Response.Write "    <td align=""center"">" & vbCRLF
				MenuValid Server.URLEncode(oRs("uLogin")), oRs("uValid")
				Response.Write "    </td>" & vbCRLF

				Response.Write "    <td align=""center"">" & vbCRLF
				MenuAdmin(oRs(0))
				Response.Write "    </td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF

				iLine = 1 + ((iLine-1) XOR 1)
				iNum = iNum + 1
				oRs.MoveNext
			WEnd
			Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
			Response.Write "    <td colspan=""4"">" & GetTranslation("LANG_ACC0UNTS_TOTAL") & " : " & iNum & "</td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF
			Response.Write "</table>" & vbCRLF
		End If
		CreateBottomTable ""

		Set oRs = Nothing
		Set oCn = Nothing
	End Sub

	' Display a navigation bar for user accounts
	' IN  : -
	' OUT : -
	Sub DisplayAccountsNavigation()
		Dim X
		
		CreateTopTable "SearchAccounts", GetTranslation("LANG_SEARCH") & " - " & GetTranslation("LANG_ACCOUNTS")
		Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
		Response.Write "  <tr class=""tableline1"">" & vbCRLF
		Response.Write "    <form name=""Search"" method=""get"" action=""" & sUrlPage & """>" & vbCRLF
		Response.Write "    <input type=""hidden"" name=""Do"" value=""search"">" & vbCRLF
		Response.Write "    <td>"
		Response.Write "&nbsp;<a href=""" & sURLPage & """>" & GetTranslation("LANG_TOP") & "</a>" & vbCRLF
		For X = 0 to 25
			Response.Write "&nbsp;<a href=""" & sURLPage & "?do=search&name=" & Chr(Asc("a")+X) & """>" & Chr(Asc("a")+X) & "</a>" & vbCRLF
		Next
		Response.Write "&nbsp;<a href=""" & sURLPage & "?do=search&name=0"">0-9</a>" & vbCRLF
		Response.Write "&nbsp;<a href=""" & sURLPage & "?do=search&name=*"">" & GetTranslation("LANG_ALL") & "</a>" & vbCRLF
		Response.Write "    &nbsp;<input name=""name"" size=""10"" maxlength=""20"" class=""cell"" onEnter=""javascript:document.search.submit()""></td>"
		Response.Write "    </form>" & vbCRLF
		Response.Write "    </td>" & vbCRLF
		Response.Write "  </tr>" & vbCRLF
		Response.Write "</table>" & vbCRLF
		CreateBottomTable ""
	End Sub

	' Display edit user account's form (add or update data)
	' IN  : uID (string) : account's id (table users, field uLogin), if null then add account
	' OUT : -
	Sub EditAccount(uID)
		Dim oRs, oRs2, rSQL
		Dim sUserPseudo, sUserEmail, sUserName, sUserDate, sMSN, sYahoo, sICQ, sAIM, sURL, sSignature, bUserNewsletter, iuRole, bValid
		Dim sDo, sEditTitle
		Dim sAddresse, sZipCode, sCity, iCountry, sPhone, sCellPhone, sEndMemberShip, sPassword
		Dim iGender, dBirthday, sDescription, bBirthdayShow
		Dim iTimeZone, bUseDaylight

		Dim oCn
		Set oCn=DBConnexion(DB_MAIN)
		
		If uID <> "" Then
			sDo = "updt"
			sEditTitle = GetTranslation("LANG_EDIT") & " - " & GetTranslation("LANG_ACCOUNT")
			rSQL = "SELECT * FROM users WHERE uLogin LIKE '" & SQLEncrypt(uID) & "'"
			Set oRs = DBRecordSet(oCn, rSQL)
			If Not oRs.EOF Then
				sUserPseudo = trim(oRs("uLogin") & "")
				sPassword = trim(oRs("uPassword") &"")
				sUserName = trim(oRs("uName") & "")
				sUserEmail = trim(oRs("uEmail") & "")
				
				dBirthday = oRs("uBirthday")
				if Trim(dBirthday&"")="" Then dBirthday = DateToString(LocalDate)
				bBirthdayShow = oRs("uBirthdayShow").Value
				iGender = oRs("uGender")
				iTimeZone = oRs("uTimeZone")
				If Not IsNumeric(iTimeZone) Then iTimeZone=27
				bUseDaylight = oRs("uUseDaylight").Value

				sDescription = oRs("uDescription")&""

				sAddresse = trim(oRs("uAddresse") & "")
				sZipCode = trim(oRs("uZipCode") & "")
				sCity = trim(oRs("uCity") & "")
				iCountry = cLng(oRs("uCountry"))
				if iCountry = 0 then iCountry = GetCountryID(GetIPCountryCode)
				sPhone = trim(oRs("uPhone") & "")
				sCellPhone = trim(oRs("uCellPhone") & "")
				sEndMemberShip = trim(oRs("uEndMemberShip") & "")
				if Len(sEndMemberShip) = 0 then sEndMemberShip = DateToString(DateAdd("y",1,date))
				
				sUserDate = trim(oRs("uDate") & "")
				sMSN = trim(oRs("uMSN") & "")
				sYahoo = trim(oRs("uYahoo") & "")
				sICQ = trim(oRs("uICQ") & "")
				sAIM = trim(oRs("uAIM") & "")
				sURL = trim(oRs("uURL") & "")
				sSignature = trim(oRs("uSignature") & "")
				bUserNewsletter = oRs.Fields("uNewsletter").Value
				iuRole = oRs("uRole")
				bValid = oRs("uValid").Value
			End If
		Else
			sDo = "add"
			sEditTitle = GetTranslation("LANG_ADD") & " - " & GetTranslation("LANG_ACCOUNT")
		End If
	
		CreateTopTable "Edit", sEditTitle
		Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
		Dim oForm
		Set oForm = New DesignForms
		With oForm
			'	Response.Write "<form name=""edition"" method=""post"" action=""" & sUrlPage & """>" & vbCRLF
			.Open				"edition", "post", sUrlPage
			.TextWidth = 200
			.AddInputHidden		"Do", sDo
			.AddInputHidden		"uID", uID
			.AddShowHeader		GetTranslation("LANG_FIELD"),			GetTranslation("LANG_VALUE")
			.AddShowText		GetTranslation("LANG_LOGIN"),			sUserPseudo
	
			If IsAuthorized(ROLE_ADMIN) Then
				.AddInput		GetTranslation("LANG_PASSWORD"),		"uPassword", sPassword, 20, 20
			Else
				.AddTextHidden2	GetTranslation("LANG_PASSWORD"),		"uPassword", sPassword, string(20, "*")
			End if
	
			.AddTextHidden2		GetTranslation("LANG_DATE_CREATED"),	"uDate", GMT2Local(StringToDate(sUserDate)), GetDateDDMMYYHHMMSS(GMT2Local(StringToDate(sUserDate)))
			.AddInput			GetTranslation("LANG_FULLNAME"),		"uName", sUserName, 250, 50
			.AddInput			GetTranslation("LANG_EMAIL"),			"uEmail", EncodeEmail(sUserEmail), 250, 50

			.AddDate			GetTranslation("LANG_BIRTHDAY"),		"uBirthday", GMT2Local(StringToDate(dBirthday)), "YYY-MN-DD", false
			.AddCheckbox		GetTranslation("LANG_SHOW_BIRTHDAY"),	"uBirthdayShow", bBirthdayShow
			.AddGender			GetTranslation("LANG_GENDER"),			"uGender", iGender
			
			.AddInput			GetTranslation("LANG_ADDRESS"),			"uAddresse", sAddresse, 250, 50
			.AddInput			GetTranslation("LANG_ZIPCODE"),			"uZipCode", sZipCode,10, 10
			.AddInput			GetTranslation("LANG_CITY"),			"uCity", sCity, 50, 30
			.AddCountry			GetTranslation("LANG_COUNTRY"),			"uCountry", iCountry
			.AddTimeZone		GetTranslation("LANG_TIMEZONE"),		"uTimeZone", iTimeZone
			.AddShowText		GetTranslation("LANG_DAYLIGHT"),		ShowDaylightInfo(oRs("uTimeZone"))
			.AddCheckbox		GetTranslation("LANG_USE_DAYLIGHT"),	"uUseDaylight", bUseDaylight
			.AddInput			GetTranslation("LANG_PHONE"),			"uPhone", sPhone, 20, 20
			.AddInput			GetTranslation("LANG_CELLPHONE"),		"uCellPhone", sCellPhone, 20, 20
			.AddDate			GetTranslation("LANG_MEMBERSHIP_END"),	"uEndMemberShip", GMT2Local(StringToDate(sEndMemberShip)), "", true
			.AddInput			"MSN",									"uMSN", sMSN, 50, 20
			.AddInput			"Yahoo Messenger",						"uYahoo", sYahoo, 50, 20
			.AddInput			"ICQ",									"uICQ", sICQ, 50, 20
			.AddInput			"AIM",									"uAIM", sAIM, 50, 20
			.AddInput			GetTranslation("LANG_SITE"),			"uURL", sURL, 250, 40
			.AddWYSIWYG			GetTranslation("LANG_DESCRIPTION"),		"uDescription", sDescription, 45, 5
			.AddTextBox			GetTranslation("LANG_SIGNATURE"),		"uSignature", sSignature, 45, 5, true
			.AddRole													"uRole", iuRole
			If bNewsletter Then
				.AddCheckbox GetTranslation("LANG_NEWSLETTER"),			"uNewsletter", bUserNewsletter
			End if
			.AddCheckbox		GetTranslation("LANG_VALID"),			"uValid", bValid
			.ConfirmSubmit
			.AddShowBottom		.AddSubmit(GetTranslation("LANG_SUBMIT"),"bSubmit")
			.Close
		End With
		Set oForm = Nothing

		Response.Write "</table>" & vbCRLF
		CreateBottomTable ""

		Set oRs = Nothing
		Set oRs2 = Nothing
		Set oCn = Nothing
	End Sub

	' Modify user account (update query)
	' IN  : uID (string) : user's login (table users, field uLogin)
	'     : sMyEmail (string) : user's email (table users, field uEmail)
	'     : sMyName (string) : user's name (table users, field uName)
	'     : sMSN (string) : user's msn messenger id (table users, field uMSN)
	'     : sYahoo (string) : user's yahoo messenger id (table users, field uYahoo)
	'     : sICQ (string) : user's icq id (table users, field uICQ)
	'     : sAIM (string) : user's aim id (table users, field uAIM)
	'     : sURL (string) : user's website (table users, field uURL)
	'     : sSignature (string) : user's signature (table users, field uSignature)
	'     : dDate (datetime) : user's creation date (table users, field uDate)
	'     : bNewsletter (boolean) : user's newsletter signup (table users, field uNewsletter)
	'     : iRole (int) : user's role (table users, field uRole)
	'     : bValid (boolean) : user's valid (table users, field uValid)
	'     : sAddresse (string) : user's name (table users, field uAddresse)
	'     : sZipCode (string) : user's name (table users, field uZipCode)
	'     : sCity (string) : user's name (table users, field uCity)
	'     : iCountry (int) : user's country (table users, field uCountry)
	'     : sPhone (string) : user's name (table users, field uPhone)
	'     : sCellPhone (string) : user's name (table users, field uCellPhone)
	'     : sEndMemberShip (string) : user's name (table users, field uEndMemberShip)
	' OUT : (boolean) : True if modified
	Function ModifyAccount(uID, sMyEmail, sMyName, sMSN, sYahoo, sICQ, sAIM, sURL, sSignature, dDate, bNewsletter, iRole, bValid, _
							sAddresse, sZipCode, sCity, iCountry, sPhone, sCellPhone, sEndMemberShip, sPassword, _
							iGender, dBirthDay, sDescription, bBirthdayShow, iTimeZone)
		Dim rSQL

		rSQL =	"UPDATE users SET" & _
				"  uEmail='" & SQLEncrypt(sMyEmail) & "'" & _
				", uPassword='" & sPassword & "'" & _
				", uName='" & SQLEncrypt(sMyName) & "'" & _
				", uDate='" & DateTimeToString(Local2GMT(dDate)) & "'" & _
				", uMSN='" & SQLEncrypt(sMSN) & "'" & _
				", uYahoo='" & SQLEncrypt(sYahoo) & "'" & _
				", uICQ='" & SQLEncrypt(sICQ) & "'" & _
				", uAIM='" & SQLEncrypt(sAIM) & "'" & _
				", uURL='" & SQLEncrypt(sURL) & "'" & _
				", uSignature='" & SQLEncryptHTML(sSignature) & "'" & _
				", uNewsletter=" & SQLBoolean(bNewsletter) & "" & _
				", uRole=" & cLng(iRole) & "" & _
				", uValid=" & SQLBoolean(bValid) & "" & _
				", uAddresse='" & SQLEncrypt(sAddresse) & "'" & _
				", uZipCode='" & SQLEncrypt(sZipCode) & "'" & _
				", uCity='" & SQLEncrypt(sCity) & "'" & _
				", uCountry=" & cLng(iCountry) & "" & _
				", uPhone='" & SQLEncrypt(sPhone) & "'" & _
				", uCellPhone='" & SQLEncrypt(sCellPhone) & "'" & _
				", uEndMemberShip='" & DateTimeToString(Local2GMT(sEndMemberShip)) & "'" & _
				", uGender=" & iGender & "" & _
				", uBirthday='" & DateTimeToString(Local2GMT(dBirthday)) & "'" & _
				", uDescription='" & SQLEncrypt(sDescription) & "'" & _
				", uBirthdayShow=" & SQLBoolean(bBirthdayShow) & "" & _
				", uTimeZone=" & cLng(iTimeZone) & "" & _
				" WHERE uLogin='" & SQLEncrypt(uID) & "'"
		DBExecuteM rSQL

		rSQL =	"UPDATE users" & _
				" SET userValid=" & SQLBoolean(bValid) & _
				" WHERE UserLogin='" & SQLEncrypt(uID) & "'"
		DBExecuteF rSQL

		ModifyAccount = True
	End Function

	' Delete user account (delete query)
	' IN  : uID (string) : user's login (table users, field uLogin)
	' OUT : True if deleted
	Function DeleteAccount(uID)
		Dim rSQL

		' Delete UserParm of user
		rSQL = DB_DELETE_FROM & " userparm WHERE upUser='" & SQLEncrypt(uID) & "'"
		DBExecuteM rSQL

		' Delete User from users table in forum
		rSQL = DB_DELETE_FROM & " Users WHERE UserLogin='" & SQLEncrypt(uID) & "'"
		DBExecuteF rSQL

		' Delete User from users table in main
		rSQL = DB_DELETE_FROM & " users WHERE uLogin='" & SQLEncrypt(uID) & "'"
		DBExecuteM rSQL

		' TODO:
		' Delete Uploaded Avatars and user Avatar's folder

		DeleteAccount = True
	End Function

	' Display deleting's form (to confirm)
	' IN  : uID (string) : user's login (table users, field uLogin)
	' OUT : -
	Sub ConfirmDeleteAccount(uID)
		Dim oRs, rSQL

		If uID <> "" Then
			Dim oCn
			Set oCn=DBConnexion(DB_MAIN)
			rSQL = "SELECT * FROM users WHERE uLogin='" & SQLEncrypt(uID) & "'"
			Set oRs = DBRecordSet(oCn, rSQL)
			If Not oRs.EOF Then

				CreateTopTable "ConfirmDel", GetTranslation("LANG_CONFIRM") & " - " & GetTranslation("LANG_DELETE")
				Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
				Dim oForm
				Set oForm = New DesignForms
				With oForm
					.Open			"ConfirmDelete", "post", sUrlPage
					.AddHidden		"Do", "del"
					.AddHidden		"uLogin",								oRs("uLogin")
					.AddShowBottom	GetTranslation("LANG_CONFIRM_DELETE")
					.AddShowText	GetTranslation("LANG_NAME"),			oRs("uName")
					.AddShowText	GetTranslation("LANG_LOGIN"),			oRs("uLogin")
					.AddShowText	GetTranslation("LANG_EMAIL"),			oRs("uEmail")
					.AddShowText	GetTranslation("LANG_DATE"),			GMT2Local(StringToDate(oRs("uDate")))
					.AlignRight
					.ConfirmSubmit
					.AddShowBottom	.AddSubmit(GetTranslation("LANG_YES"),"bYes") & "&nbsp;&nbsp;&nbsp;&nbsp;" & _
									.AddBack(GetTranslation("LANG_NO"),"bNo")
					.Close
				End With
				Set oForm = Nothing
				Response.Write "</table>" & vbCRLF
				CreateBottomTable ""
			End If
			Set oRs = nothing
			Set oCn = Nothing
		End If

	End Sub

	Function ValidateAccount(uID)
		Dim rSQL, bValid
		bValid = TextBoolean(NOT dLookupM("uValid","users","uLogin='" & SQLEncrypt(uID) & "'"))

		rSQL =	"UPDATE users" & _
				" SET uValid=" & SQLBoolean(bValid) & _
				" WHERE uLogin='" & SQLEncrypt(uID) & "'"
		DBExecuteM rSQL

		rSQL =	"UPDATE users" & _
				" SET userValid=" & SQLBoolean(bValid) & _
				" WHERE UserLogin='" & SQLEncrypt(uID) & "'"
		DBExecuteF rSQL

		ValidateAccount = True
	End Function

	' Process actions
	' IN  : -
	' OUT : -
	Sub DoAdminAccounts()
		Dim bNewsletter, dDate, iCountry, aCountry
		Select Case Request("do")
			Case "updt" :
				bNewsLetter = RequestBoolean("uNewsletter")
				iCountry = RequestCountry("uCountry")
				If ModifyAccount(Request.Form("uID"), Request.Form("uEMail"), Request.Form("uName"), Request.Form("uMSN"), _
								Request.Form("uYahoo"), Request.Form("uICQ"), Request.Form("uAIM"), Request.Form("uURL"), _
								Request.Form("uSignature"), Request.Form("uDate"), bNewsletter, Request.Form("uRole"), _
								RequestBoolean("uValid"), Request.Form("uAddresse"), Request.Form("uZipCode"), _
								Request.Form("uCity"), iCountry, Request.Form("uPhone"), Request.Form("uCellPhone"), _
								RequestDate("uEndMemberShip"), _
								Request.Form("uPassword"), _
								RequestNum("uGender"), RequestDate("uBirthday"), Request.Form("uDescription"), _
								RequestBoolean("uBirthdayShow"), RequestNum("uTimeZone")) Then
					sInfoPage = GetTranslation("LANG_ACCOUNT") & " - " & GetTranslation("LANG_MODIFY_SUCCESS")
				Else
					sInfoPage = GetTranslation("LANG_ACCOUNT") & " - " & GetTranslation("LANG_MODIFY_ERROR")
				End If
			Case "del" : 
				If DeleteAccount(Request("uLogin")) Then 
					sInfoPage = GetTranslation("LANG_ACCOUNT") & " - " & GetTranslation("LANG_DELETE_SUCCESS")
				Else
					sInfoPage = GetTranslation("LANG_ACCOUNT") & " - " & GetTranslation("LANG_DELETE_ERROR")
				End If

			Case "val"
				If ValidateAccount(RequestStr("id")) Then
					sInfoPage = GetTranslation("LANG_POLL") & " - " & GetTranslation("LANG_VALIDATE_SUCCESS")
				Else
					sInfoPage = GetTranslation("LANG_POLL") & " - " & GetTranslation("LANG_VALIDATE_ERROR")
				End If
		End Select
	End Sub

	' Display user accounts page
	' IN  : -
	' OUT : -
	Sub DisplayAdminAccountsPage()
		Dim bDisplayTop, bDisplayNav, bAscSorted, sSortedField, sName, iID
		
		bAscSorted = True
		sSortedField = ""
		
		sSortedField = RequestSession("sort","") 'Request.QueryString("sort")
		If sSortedField <> "" Then sSortedField = LCase(sSortedField)
		'If Request.QueryString("sortype") = "desc" Then	bAscSorted = False
		If RequestSession("sortype","") = "desc" Then bAscSorted = False

		sName = Request("name")
		iID = Request("id")

		bDisplayTop = True
		bDisplayNav = True

		Select Case Request("do")
			Case "search" :
				If Len(sName) = 1 Then
					Select Case sName
					Case "0"
						DisplayTopAccounts "[0-9]%", sSortedField, bAscSorted
					'	DisplayAccountsSearch "[0-9]%", sSortedField, bAscSorted
					Case "*"
						DisplayTopAccounts "%", sSortedField, bAscSorted
					'	DisplayAccountsSearch "%", sSortedField, bAscSorted
					Case Else
						DisplayTopAccounts sName & "%", sSortedField, bAscSorted
					'	DisplayAccountsSearch sName & "%", sSortedField, bAscSorted
					End Select
					bDisplayTop = False
				ElseIf Len(sName) > 1 Then
					DisplayTopAccounts sName & "%", sSortedField, bAscSorted
				'	DisplayAccountsSearch sName & "%", sSortedField, bAscSorted
					bDisplayTop = False
				End If
			
			Case "view" :
				DisplayAdminAccount iID
				bDisplayTop = False
				bDisplayNav = False
			Case "new"  :
				EditAccount 0
				bDisplayTop = False
			Case "edit" :
				EditAccount iID
				bDisplayTop = False
				bDisplayNav = False
			Case "cdel" :
				ConfirmDeleteAccount iID
				bDisplayTop = False
				bDisplayNav = False
		End Select

		If bDisplayTop Then DisplayTopAccounts "", sSortedField, bAscSorted
		If bDisplayNav Then DisplayAccountsNavigation()
	End Sub
%>