<%
'	************************************************************************
'	* ASP-Nuke: Free web portal in ASP                                     *
'	************************************************************************
'	* Copyright (c) 2002-2003 by Gaetan Bouveret (webmaster@asp-nuke.com)  *
'	* http://www.asp-nuke.com                                              *
'	*                                                                      *
'	* This program is free software. You can redistribute it and/or modify *
'	* it under the terms of the GNU General Public License as published by *
'	* the Free Software Foundation; either version 2 of the License, or    *
'	* (at your option) any later version.                                  *
'	*                                                                      *
'	************************************************************************
'	FileName:		edit-inc.asp
'	Author:			*Various*
'	Description:	Set of sub's/function's for post's edition
'
'	Revisions:
'	17/08/2003 Add: PostEMailNotify Posts Field
'	19/08/2003 Add: PostClosed Posts Field
'	29/09/2003 Fix: DisplayPreviewPost, Show User Signature if (s)he wants and has one!
'	22/02/2004 Add: Don't Allow anonymous edit on public forum/section
'	08/06/2004 Rev: Remove Language issue code
%>
<%

	' Update Post DB Record
	' IN  : Main Post Fields
	' OUT : (Boolean) : Always True 
	Function EditPost(iPost, iPostParent, iSection, sTitle, sMessage, bSmileys, bSignature, bSticked, bEMailNotify, bClosed)
		Dim rSQL

		If bWYSIWYGeditor=0 Then sMessage = Text2HTML(sMessage)

		rSQL =	"UPDATE Posts" & _
				" SET PostMessage='" & SQLEncryptHTML(sMessage) & "'" & _
				", PostTitle='" & SQLEncryptHTML(sTitle) & "'" & _
				", PostEditDate='" & DateTimeToString(GMTNow()) & "'" & _
				", PostSmileys=" & SQLBoolean(bSmileys) & _
				", PostSignature=" & SQLBoolean(bSignature)
		rSQL = rSQL & ", PostEMailNotify=" & SQLBoolean(bEMailNotify) ' Add:17/08/2003
		rSQL = rSQL & ", PostClosed=" & SQLBoolean(bClosed) ' Add:19/08/2003
		rSQL = rSQL & " WHERE PostID=" & iPost
		DBExecuteF rSQL

		EditPost = True
	End Function

	Function UpdatePost(iPost, iPostParent)
		Dim rSQL

		rSQL =	"UPDATE Posts" & _
				" SET PostParent=" & iPostParent & _
				", OldPostParent=PostParent" & _
				", OldPostDate=PostDate" & _
				", PostDate='" & DateTimeToString(GMTNow) & "'" & _
				" WHERE PostID=" & iPostId
		DBExecuteF rSQL

		UpdatePost = True
	End Function 

	Function UpdateThread(iPostParent, iSection, bSticked, bClosed)
		Dim rSQL

		rSQL =	"UPDATE Posts" & _
				" SET PostSticked=" & SQLBoolean(bSticked) & _
				", PostSection=" & iSection & _
				", PostClosed=" & SQLBoolean(bClosed) & _
				" WHERE PostParent=" & iPostParent
		DBExecuteF rSQL

		UpdateThread = True
	End Function

	' Display Edit Post Form
	' IN : iPost (int) : Post Id
	' Revisions:
	' 22/02/2004 Add: Don't Allow anonymous edit on public forum/section
	Sub DisplayEditPost(iPost)
		Dim oRs, rSQL, tSmileys, X, sPostUser, sPostMessage, iPostParent, iPostSection, bSmileys, bSignature, sSticked
		Dim bEMailNotify ' Add:17/08/2003
		Dim sClosed ' Add:19/08/2003
		Dim sPostTitle, sText ' Add:19/08/2003

		rSQL = "SELECT PostID, PostParent, PostUser, PostTitle, PostSmileys, PostSignature, PostSticked, PostSection, PostEMailNotify, PostClosed FROM Posts WHERE PostID=" & iPost
		Set oRs = DBRecordSet(oCnForum, rSQL)

		sSticked = ""
		sClosed = "" ' Add:19/08/2003

		If Not oRs.EOF Then
			iPostParent = oRs("PostParent")
			sPostUser = oRs("PostUser")
			sPostTitle = oRs("PostTitle")&""

			sPostMessage = dLookupF("PostMessage","Posts","PostID="&oRs("PostID"))
			
			bSmileys = oRs("PostSmileys").Value
			bSignature = oRs("PostSignature").Value
		'	If oRs("PostSticked").Value Then sSticked = "1"
			sSticked = oRs("PostSticked").Value
			iPostSection = oRs("PostSection")
			bEMailNotify = oRs("PostEMailNotify").Value ' Add:17/08/2003
		'	If oRs("PostClosed").Value Then sClosed = "1"' Add:19/08/2003
			sClosed = oRs("PostClosed").Value ' Add:05/05/2004 RT: best metode

			If IsAdministrator <> "" Or IsModerator <> "" or IsOwner <> "" or (bIsValid and (sPseudo = sPostUser)) Then

				CreateTopTable "EditPostMessage", GetTranslation("LANG_EDIT") & " - " & GetTranslation("LANG_POST")
				Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
				Dim oForm
				Set oForm = New DesignForms
				With oForm
					.Open				"EditMessage", "post", sURLPage & "?" & myForumPath
					.AddJAVA			"	function preview()" & vbCRLF
					.AddJAVA			"	{" & vbCRLF
					.AddJAVA			"		document.EditMessage.myAction.value = 'preview';" & vbCRLF
					.AddJAVA			"		document.EditMessage.submit();" & vbCRLF
					.AddJAVA			"	}" & vbCRLF
					.AddHidden			"myAction", "edit"
					.AddHidden			"PostID", iPost
					.AddHidden			"PostParent", iPostParent
					.AddHidden			"oldSticked", sSticked
					.AddHidden			"oldPostSection", iPostSection
					.AddHidden			"oldPostParent", iPostParent
					.AddHidden			"oldClosed", sClosed
					If cInt(iPostParent) = cInt(iPost) Then
						.AddInput		GetTranslation("LANG_TITLE"),				"titre", sPostTitle, 100, 50
					Else
						.AddTextHidden	GetTranslation("LANG_TITLE"),				"titre", sPostTitle
					End If
					.AddTextBox			GetTranslation("LANG_MESSAGE"),				"message", sPostMessage, 70, 10, true
					.AddCheckBox		GetTranslation("LANG_SMILEYS"),				"PostSmileys", bSmileys
					If sPostUser <> "" Then ' Add:17/06/2004
						.AddCheckBox		GetTranslation("LANG_SIGNATURE"),			"PostSignature", bSignature
						If EMailNotifyReply Then ' Add:17/08/2003
							If Not IsSubscribedTo(sPostUser, csTopic, iPostParent) Then ' Rev:30/01/2004
								.AddCheckBox	GetTranslation("LANG_EMAIL_NOTIFY_REPLY"),	"emailnotify", bEMailNotify
							End If
						End If
					End If

					If (IsAdministrator <> "" Or IsModerator <> "" or IsOwner <> "") Then
						If CInt(iPostParent) = CInt(iPost) Then
							.AddCheckbox		GetTranslation("LANG_POST_STICKED"),	"sticked", sSticked
							.AddCheckbox		GetTranslation("LANG_POST_CLOSED"),		"closed", sClosed
'							rSQL =	"SELECT SectionID, ""["" & [SectionID] & ""] "" & [ForumName] & "" / "" & [SectionName] AS Name " & _
							rSQL =	"SELECT SectionID, '[' & [SectionID] & '] ' & [ForumName] & ' / ' & [SectionName] AS Name " & _
									"FROM Forums INNER JOIN Sections ON Forums.ForumID = Sections.SectionForum " & _
									"ORDER BY Forums.ForumName, Sections.SectionName"
							.AddSelect			GetTranslation("LANG_SECTION"),			"PostSection",  iPostSection, oCnForum, rSQL
						Else
							.AddHidden	"sticked", sSticked
							.AddHidden	"closed", sClosed
							.AddHidden	"PostSection", iPostSection
							Response.Write "sticked:" & sSticked & " closed:" & sClosed & " PostSection:" & iPostSection & "<br>"
						End If
					Else
						.AddHidden	"sticked", sSticked
						.AddHidden	"closed", sClosed
					End If

					.AddShowBottom		.AddButton(GetTranslation("LANG_BACK"),"bBack","javascript:history.back(1);")	& _
										.AddSubmit(GetTranslation("LANG_SUBMIT"),"bSubmit") & _
										.AddButton(GetTranslation("LANG_PREVIEW"),"bPreview","javascript:preview();")
					.Close
				End With
				Set oForm = Nothing
				Response.Write "</table>" & vbCRLF
				CreateBottomTable ""

			End If
		End If

		Set oRs = Nothing
	End Sub

	' Display Preview Post Page
	' IN  : iPost (int) : Post's Id
	'     : sMessage (str) : Message content
	'     : bSmileys (bool) : If True Display Smileys
	'     : bSignature : If True Display Signature
	' OUT : -
	' Revisions:
	' 29/09/2003 Fix: Show User Signature if (s)he wants and has one!
	Sub DisplayPreviewPost(iPost, sMessage, bSmileys, bSignature)
		Dim oRs, rSQL, sPostUser, iPostFeeling, sSignature, bDisplaySmileys

		If bSmileys <> "" Then 
			bSmileys = "1"
			bDisplaySmileys = True
		Else
			bSmileys = "0"
			bDisplaySmileys = False
		End If
		If bSignature <> "" Then 
			bSignature = "1"
		Else
			bSignature = "0"
		End If

IF FALSE THEN
'	' User table on Forum database is partially edited, so we can't use it here
'		rSQL = "SELECT PostUser, PostFeeling, UserSignature FROM Posts, ForumUsers WHERE PostUser=UserLogin AND PostID=" & iPost
'		Set oRs = DBRecordSet(oCnForum, rSQL)
'		If Not oRs.EOF Then
'			sPostUser = oRs("PostUser")
'			iPostFeeling = oRs("PostFeeling")
'			sSignature = oRs("UserSignature")
END IF
		rSQL = "SELECT PostUser, PostFeeling FROM Posts WHERE PostID=" & iPost
		Set oRs = DBRecordSet(oCnForum, rSQL)
		If Not oRs.EOF Then
			sPostUser = oRs("PostUser")
			iPostFeeling = oRs("PostFeeling")
			rSQL = "SELECT uSignature FROM ForumUsers WHERE uLogin='" & SQLEncrypt(sPostUser) & "'"
			Set oRs = DBRecordSet(oCnMain, rSQL)
			If Not oRs.EOF Then
				sSignature = oRs("uSignature")
			Else
				sSignature = ""
			End If

			Response.Write "<script language=""javaScript"" type=""text/javascript"">" & vbCRLF
			Response.Write "    function smiley(val) {" & vbCRLF
			Response.Write "    	document.post.message.value += val;" & vbCRLF
			Response.Write "    }" & vbCRLF
			Response.Write "  	function formValidPost(action) {" & vbCRLF
			Response.Write "		document.postmessage.myAction.value = action;" & vbCRLF
			Response.Write "		document.postmessage.submit();" & vbCRLF
			Response.Write "    }" & vbCRLF
			Response.Write "</script>" & vbCRLF

			CreateTopTable "Preview", GetTranslation("LANG_PREVIEW")

			Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
			Response.Write "<form name=""postmessage"" method=""post"" action=""" & sURLPage & "?" & myForumPath & """>" & vbCRLF
			Response.Write "<input name=""myAction"" type=""hidden"" value=""edit"">" & vbCRLF
			Response.Write "<input name=""PostID"" type=""hidden"" value=""" & iPost & """>" & vbCRLF
			Response.Write "<input name=""sticked"" type=""hidden"" value=""" & Request.Form("sticked") & """>" & vbCRLF
			Response.Write "<input name=""PostParent"" type=""hidden"" value=""" & Request.Form("PostParent") & """>" & vbCRLF
			Response.Write "<input name=""PostSignature"" type=""hidden"" value=""" & Request.Form("PostSignature") & """>" & vbCRLF
			Response.Write "<input name=""PostSmileys"" type=""hidden"" value=""" & Request.Form("PostSmileys") & """>" & vbCRLF ' FIX:19/08/2003
			Response.Write "<input name=""message"" type=""hidden"" value=""" & Server.HTMLEncode(Request.Form("message")) & """>" & vbCRLF
			Response.Write "<input name=""closed"" type=""hidden"" value=""" & Request.Form("closed") & """>" & vbCRLF ' Add:19/08/2003
			Response.Write "<input name=""PostSection"" type=""hidden"" value=""" & Request.Form("PostSection") & """>" & vbCRLF
			Response.Write "<input name=""EMailNotify"" type=""hidden"" value=""" & Request.Form("EMailNotify") & """>" & vbCRLF ' Add:17/08/2003
			Response.Write "<input name=""oldSticked"" type=""hidden"" value=""" & Request.Form("oldSticked") & """>" & vbCRLF
			Response.Write "<input name=""oldclosed"" type=""hidden"" value=""" & Request.Form("oldclosed") & """>" & vbCRLF ' Add:19/08/2003
			Response.Write "<input name=""oldPostSection"" type=""hidden"" value=""" & Request.Form("oldPostSection") & """>" & vbCRLF
			Response.Write "<input name=""oldPostParent"" type=""hidden"" value=""" & Request.Form("oldPostParent") & """>" & vbCRLF ' Add:19/08/2003
			Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
			Response.Write "      <td width=""30"" align=""center"">" & GetTranslation("LANG_HUMOR") & "</td>" & vbCRLF
			Response.Write "      <td width=""120"" align=""center"">" & GetTranslation("LANG_AUTHOR") & "</td>" & vbCRLF
			Response.Write "      <td>" & GetTranslation("LANG_MESSAGE") & "</td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF
			Response.Write "  <tr class=""tableline1"">" & vbCRLF
			Response.Write "      <td align=""center"">"

			rSQL = "SELECT * FROM Feelings WHERE FeelingID = " & iPostFeeling
			Set oRs = DBRecordSet(oCnForum, rSQL)
			If Not oRs.EOF Then 
				Response.Write "<img src=""" & FeelingsPath & oRs("FeelingPath") & """ border=""0"">"
			Else
				Response.Write "&nbsp;"
			End If
			Response.Write "</td>" & vbCRLF
			Response.Write "    <td align=""center"">" & sPostUser & "</td>" & vbCRLF
			Response.Write "    <td>" & vbCRLF
		'	Response.Write "      <span class=""small"">" & Replace(GetTranslation("LANG_POST_DATE"), "%1%", LocalNow()) & "</span><br>" & vbCRLF
			Response.Write "      <span class=""small"">" & GetTranslation("LANG_POST_DATE", LocalNow()) & "</span><br>" & vbCRLF
			Response.Write "      " & CodeMessageEx(Request.Form("message"), 0, false, bDisplaySmileys) & vbCRLF
			If sSignature <> "" and bSignature = "1" Then Response.Write "<font size=""1"">" & FORUM_SIGNATURE_DELIMITER & CodeMessage(sSignature & "", True) & "</font>" & vbCRLF
			Response.Write "    </td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF
			Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
			Response.Write "    <td colspan=""3"">" & vbCRLF
			Response.Write "      <input name=""back"" type=""button"" value=""" & GetTranslation("LANG_BACK") & """ class=""button"" onClick=""javascript:history.back(1);"">&nbsp;" & vbCRLF
			Response.Write "      <input name=""submit"" type=""submit"" value=""" & GetTranslation("LANG_DO_POST") & """ class=""button"">" & vbCRLF
			Response.Write "    </td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF
			Response.Write "</form>" & vbCRLF
			Response.Write "</table>" & vbCRLF
			CreateBottomTable ""
		End If

		Set oRs = Nothing
	End Sub

	Sub DoEditPost()
		Dim bSmileys, bSignature, bSticked, bUpdateStick, bUpdateSection
		Dim bEMailNotify ' Add:17/08/2003
		Dim bClosed, bUpdateClosed ' Add:19/08/2003

		bUpdateStick = False
		bUpdateSection = False
		bUpdateClosed = False ' Add:19/08/2003

		If Request.Form("myAction") = "edit" and Request.Form("PostID") <> "" and Request.Form("message") <> "" Then
			bSmileys = TestBoolean(Request.Form("PostSmileys"))
			bSignature = TestBoolean(Request.Form("PostSignature"))
			bSticked = TestBoolean(Request.Form("sticked"))
			If bSticked = 1 Then
				If TestBoolean(Request.Form("oldsticked")) = "0" Then bUpdateStick = True
			Else
				If TestBoolean(Request.Form("oldsticked")) <> "0" Then bUpdateStick = True
			End If
			bEMailNotify = TestBoolean(Request.Form("EMailNotify"))
			bClosed = TestBoolean(Request.Form("closed"))
			If bClosed = 1 Then
				If TestBoolean(Request.Form("oldclosed")) = "0" Then bUpdateClosed = True
			Else
				If TestBoolean(Request.Form("oldclosed")) <> "0" Then bUpdateClosed = True
			End If

			If Request.Form("PostSection") <> "" Then bUpdateSection = Request.Form("PostSection") <> Request.Form("OldPostSection")

			If bUpdateStick OR bUpdateSection OR bUpdateClosed Then
				UpdateThread Request.Form("PostParent"), Request.Form("PostSection"), bSticked, bClosed
			End If

			If EditPost(Request.Form("PostID"), Request.Form("PostParent"), Request.Form("PostSection"), _
						Request.Form("titre"), Request.Form("message"), _
						bSmileys, bSignature, bSticked, bEMailNotify, bClosed) Then
				CreateTopTable "Post", GetTranslation("LANG_POST") & " - " & GetTranslation("LANG_MODIFY_SUCCESS")
				Response.Write "<a href=""Forum.asp?forum=" & myForum & "&section=" & mySection & """>" & GetTranslation("LANG_BACK")  & " - " & GetTranslation("LANG_SECTION") & "</a>" & vbCRLF
				If bUpdateSection Then
					Response.Write "<br><a href=""Forum.asp?forum=" & myForum & "&section=" & Request.Form("PostSection") & _
						"&post=" & Request.Form("PostParent") & "&page=last"">" & _
						GetTranslation("LANG_BACK")  & " - " & GetTranslation("LANG_POST") & "</a>" & vbCRLF
				Else
					Response.Write "<br><a href=""Forum.asp?forum=" & myForum & "&section=" & mySection & _
						"&post=" & Request.Form("PostParent") & "&page=last"">" & _
						GetTranslation("LANG_BACK")  & " - " & GetTranslation("LANG_POST") & "</a>" & vbCRLF
				End If
				CreateBottomTable ""
			Else
				CreateTable "Post", GetTranslation("LANG_POST") & " - " & GetTranslation("LANG_MODIFY_ERROR"), _
					"<a href=""Forum.asp?forum=" & myForum & "&section=" & mySection & "&post=" & myPost & """>" & GetTranslation("LANG_BACK") & "</a>", ""
			End If
		End If
	End Sub
%>