<%
'	************************************************************************
'	* ASP-Nuke: Free web portal in ASP                                     *
'	************************************************************************
'	* Copyright (c) 2002-2003 by Gaetan Bouveret (webmaster@asp-nuke.com)  *
'	* http://www.asp-nuke.com                                              *
'	*                                                                      *
'	* This program is free software. You can redistribute it and/or modify *
'	* it under the terms of the GNU General Public License as published by *
'	* the Free Software Foundation; either version 2 of the License, or    *
'	* (at your option) any later version.                                  *
'	*                                                                      *
'	************************************************************************
'	FileName:		editforum-inc.asp
'	Author:			*Various*
'	Description:	Set of sub's/function's for forum's edition
'
'	Revisions:
'	22/08/2003 Add: ForumOrder Field Added
'	13/09/2003 Rev: Better uses of oCnMain and oCnForum objects
'	31/05/2004 Add: ForumHide Field Added
'	17/06/2004 Add: ForumAllowPostGuest Field Added
%>
<%
	' update table forums
	'IN  : iForumID (int) : Forum's id (table Forums, field ForumId)
	'    : sTitle (string) : Forum's name (table Forums, field ForumName)
	'    : sDescription (string) : Forum's description (table Forums, field ForumDescription)
	'    : iLevel (int) : Forum's level access (table Forums, field ForumLevel)
	'    : iOrder (int) : Forum's order (table Forums, field ForumOrder)
	'    : bHide (bool) : Forum's hide (table Forums, field ForumHide)
	'    : bAllowPostGuest (bool) : Forum's AllowPostGuest (table Forums, field ForumAllowPostGuest)
	'OUT : (boolean) Always true
	'Revisions
	' 22/08/2003 Add: iOrder parameter added
	' 31/05/2004 Add: bHide parameter added
	Function UpdateForum(iForumID, sTitle, sDescription, iLevel, iOrder, bHide, bAllowPostGuest)
		Dim rSQL

		rSQL = "UPDATE Forums SET ForumName='" & SQLEncrypt(sTitle) & "', ForumDescription='" & SQLEncrypt(sDescription) & "', ForumLevel=" & iLevel 
		rSQL = rSQL & ", ForumOrder=" & cLng(iOrder) ' Add:22/08/2003
		rSQL = rSQL & ", ForumHide=" & SQLBoolean(bHide) ' Add:31/05/2004
		rSQL = rSQL & ", ForumAllowPostGuest=" & SQLBoolean(bAllowPostGuest) ' Add:17/06/2004
		rSQL = rSQL & " WHERE ForumID=" & iForumID
		DBExecuteF rSQL

		UpdateForum = True
	End Function

	' Display the forum edit form
	' ONLY Forum Owner's can edit a forum
	' IN  : iForumID (int) : Forum's id (table Forums, field ForumID)
	' OUT : -
	' Revisions:
	' 22/08/2003 Add: ForumOrder Field added
	' 31/05/2004 Add: ForumHide Field added
	' 17/06/2004 Add: ForumAllowPostGuest Field Added
	Function EditForum(iForumID)
		Dim oRs, rSQL
		Dim sTitle, sDescription, iLevel, iOrder, bHide, bAllowPostGuest

		If IsNumeric(iForumID) and iForumID <> "" Then
			iForumID = CInt(iForumID)
		Else
			iForumID = 0
		End If

		If (IsOwner <> "" or IsAdministrator <> "") and iForumID <> 0 Then
			rSQL = "SELECT * FROM Forums WHERE ForumID=" & iForumID

			Set oRs = DBRecordSet(oCnForum, rSQL)

			If Not oRs.EOF Then
				sTitle = oRs("ForumName")
				sDescription = oRs("ForumDescription")
				iLevel = cLng(oRs("ForumLevel"))
				iOrder = cLng(oRs("ForumOrder"))
				bHide = cBool(oRs("ForumHide"))
				bAllowPostGuest = cBool(oRs("ForumAllowPostGuest"))

				Response.Write "<script language=""javaScript"" type=""text/javascript"">" & vbCRLF
				Response.Write "  function updateForum() {" & vbCRLF
				Response.Write "    var ok = true;" & vbCRLF
				Response.Write "    var msg = '" & GetTranslation("LANG_MUST_FILL") & "';" & vbCRLF
				Response.Write "    if (document.edition.ForumName.value == '') { ok = false; msg += '\n - " & JsEncrypt(GetTranslation("LANG_TITLE")) & "'; }" & vbCRLF
				Response.Write "    if (document.edition.ForumDescription.value == '') { ok = false; msg += '\n - " & JsEncrypt(GetTranslation("LANG_DESCRIPTION")) & "'; }" & vbCRLF
				Response.Write "    if (document.edition.ForumOrder.value == '') { ok = false; msg += '\n - " & JsEncrypt(GetTranslation("LANG_ORDER")) & "'; }" & vbCRLF
				Response.Write "    if (document.edition.ForumHide.value == '') { ok = false; msg += '\n - " & JsEncrypt(GetTranslation("LANG_HIDE")) & "'; }" & vbCRLF
				Response.Write "    if (ok) {" & vbCRLF
				Response.Write "      document.edition.Do.value = 'updt';" & vbCRLF
				Response.Write "      document.edition.submit();" & vbCRLF
				Response.Write "    }" & vbCRLF
				Response.Write "      else alert(msg);" & vbCRLF
				Response.Write "  }" & vbCRLF
				Response.Write "</script>" & vbCRLF

				CreateTopTable "EditForum", GetTranslation("LANG_EDIT") & " - " & GetTranslation("LANG_FORUM")
				Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF

				Response.Write "<form name=""edition"" method=""post"" action=""" & sURLPage & "?" & myForumPath & """>" & vbCRLF
				Response.Write "<input name=""ForumID"" type=""hidden"" value=""" & iForumID & """>" & vbCRLF

				Response.Write "<input name=""Do"" type=""hidden"" value="""">" & vbCRLF
				Response.Write "  <tr class=""tableline1"">" & vbCRLF
				Response.Write "      <td width=""120"">" & GetTranslation("LANG_TITLE") & "</td>" & vbCRLF
				Response.Write "      <td><input name=""ForumName"" class=""cell"" maxlength=""200"" value=""" & Server.HTMLEncode(sTitle) & """></td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF

				Response.Write "  <tr class=""tableline2"">" & vbCRLF
				Response.Write "      <td valign=""top"">" & GetTranslation("LANG_DESCRIPTION") & "</td>" & vbCRLF
				Response.Write "      <td><textarea name=""ForumDescription"" rows=""3"" cols=""60"" class=""cell"">" & Server.HTMLEncode(sDescription) & "</textarea></td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF

				Response.Write "  <tr class=""tableline1"">" & vbCRLF
				Response.Write "      <td width=""120"">" & GetTranslation("LANG_RESTRICTED") & "</td>" & vbCRLF

				Response.Write "    <td><select size=""1"" name=""ForumLevel"" class=""cell"">" & vbCRLF

				Dim oRsTemp
				rSQL = "SELECT LevelId, LevelName FROM Levels ORDER BY LevelId"
				Set oRsTemp = DBRecordSet(oCnForum, rSQL)
				While Not oRsTemp.EOF
					Response.Write "        <option value=""" & oRsTemp("LevelId") & """"
					If iLevel = oRsTemp("LevelID") Then Response.Write " selected"
					Response.Write ">" & Server.HTMLEncode(GetTranslation(oRsTemp("LevelName"))) & "</option>" & vbCRLF
					oRsTemp.MoveNext
				WEnd
				Set oRsTemp = Nothing
				Response.Write "      </select>" & vbCRLF
				Response.Write "    </td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF
' Add:22/08/2003 ForumOrder
				Response.Write "  <tr class=""tableline2"">" & vbCRLF
				Response.Write "      <td width=""120"">" & GetTranslation("LANG_ORDER") & "</td>" & vbCRLF
				Response.Write "      <td><input name=""ForumOrder"" class=""cell"" value=""" & iOrder & """></td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF
' Add:31/05/2004 ForumHide
				Response.Write "  <tr class=""tableline1"">" & vbCRLF
				Response.Write "      <td width=""120"">" & GetTranslation("LANG_HIDE") & "</td>" & vbCRLF
				Response.Write "      <td><input type='checkbox' name='ForumHide' "
				If bHide Then Response.Write " checked"
				Response.Write "></td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF
' Add:17/06/2004 ForumAllowPostGuest
				Response.Write "  <tr class=""tableline2"">" & vbCRLF
				Response.Write "      <td width=""120"">" & GetTranslation("LANG_FORUMALLOWPOSTGUEST") & "</td>" & vbCRLF
				Response.Write "      <td><input type='checkbox' name='ForumAllowPostGuest' "
				If bAllowPostGuest Then Response.Write " checked"
				Response.Write "></td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF

				Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
				Response.Write "    <td colspan=""2"">" & vbCRLF
				Response.Write "      <input name=""back"" type=""button"" value=""" & GetTranslation("LANG_BACK") & """ class=""button"" onClick=""javascript:document.location='forum.asp';"">&nbsp;" & vbCRLF
				Response.Write "      <input name=""poster"" type=""button"" value=""" & GetTranslation("LANG_SUBMIT") & """ class=""button"" onClick=""javascript:updateForum();"">&nbsp;" & vbCRLF
				Response.Write "    </td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF

				Response.Write "</form>" & vbCRLF
				Response.Write "</table>" & vbCRLF
				CreateBottomTable ""
			End If

			Set oRs = Nothing
		End If
	End Function

	' Process actions
	' IN  : -
	' OUT : -
	Sub DoEditForum()
		Dim bForumHide, bAllowPostGuest
		bForumHide = cBool(Request.Form("ForumHide") <> "")
'		If Request.Form("ForumHide") <> "" Then
'			bForumHide = "1"
'		Else
'			bForumHide = "0"
'		End If
		bAllowPostGuest = cBool(Request.Form("ForumAllowPostGuest") <> "")
'		If Request.Form("ForumAllowPostGuest") <> "" Then
'			bAllowPostGuest = "1"
'		Else
'			bAllowPostGuest = "0"
'		End If
		If Request.Form("Do") = "updt" Then
			If UpdateForum(Request.Form("ForumID"), Request.Form("ForumName"), Request.Form("ForumDescription"), Request.Form("ForumLevel"), Request.Form("ForumOrder"), bForumHide, bAllowPostGuest) Then
				sInfoPage = GetTranslation("LANG_FORUM") & " - " & GetTranslation("LANG_MODIFY_SUCCESS")
			Else
				sInfoPage = GetTranslation("LANG_FORUM") & " - " & GetTranslation("LANG_MODIFY_ERROR")
			End If
		End If
	End Sub
%>