<%
'	************************************************************************
'	* ASP-Nuke: Free web portal in ASP                                     *
'	************************************************************************
'	* Copyright (c) 2002-2003 by Gaetan Bouveret (webmaster@asp-nuke.com)  *
'	* http://www.asp-nuke.com                                              *
'	*                                                                      *
'	* This program is free software. You can redistribute it and/or modify *
'	* it under the terms of the GNU General Public License as published by *
'	* the Free Software Foundation; either version 2 of the License, or    *
'	* (at your option) any later version.                                  *
'	*                                                                      *
'	************************************************************************
'	FileName:		editsection-inc.asp
'	Author:			*Various*
'	Description:	Set of sub's/function's for section's edition
'
'	Revisions:
'	21/08/2003 Rev: SectionModerated put to work
'	22/08/2003 Add: SectionOrder Field Added 
'	13/09/2003 Rev: Better uses of oCnMain and oCnForum objects
'	13/09/2003 Add: Integration of Private Forum Mod by Myles Harding aka Hailo
'	08/06/2004 Rev: Remove Language issue code
%>
<%
	' update table Sections
	'IN  : iSectionID (int) : section's id (table sections, field SectionId)
	'    : sTitle (string) : section's name (table sections, field SectionName)
	'    : sDescription (string) : section's description (table sections, field SectionDescription)
	'    : iForum (int) : section's forum (table sections, field SectionForum)
	'    : iLevel (int) : section's level access (table sections, field SectionLevel)
	'    : bModerated (boolean) : section's moderation (table sections, field SectionModerated)
	'    : iOrder (int) : section's order (table sections, field SectionOrder)
	'OUT : (boolean) Always true
	'Revisions
	' 22/08/2203 Add: Added iOrder parameter
	Function UpdateSection(iSectionID, sTitle, sDescription, iForum, iLevel, bModerated, iOrder)
		Dim rSQL

		rSQL =	"UPDATE Sections" & _
				" SET SectionName='" & SQLEncrypt(sTitle) & "'" & _
				", SectionDescription='" & SQLEncrypt(sDescription) & "'" & _
				", SectionForum=" & cLng(iForum) & _
				", SectionLevel=" & cLng(iLevel) & _
				", SectionModerated=" & SQLBoolean(bModerated)
		rSQL = rSQL & ", SectionOrder=" & cLng(iOrder) ' Add:22/08/2003
		rSQL = rSQL & " WHERE SectionID=" & iSectionID
		DBExecuteF rSQL

		UpdateSection = True
	End Function

	' Display the edit form
	' IN  : iSectionID (int) : section's id (table sections, field SectionID)
	' OUT : -
	' Revisions
	' 22/08/2003 Add: SectionOrder field
	' 13/09/2003 Add: Integration of Private Forum Mod by Myles Harding aka Hailo
	Function EditSection(iSectionID)
		Dim oRs, rSQL
		Dim sTitle, sDescription, iForum, iLevel, bModerated, X
		Dim iOrder ' Add:22/08/2003
		Dim sMsg ' Add:27/01/2003
		
		sMsg = vbCRLF & "<div align=right class=small><font color=red>"&GetTranslation("LANG_TAGS")&"</font></div>" 

		If IsNumeric(iSectionID) and iSectionID <> "" Then
			iSectionID = CInt(iSectionID)
		Else
			iSectionID = 0
		End If

		If (IsAdministrator <> "" Or IsOwner <> "") and iSectionID <> 0 Then
			rSQL = "SELECT * FROM Sections WHERE SectionID=" & iSectionID

			Set oRs = DBRecordSet(oCnForum, rSQL)

			If Not oRs.EOF Then
				sTitle = oRs("SectionName")
				sDescription = oRs("SectionDescription")
				iForum = cLng(oRs("SectionForum"))
				iLevel = cLng(oRs("SectionLevel"))
				bModerated = cBool(oRs("SectionModerated").Value)
				iOrder = cLng(oRs("SectionOrder")) ' Add:22/08/2003

				Response.Write "<script language=""javaScript"" type=""text/javascript"">" & vbCRLF
				Response.Write "  function updateSection() {" & vbCRLF
				Response.Write "    var ok = true;" & vbCRLF
				Response.Write "    var msg = '" & GetTranslation("LANG_MUST_FILL") & "';" & vbCRLF
				Response.Write "    if (document.edition.SectionName.value == '') { ok = false; msg += '\n - " & JSencrypt(GetTranslation("LANG_TITLE")) & "'; }" & vbCRLF
				Response.Write "    if (document.edition.SectionDescription.value == '') { ok = false; msg += '\n - " & JsEncrypt(GetTranslation("LANG_DESCRIPTION")) & "'; }" & vbCRLF
				Response.Write "    if (document.edition.SectionOrder.value == '') { ok = false; msg += '\n - " & JsEncrypt(GetTranslation("LANG_ORDER")) & "'; }" & vbCRLF
				Response.Write "    if (ok) {" & vbCRLF
				Response.Write "      document.edition.Do.value = 'updt';" & vbCRLF
				Response.Write "      document.edition.submit();" & vbCRLF
				Response.Write "    }" & vbCRLF
				Response.Write "    else alert(msg);" & vbCRLF
				Response.Write "  }" & vbCRLF
				Response.Write "</script>" & vbCRLF

				CreateTopTable "EditSection", GetTranslation("LANG_EDIT") & " - " & GetTranslation("LANG_SECTION")
				Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
				Response.Write "<form name=""edition"" method=""post"" action=""" & sURLPage & "?" & myForumPath & """>" & vbCRLF
				Response.Write "<input name=""SectionID"" type=""hidden"" value=""" & iSectionID & """>" & vbCRLF
				Response.Write "<input name=""Do"" type=""hidden"" value="""">" & vbCRLF
				Response.Write "  <tr class=""tableline1"">" & vbCRLF
				Response.Write "    <td width=""120"">" & GetTranslation("LANG_TITLE") & "</td>" & vbCRLF
				Response.Write "    <td><input name=""SectionName"" class=""cell"" maxlength=""200"" value=""" & sTitle & """></td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF
				Response.Write "  <tr class=""tableline2"">" & vbCRLF
				Response.Write "    <td valign=""top"">" & GetTranslation("LANG_DESCRIPTION") & sMsg & "</td>" & vbCRLF
				Response.Write "    <td><textarea name=""SectionDescription"" rows=""3"" cols=""60"" class=""cell"">" & sDescription & "</textarea></td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF
				Response.Write "  <tr class=""tableline1"">" & vbCRLF
				Response.Write "    <td>" & GetTranslation("LANG_FORUM") & "</td>" & vbCRLF
				Response.Write "    <td>" & vbCRLF

				Response.Write "    <select size=""1"" name=""SectionForum"" class=""cell"">" & vbCRLF

				rSQL = "SELECT ForumID, ForumName FROM Forums ORDER BY ForumName"
				Set oRs = DBRecordSet(oCnForum, rSQL)

				While Not oRs.EOF
					X = oRs("ForumID")

					Response.Write "      <option value=""" & X & """"
					If iForum = X Then Response.Write(" selected")
					Response.Write ">" & oRs("ForumName") & "</option>"
					oRs.MoveNext
				WEnd

				Response.Write "      </select>" & vbCRLF

				Response.Write "    </td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF

				Response.Write "  <tr class=""tableline2"">" & vbCRLF
				Response.Write "    <td>" & GetTranslation("LANG_RESTRICTED") & "</td>" & vbCRLF

				Response.Write "    <td>" & vbCRLF
				Response.Write "      <select size=""1"" name=""SectionLevel"" class=""cell"">" & vbCRLF

				Dim oRsTemp
				rSQL = "SELECT LevelId, LevelName FROM Levels ORDER BY LevelId"
				Set oRsTemp = DBRecordSet(oCnForum, rSQL)
				While Not oRsTemp.EOF
					Response.Write "        <option value=""" & oRsTemp("LevelID") & """"
					If iLevel = oRsTemp("LevelID") Then Response.Write " selected"
					Response.Write ">" & GetTranslation(oRsTemp("LevelName")) & "</option>" & vbCRLF
					oRsTemp.MoveNext
				WEnd
				Set oRsTemp = Nothing

				Response.Write "      </select>" & vbCRLF
				Response.Write "    </td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF

' Add:21/08/2003
				Response.Write "  <tr class=""tableline1"">" & vbCRLF
				Response.Write "    <td>" & GetTranslation("LANG_MODERATED") & "</td>" & vbCRLF
				Response.Write "    <td><input name=""SectionModerated"" type=""checkbox"""
				If bModerated Then Response.Write " checked"
				Response.Write "></td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF
' Add:22/08/2003
				Response.Write "  <tr class=""tableline2"">" & vbCRLF
				Response.Write "    <td>" & GetTranslation("LANG_ORDER") & "</td>" & vbCRLF
				Response.Write "    <td><input name=""SectionOrder"" class=""cell"" value="""  & iOrder & """></td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF

				Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
				Response.Write "    <td colspan=""2"">" & vbCRLF
				Response.Write "      <input name=""back"" type=""button"" value=""" & GetTranslation("LANG_BACK") & """ class=""button"" onClick=""javascript:document.location='Forum.asp?forum=" & myForum & "';"">&nbsp;" & vbCRLF
				Response.Write "      <input name=""poster"" type=""button"" value=""" & GetTranslation("LANG_SUBMIT") & """ class=""button"" onClick=""javascript:updateSection();"">&nbsp;" & vbCRLF
				Response.Write "    </td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF

				Response.Write "</form>" & vbCRLF
				Response.Write "</table>" & vbCRLF
				CreateBottomTable ""
			End If

			Set oRs = Nothing
		End If
	End Function

	' Process actions
	' IN  : -
	' OUT : -
	Sub DoEditSection()
		Dim bModerated

		If Request.Form("Do") = "updt" Then
			bModerated = RequestBoolean("SectionModerated") ' Add:05/08/2004 RT
			If UpdateSection(Request.Form("SectionID"), Request.Form("SectionName"), Request.Form("SectionDescription"), Request.Form("SectionForum"), Request.Form("SectionLevel"), bModerated, Request.Form("SectionOrder")) Then
				sInfoPage = GetTranslation("LANG_SECTION") & " - " & GetTranslation("LANG_MODIFY_SUCCESS")
			Else
				sInfoPage = GetTranslation("LANG_SECTION") & " - " & GetTranslation("LANG_MODIFY_ERROR")
			End If
		End If
	End Sub
%>