<%
'	************************************************************************
'	* ASP-Nuke: Free web portal in ASP                                     *
'	************************************************************************
'	* Copyright (c) 2002-2003 by Gaetan Bouveret (webmaster@asp-nuke.com)  *
'	* http://www.asp-nuke.com                                              *
'	*                                                                      *
'	* This program is free software. You can redistribute it and/or modify *
'	* it under the terms of the GNU General Public License as published by *
'	* the Free Software Foundation; either version 2 of the License, or    *
'	* (at your option) any later version.                                  *
'	*                                                                      *
'	************************************************************************
'	FileName:		forum-inc.asp
'	Author:			*various*
'	Description:	Set of sub's/functions for display main forum page
'
'	Revisions:
'	10/08/2003 Add: Enhanced Forum Navigation
'	11/08/2003 Add: Added Link to Last Post on "LastMessage" column
'	12/08/2003 Fix: Hide new buttons if not valid user
'	14/08/2003 Add: "New topic" button on top bar
'	18/08/2003 Add: Call to unified DisplayLeyend sub
'	18/08/2003 Add: [Closed topic] command
'	18/08/2003 Add: Display an image for Sticked Posts
'	20/08/2003 Add: Enhanced Forum User Interface
'	20/08/2003 Add: "New Poll" button
'	21/08/2003 Add: {Copy|Paste} Posts Commands 
'	22/08/2003 Add: Display Forums ordered by ForumOrder Field
'	22/08/2003 Add: Display Sections ordered by SectionOrder field
'	22/08/2003 Rev: Display Posts ordered by PostDate and PostId fields
'	24/08/2003 Add: ShowingLastMessage feature
'	30/08/2003 Rev: Remove old discarded code
'	30/08/2003 Rev: GetUserName function Removed
'	30/08/2003 Add: Topic Sorting 
'	02/09/2003 Rev: ShowingPrivateIcon on DisplayForums2
'	11/09/2003 Rev: Removed old code
'	11/09/2003 Add: Show online status of UserPost
'	13/09/2003 Rev: Better uses of oCnMain and oCnForum objects
'	13/09/2003 Rev: Move auxiliar functions to functions-inc.asp
'	13/09/2003 Add: Integration of Private Forum Mod by Myles Harding aka Hailo
'	14/09/2003 Add: More profile link's on bottom post area
'	29/01/2004 Add: ForumSubscriptionSystem
'	22/02/2004 Add: Allow anonymous post on public forum/section
'	17/05/2004 Add: DisplayUserPostInfo
'	08/06/2004 Rev: Remove Language issue code
'	17/06/2004 Add: ForumHide feature
%>
<%
	' Revisions:
	' 18/08/2003 Add: closepost action added
	' 21/08/2003 Add: cancelcopy action added
	' 21/08/2003 Add: copypost action added
	' 21/08/2003 Add: pastepost action added
	' 21/08/2003 Add: pastesection action added
	' 30/09/2004 Fix: Check authorization for each operation
	
	' Only perform forum management operations under the [Console ON] mode
	If operatorMode <> "" Then ' Add:30/09/2004
	Select Case Request.Form("myAction")
		Case "addforum":
			If Request.Form("ForumName") <> "" and Request.Form("ForumDescription") <> "" Then
				AddForum Request.Form("ForumName"), Request.Form("ForumDescription")
				sInfoPage = GetTranslation("LANG_FORUM") & " - " & GetTranslation("LANG_ADD_SUCCESS")
			Else
				sInfoPage = GetTranslation("LANG_FORUM") & " - " & GetTranslation("LANG_ADD_ERROR")
			End If
		Case "delforum":
			If Request.Form("ForumID") <> "" Then
				DeleteForum Request.Form("ForumID")
				sInfoPage = GetTranslation("LANG_FORUM") & " - " & GetTranslation("LANG_DELETE_SUCCESS")
			Else
				sInfoPage = GetTranslation("LANG_FORUM") & " - " & GetTranslation("LANG_DELETE_ERROR")
			End If
		Case "addsection":
			If Request.Form("nomSection") <> "" and Request.Form("descriptionSection") <> "" Then
				AddSection Request.Form("nomSection"), Request.Form("descriptionSection"), Request.Form("forumSection")
				sInfoPage = GetTranslation("LANG_SECTION") & " - " & GetTranslation("LANG_ADD_SUCCESS")
			Else
				sInfoPage = GetTranslation("LANG_SECTION") & " - " & GetTranslation("LANG_ADD_ERROR")
			End If
		Case "delsection":
			If Request.Form("SectionID") <> "" Then
				DeleteSection Request.Form("SectionID")
				sInfoPage = GetTranslation("LANG_SECTION") & " - " & GetTranslation("LANG_DELETE_SUCCESS")
			Else
				sInfoPage = GetTranslation("LANG_SECTION") & " - " & GetTranslation("LANG_DELETE_ERROR")
			End If
		Case "delpost":
			If Request.Form("PostID") <> "" Then
				DeletePost Request.Form("PostID")
				sInfoPage = GetTranslation("LANG_POST") & " - " & GetTranslation("LANG_DELETE_SUCCESS")
			Else
				sInfoPage = GetTranslation("LANG_POST") & " - " & GetTranslation("LANG_DELETE_ERROR")
			End If
		Case "validatepost":
			If Request.Form("PostID") <> "" Then
				ValidatePost Request.Form("PostID"), 1
				sInfoPage = GetTranslation("LANG_POST") & " - " & GetTranslation("LANG_MODIFY_SUCCESS")
			Else
				sInfoPage = GetTranslation("LANG_POST") & " - " & GetTranslation("LANG_MODIFY_ERROR")
			End If
		Case "unvalidatepost":
			If Request.Form("PostID") <> "" Then
				ValidatePost Request.Form("PostID"), 0
				sInfoPage = GetTranslation("LANG_POST") & " - " & GetTranslation("LANG_MODIFY_SUCCESS")
			Else
				sInfoPage = GetTranslation("LANG_POST") & " - " & GetTranslation("LANG_MODIFY_ERROR")
			End If
		Case "cancelcopy": ' Add:21/08/2003
			CancelCopy()
			sInfoPage = GetTranslation("LANG_POST") & " - " & GetTranslation("LANG_MODIFY_SUCCESS")
		Case "copypost": ' Add:21/08/2003
			If Request.Form("PostID") <> "" Then
				CopyPost Request.Form("PostID")
				sInfoPage = GetTranslation("LANG_POST") & " - " & GetTranslation("LANG_MODIFY_SUCCESS") 
			Else
				sInfoPage = GetTranslation("LANG_POST") & " - " & GetTranslation("LANG_MODIFY_ERROR")
			End If
		Case "pastepost": ' Add:21/08/2003
			If Request.Form("PostID") <> "" Then
				PastePost Request.Form("PostID")
				sInfoPage = GetTranslation("LANG_POST") & " - " & GetTranslation("LANG_MODIFY_SUCCESS")
			Else
				sInfoPage = GetTranslation("LANG_POST") & " - " & GetTranslation("LANG_MODIFY_ERROR")
			End If
		Case "pastesection": ' Add:21/08/2003
			If Request.Form("SectionID") <> "" Then
				PasteSection Request.Form("SectionID")
				sInfoPage = GetTranslation("LANG_POST") & " - " & GetTranslation("LANG_MODIFY_SUCCESS")
			Else
				sInfoPage = GetTranslation("LANG_POST") & " - " & GetTranslation("LANG_MODIFY_ERROR")
			End If
		Case "closepost": ' Add:18/08/2003
			If Request.Form("PostID") <> "" Then
				ClosePost Request.Form("PostID"), 1
				sInfoPage = GetTranslation("LANG_POST") & " - " & GetTranslation("LANG_MODIFY_SUCCESS")
			Else
				sInfoPage = GetTranslation("LANG_POST") & " - " & GetTranslation("LANG_MODIFY_ERROR")
			End If
		Case "openpost": ' Add:18/08/2003
			If Request.Form("PostID") <> "" Then
				ClosePost Request.Form("PostID"), 0
				sInfoPage = GetTranslation("LANG_POST") & " - " & GetTranslation("LANG_MODIFY_SUCCESS")
			Else
				sInfoPage = GetTranslation("LANG_POST") & " - " & GetTranslation("LANG_MODIFY_ERROR")
			End If
		Case "addmoderator":
			If mySection <> 0 and mySection <> "" Then
				If AddModerator(Request.Form("sModerator"), mySection) Then 
					sInfoPage = GetTranslation("LANG_MODERATOR") & " - " & GetTranslation("LANG_ADD_SUCCESS")
				Else
					sInfoPage = GetTranslation("LANG_MODERATOR") & " - " & GetTranslation("LANG_ADD_ERROR")
				End If
			End If
		Case "delmoderator":
			If mySection <> 0 and mySection <> "" Then
				If DeleteModerator(Request.Form("sModerator"), mySection) Then 
					sInfoPage = GetTranslation("LANG_MODERATOR") & " - " & GetTranslation("LANG_MODIFY_SUCCESS")
				Else
					sInfoPage = GetTranslation("LANG_MODERATOR") & " - " & GetTranslation("LANG_MODIFY_ERROR")
				End If
			End If
		Case "addadministrator":
			If myForum <> 0 and myForum <> "" Then
				If AddAdministrator(Request.Form("sAdministrator"), myForum) Then 
					sInfoPage = GetTranslation("LANG_ADMINISTRATOR") & " - " & GetTranslation("LANG_ADD_SUCCESS")
				Else
					sInfoPage = GetTranslation("LANG_ADMINISTRATOR") & " - " & GetTranslation("LANG_ADD_ERROR")
				End If
			End If
		Case "deladministrator":
			If myForum <> 0 and myForum <> "" Then
				If DeleteAdministrator(Request.Form("sAdministrator"), myForum) Then 
					sInfoPage = GetTranslation("LANG_ADMINISTRATOR") & " - " & GetTranslation("LANG_MODIFY_SUCCESS")
				Else
					sInfoPage = GetTranslation("LANG_ADMINISTRATOR") & " - " & GetTranslation("LANG_MODIFY_ERROR")
				End If
			End If
	End Select
	Else
		Dim vPostId, rSQLTemp, oRsTemp, sPostUser
		vPostId = Request.Form("PostID")
		Select Case Request.Form("myAction")
			Case "delpost":
				If vPostId <> "" Then
					rSQLTemp = "SELECT PostUser FROM Posts WHERE PostID=" & vPostId
					Set oRsTemp = DBRecordSet(oCnForum, rSQLTemp)
					If Not oRsTemp.EOF Then
						sPostUser = oRsTemp("PostUser")
					Else
						sPostUser = ""
					End If
					If bIsValid And (sPostUser = sPseudo) Then
						DeletePost vPostId
						sInfoPage = GetTranslation("LANG_POST") & " - " & GetTranslation("LANG_DELETE_SUCCESS")
					End If
				Else
					sInfoPage = GetTranslation("LANG_POST") & " - " & GetTranslation("LANG_DELETE_ERROR")
				End If
		End Select
	End If ' Add:30/09/2004

	Sub DisplayLeyend
		Response.Write "<table cellspacing=""3"" width=""100%""><tr><td width=""50%"" class=""small"">" & vbCRLF
		Response.Write "<img src=""" & ImagesPath & "sticknew.gif"" border=""0""> " & GetTranslation("LANG_POST_STICKED") & " - " & GetTranslation("LANG_NEW_POSTS") & vbCRLF
		Response.Write "</td><td class=""small"">" & vbCRLF
		Response.Write "<img src=""" & ImagesPath & "stickold.gif"" border=""0""> " & GetTranslation("LANG_POST_STICKED") & " - " & GetTranslation("LANG_OLD_POSTS") & vbCRLF
		Response.Write "</td></tr><tr><td width=""50%"" class=""small"">" & vbCRLF
		Response.Write "<img src=""" & ImagesPath & "new.gif"" border=""0""> " & GetTranslation("LANG_NEW_POSTS") & ", <img src=""" & ImagesPath & "newhot.gif"" border=""0""> &gt;" & FORUM_IS_HOT & vbCRLF
		Response.Write "</td><td class=""small"">" & vbCRLF
		Response.Write "<img src=""" & ImagesPath & "old.gif"" border=""0""> " & GetTranslation("LANG_OLD_POSTS") & ", <img src=""" & ImagesPath & "oldhot.gif"" border=""0""> &gt; " & FORUM_IS_HOT & vbCRLF
		Response.Write "</td></tr><tr><td width=""50%"" class=""small"">" & vbCRLF
		If ShowingPrivateIcon Then ' Add:24/08/2003
			Response.Write "<img src=""" & ImagesPath & "privatenew.gif"" border=""0""> " & GetTranslation("LANG_PRIVATE_POSTS") & " - " & GetTranslation("LANG_NEW_POSTS") & vbCRLF
			Response.Write "</td><td class=""small"">" & vbCRLF
			Response.Write "<img src=""" & ImagesPath & "privateold.gif"" border=""0""> " & GetTranslation("LANG_PRIVATE_POSTS") & " - " & GetTranslation("LANG_OLD_POSTS") & vbCRLF
			Response.Write "</td></tr><tr><td width=""50%"" class=""small"">" & vbCRLF
		End If
		Response.Write "<img src=""" & ImagesPath & "closed.gif"" border=""0""> " & GetTranslation("LANG_CLOSED_POSTS") & vbCRLF
		Response.Write "</td><td class=""small"">" & vbCRLF
		Response.Write "<img src=""" & ImagesPath & "polls.gif"" border=""0""> " & GetTranslation("LANG_POLL_POSTS") & vbCRLF
		Response.Write "</td></tr></table>" & vbCRLF
	End Sub

	' Display the forum page pointed by the forum path
	' IN : myForum
	'    : mySection
	'    : myPost
	'    : myPage
	' OUT: -
	' Revivions
	' 30/08/2003 Add: Topic Sorting
	Sub DisplayForum(myForum, mySection, myPost, myPage)
		If myForum = "" or myForum = 0 Then 
			Select Case FORUM_TYPE
				Case 1 : Displayforums myPage
				Case 2 : Displayforums2 myPage
				Case Else : Displayforums myPage
			End Select
		ElseIf mySection = "" or mySection = 0 Then 
			DisplaySections myForum, myPage
		ElseIf myPost = "" or myPost = 0 Then 
			DisplayPosts myForum, mySection, myPage, mySortedField, myAscSort ' Rev:30/0/2003
		Else 
			DisplayThreads myForum, mySection, myPost, myPage
		End If
	End Sub

	' 18/08/2003 Add: Call to unified DisplayLeyend sub
	' 22/08/2003 Add: Display Forums ordered by ForumOrder Field
	' 17/06/2004 Add: ForumHide feature
	Sub DisplayForums(myPage)
		Dim oRs, oRsTemp, rSQL, rSQLTemp, iLine
		Dim iForumID, sForumName, sForumDescription
		Dim sVisit, iNbPosts, iNbSubjects, sAdministrators

		rSQL = "SELECT ForumID, ForumName, ForumDescription, ForumHide FROM Forums"
		rSQL = rSQL & " ORDER BY ForumOrder ASC, ForumId" ' Add:22/08/2003
		Set oRs = DBRecordSet(oCnForum, rSQL)

		CreateTopTable "ForumsTitle", GetTranslation("LANG_FORUMS")
		If Not oRs.EOF Then
			Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF

			If isOwner <> "" and operatorMode <> "" Then
				Response.Write "<script language=""javascript"" type=""text/javascript"">" & vbCRLF
				Response.Write "  function delForum(forumID)" & vbCRLF
				Response.Write "  {" & vbCRLF
				Response.Write "    if (confirm('" & JSEncrypt(GetTranslation("LANG_CONFIRM")) & "'))" & vbCRLF
				Response.Write "    {" & vbCRLF
				Response.Write "      document.suppressionforum.ForumID.value = forumID;" & vbCRLF
				Response.Write "      document.suppressionforum.submit();" & vbCRLF
				Response.Write "    }" & vbCRLF
				Response.Write "  }" & vbCRLF
				Response.Write "</script>" & vbCRLF
				Response.Write "<form name=""suppressionforum"" method=""post"" action=""" & sURLPage & "?" & myForumPath & """>" & vbCRLF
				Response.Write "<input name=""myAction"" type=""hidden"" value=""delforum"">" & vbCRLF
				Response.Write "<input name=""ForumID"" type=""hidden"" value="""">" & vbCRLF
				Response.Write "</form>" & vbCRLF
			End If

			Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
			Response.Write "    <td width=""25"">&nbsp;</td>" & vbCRLF
			Response.Write "    <td>" & GetTranslation("LANG_FORUM") & "</td>" & vbCRLF
			Response.Write "    <td width=""80"" align=""center"">" & GetTranslation("LANG_SUBJECTS") & "</td>" & vbCRLF
			Response.Write "    <td width=""80"" align=""center"">" & GetTranslation("LANG_MESSAGES") & "</td>" & vbCRLF
			Response.Write "    <td width=""120"" align=""center"">" & GetTranslation("LANG_ADMINISTRATORS") & "</td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF

			iLine = 1
			While Not oRs.EOF
				iForumID = oRs(0)
				sForumName = oRs(1)
				sForumDescription = oRs(2)

				If AuthorizationForum(sPseudo, iForumID) Then ' Add:17/06/2004

					sVisit = ""

					Response.Write "  <tr class=""tableline" & iLine & """>" & vbCRLF
					rSQLTemp = "SELECT " & SQLTop(1) & " PostDate FROM Posts, Sections WHERE PostSection=SectionID AND SectionForum=" & iForumID
					If isModerator = "" and isAdministrator = "" and isOwner = "" Then rSQLTemp = rSQLTemp & " AND PostValid=" & DB_TRUE
					rSQLTemp = rSQLTemp & " ORDER BY PostDate DESC, PostId" ' Rev:22/08/2003
					Set oRsTemp = DBRecordSet(oCnForum, rSQLTemp)
					If Not oRsTemp.EOF Then
						If oRsTemp(0) < sLastVisit Then
							sVisit = "old"
						Else
							sVisit = "new"
						End If
					Else
						sVisit = "new"
					End If

'					If Not bIsAuthorized Then ' Add:17/06/2004
'						If ShowingPrivateIcon Then
'							sVisit = "private" & sVisit
'						End If
'					End If

					rSQLTemp = "SELECT Count(*) FROM Posts, Sections WHERE PostParent=PostID AND PostSection=SectionID AND SectionForum=" & iForumID
					If isModerator = "" and isAdministrator = "" and isOwner = "" Then rSQLTemp = rSQLTemp & " AND PostValid=" & DB_TRUE
					Set oRsTemp = DBRecordSet(oCnForum, rSQLTemp)
					iNbSubjects = oRsTemp(0)

					rSQLTemp = "SELECT Count(*) FROM Posts, Sections WHERE PostParent<>PostID AND PostSection=SectionID AND SectionForum=" & iForumID
					If isModerator = "" and isAdministrator = "" and isOwner = "" Then rSQLTemp = rSQLTemp & " AND PostValid=" & DB_TRUE
					Set oRsTemp = DBRecordSet(oCnForum, rSQLTemp)
					iNbPosts = oRsTemp(0)

					sAdministrators = "-"
					rSQLTemp = "SELECT DISTINCT AdministratorID FROM Administrators WHERE AdministratorForum=" & iForumID
					Set oRsTemp = DBRecordSet(oCnForum, rSQLTemp)
					If Not oRsTemp.EOF then
						sAdministrators = ""
						While Not oRsTemp.EOF
							sAdministrators = sAdministrators & ", " & oRsTemp(0)
							oRsTemp.MoveNext
						WEnd
						sAdministrators = Mid(sAdministrators, 3)
					End If
					Set oRsTemp = Nothing

					Response.Write "    <td align=""center""><img src=""" & ImagesPath & sVisit & ".gif"" border=""0""></td>" & vbCRLF
					Response.Write "    <td>&nbsp;<a href=""" & sURLPage & "?forum=" & iForumID & """>" & CodeMessage(sForumName, True) & "</a>"
					If sForumDescription <> "" Then Response.Write "<br>&nbsp;<span class=""small"">" & CodeMessage(sForumDescription, True) & "</span>"

					' Console d'admin
					If isOwner <> "" and operatorMode <> "" Then
						Response.Write "  <div align=""right"" class=""small"">" & vbCRLF
						Response.Write "    <a href=""EditForum.asp?forum=" & iForumID & """>" & GetTranslation("LANG_EDIT") & "</a>&nbsp;" & vbCRLF
						Response.Write "    <a href=""javascript:delForum(" & iForumID & ")"">" & GetTranslation("LANG_DELETE") & "</a>&nbsp;" & vbCRLF
						Response.Write "</div>" & vbCRLF
					End If

					Response.Write "</td>" & vbCRLF
					Response.Write "    <td align=""center"">" & iNbSubjects & "</td>" & vbCRLF
					Response.Write "    <td align=""center"">" & iNbPosts & "</td>" & vbCRLF
					Response.Write "    <td align=""center"">" & sAdministrators & "</td>" & vbCRLF
					Response.Write "  </tr>" & vbCRLF

				End If

				oRs.MoveNext

				iLine = ((iLine - 1) Xor 1) + 1
			WEnd

			Response.Write "</table>" & vbCRLF
		End If
		CreateBottomTable ""

		If isOwner <> "" and operatorMode <> "" Then
			CreateTopTable "NouveauForum", GetTranslation("LANG_ADD") & " - " & GetTranslation("LANG_FORUM")
			Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
			Response.Write "<form name=""addnewforum"" method=""post"" action=""" & sURLPage & "?" & myForumPath & """>" & vbCRLF
			Response.Write "<input name=""myAction"" type=""hidden"" value=""addforum"">" & vbCRLF
			Response.Write "  <tr class=""tableline1"">" & vbCRLF
			Response.Write "    <td width=""100"">" & GetTranslation("LANG_NAME") & "</td>" & vbCRLF
			Response.Write "    <td><input name=""ForumName"" type=""text"" class=""cell"" maxlength=""50"" value=""""></td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF
			Response.Write "  <tr class=""tableline2"">" & vbCRLF
			Response.Write "    <td>" & GetTranslation("LANG_DESCRIPTION") & "</td>" & vbCRLF
			Response.Write "    <td><input name=""ForumDescription"" type=""text"" class=""cell"" size=""50"" maxlength=""200"" value=""""></td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF
			Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
			Response.Write "    <td colspan=""2""><input name=""creer"" type=""button"" class=""button"" value=""" & GetTranslation("LANG_ADD") & """ OnClick=""javascript:document.addnewforum.submit();""></td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF
			Response.Write "</form>" & vbCRLF
			Response.Write "</table>" & vbCRLF
			CreateBottomTable ""
		End If

		DisplayLeyend ' Add:18/08/2003

		Set oRs = Nothing
	End Sub

	' 11/08/2003 Add: Added Link to Last Post on "LastMessage" column
	' 18/08/2003 Add: Call to unified DisplayLeyend sub
	' 22/08/2003 Add: Display Forums ordered by ForumOrder field
	' 22/08/2003 Add: Display Sections ordered by SectionOrder field
	' 22/08/2003 Rev: Display Posts ordered by PostDate and PostId fields
	' 24/08/2003 Add: ShowingLastMessage feature
	' 02/09/2003 Add: ShowingPrivateIcon
	' 17/06/2004 Add: ForumHide feature
	' 27/11/2004 Add: PostNick feature
	Sub DisplayForums2(myPage)
		Dim oRs, oRs2, oRsTemp, rSQL, rSQLTemp, iLine
		Dim iForumID, sForumName, sForumDescription, iSectionID, sSectionName, sSectionDescription
		Dim sVisit, sLastPostUser, sLastPostDate, iNbPosts, iNbSubjects
		Dim iLastPostId, iLastPostParent ' Add:11/08/2003
		Dim sLastPostUserName ' Add:19/08/2003
		Dim bNeedScript ' Add:22/08/2003
		Dim sPostMessage ' Add:24/08/2003
		Dim bSectionModerated, sLevelName ' Add:02/09/2003
		Dim bForumHide ' Add:17/06/2004
		Dim sLastPostUserNick, sLastPostNick ' Add:27/11/2004
		bNeedScript = True

		rSQL = "SELECT ForumID, ForumName, ForumDescription, ForumHide FROM Forums"
		rSQL = rSQL & " ORDER BY ForumOrder ASC, ForumId" ' Add:22/08/2003
		Set oRs = DBRecordSet(oCnForum, rSQL)

		If Not oRs.EOF Then
			While Not oRs.EOF
				iForumID = oRs(0)
				sForumName = oRs(1)
				sForumDescription = oRs(2)
				bForumHide = oRs(3) ' Add:17/06/2004

'				If AuthorizationForum(sPseudo, myForum) or Not bForumHide Then 'Add:17/06/2004
'				If blnAuthorizationForum or Not bForumHide Then 'Rev:17/06/2004
				If AuthorizationForum(sPseudo, iForumID) Then 'Rev:26/06/2004
					' Console d'admin
					If isOwner <> "" and operatorMode <> "" Then
						CreateTopTable "ForumTitle", "<a href=""" & sURLPage & "?forum=" & iForumID & """>" & CodeMessage(sForumName, True) & "</a> | <a href=""EditForum.asp?forum=" & iForumID & """>" & GetTranslation("LANG_EDIT") & "</a>&nbsp;<a href=""javascript:delForum(" & iForumID & ")"">" & GetTranslation("LANG_DELETE") & "</a>"
					Else
						CreateTopTable "ForumTitle", "<a href=""" & sURLPage & "?forum=" & iForumID & """>" & CodeMessage(sForumName, True) & "</a>"
					End If
					If isOwner <> "" and operatorMode <> "" Then ' Mov:22/08/2003
						If bNeedScript Then ' Add:22/08/2003
							bNeedScript = False
							Response.Write "<script language=""javascript"" type=""text/javascript"">" & vbCRLF
							Response.Write "  function delForum(forumID)" & vbCRLF
							Response.Write "  {" & vbCRLF
							Response.Write "    if (confirm('" & JSEncrypt(GetTranslation("LANG_CONFIRM")) & "'))" & vbCRLF
							Response.Write "    {" & vbCRLF
							Response.Write "      document.suppressionforum.ForumID.value = forumID;" & vbCRLF
							Response.Write "      document.suppressionforum.submit();" & vbCRLF
							Response.Write "    }" & vbCRLF
							Response.Write "  }" & vbCRLF
							Response.Write "</script>" & vbCRLF
							Response.Write "<form name=""suppressionforum"" method=""post"" action=""" & sURLPage & "?" & myForumPath & """>" & vbCRLF
							Response.Write "<input name=""myAction"" type=""hidden"" value=""delforum"">" & vbCRLF
							Response.Write "<input name=""ForumID"" type=""hidden"" value="""">" & vbCRLF
							Response.Write "</form>" & vbCRLF
						End If
					End If

					If sForumDescription <> "" Then Response.Write "<span class=""small"">" & CodeMessage(sForumDescription, True) & "<br><br></span>" & vbCRLF
					Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
					Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
					Response.Write "    <td width=""25"">&nbsp;</td>" & vbCRLF
					Response.Write "    <td>" & GetTranslation("LANG_TITLE") & "</td>" & vbCRLF
					Response.Write "    <td width=""65"" align=""center"">" & GetTranslation("LANG_SUBJECTS") & "</td>" & vbCRLF
					Response.Write "    <td width=""65"" align=""center"">" & GetTranslation("LANG_MESSAGES") & "</td>" & vbCRLF
					Response.Write "    <td width=""140"" align=""center"">" & GetTranslation("LANG_LAST_MESSAGE") & "</td>" & vbCRLF
					Response.Write "  </tr>" & vbCRLF

					rSQL = "SELECT SectionID, SectionName, SectionDescription, SectionModerated, SectionLevel, ForumName FROM Sections, Forums WHERE SectionForum=ForumID AND SectionForum=" & iForumID
					rSQL = rSQL & " ORDER BY SectionOrder ASC, SectionID" ' Rev:22/08/2003
					Set oRs2 = DBRecordSet(oCnForum, rSQL)

					iLine = 1
					While Not oRs2.EOF
						iSectionID = oRs2("SectionID")
						sSectionName = oRs2("SectionName")
						sSectionDescription = oRs2("SectionDescription")
						bSectionModerated = oRs2("SectionModerated").Value
						sLevelName = oRs2("SectionLevel")

						rSQLTemp = "SELECT " & SQLtop(1) & " PostId, PostParent, PostDate, PostUser, 'PostMessage', PostNick FROM Posts WHERE PostSection=" & iSectionID ' Rev:11/08/2003
						If isModerator = "" and isAdministrator = "" and isOwner = "" Then rSQLTemp = rSQLTemp & " AND PostValid=" & DB_TRUE
						rSQLTemp = rSQLTemp & " ORDER BY PostDate DESC, PostId" ' Rev:22/08/2003"

						sLastPostUser = ""
						sLastPostDate = ""

						Set oRsTemp = DBRecordSet(oCnForum, rSQLTemp)
						If Not oRsTemp.EOF Then
							sLastPostUser = oRsTemp("PostUser")
							If sLastPostUser = "" Then
								sLastPostUserName = GetTranslation("LANG_GUEST") ' Add:22/02/2004
								sLastPostNick = oRsTemp("PostNick")
								If sLastPostNick <> "" And sLastPostNick <> sLastPostUserName Then
									sLastPostUserName = sLastPostNick & " - " & sLastPostUserName
								End If
							Else
								sLastPostUserName = GetUserName(sLastPostUser) ' Add:19/08/2003
							End If
							sLastPostDate = oRsTemp("PostDate")
							iLastPostId = oRsTemp("PostId") ' Add:11/08/2003
							iLastPostParent = oRsTemp("PostParent") ' Add:11/08/2003
							If ShowingLastMessage Then ' Add:24/08/2003
								If AuthorizationSection(sPseudo, iSectionID) Then ' Add:13/09/2003
									sPostMessage = dLookupF("PostMessage","Posts","PostId="&oRsTemp("PostID"))
									sPostMessage = Trim(HTML2flat(sPostMessage))
									sPostMessage = Left(sPostMessage, 1024) ' Add:28/08/2003
									sPostMessage = CodeMessageEx(sPostMessage, DISPLAYPOSTLENGTH, False, False) ' Add:24/08/2003
								Else
									sPostMessage = ""
								End If
							End If
							If sLastPostDate < sLastVisit Then
								sVisit = "old"
							Else
								sVisit = "new"
							End If
						Else
							sVisit = "old" ' Empty!
							iLastPostId = 0
						End If

						rSQLTemp = "SELECT Count(*) FROM Posts WHERE PostParent=PostID AND PostSection=" & iSectionID
						If isModerator = "" and isAdministrator = "" and isOwner = "" Then rSQLTemp = rSQLTemp & " AND PostValid=" & DB_TRUE
						Set oRsTemp = DBRecordSet(oCnForum, rSQLTemp)
						iNbSubjects = oRsTemp(0)

						rSQLTemp = "SELECT Count(*) FROM Posts WHERE PostParent<>PostID AND PostSection=" & iSectionID
						If isModerator = "" and isAdministrator = "" and isOwner = "" Then rSQLTemp = rSQLTemp & " AND PostValid=" & DB_TRUE
						Set oRsTemp = DBRecordSet(oCnForum, rSQLTemp)
						iNbPosts = oRsTemp(0)

						If Not AuthorizationSection(sPseudo, iSectionID) Then
							If Not ShowingPrivateIcon Then
								sSectionDescription = sSectionDescription & vbCRLF & "* " & GetTranslation("LANG_SECTION") & " : "
								If bSectionModerated Then sSectionDescription = sSectionDescription & "- " & GetTranslation("LANG_MODERATED") & " "
								sSectionDescription = " " & sSectionDescription  & " *" & GetTranslation("LANG_F_ONLY_LEVEL") & "  " & sLevelName
							Else
								sVisit = "private" & sVisit
							End If
						End If

						Response.Write "  <tr class=""tableline" & iLine & """>" & vbCRLF
						Response.Write "    <td align=""center""><img src=""" & ImagesPath & sVisit & ".gif"" border=""0""></td>" & vbCRLF
						Response.Write "    <td>&nbsp;<a href=""" & sURLPage & "?forum=" & iForumID & "&section=" & iSectionID & """>" & CodeMessage(sSectionName, True) & "</a>"
						If sSectionDescription <> "" Then Response.Write "<br>&nbsp;<span class=""small"">" & CodeMessage(sSectionDescription, True) & "</span>"
						Response.Write "</td>" & vbCRLF
						Response.Write "    <td align=""center"">" & iNbSubjects & "</td>" & vbCRLF
						Response.Write "    <td align=""center"">" & iNbPosts & "</td>" & vbCRLF
						Response.Write "    <td align=""center"">"
						If iLastPostId <> 0 Then
							If sLastPostUser <> "" Then	' Rew:11/08/2003
								Response.Write "<a href=""" & GLOBAL_SITE_PATH & GLOBAL_SITE_PROFILE_PAGE & "?id=" & sLastPostUser & """>" & sLastPostUserName & "</a>"
							Else
								Response.Write sLastPostUserName
							End If
							Response.Write "&nbsp;<a href=""" & sURLPage & "?forum=" & iForumID & "&section=" & iSectionID & "&post=" & iLastPostParent & "&page=last#" & iLastPostId & """>"
							Response.Write "<img src='" & ImagesPath & "right_arrow.gif' border=0" ' Rev:14/08/2003
							If ShowingLastMessage Then ' Add:24/08/2003
								Response.Write " alt='" & sPostMessage & "'"
							End If
							Response.Write "></a>" & vbCRLF & "<br><span class=""small"">" & GetDateDDMMYYHHMMSS(GMT2Local(StringToDate(sLastPostDate))) & "</span>" & vbCRLF ' Rev:21/08/2003
						Else
							Response.Write "-"
						End If
						Response.Write "</td>" & vbCRLF
						Response.Write "  </tr>" & vbCRLF

						iLine = ((iLine - 1) Xor 1) + 1
						oRs2.MoveNext
					WEnd

					Response.Write "</table>" & vbCRLF
					CreateBottomTable ""

				End If

				oRs.MoveNext
			WEnd
		End If

		If isOwner <> "" and operatorMode <> "" Then
			CreateTopTable "NouveauForum", GetTranslation("LANG_ADD") & " - " & GetTranslation("LANG_FORUM")
			Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
			Response.Write "<form name=""addnewforum"" method=""post"" action=""" & sURLPage & "?" & myForumPath & """>" & vbCRLF
			Response.Write "<input name=""myAction"" type=""hidden"" value=""addforum"">" & vbCRLF
			Response.Write "  <tr class=""tableline1"">" & vbCRLF
			Response.Write "    <td width=""100"">" & GetTranslation("LANG_NAME") & "</td>" & vbCRLF
			Response.Write "    <td><input name=""ForumName"" type=""text"" class=""cell"" maxlength=""50"" value=""""></td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF
			Response.Write "  <tr class=""tableline2"">" & vbCRLF
			Response.Write "    <td>" & GetTranslation("LANG_DESCRIPTION") & "</td>" & vbCRLF
			Response.Write "    <td><input name=""ForumDescription"" type=""text"" class=""cell"" size=""50"" maxlength=""200"" value=""""></td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF
			Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
			Response.Write "    <td colspan=""2""><input name=""creer"" type=""button"" class=""button"" value=""" & GetTranslation("LANG_ADD") & """ OnClick=""javascript:document.addnewforum.submit();""></td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF
			Response.Write "</form>" & vbCRLF
			Response.Write "</table>" & vbCRLF
			CreateBottomTable ""
		End If

		DisplayLeyend ' Add:18/08/2003

		Set oRs = Nothing
		Set oRs2 = Nothing
		Set oRsTemp = Nothing
	End Sub

	' Display Forum's Sections
	' IN : myForum
	'    : mySection
	' OUT: -
	' 11/08/2003 Add: Added Link to Last Post on "LastMessage" column
	' 18/08/2003 Add: Call to unified DisplayLeyend sub
	' 19/08/2003 Add: Added Show full Username instead of login Name (optional by SysParm)
	' 21/08/2003 Add: Added {Paste To Section} command on Console Mode
	' 22:08/2003 Add: Display Sections ordered by SectionOrder Field
	' 24/08/2003 Add: ShowingLastMessage feature
	' 29/01/2004 Add: Subscription Menu
	' 27/11/2004 Add: PostNick feature
	Sub DisplaySections(myForum, myPage)
		Dim oRs, oRsTemp, rSQL, rSQLTemp, iLine
		Dim iSectionID, sSectionName, sSectionDescription, bSectionModerated, sLevelName, sForumName
		Dim sModerator, sVisit, iNbPosts, iNbSubjects, sModerators, sLastPostUser, sLastPostDate
		Dim TheText
		Dim iLastPostId, iLastPostParent ' Add:11/08/2003
		Dim sLastPostUserName ' Add:19/08/2003
		Dim sPostMessage ' Add:24/08/2003
		Dim sLastPostNick ' Add:27/11/2004

		rSQL = "SELECT SectionID, SectionName, SectionDescription, SectionModerated, SectionLevel, ForumName FROM Sections, Forums WHERE SectionForum=ForumID AND SectionForum=" & myForum
		rSQL = rSQL & " ORDER BY SectionOrder ASC, SectionID" ' Rev:22/08/2003
		Set oRs = DBRecordSet(oCnForum, rSQL)
		
		If ForumSubscriptionSystem Then ' Add:29/01/2004
		  DisplaySubscription csForum, myForum 
		End If

		If Not oRs.EOF Then
			CreateTopTable "SectionsTitle", GetTranslation("LANG_SECTIONS")

			Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF

			If (isOwner <> "" or isAdministrator <> "") and operatorMode <> "" Then
				Response.Write "<script language=""javascript"" type=""text/javascript"">" & vbCRLF
				Response.Write "  function delSection(sectionID)" & vbCRLF
				Response.Write "  {" & vbCRLF
				Response.Write "    if (confirm('" & JSEncrypt(GetTranslation("LANG_CONFIRM")) & "'))" & vbCRLF
				Response.Write "    {" & vbCRLF
				Response.Write "      document.suppressionsection.sectionID.value = sectionID;" & vbCRLF
				Response.Write "      document.suppressionsection.submit();" & vbCRLF
				Response.Write "    }" & vbCRLF
				Response.Write "  }" & vbCRLF
				Response.Write "  function pasteSection(sectionID)" & vbCRLF ' Add:21/08/2003
				Response.Write "  {" & vbCRLF
				Response.Write "    if (confirm('" & JSEncrypt(GetTranslation("LANG_CONFIRM")) & "'))" & vbCRLF
				Response.Write "    {" & vbCRLF
				Response.Write "      document.suppressionsection.myAction.value = 'pastesection';" & vbCRLF
				Response.Write "      document.suppressionsection.sectionID.value = sectionID;" & vbCRLF
				Response.Write "      document.suppressionsection.submit();" & vbCRLF
				Response.Write "    }" & vbCRLF
				Response.Write "  }" & vbCRLF
				Response.Write "</script>" & vbCRLF
				Response.Write "<form name=""suppressionsection"" method=""post"" action=""" & sURLPage & "?" & myForumPath & """>" & vbCRLF
				Response.Write "<input name=""myAction"" type=""hidden"" value=""delsection"">" & vbCRLF
				Response.Write "<input name=""sectionID"" type=""hidden"" value="""">" & vbCRLF
				Response.Write "</form>" & vbCRLF
			End If

			Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
			Response.Write "    <td width=""25"">&nbsp;</td>" & vbCRLF
			Response.Write "    <td>" & GetTranslation("LANG_TITLE") & "</td>" & vbCRLF
			Response.Write "    <td width=""65"" align=""center"">" & GetTranslation("LANG_SUBJECTS") & "</td>" & vbCRLF
			Response.Write "    <td width=""65"" align=""center"">" & GetTranslation("LANG_MESSAGES") & "</td>" & vbCRLF
			Response.Write "    <td width=""80"" align=""center"">" & GetTranslation("LANG_MODERATORS") & "</td>" & vbCRLF
			Response.Write "    <td width=""140"" align=""center"">" & GetTranslation("LANG_LAST_MESSAGE") & "</td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF

			iLine = 1
			While Not oRs.EOF
				iSectionID = oRs(0)
				sSectionName = oRs(1)
				sSectionDescription = oRs(2)
				bSectionModerated = oRs(3).Value
				sLevelName = oRs(4)
				sForumName = oRs(5)
				sLastPostUser = ""
				sLastPostDate = ""
				sVisit = ""
				sLastPostNick = "" ' Add:27/11/2004

				' Recuperation de la date du dernier post de cette section
				rSQLTemp = "SELECT " & SQLtop(1) & " PostId, PostParent, PostDate, PostUser, PostNick FROM Posts WHERE PostSection=" & iSectionID ' Rev:11/08/2003
				If isModerator = "" and isAdministrator = "" and isOwner = "" Then rSQLTemp = rSQLTemp & " AND PostValid=" & DB_TRUE
				rSQLTemp = rSQLTemp & " ORDER BY PostDate DESC, PostID" ' Rev:22/08/2003
				Set oRsTemp = DBRecordSet(oCnForum, rSQLTemp)
				If Not oRsTemp.EOF Then
					sLastPostUser = oRsTemp("PostUser")
					If sLastPostUser = "" Then
						sLastPostUserName = GetTranslation("LANG_GUEST")
						sLastPostNick = oRsTemp("PostNick")
						If sLastPostNick <> "" and sLastPostNick <> sLastPostUserName Then
							sLastPostUserName = sLastPostNick & " - " & sLastPostUserName
						End If
					Else
						sLastPostUserName = GetUserName(sLastPostUser) ' Add:19/08/2003
					End If
					sLastPostDate = oRsTemp("PostDate")
					iLastPostId = oRsTemp("PostId") ' Add:11/08/2003
					iLastPostParent = oRsTemp("PostParent") ' Add:11/08/2003
					If ShowingLastMessage Then ' Add:24/08/2003
						If AuthorizationSection(sPseudo, iSectionID) Then ' Add:13/09/2003
							sPostMessage = dLookupF("PostMessage","Posts","PostId="&oRsTemp("PostId")) ' Add:09/04/2005 RT
							sPostMessage = Trim(HTML2flat(sPostMessage))
							sPostMessage = Left(sPostMessage, 1024)
							sPostMessage = CodeMessageEx(sPostMessage, DISPLAYPOSTLENGTH, False, False) ' Add:24/08/2003
						Else
							sPostMessage = ""
						End If
					End If
					If sLastPostDate < sLastVisit Then
						sVisit = "old"
					Else
						sVisit = "new"
					End If
				Else
					sVisit = "new"
					iLastPostId = 0
				End If

				rSQLTemp = "SELECT Count(*) FROM Posts WHERE PostParent=PostID AND PostSection=" & iSectionID
				If isModerator = "" and isAdministrator = "" and isOwner = "" Then rSQLTemp = rSQLTemp & " AND PostValid=" & DB_TRUE
				Set oRsTemp = DBRecordSet(oCnForum, rSQLTemp)
				iNbSubjects = oRsTemp(0)

				rSQLTemp = "SELECT Count(*) FROM Posts WHERE PostParent<>PostID AND PostSection=" & iSectionID
				If isModerator = "" and isAdministrator = "" and isOwner = "" Then rSQLTemp = rSQLTemp & " AND PostValid=" & DB_TRUE
				Set oRsTemp = DBRecordSet(oCnForum, rSQLTemp)
				iNbPosts = oRsTemp(0)

				sModerators = "-"
				rSQLTemp = "SELECT ModeratorID FROM Moderators WHERE ModeratorSection=" & iSectionID
				Set oRsTemp = DBRecordSet(oCnForum, rSQLTemp)
				If Not oRsTemp.EOF Then
					sModerators = ""
					While Not oRsTemp.EOF
						sModerators = sModerators & ", " & oRsTemp(0)
						oRsTemp.MoveNext
					WEnd
					sModerators = Mid(sModerators, 3)
				End If

				If Not AuthorizationSection(sPseudo, iSectionID) Then
					If Not ShowingPrivateIcon Then
						sSectionDescription = sSectionDescription & vbCRLF & "* " & GetTranslation("LANG_SECTION") & " : "
						If bSectionModerated Then sSectionDescription = sSectionDescription & "- " & GetTranslation("LANG_MODERATED") & " "
						sSectionDescription = " " & sSectionDescription  & " *" & GetTranslation("LANG_F_ONLY_LEVEL") & "  " & sLevelName
					Else
						sVisit = "private" & sVisit
					End If
				End If

				Response.Write "  <tr class=""tableline" & iLine & """>" & vbCRLF
				Response.Write "    <td align=""center""><img src=""" & ImagesPath & sVisit & ".gif"" border=""0""></td>" & vbCRLF
				Response.Write "    <td>&nbsp;<a href=""" & sURLPage & "?" & myForumPath & "&section=" & iSectionID & """>" & CodeMessage(sSectionName, True) & "</a>"
				If sSectionDescription <> "" Then Response.Write "<br>&nbsp;<span class=""small"">" & CodeMessage(sSectionDescription, True) & "</span>"

				If (isOwner <> "" or isAdministrator <> "") and operatorMode <> "" Then
					Response.Write "  <div class=""small"" align=""right"">" & vbCRLF
					Response.Write "<a href=""EditSection.asp?" & myForumPath & "&section=" & iSectionID & """>" & GetTranslation("LANG_EDIT") & "</a>&nbsp;"
					If Session("CopyStatus") = "copy" Then ' Add:21/08/2003
						Response.Write "<a href=""javascript:pasteSection(" & iSectionID & ")"">" & GetTranslation("LANG_PASTE") & "</a>&nbsp;" ' Add:21/08/2003
					End If
					Response.Write "<a href=""javascript:delSection(" & iSectionID & ")"">" & GetTranslation("LANG_DELETE") & "</a>&nbsp;"
					Response.Write "</div>" & vbCRLF
				End If

				Response.Write "</td>" & vbCRLF
				Response.Write "    <td align=""center"">" & iNbSubjects & "</td>" & vbCRLF
				Response.Write "    <td align=""center"">" & iNbPosts & "</td>" & vbCRLF
				Response.Write "    <td align=""center"">" & sModerators & "</td>" & vbCRLF
				Response.Write "    <td align=""center"">" 
				If iLastPostId <> 0 Then
					If sLastPostUser <> "" Then ' Add:27/11/2004
						Response.Write "<a href=""" & GLOBAL_SITE_PATH & GLOBAL_SITE_PROFILE_PAGE & "?id=" & sLastPostUser & """>" & sLastPostUserName & "</a>"
					Else
						Response.Write sLastPostUserName
					End If
					Response.Write "&nbsp;<a href=""" & sURLPage & "?" & myForumPath  & "&section=" & iSectionID & "&post=" & iLastPostParent & "&page=last#" & iLastPostId & """>"
					Response.Write "<img src='" & ImagesPath & "right_arrow.gif' border=0" ' Rev:14/08/2003
					If ShowingLastMessage Then ' Add:24/08/2003
						Response.Write " alt='" & sPostMessage & "'"
					End If
					Response.Write "></a><br><span class=""small"">" & GetDateDDMMYYHHMMSS(GMT2Local(StringToDate(sLastPostDate))) & "</span></td>" & vbCRLF
				Else
					Response.Write "-"
				End If
				Response.Write "</td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF
				oRs.MoveNext

				iLine = ((iLine - 1) Xor 1) + 1
			WEnd

			Response.Write "</table>" & vbCRLF
			CreateBottomTable ""
		End If

		If operatorMode <> "" and (isOwner <> "" or isAdministrator <> "") Then
			CreateTopTable "Administration", GetTranslation("LANG_ADD") & " - " & GetTranslation("LANG_SECTION")
			Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
			Response.Write "<form name=""newsection"" method=""post"" action=""" & sURLPage & "?" & myForumPath & """>" & vbCRLF
			Response.Write "<input name=""myAction"" type=""hidden"" value=""addsection"">" & vbCRLF
			Response.Write "<input name=""forumSection"" type=""hidden"" value=""" & myForum & """>" & vbCRLF
			Response.Write "  <tr class=""tableline1"">" & vbCRLF
			Response.Write "    <td width=""100"">" & GetTranslation("LANG_NAME") & "</td>" & vbCRLF
			Response.Write "    <td><input name=""nomSection"" type=""text"" class=""cell"" maxlength=""50"" value=""""></td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF
			Response.Write "  <tr class=""tableline2"">" & vbCRLF
			Response.Write "    <td>" & GetTranslation("LANG_DESCRIPTION") & "</td>" & vbCRLF
			Response.Write "    <td><input name=""descriptionSection"" type=""text"" class=""cell"" size=""50"" maxlength=""200"" value=""""></td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF
			Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
			Response.Write "    <td colspan=""2""><input name=""creer"" type=""button"" class=""button"" value=""" & GetTranslation("LANG_ADD") & """ OnClick=""javascript:document.newsection.submit();""></td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF
			Response.Write "</form>" & vbCRLF
			Response.Write "</table>" & vbCRLF
			CreateBottomTable ""

			CreateTopTable "AddAdministrator", GetTranslation("LANG_ADMINISTRATION") & " - " & GetTranslation("LANG_ADMINISTRATORS")
			Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
			Response.Write "<form name=""NewAdministrator"" method=""post"" action=""" & sURLPage & "?" & myForumPath & """>" & vbCRLf
			Response.Write "<input type=""hidden"" name=""myAction"" value=""addadministrator"">" & vbCRLF
			Response.Write "  <tr class=""tableline1"">" & vbCRLF
			Response.Write "    <td>" & vbCRLF
			Response.Write "      <input name=""sAdministrator"" size=""20"" maxlength=""50"" class=""cell"">" & vbCRLF
			Response.Write "      <input type=""submit"" name=""submit"" value=""" & GetTranslation("LANG_ADD") & """ class=""button"">" & vbCRLF
			Response.Write "    </td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF
			Response.Write "</form>" & vbCRLF

			rSQL = "SELECT AdministratorID FROM Administrators WHERE AdministratorForum=" & myForum
			Set oRs = DBRecordSet(oCnForum, rSQL)
			If Not oRs.EOF Then
				Response.Write "<form name=""DelAdministrator"" method=""post"" action=""" & sURLPage & "?" & myForumPath & """>" & vbCRLf
				Response.Write "<input type=""hidden"" name=""myAction"" value=""deladministrator"">" & vbCRLF
				Response.Write "  <tr class=""tableline2"">" & vbCRLF
				Response.Write "    <td>" & vbCRLF
				Response.Write "      <select name=""sAdministrator"" class=""cell"">" & vbCRLF
				While Not oRs.EOF
					Response.Write "      <option value=""" & oRs(0) & """>" & oRs(0) & "</option>" & vbCRLF
					oRs.MoveNext
				WEnd
				Response.Write "        </select>" & vbCRLF
				Response.Write "      <input type=""submit"" name=""submit"" value=""" & GetTranslation("LANG_DELETE") & """ class=""button"">" & vbCRLF
				Response.Write "    </td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF
				Response.Write "</form>" & vbCRLF
			End If

			Response.Write "</table>" & vbCRLF
			CreateBottomTable ""
		End If

		DisplayLeyend ' Add:18/08/2003

		Set oRs = Nothing
	End Sub

	' Display myPage page of Post's of the mySection Forum Section
	' IN : myForum
	'    : mySection
	'    : myPage
	'    : sSortedField (string) : field sorted
	'    : bAscSort (boolean) : if true = ASC sort, else DESC
	' OUT: -
	' Revisions
	' 11/08/2003 Add: Added link to Last Post
	' 18/08/2003 Add: "Closed Topic" command
	' 18/08/2003 Add: Display an image for Sticked Posts
	' 19/08/2003 Add: Display full Username or PostUser
	' 22/08/2003 Add: Display an image for Poll Posts
	' 24/08/2003 Add: ShowingLastMessage feature
	' 30/08/2003 Add: Topic Sorting
	' 29/01/2004 Add: Subscryption Menu
	' 22/02/2004 Add: Anonymous Post
	' 17/06/2004 Add: ForumAllowPostGuest feature
	' 27/11/2004 Add: PostNick
	Sub DisplayPosts(myForum, mySection, myPage, sSortedField, bAscSort)
		Dim oRs, oRsTemp, rSQL, rSQLTemp, iLine
		Dim iPostID, sPostTitle, sPostDate, iPostHits, sPostUser, iPostParent, bPostValid, bPostSticked, sFeelingPath, sLastPostDate, sLastPostUser
		Dim sModerators, iNbPosts, sVisit, sHot, iNbTotalPosts, iNbPages, X
		Dim iLastPostId, iLastPostParent ' Add:11/08/2003
		Dim bPostClosed, sPostStatus ' Add:18/08/2003
		Dim sPostUserName, sLastPostUserName ' Add:19/08/2003		
		Dim iPostPollId ' Add:22/08/2003
		Dim sPostMessage ' Add:24/08/2003
		Dim sSortDesc, iPostReplies ' Add:30/08/2003
		Dim sPostNick, sLastPostNick ' Add:27/11/2004

		If myPage = "" or myPage = 0 Then
			myPage = 1
		Else
			myPage = CInt(myPage)
		End If

		Select Case LCase(sSortedField)
			Case "posttitle" :
				sSortedField = sSortedField
				sSortDesc = GetTranslation("LANG_SUBJECT")
			Case "postuser" :
				sSortedField = sSortedField
				sSortDesc = GetTranslation("LANG_AUTHOR")
			Case "postreplies" :
				sSortedField = sSortedField
				sSortDesc = GetTranslation("LANG_MESSAGES")
			Case "posthits" :
				sSortedField = sSortedField
				sSortDesc = GetTranslation("LANG_READS")
			Case "postlastdate" :
				sSortedField = sSortedField
				sSortDesc = GetTranslation("LANG_LAST_MESSAGE")
			Case Else :
				' default value
				sSortedField = "postlastdate"
				bAscSort = False
				sSortDesc = GetTranslation("LANG_LAST_MESSAGE")
		End Select

		rSQL = "SELECT SectionId FROM Sections WHERE SectionId=" & mySection
		Set oRs = DBRecordSet(oCnForum, rSQL)
		If oRs.EOF Then 
			Set oRs = Nothing
			Exit Sub
		End If

		rSQL = "SELECT Count(*) FROM Posts WHERE PostID=PostParent AND PostSection=" & mySection
		If isModerator = "" and isAdministrator = "" and isOwner = "" Then rSQL = rSQL & " AND PostValid=" & DB_TRUE
		Set oRs = DBRecordSet(oCnForum, rSQL)
		iNbTotalPosts = oRs(0)

		rSQL = "SELECT " & SQLtop(myPage*FORUM_MAX_POSTS) & " PostID, PostPollId FROM Posts WHERE PostID=PostParent AND PostSection=" & mySection
		If isModerator = "" and isAdministrator = "" and isOwner = "" Then rSQL = rSQL & " AND PostValid=" & DB_TRUE
		rSQL = rSQL & " ORDER BY PostSticked" ' , PostLastDate DESC"

		rSQL = rSQL & ", " & sSortedField 
		If Not bAscSort Then 
			rSQL = rSQL & " DESC"
			sSortDesc = sSortDesc & " (DESC)"
		Else
			sSortDesc = sSortDesc & " (ASC)"
		End If

		Set oRs = DBRecordSet(oCnForum, rSQL)
		oRs.PageSize = FORUM_MAX_POSTS ' Mov:22/08/2003
		If oRs.RecordCount <> - 1 Then
			oRs.AbsolutePage = myPage
		Else
			For X = 1 To (myPage-1)*FORUM_MAX_POSTS
				oRs.MoveNext
			Next
		End If

' Add:30/01/2004 Subscription Menu
		If ForumSubscriptionSystem Then ' Add:30/01/2004
			Response.Write "<table width=""100%"" cellspacing=""0"" cellpadding=""2"" ><tr>" & vbCRLF
			Response.Write "<td>"
			DisplaySubscription csSection, mySection ' Rev:30/01/2004
			Response.Write "</td>" & vbCRLF & "<td>"
		End If

' Add:16/08/2003 Enhanced Top Button Bar
		DisplayTopicButtonBar btnNewTopic & "," & btnNewPoll ' REW:18/09/2003

		If ForumSubscriptionSystem Then ' Add:30/01/2004
			Response.Write "</td>" & vbCRLF & "</tr></table>" & vbCRLF
		End If

		CreateTopTable "PostsTitle", GetTranslation("LANG_SUBJECTS")
		Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
		If (isOwner <> "" or isAdministrator <> "" or isModerator <> "") and operatorMode <> "" Then
			Response.Write "<script language=""javascript"" type=""text/javascript"">" & vbCRLF
			Response.Write "  function delPost(postID)" & vbCRLF
			Response.Write "  {" & vbCRLF
			Response.Write "    if (confirm('" & JSEncrypt(GetTranslation("LANG_CONFIRM")) & "'))" & vbCRLF
			Response.Write "    {" & vbCRLF
			Response.Write "      document.suppressionpost.myAction.value = 'delpost';" & vbCRLF
			Response.Write "      document.suppressionpost.PostID.value = postID;" & vbCRLF
			Response.Write "      document.suppressionpost.submit();" & vbCRLF
			Response.Write "    }" & vbCRLF
			Response.Write "  }" & vbCRLF
			Response.Write "  function validatePost(postID)" & vbCRLF
			Response.Write "  {" & vbCRLF
			Response.Write "    if (confirm('" & JSEncrypt(GetTranslation("LANG_CONFIRM")) & "'))" & vbCRLF
			Response.Write "    {" & vbCRLF
			Response.Write "      document.suppressionpost.myAction.value = 'validatepost';" & vbCRLF
			Response.Write "      document.suppressionpost.PostID.value = postID;" & vbCRLF
			Response.Write "      document.suppressionpost.submit();" & vbCRLF
			Response.Write "    }" & vbCRLF
			Response.Write "  }" & vbCRLF
			Response.Write "  function unvalidatePost(postID)" & vbCRLF
			Response.Write "  {" & vbCRLF
			Response.Write "    if (confirm('" & JSEncrypt(GetTranslation("LANG_CONFIRM")) & "'))" & vbCRLF
			Response.Write "    {" & vbCRLF
			Response.Write "      document.suppressionpost.myAction.value = 'unvalidatepost';" & vbCRLF
			Response.Write "      document.suppressionpost.PostID.value = postID;" & vbCRLF
			Response.Write "      document.suppressionpost.submit();" & vbCRLF
			Response.Write "    }" & vbCRLF
			Response.Write "  }" & vbCRLF
			Response.Write "  function closePost(postID)" & vbCRLF ' Add:18/08/2003
			Response.Write "  {" & vbCRLF
			Response.Write "    if (confirm('" & JSEncrypt(GetTranslation("LANG_CONFIRM")) & "'))" & vbCRLF
			Response.Write "    {" & vbCRLF
			Response.Write "      document.suppressionpost.myAction.value = 'closepost';" & vbCRLF
			Response.Write "      document.suppressionpost.PostID.value = postID;" & vbCRLF
			Response.Write "      document.suppressionpost.submit();" & vbCRLF
			Response.Write "    }" & vbCRLF
			Response.Write "  }" & vbCRLF
			Response.Write "  function openPost(postID)" & vbCRLF
			Response.Write "  {" & vbCRLF
			Response.Write "    if (confirm('" & JSEncrypt(GetTranslation("LANG_CONFIRM")) & "'))" & vbCRLF
			Response.Write "    {" & vbCRLF
			Response.Write "      document.suppressionpost.myAction.value = 'openpost';" & vbCRLF
			Response.Write "      document.suppressionpost.PostID.value = postID;" & vbCRLF
			Response.Write "      document.suppressionpost.submit();" & vbCRLF
			Response.Write "    }" & vbCRLF
			Response.Write "  }" & vbCRLF
			Response.Write "</script>" & vbCRLF
			Response.Write "<form name=""suppressionpost"" method=""post"" action=""" & sURLPage & "?" & myForumPath & """>" & vbCRLF
			Response.Write "<input name=""myAction"" type=""hidden"" value="""">" & vbCRLF
			Response.Write "<input name=""PostID"" type=""hidden"" value="""">" & vbCRLF
			Response.Write "</form>" & vbCRLF
		End If

		Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
		Response.Write "    <td width=""25"">&nbsp;</td>" & vbCRLF
		Response.Write "    <td width=""25"">&nbsp;</td>" & vbCRLF
		If ShowTopicSorting Then ' Add:30/08/2003
			Response.Write "    <td>"
			SortForumMenu GetTranslation("LANG_SUBJECT"), "PostTitle", sSortedField, bAscSort
			Response.Write "</td>" & vbCRLF
			Response.Write "    <td width=""120"" align=""center"">"
			SortForumMenu GetTranslation("LANG_AUTHOR"), "PostUser", sSortedField, bAscSort
			Response.Write "</td>" & vbCRLF
			Response.Write "    <td align=""center"">"
			SortForumMenu GetTranslation("LANG_MESSAGES"), "PostReplies", sSortedField, bAscSort
			Response.Write "</td>" & vbCRLF
			Response.Write "    <td align=""center"">"
			SortForumMenu GetTranslation("LANG_READS"), "PostHits", sSortedField, bAscSort
			Response.Write "</td>" & vbCRLF
			Response.Write "    <td>"
			SortForumMenu GetTranslation("LANG_LAST_MESSAGE"), "PostLastDate", sSortedField, bAscSort
			Response.Write "</td>" & vbCRLF
		Else
			Response.Write "    <td>" & GetTranslation("LANG_SUBJECT") & "</td>" & vbCRLF
			Response.Write "    <td width=""120"" align=""center"">" & GetTranslation("LANG_AUTHOR") & "</td>" & vbCRLF
			Response.Write "    <td width=""45"" align=""center"">" & GetTranslation("LANG_MESSAGES") & "</td>" & vbCRLF
			Response.Write "    <td width=""35"" align=""center"">" & GetTranslation("LANG_READS") & "</td>" & vbCRLF ' Rev:18/08/2003
			Response.Write "    <td width=""140"" align=""center"">" & GetTranslation("LANG_LAST_MESSAGE") & "</td>" & vbCRLF
		End If
		Response.Write "  </tr>" & vbCRLF

		If Not oRs.EOF Then
			iLine = 1
			While Not oRs.EOF
				iPostID = oRs(0)
				iPostPollId = oRs(1) ' Add:22/08/2003

				rSQLTemp =	"SELECT PostTitle, PostHits, PostUser, PostDate, PostValid, PostSticked, PostClosed, FeelingPath, PostReplies, PostNick" & _
							" FROM Posts, Feelings" & _
							" WHERE PostID=PostParent AND PostID=" & iPostID & " AND PostFeeling=FeelingID"
				Set oRsTemp = DBRecordSet(oCnForum, rSQLTemp)

				sPostTitle = oRsTemp("PostTitle")
				iPostHits = oRsTemp("PostHits")
				sPostUser = oRsTemp("PostUser")
				sPostDate = oRsTemp("PostDate")
				bPostValid = oRsTemp("PostValid").Value
				bPostSticked = oRsTemp("PostSticked").Value
				bPostClosed = oRsTemp("PostClosed").Value ' Add:18/08/2003
				sFeelingPath = oRsTemp("FeelingPath")
				iPostReplies = oRsTemp("PostReplies") ' Add:30/08/2003
				sPostNick = oRsTemp("PostNick") ' Add:27/11/2004

				rSQLTemp = "SELECT " & SQLtop(1) & " PostId, PostParent, PostUser, PostDate, PostNick FROM Posts WHERE PostParent=" & iPostID & " ORDER BY PostDate DESC, PostId" ' Rev:11/08/2003
				Set oRsTemp = DBRecordSet(oCnForum, rSQLTemp)

				sLastPostUser = oRsTemp("PostUser")
				If sLastPostUser = "" Then
					sLastPostUserName = GetTranslation("LANG_GUEST") ' add:22/02/2004
					sLastPostNick = oRsTemp("PostNick")
					If sLastPostNick <> "" and sLastPostNick <> sLastPostUserName Then
						sLastPostUserName = sLastPostNick & " - " & sLastPostUserName
					End If
				Else
					sLastPostUserName = GetUserName(oRsTemp("PostUser")) ' Add:19/08/2003
				End If
				sLastPostDate = oRsTemp("PostDate")
				iLastPostId = oRsTemp("PostId") ' Add:11/08/2003
				iLastPostParent = oRsTemp("PostParent") ' Add:11/08/2003
				If ShowingLastMessage Then ' Add:24/08/2003
'					If AuthorizationSection(sPseudo, mySection) Then ' Add:13/09/2003
					If blnAuthorizationSection Then ' Rev:17/06/2004
						sPostMessage = dLookupF("PostMessage","Posts","PostId="&oRsTemp("PostId"))
						sPostMessage = Trim(HTML2flat(sPostMessage))
						sPostMessage = Left(sPostMessage, 1024) ' Add:28/08/2003
						sPostMessage = CodeMessageEx(sPostMessage, DISPLAYPOSTLENGTH, False, False) ' Add:24/08/2003
					Else
						sPostMessage = ""
					End If
				End If

				sPostStatus = "" ' Add:18/08/2003
				sVisit = ""
				sHot = ""

				rSQLTemp = "SELECT Count(*) FROM Posts WHERE PostParent=" & iPostID
				Set oRsTemp = DBRecordSet(oCnForum, rSQLTemp)
				iNbPosts = oRsTemp(0)
				If iNbPosts > FORUM_IS_HOT Then sHot = "hot"

				If ShowTopicSorting Then ' Add:30/08/2003
					If (iNbPosts > 1) And (iNbPosts <> iPostReplies+1) Then
						rSQLTemp = "UPDATE Posts SET PostReplies=" & (iNbPosts-1) & " WHERE PostId=" & iPostID
						DBExecute oCnForum, rSQLTemp
					End If
				End If

				If sLastPostDate < sLastVisit Then
					sVisit = "old"
				Else
					sVisit = "new"
				End If
				If bPostSticked Then sVisit = "stick" & sVisit ' Add:18/08/2003
				If bPostClosed then
					sPostStatus = "closed"
				Else
					sPostStatus = sVisit & sHot
				End If

				Response.Write "  <tr class=""tableline" & iLine & """>" & vbCRLF
				Response.Write "    <td align=""center""><img src=""" & ImagesPath & sPostStatus & ".gif"" border=""0""></td>" & vbCRLF ' Rev:18/08/2003
				Response.Write "    <td align=""center""><img src=""" & FeelingsPath & sFeelingPath & """ border=""0""></td>" & vbCRLF
				Response.Write "    <td>&nbsp;"
				If iPostPollId <> 0 Then Response.Write "<img src=""" & ImagesPath & "polls.gif"" border=""0"">&nbsp;" ' Add:22/08/2003
				Response.Write "<a href=""" & sURLPage & "?" & myForumPath & "&post=" & iPostID & """>" & CodeMessage(sPostTitle, True) & "</a>"
				If iNbPosts > FORUM_MAX_THREADS Then
					Response.Write " <img src=""" & ImagesPath & "page.gif"" hspace=""2"" border=""0"">"
					iNbPages = iNbPosts\FORUM_MAX_THREADS
					If iNbPosts mod FORUM_MAX_THREADS <> 0 Then iNbPages = iNbPages + 1
					For X = 1 To iNbPages
						Response.Write " <a href=""" & sURLPage & "?" & myForumPath & "&post=" & iPostID & "&page=" & X & """>" & X & "</a>"
					Next
				End If

				If Not bPostValid Then Response.Write "      <div class=""small"" align=""right"">" & "<img src=""" & Imagespath & "NotValid.gif"" border=""0"">" & "</div>" & vbCRLF

				If (isOwner <> "" or isAdministrator <> "" or isModerator <> "") and operatorMode <> "" Then
					Response.Write "      <div class=""small"" align=""right"">"
					If bPostClosed Then ' Add:18/08/2003
						Response.Write "<a href=""javascript:openPost(" & iPostID & ")"">" & GetTranslation("LANG_OPEN") & "</a>&nbsp;"
					Else
						Response.Write "<a href=""javascript:closePost(" & iPostID & ")"">" & GetTranslation("LANG_CLOSE") & "</a>&nbsp;"
					End If
					If bPostValid Then
						Response.Write "<a href=""javascript:unvalidatePost(" & iPostID & ")"">" & GetTranslation("LANG_UNVALIDATE") & "</a>&nbsp;"
					Else
						Response.Write "<a href=""javascript:validatePost(" & iPostID & ")"">" & GetTranslation("LANG_VALIDATE") & "</a>&nbsp;"
					End If
					If isOwner <> "" or isAdministrator <> "" Then
						Response.Write "<a href=""javascript:delPost(" & iPostID & ")"">" & GetTranslation("LANG_DELETE") & "</a>&nbsp;"
					End If
				End If

				Response.Write "</td>" & vbCRLF
				If sPostUser <> "" Then ' Add:27/11/2004
					sPostUserName = GetUserName(sPostUser) ' Add:19/08/2003
					Response.Write "    <td align=""center""><a href=""" & GLOBAL_SITE_PATH & GLOBAL_SITE_PROFILE_PAGE & "?id=" & sPostUser & """>" & _
										sPostUserName & "</a>"
				Else
					sPostUserName = GetTranslation("LANG_GUEST")
					If sPostNick <> "" And sPostUserName <> sPostNick Then
						sPostUserName = sPostNick & " - " & sPostUserName
					End If
					Response.Write	"    <td align=""center"">" & sPostUserName
				End If
				Response.Write "<br><span class=""small"">" & _
									GetDateDDMMYYHHMMSS(GMT2Local( StringToDate(sPostDate))) & "</span></td>" & vbCRLF
				Response.Write "    <td align=""center"">" & (iNbPosts-1) & "</td>" & vbCRLF
				Response.Write "    <td align=""center"">" & iPostHits & "</td>" & vbCRLF
				' Rew:11/08/2003
				Response.Write "    <td align=""center"">"
				If sLastPostUser <> "" Then
					Response.Write "<a href=""" & GLOBAL_SITE_PATH & GLOBAL_SITE_PROFILE_PAGE & "?id=" & sLastPostUser & """>" & sLastPostUserName & "</a>"
				Else
					Response.Write sLastPostUserName
				End If
				Response.Write "&nbsp;<a href=""" & sURLPage & "?" & myForumPath & "&post=" & iLastPostParent & "&page=last#" & iLastPostId & """>"
				Response.Write "<img src='" & ImagesPath & "right_arrow.gif' border=0" ' Rev:14/08/2003
				If ShowingLastMessage Then ' Add:24/08/2003
					Response.Write " alt='" & sPostMessage & "'"
				End If
				Response.Write "></a><br><span class=""small"">" & GetDateDDMMYYHHMMSS(GMT2Local( StringToDate(sLastPostDate))) & "</span></td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF

				oRs.MoveNext
				iLine = ((iLine - 1) Xor 1) + 1
			WEnd

			iNbPages = iNbTotalPosts\FORUM_MAX_POSTS
			If iNbTotalPosts mod FORUM_MAX_POSTS Then iNbPages = iNbPages + 1
			If iNbPages > 1 Then
				Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
				Response.Write "    <td align=""center"" colspan=""7"">" & vbCRLF
				If myPage <> 1 Then Response.Write "      &nbsp;<a href=""" & sURLPage & "?forum=" & myForum & "&section=" & mySection & "&page=" & myPage-1 & """>&lt;&lt;</a>" & vbCRLF
				For X = 1 To iNbPages
					If X <> CInt(myPage) Then 
						Response.Write "      &nbsp;<a href=""" & sURLPage & "?forum=" & myForum & "&section=" & mySection & "&page=" & X & """>" & X & "</a>" & vbCRLF
					Else
						Response.Write "&nbsp;<b>" & X & "</b>" & vbCRLF
					End If
				Next
				If myPage <> iNbPages Then Response.Write "      &nbsp;<a href=""" & sURLPage & "?forum=" & myForum & "&section=" & mySection & "&page=" & myPage+1 & """>&gt;&gt;</a>" & vbCRLF
				Response.Write "    </td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF
			End If
		End If

'		If sPseudo <> "" and bIsValid Then
'			Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
'			Response.Write "    <td colspan=""7"">" & vbCRLF
'			Response.Write "      <input name=""nouveausujet"" type=""button"" class=""button"" value=""" & GetTranslation("LANG_NEW_SUBJECT") & """ OnClick=""javascript:document.location='Post.asp?forum=" & myForum & "&section=" & mySection & "';"">" & vbCRLF
'			Response.Write "    </td>" & vbCRLF
'			Response.Write "  </tr>" & vbCRLF
'		End If

		Response.Write "</table>" & vbCRLF
		CreateBottomTable ""

' Add:16/08/2003 Enhanced Top Button Bar
		DisplayTopicButtonBar btnNewTopic & "," & btnNewPoll ' Add:18/09/2003

		If (isAdministrator <> "" or isOwner <> "") and operatorMode <> "" Then
			CreateTopTable "AddModerator", GetTranslation("LANG_ADMINISTRATION") & " - " & GetTranslation("LANG_MODERATORS")
			Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
			Response.Write "<form name=""NewModerator"" method=""post"" action=""" & sURLPage & "?" & myForumPath & """>" & vbCRLf
			Response.Write "<input type=""hidden"" name=""myAction"" value=""addmoderator"">" & vbCRLF
			Response.Write "  <tr class=""tableline1"">" & vbCRLF
			Response.Write "    <td>" & vbCRLF
			Response.Write "      <input name=""sModerator"" size=""20"" maxlength=""50"" class=""cell"">" & vbCRLF
			Response.Write "      <input type=""submit"" name=""submit"" value=""" & GetTranslation("LANG_ADD") & """ class=""button"">" & vbCRLF
			Response.Write "    </td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF
			Response.Write "</form>" & vbCRLF

			rSQL = "SELECT ModeratorID FROM Moderators WHERE ModeratorSection=" & mySection
			Set oRs = DBRecordSet(oCnForum, rSQL)
			If Not oRs.EOF Then
				Response.Write "<form name=""DelModerator"" method=""post"" action=""" & sURLPage & "?" & myForumPath & """>" & vbCRLf
				Response.Write "<input type=""hidden"" name=""myAction"" value=""delmoderator"">" & vbCRLF
				Response.Write "  <tr class=""tableline2"">" & vbCRLF
				Response.Write "    <td>" & vbCRLF
				Response.Write "      <select name=""sModerator"" class=""cell"">" & vbCRLf
				While Not oRs.EOF
					Response.Write "      <option value=""" & oRs(0) & """>" & oRs(0) & "</option>" & vbCRLF
					oRs.MoveNext
				WEnd
				Response.Write "        </select>" & vbCRLF
				Response.Write "      <input type=""submit"" name=""submit"" value=""" & GetTranslation("LANG_DELETE") & """ class=""button"">" & vbCRLF
				Response.Write "    </td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF
				Response.Write "</form>" & vbCRLF
			End If

			Response.Write "</table>" & vbCRLF
			CreateBottomTable ""
		End If

		DisplayLeyend ' Add:18/08/2003

		Set oRs = Nothing
		Set oRsTemp = Nothing
	End Sub

	' 10/08/2003 Add: {Prev|Next} Post links
	' 10/08/2003 Add: Added Post Bottom Command Row with usefull commands
	' 18/08/2003 Add: Display an image for Closed Posts
	' 19/08/2003 Add: Display full username or postuser
	' 19/08/2003 Add: Display {Delete} command on Bottom Post Area
	' 20/08/2003 Add: Display Poll associated with the Post
	' 21/08/2003 Add: Display {Copy|Paste} Posts Commands on Post Admin Areaa
	' 30/08/2003 Add: Display EMailNotify Icon
	' 11/09/2003 Add: Show online status of UserPost
	' 17/06/2004 Add: ForumAllowPostGuest feature
	Sub DisplayThreads(myForum, mySection, myPost, myPage)
		Dim oRs, oRsTemp, rSQL, rSQLTemp, iLine, iNbTotalThreads, iNbPages, X
		Dim iPostID, sPostUser, sPostTitle, sPostDate, sPostMessage, bPostValid, bPostSmileys, bPostSignature
		Dim sFeelingPath, iUserPosts, iUserAvatar, sUserIP, sSignature, sEditDate
		Dim bPostClosed ' Add:18/08/2003
		Dim sPostUserName ' Add:19/08/2003
		Dim bNeedScript ' Add:19/08/2003
		Dim iPostPollId ' Add:20/08/2003
		Dim bEMailNotify ' Add:30/08/2003
		Dim sPostNick ' Add:27/11/2004

		bNeedScript = True ' Add:19/08/2003

		rSQL = "UPDATE Posts SET PostHits=PostHits+1 WHERE PostParent=PostID AND PostID=" & myPost
		DBExecute oCnForum, rSQL

		If myPage = "" or myPage = 0 Then 
			myPage = 1
		Else
			myPage = CInt(myPage)
		End If

' Add:18/08/2003 Get Post Status 
' Add:20/08/2003 Get iPostPollId
		rSQL = "SELECT " & SQLtop(1) & " PostClosed, PostPollId FROM Posts WHERE PostId=" & myPost
		Set oRs = DBRecordSet(oCnForum, rSQL)
		If Not oRs.EOF Then ' Bug:22/08/2003
			bPostClosed = oRs("PostClosed").Value
			iPostPollId = oRs("PostPollId")
			Set oRs = Nothing
		End If

		rSQL = "SELECT Count(*) FROM Posts WHERE PostParent=" & myPost
		If isModerator = "" and isAdministrator = "" and isOwner = "" Then rSQL = rSQL & " AND PostValid=" & DB_TRUE
		Set oRs = DBRecordSet(oCnForum, rSQL)
		iNbTotalThreads = oRs(0)

		If iNbTotalThreads > 0 Then
			rSQL = "SELECT " & SQLtop(myPage*FORUM_MAX_THREADS) & " p1.PostID, p1.PostUser, p1.PostTitle, p1.PostDate, 'PostMessage'," & _
					" p1.PostValid, p1.PostUserIP, p1.PostEditDate, p1.PostSmileys, p1.PostSignature," & _
					" FeelingPath, UserPosts, UserAvatar," & _
					" PostEMailNotify, PostNick"
			rSQL = rSQL & " FROM Posts p1, ForumUsers, Feelings WHERE p1.PostUser=UserLogin AND FeelingID=PostFeeling AND p1.PostParent=" & myPost
			If isModerator = "" and isAdministrator = "" and isOwner = "" Then rSQL = rSQL & " AND p1.PostValid=" & DB_TRUE
			rSQL = rSQL & " ORDER BY p1.PostDate, p1.PostID"
			Set oRs = DBRecordSet(oCnForum, rSQL)
			oRs.PageSize = FORUM_MAX_THREADS ' FORUM_MAX_POSTS ' Mov:22/08/2003 ' Fix:11/08/2003
			If oRs.RecordCount <> - 1 Then
				oRs.AbsolutePage = myPage
			Else
				For X = 1 To (myPage-1)*FORUM_MAX_THREADS
					oRs.MoveNext
				Next
			End If

' Add:30/01/2004 Subscription Menu
			If ForumSubscriptionSystem Then ' Add:30/01/2004
				Response.Write "<table width=""100%"" cellspacing=""0"" cellpadding=""2"" ><tr>" & vbCRLF
				Response.Write "<td>"
				DisplaySubscription csTopic, myPost
				Response.Write "</td>" & vbCRLF & "<td>"
			End If

' Add:20/08/2003 Enhanced User Interface
			DisplayTopicButtonBar btnPrintTopic & "," & btnNewTopic & "," & btnNewPoll ' REW:18/09/2003

			If ForumSubscriptionSystem Then ' Add:30/01/2004
				Response.Write "</td>" & vbCRLF & "</tr></table>" & vbCRLF
			End If

			CreateTopTable "ThreadsTitle", CodeMessage(oRs("PostTitle"), True)
			Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF

			If iPostPollId <> 0 Then ' Add:20/08/2003
				Response.Write "<tr><td>"
				DisplayPostPoll iPostPollId
				Response.Write "</td></tr>"
			End If

' Add:10/08/2003 Enhanced Forum Navigation
			dim myPrevPost, myNextPost
			myPrevPost = GetOffsetPost(mySection, myPost, -1)
			myNextPost = GetOffsetPost(mySection, myPost, 1)
			If (myPrevPost <> -1) or (myNextPost <> -1) Then ' Add:30/08/2003
			Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
			Response.Write "    <td colspan=""3"">" & vbCRLF
			Response.Write "      <div align=""right"" class=""small"">" & vbCRLF
			If myPrevPost <> -1 Then
				Response.Write "<a href=""" & sURLPage & "?" & "forum=" & myForum & "&section=" & mySection & "&post=" & myPrevPost & """>"  
				Response.Write "&lt;&lt;&nbsp;" & GetTranslation("LANG_PREV_TOPIC") & "</a>"
			End If
			If myNextPost <> -1 Then
				If myPrevPost <> -1 Then Response.Write "&nbsp;|&nbsp;"
				Response.Write "<a href=""" & sURLPage & "?" & "forum=" & myForum & "&section=" & mySection & "&post=" & myNextPost & """>" 
				Response.Write GetTranslation("LANG_NEXT_TOPIC") & "&nbsp;&gt;&gt;" & "</a>"
			End If
			Response.Write "      </div>" & vbCRLF
			Response.Write "    </td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF
			End If
			Response.Write "</table>" & vbCRLF
			Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
' End:10/08/2003

			If (isOwner <> "" or isAdministrator <> "" or isModerator <> "") and operatorMode = "oui" Then
				bNeedScript = False ' Add:19/08/2003
				Response.Write "<script language=""javascript"" type=""text/javascript"">" & vbCRLF
				Response.Write "  function delPost(postID)" & vbCRLF
				Response.Write "  {" & vbCRLF
				Response.Write "    if (confirm('" & JSEncrypt(GetTranslation("LANG_CONFIRM")) & "'))" & vbCRLF
				Response.Write "    {" & vbCRLF
				Response.Write "      document.actionpost.myAction.value = 'delpost';" & vbCRLF
				Response.Write "      document.actionpost.PostID.value = postID;" & vbCRLF
				Response.Write "      document.actionpost.submit();" & vbCRLF
				Response.Write "    }" & vbCRLF
				Response.Write "  }" & vbCRLF
				Response.Write "  function validatePost(postID)" & vbCRLF
				Response.Write "  {" & vbCRLF
				Response.Write "    if (confirm('" & JSEncrypt(GetTranslation("LANG_CONFIRM")) & "'))" & vbCRLF
				Response.Write "    {" & vbCRLF
				Response.Write "      document.actionpost.myAction.value = 'validatepost';" & vbCRLF
				Response.Write "      document.actionpost.PostID.value = postID;" & vbCRLF
				Response.Write "      document.actionpost.submit();" & vbCRLF
				Response.Write "    }" & vbCRLF
				Response.Write "  }" & vbCRLF
				Response.Write "  function unvalidatePost(postID)" & vbCRLF
				Response.Write "  {" & vbCRLF
				Response.Write "    if (confirm('" & JSEncrypt(GetTranslation("LANG_CONFIRM")) & "'))" & vbCRLF
				Response.Write "    {" & vbCRLF
				Response.Write "      document.actionpost.myAction.value = 'unvalidatepost';" & vbCRLF
				Response.Write "      document.actionpost.PostID.value = postID;" & vbCRLF
				Response.Write "      document.actionpost.submit();" & vbCRLF
				Response.Write "    }" & vbCRLF
				Response.Write "  }" & vbCRLF
				Response.Write "  function copyPost(postID)" & vbCRLF ' Add:21/08/2003
				Response.Write "  {" & vbCRLF
				Response.Write "    if (confirm('" & JSEncrypt(GetTranslation("LANG_CONFIRM")) & "'))" & vbCRLF
				Response.Write "    {" & vbCRLF
				Response.Write "      document.actionpost.myAction.value = 'copypost';" & vbCRLF
				Response.Write "      document.actionpost.PostID.value = postID;" & vbCRLF
				Response.Write "      document.actionpost.submit();" & vbCRLF
				Response.Write "    }" & vbCRLF
				Response.Write "  }" & vbCRLF
				Response.Write "  function pastePost(postID)" & vbCRLF ' Add:21/08/2003
				Response.Write "  {" & vbCRLF
				Response.Write "    if (confirm('" & JSEncrypt(GetTranslation("LANG_CONFIRM")) & "'))" & vbCRLF
				Response.Write "    {" & vbCRLF
				Response.Write "      document.actionpost.myAction.value = 'pastepost';" & vbCRLF
				Response.Write "      document.actionpost.PostID.value = postID;" & vbCRLF
				Response.Write "      document.actionpost.submit();" & vbCRLF
				Response.Write "    }" & vbCRLF
				Response.Write "  }" & vbCRLF
				Response.Write "</script>" & vbCRLF
				Response.Write "<form name=""actionpost"" method=""post"" action=""" & sURLPage & "?" & myForumPath & "&post=" & myPost & """>" & vbCRLF
				Response.Write "<input name=""myAction"" type=""hidden"" value="""">" & vbCRLF
				Response.Write "<input name=""PostID"" type=""hidden"" value="""">" & vbCRLF
				Response.Write "</form>" & vbCRLF
			End If

			Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
			Response.Write "    <td width=""25"" align=""center"">" & myPage & "</td>" & vbCRLF
			Response.Write "    <td width=""120"" align=""center"">" & GetTranslation("LANG_AUTHOR") & "</td>" & vbCRLF
			Response.Write "    <td>" & GetTranslation("LANG_MESSAGE") & "</td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF

			If Not oRs.EOF Then
				iLine = 1
				While Not oRs.EOF
					iPostID = oRs(0)
					sPostUser = oRs(1)
					sPostTitle = oRs(2)
					sPostDate = oRs(3)
					sPostMessage = dLookupF("PostMessage","Posts","PostID="&oRs(0))	'oRs(4)
					bPostValid = oRs(5).Value
					sUserIP = oRs(6)
					sEditDate = oRs(7)
					bPostSmileys = oRs(8).Value
					bPostSignature = oRs(9).Value
					sFeelingPath = oRs(10)
					iUserPosts = oRs(11)
					iUserAvatar = oRs(12)
					sSignature = ""
					bEMailNotify = oRs(13).Value ' Add:30/08/2003
					sPostNick = oRs(14) ' Add:27/11/2004

					If bIsValid And (sPostUser = sPseudo) and bNeedScript Then ' Add:19/08//2003
						bNeedScript = False
						Response.Write "<script language=""javascript"" type=""text/javascript"">" & vbCRLF
						Response.Write "  function delPost(postID)" & vbCRLF
						Response.Write "  {" & vbCRLF
						Response.Write "    if (confirm('" & JSEncrypt(GetTranslation("LANG_CONFIRM")) & "'))" & vbCRLF
						Response.Write "    {" & vbCRLF
						Response.Write "      document.actionpost.myAction.value = 'delpost';" & vbCRLF
						Response.Write "      document.actionpost.PostID.value = postID;" & vbCRLF
						Response.Write "      document.actionpost.submit();" & vbCRLF
						Response.Write "    }" & vbCRLF
						Response.Write "  }" & vbCRLF
						Response.Write "</script>" & vbCRLF
						Response.Write "<form name=""actionpost"" method=""post"" action=""" & sURLPage & "?" & myForumPath & """>" & vbCRLF
						Response.Write "<input name=""myAction"" type=""hidden"" value="""">" & vbCRLF
						Response.Write "<input name=""PostID"" type=""hidden"" value="""">" & vbCRLF
						Response.Write "</form>" & vbCRLF
					End If

					If bPostSignature Then
					'	rSQL = "SELECT uSignature FROM ForumUsers WHERE uLogin='" & SQLEncrypt(sPostUser) & "'"
					'	Set oRsTemp = DBRecordSet(oCnMain, rSQL)
					'	If Not oRsTemp.EOF Then sSignature = oRsTemp(0)
						sSignature=dLookupM("uSignature","Users","uLogin='" & SQLEncrypt(sPostUser) & "'")
					End If

					Response.Write "  <tr class=""tableline" & iLine & """>" & vbCRLF
					Response.Write "    <td align=""center"" valign=""top""><a name=""" & iPostID & """></a><br><img src=""" & FeelingsPath & sFeelingPath & """ border=""0"">"
					If DateDiff("d", StringToDate(oRs(3)), GMTNow()) < POST_IS_HOT Then ' Add:11/09/2003
						Response.Write "<br><img src=""" & ImagesPath & "newpost.gif"" border=""0"" alt="""">" & vbCRLF
					End If
					Response.Write "</td>" & vbCRLF

					If False Then ' Add:27/05/2004
						Response.Write "    <td align=""center"" valign=""top"">"
						sPostUserName = GetUserName(sPostUser) ' Add:19/08/2003
						If sPostUser = "" Then
							sPostUserName = GetTranslation("LANG_GUEST")
						End If
						DisplayOnline(sPostUser) ' Add:11/09/2003
						Response.Write sPostUserName & "<br>" & vbCRLF
						DisplayRank(sPostUser)
						Response.Write "<br>" & vbCRLF
						DisplayAvatar(iUserAvatar)
					Else
						Response.Write "    <td width='20%' align=""left"" valign=""top"">"
						DisplayUserPostInfo sPostUser, iUserAvatar, sPostNick
					End If
					Response.Write "    </td>" & vbCRLF

					Response.Write "    <td valign=""top""><span class=""small"">" & vbCRLF
					Response.Write "      " & GetTranslation("LANG_POST_DATE", GetDateLitteralDDMMYYYYHHMMSS(GMT2Local(StringToDate(sPostDate))))
					Response.Write "&nbsp;" & ShowIP(sUserIP)
					If sEditDate <> "" Then Response.Write "<br>" & GetTranslation("LANG_POST_EDIT_DATE", GetDateLitteralDDMMYYYYHHMMSS(GMT2Local(StringToDate(sEditDate))))
					Response.Write "</span>" & vbCRLF
					Response.Write "      <hr>" & CodeMessageEx(sPostMessage, 0, false, bPostSmileys) & vbCRLF

					If bPostSignature and sSignature <> "" Then
						Response.Write "<font size=""1"">" & FORUM_SIGNATURE_DELIMITER & CodeMessage(sSignature, false) & "</font>" & vbCRLF
					End If

					If (isOwner <> "" or isAdministrator <> "" or isModerator <> "") and operatorMode <> "" Then
						Response.Write "<div align=""right"" class=""small"">" & vbCRLF
						If HasAccessRight(sPseudo, sPostUser) Then ' Add:24/08/2003
							Response.Write "<a href=""edit.asp?" & MyForumPath & "&post=" & myPost & "&editpost=" & iPostID & """>" & GetTranslation("LANG_EDIT") & "</a>&nbsp;"
						End If
						If bPostValid Then
							Response.Write "<a href=""javascript:unvalidatePost(" & iPostID & ")"">" & GetTranslation("LANG_UNVALIDATE") & "</a>&nbsp;"
						Else
							Response.Write "<a href=""javascript:validatePost(" & iPostID & ")"">" & GetTranslation("LANG_VALIDATE") & "</a>&nbsp;"
						End If
						If isOwner <> "" or isAdministrator <> "" Then
						' Add:21/08/2003 Added {Copy|Paste} Posts Commands 
							If Not IsParent(iPostID) Then 
								If Not IsCopied(iPostID) Then 
									Response.Write "<a href=""javascript:copyPost(" & iPostID & ")"">" & GetTranslation("LANG_COPY") & "</a>&nbsp;"
									If (cLng(iPostID) = cLng(myPost)) AND Session("CopyStatus") = "copy" Then
										Response.Write "<a href=""javascript:pastePost(" & iPostID & ")"">" & GetTranslation("LANG_PASTE") & "</a>&nbsp;"
									End If
								End If
							End If
							Response.Write "<a href=""javascript:delPost(" & iPostID & ")"">" & GetTranslation("LANG_DELETE") & "</a>&nbsp;"
						End If
						Response.Write "</div>" & vbCRLF
					ElseIf bisValid and (sPostUser = sPseudo) Then  ' Rev:22/02/2004
						Response.Write "<div align=""right"" class=""small"">" & vbCRLF
						Response.Write "<a href=""edit.asp?" & MyForumPath & "&post=" & myPost & "&editpost=" & iPostID & """>" & GetTranslation("LANG_EDIT") & "</a>&nbsp;"
						Response.Write "<a href=""javascript:delPost(" & iPostID & ")"">" & GetTranslation("LANG_DELETE") & "</a>&nbsp;"
						Response.Write "</div>" & vbCRLF
					End If
					Response.Write "    </td>" & vbCRLF
					Response.Write "  </tr>" & vbCRLF

' Add:10/08/2003 Enhanced Forum Navigation
					Response.Write "  <tr class=""tableline" & iLine & """>" & vbCRLF
					Response.Write "    <td align=""center"">"
					If bPostClosed Then Response.Write "<img src=""" & ImagesPath & "closed.gif"" border=""0"">" ' Add:18/08/2003
					If bEMailNotify and ((sPostUser = sPseudo) or (isModerator = "" and isAdministrator = "" and isOwner = "" ))Then 
						Response.Write "<img src=""" & ImagesPath & "email.gif"" border=""0"" alt=""" & GetTranslation("LANG_EMAIL_NOTIFY_REPLY") & """>" ' Add:30/08/2003
					End If
					Response.Write "</td>" & vbCRLF
				' Goto Top Page
					Response.Write "    <td align=""center"">"
					Response.Write "    <a href=""" & sUrlPage & "?" & MyForumPath & "&post=" & myPost & "#" & myPost & """>" & GetTranslation("LANG_BACK_TO_TOP") & "</a>" & "</td>" & vbCRLF
					Response.Write "    <td>" & vbCRLF
					Response.Write "    <table><tr><td width=""100%"">" & vbCRLF
				' Profile
					If ProfileToolBar Then
						AddProfileToolBar sPostUser
						If not bPostClosed Then ' Rev:18/08/2003 ' Add:12/08/2003
						If blnForumAllowPost Then ' Fix:05/07/2004
							Response.Write "    </td><td>" & vbCRLF
							Response.Write "    <span class=""small"" align=""right"">" & vbCRLF
							Response.Write "    <a href=""" & GLOBAL_SITE_PATH & "forum/post.asp?" & MyForumPath & "&post=" & myPost & "&mode=quote&quotepost=" & iPostID & """><img src=""" & ImagesPath & "quote.gif"" border=""0"" hspace=""2"" alt=""" & GetTranslation("LANG_TO_QUOTE") & " - " & sPostUser & """></a>"
							Response.Write "    </span>" & vbCRLF
						End If
						End If
					Else
					Response.Write "    <a href=""" & GLOBAL_SITE_PATH & GLOBAL_SITE_PROFILE_PAGE & "?id=" & Server.URLEncode(sPostUser) & """><img src=""" & ImagesPath & "profile_sm.gif"" border=""0"" hspace=""2"" alt=""" & GetTranslation("LANG_PROFILE") & " - " & sPostUser & """></a>"
					If sPseudo <> "" and bIsValid Then ' Add:12/08/2003
					' MP : http://localhost/winriders/pmessages.asp?do=new&to=admin
						Response.Write "    <a href=""" & GLOBAL_SITE_PATH & GLOBAL_SITE_PRIVATE_MESSAGES_PAGE & "?do=new&to=" & Server.URLEncode(sPostUser) & """><img src=""" & ImagesPath & "pmessage.gif"" border=""0"" hspace=""2"" alt=""" & GetTranslation("LANG_SEND_PRIVATE_MESSAGE") & " - " & sPostUser & """></a>"
					' Search : http://localhost/winriders/forum/search.asp?do=search&searchon=4&query=admin
						Response.Write "    <a href=""" & GLOBAL_SITE_PATH & "forum/search.asp" & "?do=search&searchon=" & qtAuthor & "&query=" & Server.URLEncode(sPostUser) & """><img src=""" & ImagesPath & "search.gif"" border=""0"" hspace=""2"" alt=""" & GetTranslation("LANG_SEARCH") & " - " & sPostUser & """></a>"
					' Collega : http://localhost/winriders/pmessages.asp?do=friend&friend=admin
						Response.Write "    <a href=""" & GLOBAL_SITE_PATH & GLOBAL_SITE_PRIVATE_MESSAGES_PAGE & "?do=friend&friend=" & Server.URLEncode(sPostUser) & """><img src=""" & ImagesPath & "friend.gif"" border=""0"" hspace=""2"" alt=""" & GetTranslation("LANG_ADD_FRIEND") & " - " & sPostUser & """></a>"
						If not bPostClosed Then ' Rev:18/08/2003 ' Add:12/08/2003
							Response.Write "    </td><td>" & vbCRLF
							Response.Write "    <span class=""small"" align=""right"">" & vbCRLF
							Response.Write "    <a href=""" & GLOBAL_SITE_PATH & "forum/post.asp?" & MyForumPath & "&post=" & myPost & "&mode=quote&quotepost=" & iPostID & """><img src=""" & ImagesPath & "quote.gif"" border=""0"" hspace=""2"" alt=""" & GetTranslation("LANG_TO_QUOTE") & " - " & sPostUser & """></a>"
							Response.Write "    </span>" & vbCRLF
						End If
					End If
					End If
					Response.Write "    </td></tr></table>" & vbCRLF
					Response.Write "    </td>" & vbCRLF
					Response.Write "  </tr>" & vbCRLF
' End:10/08/2003
					oRs.MoveNext

					iLine = ((iLine - 1) Xor 1) + 1
				WEnd

				iNbPages = iNbTotalThreads\FORUM_MAX_THREADS
				If iNbTotalThreads mod FORUM_MAX_THREADS <> 0 Then iNbPages = iNbPages + 1
				If iNbPages > 1 Then
					Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
					Response.Write "    <td align=""center"" colspan=""3"">" & vbCRLF
					If myPage <> 1 Then Response.Write "      &nbsp;<a href=""" & sURLPage & "?forum=" & myForum & "&section=" & mySection & "&post=" & myPost & "&page=" & myPage-1 & """>&lt;&lt;</a>" & vbCRLF
					For X = 1 To iNbPages
						If X <> CInt(myPage) Then 
							Response.Write "      &nbsp;<a href=""" & sURLPage & "?forum=" & myForum & "&section=" & mySection & "&post=" & myPost & "&page=" & X & """>" & X & "</a>" & vbCRLF
						Else
							Response.Write "&nbsp;<b>" & X & "</b>" & vbCRLF
						End If
					Next
					If myPage <> iNbPages Then Response.Write "      &nbsp;<a href=""" & sURLPage & "?forum=" & myForum & "&section=" & mySection & "&post=" & myPost & "&page=" & myPage+1 & """>&gt;&gt;</a>" & vbCRLF
					Response.Write "    </td>" & vbCRLF
					Response.Write "  </tr>" & vbCRLF
				End If

			End If

			If blnForumAllowPost Then ' Fix:05/07/2004
				Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
				Response.Write "    <td colspan=""3"">" & vbCRLF
				If not bPostClosed Then ' Add:18/08/2003
					Response.Write "      &nbsp;<input name=""repondre"" type=""button"" class=""button"" value=""" & GetTranslation("LANG_ANSWER_POST") & """ OnClick=""javascript:document.location='Post.asp?forum=" & myForum & "&section=" & mySection & "&post=" & myPost & "';"">" & vbCRLF
				Else
					Response.Write "      &nbsp;<input name=""closed"" type=""button"" class=""button"" value=""" & GetTranslation("LANG_POST_CLOSED") & """>" & vbCRLF
				End If
				Response.Write "    </td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF
			End If

			Response.Write "</table>" & vbCRLF
			CreateBottomTable ""

' Add:16/08/2003 Enhanced Top Button Bar
			DisplayTopicButtonBar btnPrintTopic & "," & btnNewTopic & "," & btnNewPoll ' Add:18/09/2003
		End If

		Set oRs = Nothing
	End Sub

	' Display New User Info Layout:
	'  * User Full Name
	'  * User Avatar
	'  * Joined: Date
	'  * Location: Flag 
	'  * Posts: count
	'  * Status: Online
	' IN : sPostUser (str) : User's Login
	' OUT: -
	' 27/11/2004 Add PostNick feature
	' 01/12/2004 Add LastVisit feature
	Sub DisplayUserPostInfo(sPostUser, iUserAvatar, sPostNick)
		Dim oRs, rSQL
		Dim sPostUserName, iCountry, sCountryName, dUserDate, iPosts, bGuest, dLastVisit

		rSQL = "SELECT * FROM Users WHERE uLogin='" & SQLEncrypt(sPostUser) & "'"
		Set oRs = DBRecordSet(oCnMain, rSQL)
		If Not oRs.EOF Then
			If SysParmDef("Forum.UserName", cLng(False)) Then
				sPostUserName = trim(oRs("uName") & "")
				If sPostUser = "" Then
					sPostUserName = GetTranslation("LANG_GUEST")
					If sPostNick <> "" Then
						sPostUserName = sPostNick & " - " & sPostUserName
					End If
					bGuest = True
				Else
					If sPostUserName = "" OR NOT oRs("uProfile").Value Then
						sPostUserName = sPostUser
					End If
					bGuest = False
				End If
			Else
				If sPostUser = "" Then
					sPostUserName = GetTranslation("LANG_GUEST")
					If sPostNick <> "" Then
						sPostUserName = sPostNick & " - " & sPostUserName
					End If
					bGuest = True
				Else
					sPostUserName = sPostUser
					bGuest = False
				End If
			End IF
			iCountry = cLng(oRs("uCountry"))
			dUserDate = StringToDate(trim(oRs("uDate") & ""))
			dLastVisit = trim(oRs("uLastVisit") & "")
			If dLastVisit <> "" Then
				dLastVisit = StringToDate(dLastVisit)
			End If
		Else
			sPostUserName = GetTranslation("LANG_GUEST")
			If sPostNick <> "" Then
				sPostUserName = sPostNick & " - " & sPostUserName
			End If
			bGuest = True
		End If

		Response.Write sPostUserName & "<br>" & vbCRLF
		If Not bGuest Then
			iPosts = DisplayRank(sPostUser)

			DisplayAvatar(iUserAvatar)

			Response.Write "<br>" & vbCRLF

'			DisplayJoined(sPostUser)
			Response.Write GetTranslation("LANG_JOINED") & ":<br>" & _
				GetDateLong(GMT2Local(dUserDate)) & "<br>" & vbCRLF

			Response.Write "<br>" & GetTranslation("LANG_LASTVISIT") & ":<br>"
			If dLastVisit <> "" Then
				Response.Write GetDateLong(GMT2Local(dLastVisit))
			Else
				Response.Write GetDateLong(GMT2Local(dUserDate))
			End If
			Response.Write "<br>" & vbCRLF

'			DisplayLocation(sPostUser)
			If iCountry > 0 Then
				sCountryName = DLookupM("cTitle", "country", "cID=" & iCountry)
				Response.Write GetTranslation("LANG_LOCATION") & ":" & "<br>" & vbCRLF
				Response.Write ShowFlag(iCountry)
				Response.Write sCountryName & "<br>" & vbCRLF
			End If

			If iPosts <> -1 Then
				If iPosts > 1 Then
					Response.Write GetTranslation("LANG_POSTS") & ":" & iPosts & "<br>" & vbCRLF
				Else
					Response.Write GetTranslation("LANG_POST") & ":" & iPosts & "<br>" & vbCRLF
				End If
			End If
			Response.Write GetTranslation("LANG_STATUS") & ":"
			DisplayOnline(sPostUser)
		End If

	End Sub

	' Display User Rank ; Returns total user posts
	' IN  : sUserLogin (str) : User Login
	' OUT : (integer) : Total post by user
	' 21/08/2004 REW: Mod by OMA
	Function DisplayRank(sUserLogin)
		'Mod by OMA [MSN: oma2000(a)hotmail.com] - 21/08/2004
		Dim oRs, rSQL, iPosts, CustomRank, aCustomRank, RankName, RankPicture

		rSQL = "SELECT UserPosts FROM ForumUsers WHERE UserLogin='" & SQLEncrypt(sUserLogin) & "'"
		Set oRs = DBRecordSet(oCnForum, rSQL)
		If Not oRs.EOF Then iPosts = oRs(0).Value Else iPosts = -1
		Set oRs = Nothing

		rSQL = "SELECT RankName, RankPicture FROM Ranks WHERE RankValue<=" & iPosts & " ORDER BY RankValue DESC"
		Set oRs = DBRecordSet(oCnForum, rSQL)
		If Not oRs.EOF Then
			RankName = oRs("RankName")
			RankPicture = oRs("RankPicture")
		End If
		Set oRs = Nothing

		CustomRank = getParm("Forum.CustomRank." & sUserLogin)
		If CustomRank <> "" Then
			aCustomRank = Split(CustomRank, ",")
			RankName = trim(aCustomRank(0))
			If UBound(aCustomRank) > 0 Then RankPicture = trim(aCustomRank(1))
		End If

		Response.Write "<span class=small>" & vbCrLf

		If RankPicture <> "" Then
			Response.Write "<img src='" & TestImageExt(ImagesPath & RankPicture) & "' border='0'" & _
							" alt='" & IIF(FORUM_RANK_NAME, GetTranslation(RankName), "") & "'" & _
							" title='" & IIF(FORUM_RANK_NAME, GetTranslation(RankName), "") & "'" & _
							"/>" & vbCrLf '<br/>
		End If

		If FORUM_RANK_NAME And RankName <> "" Then Response.Write GetTranslation(RankName) & "<br/>" & vbCrLf

		Response.Write "</span>" & vbCrLf

		DisplayRank = iPosts
	End Function

	' 01/12/2004 REW: Display a fixed size avatar, then allow to click over it to show it
	Sub DisplayAvatar(vAvatarID)
		Dim oRs, rSQL, sImg

		If vAvatarID <> 0 and vAvatarID <> "" Then
			rSQL = "SELECT AvatarPath, AvatarPrivate FROM Avatars WHERE AvatarID=" & vAvatarID & " AND AvatarValid=" & DB_TRUE

			Set oRs = DBRecordSet(oCnForum, rSQL)

			sImg = ""
			If NOT (oRs.EOF AND oRs.BOF) Then
				If oRs("AvatarPrivate").Value = False Then sImg = sImg & GLOBAL_SITE_IMAGES_AVATARS_PATH
				sImg = sImg & Server.URLPathEncode(oRs("AvatarPath"))
			Else
				sImg = sImg & GLOBAL_SITE_IMAGES_AVATARS_PATH & "/noavatar.gif" 
			End IF

			Response.Write "<div align='center'>"
			Response.Write "<a href='" & GLOBAL_SITE_PATH & GLOBAL_SITE_VIEW_IMAGE_PAGE & "?img=" & Server.URLPathEncode(sImg) & "' target='_blank'>" & vbCrLf
			Response.Write ShowImage(sImg, MAX_AVATAR_SIZE, 0, 0,"center")
			Response.write "</a></div>"
			Set oRs = Nothing
		End If
	End Sub

	' Get a date to display with a special formatting : Day/Month/Year, year on 4 digits
	' IN  : dDate (datetime) : source
	' OUT : (string) : destination
	Function GetDateLong(dDate)
		Dim sTemp

		sTemp = trim(GetXMLAttribute("date_format_text") & "") ' DATE_LONGFORMAT
		If sTemp = "" Then
			sTemp = "DD MN YYYY"
		End If

		' Day replacement
		sTemp = Replace(sTemp, "DD", Right("0" & Day(dDate), 2))
		' Monthname replacement
		sTemp = Replace(sTemp, "MN", MonthName(Month(dDate)))
		' Year replacement
		sTemp = Replace(sTemp, "YYYY", Year(dDate))

		GetDateLong = sTemp
	End Function
%>