<%
'	************************************************************************
'	* ASP-Nuke: Free web portal in ASP                                     *
'	************************************************************************
'	* Copyright (c) 2002-2003 by Gaetan Bouveret (webmaster@asp-nuke.com)  *
'	* http://www.asp-nuke.com                                              *
'	*                                                                      *
'	* This program is free software. You can redistribute it and/or modify *
'	* it under the terms of the GNU General Public License as published by *
'	* the Free Software Foundation; either version 2 of the License, or    *
'	* (at your option) any later version.                                  *
'	*                                                                      *
'	************************************************************************
'	FileName:		functions-inc.asp
'	Author:			*Various*
'	Description:	Set of auxiliar sub's/function's for the forum application
'
'	Revisions:
'	10/08/2003 Add: GetOffsetPost function added
'	21/08/2003 Rev: Lang's items added
'	21/08/2003 Add: DisplayCopyForum sub added
'	24/08/2003 Add: HasAccessRight function added
'	30/08/2003 Add: GetUserName(sUserLogin) function added
'	30/08/2003 Add: SortForumMenu function added
'	13/09/2003 Rev: Move auxiliar functions from forum-inc.asp
'	13/09/2003 Add: Integration of Private Forum Mod by Myles Harding aka Hailo
'	14/09/2003 Add: AddProfileToolBar(sPostUser) sub added
'	14/09/2003 Add: DisplayOnline sub added
'	20/09/2003 Add: GetCategoryId(sCategory) function added
'	12/12/2003 Rev: DisplayEditPostPoll function 
'	29/01/2004 Add: DisplaySubsLinkBar
'	30/01/2004 Add: DisplaySubscription
'	08/06/2004 Rev: Remove Language issue code
'	05/07/2004 Add: blnForumAllowPost, new global forum variable
%>
<%
	' Gives the offset post
	' IN  : mySection (var) : current section
	'     : myPost    (var) : current post
	'     : iOffset   (int) : -1 for prev post
	'                       :  1 for next post
	' OUT : (int) : new post or
	'          -1 : When myPost is first|last post
	' Revisions:
	' 22/08/2003 Rev: Uses of global object oCnForum
	' 30/08/2003 Add: Topic Sorting
	' 15/09/2003 Bug: Topic Sorting fixed
	Function GetOffsetPost(mySection, myPost, iOffset)
		Dim oRs, rSQL, newPost
		newPost = -1
		rSQL = "SELECT PostID FROM Posts WHERE PostID=PostParent AND PostSection=" & mySection
		If isModerator = "" and isAdministrator = "" and isOwner = "" Then rSQL = rSQL & " AND PostValid=" & DB_TRUE
		rSQL = rSQL & " ORDER BY PostSticked"

		If ShowTopicSorting Then ' Add:30/08/2003
'			mySortedField = CStr(Session("mySortedField"))
'			myAscSort = CBool(Session("myAscSort"))
'			If mySortedField <> "" Then
				rSQL = rSQL & ", " & mySortedField
'			Else
'				rSQL = rSQL & ", PostLastDate"
'			End if
			If Not myAscSort Then 
				rSQL = rSQL & " DESC"
			End If
		Else
			rSQL = rSQL & " , PostLastDate DESC"
		End If

		Set oRs = CreateObject("ADODB.Recordset")
		oRs.Open rSQL, oCnForum, adOpenKeyset
		oRs.MoveFirst
		oRs.Find "PostID=" & myPost
		If not oRs.Eof and not oRs.Bof Then ' Rev:11/08/2003
			While iOffset <> 0 
				If iOffSet > 0 Then
					iOffSet = iOffSet - 1
					oRs.MoveNext
				End If
				If iOffset < 0 Then
					iOffSet = iOffSet + 1
					oRs.MovePrevious
				End If
			WEnd
			If not oRs.Eof and not oRs.Bof Then newPost = oRs(0)
		End If
		If newPost <> myPost Then
			GetOffsetPost = newPost
		Else
			GetOffsetPost = -1
		End If

		Set oRs = Nothing
	End Function

	' Display Forum Path Form
	' IN : Forum Path: myForum, mySection, myPost 
	' OUT: -
	' Revisions:
	' 21/08/2003 Rev: Added Lang's items 
	' 21/08/2003 Add: Call DisplayCopyForum if needed
	' 22/08/2003 Rev: Uses of global object oCnForum
	' 22/02/2004 Add: Allow anonymous search on public forum/section
	Sub DisplayForumPath(myForum, mySection, myPost)
		Dim oRs, rSQL, sTemp

		CreateTopTable "ForumPath", GetTranslation("LANG_FORUM") & " " & GLOBAL_SITE_NAME
		Response.Write "<a href=""Forum.asp"">" & GetTranslation("LANG_FORUM") & "</a>" & vbCRLF

		If myForum <> "" Then
			rSQL = "SELECT ForumName FROM Forums WHERE ForumID=" & myForum
			Set oRs = DBRecordSet(oCnForum, rSQL)
			If Not oRs.EOF Then
				Response.Write "<br>&nbsp;&nbsp;" & _
								"<b>&gt;</b>&nbsp;" & _
								"<a href='Forum.asp?forum=" & myForum & "'>" & oRs("ForumName") & "</a>" & vbCrLf
			End IF
			Set oRs = Nothing
			If mySection <> "" Then
				rSQL = "SELECT SectionName FROM Sections WHERE SectionID=" & mySection
				Set oRs = DBRecordSet(oCnForum, rSQL)
				If Not oRs.EOF Then
					Response.Write "<br>&nbsp;&nbsp;&nbsp;&nbsp;" & _
									"<b>&gt;</b>&nbsp;" & _
									"<a href='Forum.asp?forum=" & myForum & "&section=" & mySection & "'>" & oRs("SectionName") & "</a>" & vbCRLF
				End If
				Set oRs = Nothing
				If myPost <> "" Then
					rSQL = "SELECT PostTitle FROM Posts WHERE PostID=" & myPost
					Set oRs = DBRecordSet(oCnForum, rSQL)
					If Not oRs.EOF Then
						Response.Write "<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" & _
										"<b>&gt;</b>&nbsp;" & _
										"<a href='Forum.asp?forum=" & myForum & "&section=" & mySection & "&post="& myPost & "'>" & oRs("PostTitle") & "</a>" & vbCRLF
					End IF
					Set oRs = Nothing
				End If
			End If
		End If

		Response.Write "<table border=0 width='100%' class='normal'>"
		Response.Write "<tr><td>"

		sTemp=Format_DateTime( GMT2Local(StringToDate(sLastVisit)), "")
		Response.Write "<span class=small>" & GetTranslation("LANG_LASTVISIT") & ":" & sTemp & "</span>"
		Response.Write "</td><td align=right>"
'		Response.Write "<div align=""right"">" & vbCRLF

'		If sPseudo <> "" Then ' Rem:22/02/2004
'		If bIsAuthorized Then ' Add:22/02/2004
		If bIsValid Then ' Add:05/06/2004
			Response.Write "<a href=""Search.asp?" & myForumPath & """>" & GetTranslation("LANG_SEARCH") & "</a>"
		Else
			Response.Write "<a href=""" & GLOBAL_SITE_PATH & GLOBAL_SITE_AUTHENTICATION_PAGE & """>" & GetTranslation("LANG_AUTHENTICATION") & "</a>"
		End If
		If isAdministrator <> "" or isModerator <> "" Then
			If operatorMode = "oui" Then
				Response.Write "&nbsp;|&nbsp;<a href=""" & sUrlPage & "?" & myForumPath & IIF(myForumPath <> "", "&", "") & "operatorMode=non"">" & GetTranslation("LANG_CONSOLE_OFF") & "</a>"
			Else
				Response.Write "&nbsp;|&nbsp;<a href=""" & sUrlPage & "?" & myForumPath & IIF(myForumPath <> "", "&", "") & "operatorMode=oui"">" & GetTranslation("LANG_CONSOLE_ON") & "</a>"
			End If
			If isAdministrator <> "" Then 
				Response.Write "&nbsp;|&nbsp;<a href=""Admin.asp?" & myForumPath & """>" & GetTranslation("LANG_ADMINISTRATION") & "</a>"
			End If
		End If
		Response.Write "&nbsp;|&nbsp;<a href=""Top.asp?" & myForumPath & """>" & GetTranslation("LANG_TOP") & " " & FORUM_TOP_POSTS & "</a>"

		Response.Write "</td></tr></table>" & vbCRLF

		CreateBottomTable ""

		If Session("CopyStatus") = "copy" Then DisplayCopyForum ' Add:21/08/2003

		Set oRs = Nothing
	End Sub

	Function GetPostPage(iPostID)
		Dim oRs, rSQL, iNbPages, iNbPosts, bFound

		iNbPages = 1

		If iPostID <> "" and iPostID <> 0 Then
			rSQL = "SELECT PostParent FROM Posts WHERE PostID=" & iPostID & " AND PostValid=" & DB_TRUE
			Set oRs = DBRecordSet(oCnForum, rSQL)
			If Not oRs.EOF Then
				rSQL = "SELECT PostId FROM Posts WHERE PostParent=" & oRs(0) & " AND PostValid=" & DB_TRUE & _
					" ORDER BY PostDate, PostId"
				Set oRs = DBRecordSet(oCnForum, rSQL)
				iNbPosts = 0
				bFound = False
				While Not oRs.Eof And Not bFound
					iNbPosts = iNbPosts + 1
					If oRs(0) = iPostId Then
						bFound = True
					End If
					oRs.MoveNext
				WEnd
				If iNbPosts > FORUM_MAX_THREADS Then
					iNbPages = iNbPosts\FORUM_MAX_THREADS
					If iNbPosts mod FORUM_MAX_THREADS <> 0 Then iNbPages = iNbPages + 1
				End If
			End If
			Set oRs = Nothing
		End If

		GetPostPage = iNbPages
	End Function

	' Calc the last page on post thread iPostID
	' In : iPostID (var) : Post's Id (table Posts, PostId field)
	' OUT: (int) : Calculated page index
	' Revisions:
	' 22/08/2003 Rev: Uses of global object oCnForum
	Function GetPostLastPage(iPostID)
		Dim oRs, rSQL, iNbPages, iNbPosts

		iNbPages = 1

		If iPostID <> "" and iPostID <> 0 Then

			rSQL = "SELECT PostParent FROM Posts WHERE PostID=" & iPostID & " AND PostValid=" & DB_TRUE
			Set oRs = DBRecordSet(oCnForum, rSQL)
			If Not oRs.EOF Then
				rSQL = "SELECT Count(PostId) FROM Posts WHERE PostParent=" & oRs(0) & " AND PostValid=" & DB_TRUE
				Set oRs = DBRecordSet(oCnForum, rSQL)
				iNbPosts = oRs(0)
				If iNbPosts > FORUM_MAX_THREADS Then
					iNbPages = iNbPosts\FORUM_MAX_THREADS
					If iNbPosts mod FORUM_MAX_THREADS <> 0 Then iNbPages = iNbPages + 1
				End If
			End If
			Set oRs = Nothing
		End If

		GetPostLastPage = iNbPages
	End Function

	Function GetForumAllowPostGuest(vForum)
		Dim oRs, rSQL, iForumLevel

		GetForumAllowPostGuest = True

		If vForum <> "" Then
			rSQL = "SELECT ForumAllowPostGuest, ForumLevel FROM Forums WHERE ForumID = " & vForum
			Set oRs = DBRecordSet(oCnForum, rSQL)
			If Not oRs.EOF Then
				iForumLevel = cLng(oRs(1))
				If iForumLevel > flPublic Then
					GetForumAllowPostGuest = cBool(oRs(0))
				End If
			End If
		End If
		Set oRs = Nothing
	End Function

	' Check Authorization of user sUserLoing on Forum vForum (for visit it) 
	' IN : sUserLoing (str) : UserLogin (table ForumUsers, UserLogin field)
	'    : vForum (var)     : Forum's Id (table Forums, ForumId field)
	' OUT: True if success, else False
	' Revisions:
	' 19/08/2003 Rev: Added Checking for "Owner" forum level
	' 22/08/2003 Rev: Uses of global object oCnForum
	' 28/05/2004 Add: Guest user can read on user level forum
	' 17/06/2004 Add: ForumHide feature
	' 05/07/2004 Fix: blnForumAllowPost global forum variable
	Function AuthorizationForum(sUserLogin, vForum)
		Dim iForumLevel, bForumHide, bForumAllowPostGuest

		AuthorizationForum = False

		If vForum <> "" Then
			Dim oRs, rSQL

			AuthorizationForum = True

			rSQL = "SELECT ForumLevel, ForumHide, ForumAllowPostGuest FROM Forums WHERE ForumID = " & vForum
		'	rSQL = "SELECT ForumLevel FROM Forums, Levels WHERE ForumLevel=LevelID and ForumID=" & vForum
			Set oRs = DBRecordSet(oCnForum, rSQL)

			If Not oRs.EOF Then 
				iForumLevel = cLng(oRs(0))
				bForumHide = cBool(oRs(1)) ' Add:17/06/2004
				bForumAllowPostGuest = cBool(Ors(2)) ' Add:06/07/2004
				Select Case iForumLevel
				'	Case flPublic = 0
					Case flUser:
						If iRole < ROLE_USER Then ' Rev:26/04/2004
							AuthorizationForum = False
						End If
					Case flMember:
						If iRole < ROLE_MEMBER Then
							AuthorizationForum = False
						End If
					Case flModerator: AuthorizationForum = GetIsModeratorOfForum(sUserLogin, vForum)
					Case flAdministrator: AuthorizationForum = GetIsAdministrator(sUserLogin, vForum)
					Case flOwner: AuthorizationForum = GetIsOwner(sUserLogin)
				End Select
				If vForum = myForum Then ' Add:05/07/2004
					If AuthorizationForum Then
						blnForumAllowPost = True
					Else
						blnForumAllowPost = bForumAllowPostGuest
					End If
				Else
'					DebugPrint "vForum:" & vForum & "; myForum:" & myForum
				End If
				AuthorizationForum = AuthorizationForum or Not bForumHide ' Add:17/06/2004
			End If

			Set oRs = Nothing
		End If
	End Function

	' Check Authorization of sUserLoing on Section vSection
	' IN : sUserLoing (str) : UserLogin (table ForumUsers, UserLogin field)
	'    : vSection (var)   : Section's Id (table Sections, SectionId field)
	' OUT: True if success, else False
	' Revisions:
	' 19/08/2003 Rev: Added Checking for "Owner" forum level
	' 22/08/2003 Rev: Uses of global object oCnForum
	' 13/09/2003 Rev: Integration of Private Forum Mod by Myles Harding aka Hailo
	' 28/05/2004 Add: Guest user can read on user level section
	' 06/07/2004 Rev: ForumAllowPostGuest feature
	' 26/11/2004 REW: Don't allow section access even (ForumHide = False)
	Function AuthorizationSection(sUserLogin, vSection)
		Dim iSectionLevel, bForumHide, bForumAllowPostGuest, iForumLevel, iLevel

		AuthorizationSection = False

		If vSection <> "" Then
			Dim oRs, rSQL

			AuthorizationSection = True

'			rSQL = "SELECT SectionLevel FROM Sections WHERE SectionID = " & vSection
			rSQL = "SELECT SectionLevel, ForumHide, ForumAllowPostGuest, ForumLevel FROM Sections, Forums WHERE SectionForum=ForumId and SectionID = " & vSection
			Set oRs = DBRecordSet(oCnForum, rSQL)

			If Not oRs.EOF Then
				iSectionLevel = cLng(oRs(0))
				bForumHide = cBool(oRs(1).Value) ' Add:06/07/2004
				bForumAllowPostGuest = cBool(oRs(2).Value) ' Add:06/07/2004
				iForumLevel = cLng(oRs(3)) ' Add:26/11/2004
				If iForumLevel > iSectionLevel Then ' Add:26/11/2004
					AuthorizationSection = Not bForumHide
					iLevel = iForumLevel
				Else
					iLevel = iSectionLevel
				End If
				Select Case iLevel
				'	Case flPublic = 0
					Case flUser:
						If iRole < ROLE_USER Then
						'	AuthorizationSection = False ' Rev:26/11/2004
						End If
					Case flMember:
						If iRole < ROLE_MEMBER Then
							AuthorizationSection = False
						End If
					Case flModerator: AuthorizationSection = GetIsModerator(sUserLogin, vSection)
					Case flAdministrator: AuthorizationSection = GetIsAdministratorOfSection(sUserLogin, vSection)
					Case flOwner: AuthorizationSection = GetIsOwner(sUserLogin)
				End Select
				If vSection = mySection Then ' Add:06/07/2004
					If AuthorizationSection Then
						If (iSectionLevel <= flUser) and (iRole < ROLE_USER) Then 'Add:26/11/2004
							blnForumAllowPost = bForumAllowPostGuest
						Else
							blnForumAllowPost = True
						End If
					Else
						blnForumAllowPost = bForumAllowPostGuest
					End If
				Else
'					DebugPrint "vSection:" & vSection & "; mySection:" & mySection
				End If
'				AuthorizationSection = AuthorizationSection Or Not bForumHide ' Add:06/07/2004
			End If

			Set oRs = Nothing
		End If
	End Function

	' Check if user sUserLogin is an administrator of Section vSection
	' IN : sUserLoing (str) : UserLogin (table ForumUsers, UserLogin field)
	'    : vSection (var)   : Section's Id (table Sections, SectionId field)
	' OUT: True if success, else False
	' Revisions:
	' 22/08/2003 Rev: Uses of global object oCnForum
	Function GetIsAdministratorOfSection(sUserLogin, vSection)
		GetIsAdministratorOfSection = False

		If sUserLogin <> "" and vSection <> "" Then
			Dim oRs, rSQL

			rSQL = "SELECT AdministratorID FROM Administrators WHERE AdministratorID LIKE '" & SQLEncrypt(sUserLogin) & "' AND AdministratorForum IN (SELECT SectionForum FROM Sections WHERE SectionID=" & vSection & ")"
			Set oRs = DBRecordSet(oCnForum, rSQL)
			If Not oRs.EOF Then GetIsAdministratorOfSection = True

			Set oRs = Nothing
		End If
	End Function

	' Check if user sUserLoing is administrator of Forum vForum
	' IN : sUserLoing (str) : UserLogin (table ForumUsers, UserLogin field)
	'    : vForum (var)     : Forum's Id (table Forums, ForumId field)
	' OUT: True if success, else False
	' Revisions:
	' 22/08/2003 Rev: Uses of global object oCnForum
	Function GetIsAdministrator(sUserLogin, vForum)
		GetIsAdministrator = False

		If sUserLogin <> "" and vForum <> "" Then
			Dim oRs, rSQL

			rSQL = "SELECT AdministratorID FROM Administrators WHERE AdministratorID LIKE '" & SQLEncrypt(sUserLogin) & "' AND AdministratorForum=" & vForum
			Set oRs = DBRecordSet(oCnForum, rSQL)
			If Not oRs.EOF Then GetIsAdministrator = True

			Set oRs = Nothing
		End If
	End Function

	' Check if user sUserLoing is moderator of Forum vForum
	' IN : sUserLoing (str) : UserLogin (table ForumUsers, UserLogin field)
	'    : vForum (var)     : Forum's Id (table Forums, ForumId field)
	' OUT: True if success, else False
	' Revisions:
	' 22/08/2003 Rev: Uses of global object oCnForum
	Function GetIsModeratorOfForum(sUserLogin, vForum)
		GetIsModeratorOfForum = False

		If sUserLogin <> "" and vForum <> "" Then
			GetIsModeratorOfForum=dLookupF("ModeratorID", "Moderators", "ModeratorID LIKE '" & SQLEncrypt(sUserLogin) & "' AND ModeratorSection IN (SELECT SectionID FROM Sections WHERE SectionForum=" & vForum)<>""
		'	Dim oRs, rSQL
		'	rSQL = "SELECT ModeratorID FROM Moderators WHERE ModeratorID LIKE '" & SQLEncrypt(sUserLogin) & "' AND ModeratorSection IN (SELECT SectionID FROM Sections WHERE SectionForum=" & vForum & ")"
		'	Set oRs = DBRecordSet(oCnForum, rSQL)
		'	If Not oRs.EOF Then GetIsModeratorOfForum = True
		'	Set oRs = Nothing
		End If
	End Function

	' Check if user sUserLoing is moderator of Section vSection
	' IN : sUserLoing (str) : UserLogin (table ForumUsers, UserLogin field)
	'    : vSection (var)   : Section's Id (table Sections, SectionId field)
	' OUT: True if success, else False
	' Revisions:
	' 22/08/2003 Rev: Uses of global object oCnForum
	Function GetIsModerator(sUserLogin, vSection)
		GetIsModerator = False

		If sUserLogin <> "" and vSection <> "" Then
			Dim oRs, rSQL

			rSQL = "SELECT ModeratorID FROM Moderators WHERE ModeratorID='" & SQLEncrypt(sUserLogin) & "' AND ModeratorSection=" & vSection
			Set oRs = DBRecordSet(oCnForum, rSQL)
			If Not oRs.EOF Then GetIsModerator = True

			Set oRs = Nothing
		End If
	End Function

	' Check if user sUserLoing is a forum owner
	' IN : sUserLoing (str) : UserLogin (table ForumUsers, UserLogin field)
	' OUT: True if success, else False
	' Revisions:
	' 22/08/2003 Rev: Uses of global object oCnForum
	Function GetIsOwner(sUserLogin)
		GetIsOwner = False

		If sUserLogin <> "" Then
			GetIsOwner=dLookupF("Count(*)","Owners","OwnerID='" & SQLEncrypt(sUserLogin) & "'")>0
		'	Dim oRs, rSQL
		'	rSQL = "SELECT OwnerID FROM Owners WHERE OwnerID LIKE '" & SQLEncrypt(sUserLogin) & "'"
		'	Set oRs = DBRecordSet(oCnForum, rSQL)
		'	If Not oRs.EOF Then GetIsOwner = True
		'	Set oRs = Nothing
		End If
	End Function

	' Check if user sUserLoing is a valid user
	' IN : sUserLogin (str) : UserLogin (table ForumUsers, UserLogin field)
	' OUT: True if success, else False
	' Revisions:
	' 22/08/2003 Rev: Uses of global object oCnForum
	Function GetIsValid(sUserLogin)
		GetIsValid = False

		If sUserLogin <> "" Then
			GetIsValid=dLookupF("UserValid","ForumUsers","UserLogin='" & SQLEncrypt(sUserLogin) & "'") = DB_TRUE
		'	Dim oRs, rSQL
		'	rSQL = "SELECT UserValid FROM ForumUsers WHERE UserLogin='" & SQLEncrypt(sUserLogin) & "'"
		'	Set oRs = DBRecordSet(oCnForum, rSQL)
		'	If Not oRs.EOF And Not oRs.BOF Then 
		'		GetIsValid = oRs(0).Value
		'	End If
		'	Set oRs = Nothing
		End If
	End Function

	'Display Add/Edit Posts Poll Sub-Form	
	' IN : iID (var) : Pol's ID (table Polls, field pID)
	' OUT: (int) : Line Odd Number {1|2}
	' Revisions:
	' 20/08/2003 Created
	Function DisplayEditPostPoll(iId)
		Dim sDo, sTitle, sColor, iVersion, bValid, X, iLine

		If iID <> "" and iID <> 0 Then
			rSQL = "SELECT * FROM polls WHERE pID=" & iID
			Set oRs = DBRecordSet(oCnMain, rSQL)
			If Not oRs.EOF Then
				sTitle = oRs("pTitle")
'				dDateBegin = StringToDate(GMT2Local( oRs("pDateBegin")))
'				dDateEnd = StringToDate(GMT2Local( oRs("pDateEnd")))
				sColor = oRs("pColor")
				bValid = oRs("pValid").Value
				iVersion = oRs("pVersion")
			End If
		Else
			sTitle = ""
			sColor = "#000000"
			bValid = True
			iVersion = GetVersionID(sXMLVersion)
		End If

		Response.Write "<input type=""hidden"" name=""mode"" value=""" & "poll" & """>" & vbCRLF
		Response.Write "<input type=""hidden"" name=""pID"" value=""" & iID & """>" & vbCRLF
		Response.Write "<input type=""hidden"" name=""pVersion"" value=""" & iVersion & """>" & vbCRLF
		Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
		Response.Write "    <td>" & GetTranslation("LANG_FIELD") & "</td>" & vbCRLF
		Response.Write "    <td>" & GetTranslation("LANG_VALUE") & "</td>" & vbCRLF 
		Response.Write "  </tr>" & vbCRLF

		Response.Write "  <tr class=""tableline1"">" & vbCRLF
		Response.Write "    <td>" & GetTranslation("LANG_QUERY") & "</td>" & vbCRLF
		Response.Write "    <td><input name=""pTitle"" value=""" & sTitle & """ maxlength=""150"" size=""50"" class=""cell""></td>" & vbCRLF
		Response.Write "  </tr>" & vbCRLF

		Response.Write "  <tr class=""tableline2"">" & vbCRLF
		Response.Write "    <td>" & GetTranslation("LANG_COLOR") & "</td>" & vbCRLF
		Response.Write "    <td>" & vbCRLF
		Response.Write "      <input name=""pColor"" class=""cell"" maxlength=""10"" size=""10"" value=""" & sColor & """>" & vbCRLF
		Response.Write "	</td>" & vbCRLF
		Response.Write "  </tr>" & vbCRLF

'		Response.Write "  <tr class=""tableline1"">" & vbCRLF
'		Response.Write "    <td>" & GetTranslation("LANG_VALID") & "</td>" & vbCRLF
'		Response.Write "    <td><input type=""checkbox"" name=""pValid"""
'		If bValid Then Response.Write " checked"
'		Response.Write "></td>" & vbCRLF
'		Response.Write "  </tr>" & vbCRLF

		X = 0
		iLine = 2

		If iID <> "" and iID <> 0 Then
			rSQL = "SELECT * FROM pollsresults WHERE prPoll=" & iID
			Set oRs = DBRecordSet(oCnMain, rSQL)

			While Not oRs.EOF
				Response.Write "  <tr class=""tableline" & iLine & """>" & vbCRLF
				Response.Write "    <td><b>" & X+1 & "</b></td>" & vbCRLF
				Response.Write "    <td>" & oRs("prText") & "</td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF

				X = X + 1
				iLine = 1 + ((iLine-1) XOR 1)
				oRs.MoveNext
			WEnd
		Else
			While X < GLOBAL_POLLS_MAX_RESULTS
				Response.Write "  <tr class=""tableline" & iLine & """>" & vbCRLF
				Response.Write "    <td><b>" & X+1 & "</b></td>" & vbCRLF
				Response.Write "    <td>" & vbCRLF
				Response.Write "	  <input type=""hidden"" name=""rpID_" & X & """ value="""">" & vbCRLF
				Response.Write "	  <input name=""prText_" & X & """ class=""cell"" size=""50"" maxlength=""100"" value="""">" & vbCRLF
				Response.Write "    </td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF

				X = X + 1
				iLine = 1 + ((iLine-1) XOR 1)
			WEnd
		End If

		Response.Write "  <tr><td>" & "</td></tr>" &  vbCRLF

		DisplayEditPostPoll = iLine
		
	End Function

	' Display the Forum Poll iID
	' IN : iID (int) : Poll's id (db Main, table Polls, field pID)
	' OUT: -
	' Revisions:
	' 20/08/2003 Created
	Sub DisplayPostPoll(iID)
		Dim oRs, rSQL, nbVotes, MaxHits, iTdWidth, fHundred, iLine, sPrefix, sHundred

		nbVotes = 0
		MaxHits = 0
		sPrefix = "Post_"

		rSQL = "SELECT Sum(prHits), Max(prHits) FROM pollsresults WHERE prPoll=" & iID
		Set oRs = DBRecordSet(oCnMain, rSQL)

		nbVotes = oRs(0)
		MaxHits = oRs(1)
		If MaxHits <= 0 Then MaxHits = 1

		rSQL = "SELECT * FROM polls, pollsresults WHERE pID=prPoll AND pValid=" & DB_TRUE & " AND pID=" & iID
		Set oRs = DBRecordSet(oCnMain, rSQL)

		If Not oRs.EOF Then
			Response.Write "<a name=""poll_" & iID & """></a>" & vbCRLF ' Fix:22/08/2003
			Response.Write "<script language=""javascript"" type=""text/javascript"">" & vbCRLF
			Response.Write "  var bCanVote_" & sPrefix & iID & " = false;" & vbCRLF
			Response.Write "  function votePoll_" & sPrefix & iID & "()" & vbCRLF
			Response.Write "  {" & vbCRLF
			Response.Write "    if (bCanVote_" & sPrefix & iID & ")" & vbCRLF
			Response.Write "    {" & vbCRLF
			Response.Write "      document.poll_" & sPrefix & iID & ".submit();" & vbCRLF
			Response.Write "    }" & vbCRLF
			Response.Write "  }" & vbCRLF
			Response.Write "  function voteOk_" & sPrefix & iID & "()" & vbCRLF
			Response.Write "  {" & vbCRLF
			Response.Write "    bCanVote_" & sPrefix & iID & " = true;" & vbCRLF
			Response.Write "  }" & vbCRLF
			Response.Write "</script>" & vbCRLF
			Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
			Response.Write "<form name=""poll_" & sPrefix & iID & """ method=""post"" action=""" & sUrlPage & "?" & myForumPath & "&post=" & myPost & "#poll_" & iID & """>" & vbCRLF
			Response.Write "<input type=""hidden"" name=""poll"" value=""" & iID & """>" & vbCRLF
			Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
			Response.Write "    <td colspan=""4"" align=""left"">" & oRs("pTitle") & "</td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF
			Response.Write "  <tr class=""tableline1"">" & vbCRLF
			Response.Write "    <td width=""7%"" align=""center"">" & GetTranslation("LANG_POLL_VOTE") & "</td>" & vbCRLF
			Response.Write "    <td width=""40%"">" & GetTranslation("LANG_OPTIONS") & "</td>" & vbCRLF
			Response.Write "    <td width=""7%"" align=""center"">" & GetTranslation("LANG_HITS") & "</td>" & vbCRLF
			Response.Write "    <td>" & GetTranslation("LANG_POLL_RESULTS") & "</td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF

			iLine = 2
			While Not oRs.EOF
				If nbVotes > 0 then
					fHundred = (oRs("prHits") / nbVotes) 
					sHundred = FormatPercent( fHundred, 1 )
					fHundred = 100 * fHundred
				Else
					fHundred = 0
					sHundred = FormatPercent( fHundred, 1 )
				End If
				iTdWidth = Round(fHundred)

				Response.Write "  <tr class=""tableline" & iLine & """>" & vbCRLF
				Response.Write "    <td align=""center""><input type=""radio"" name=""result"" onClick=""javascript:voteOk_" & sPrefix & iID & "()"" value=""" & oRs("prID") & """></td>" & vbCRLF
				Response.Write "    <td>" & oRs("prText") & "</td>" & vbCRLF
				Response.Write "    <td align=""center"">" & oRs("prHits") & "</td>" & vbCRLF
				Response.Write "    <td><table width=""100%"" cellspacing=""0"" cellpadding=""0"">" & vbCRLF
				Response.Write "        <tr><td width=""" & iTdWidth & "%"" background=""" & ImagesPath & "bar_graph.gif"" ></td>"
				Response.Write "        <td height=""10"" width=""" & 100-iTdWidth & "%"" class=""small"">&nbsp;[" & sHundred & "]</td></tr>" & vbCRLF
				Response.Write "    </table></td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF

				iLine = 1 + ((iLine-1) XOR 1)
				oRs.MoveNext
			WEnd
			Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
			If Request.Cookies(GLOBAL_UNIQ_ID & "poll_" & iID) = "OK" then ' Rev:18/06/2004
				Response.Write "    <td colspan=""4"" align=""center"">" & GetTranslation("LANG_VOTES") & " : " & nbVotes &  "</td>" & vbCRLF
			Else
				Response.Write "    <td colspan=""2"" align=""center"">" & GetTranslation("LANG_VOTES") & " : " & nbVotes &  "</td>" & vbCRLF
				Response.Write "    <td colspan=""2"" align=""center"">" 
				Response.Write "	<input name=""votepoll"" type=""button"" class=""button"" value=""" & GetTranslation("LANG_POLL_VOTE") & _
					""" OnClick=""javascript:votePoll_" & sPrefix & iID & "();""></td>" & vbCRLF
			End If
			Response.Write "  </tr>" & vbCRLF
			Response.Write "</form>" & vbCRLF
			Response.Write "</table>" & vbCRLF
		End If

		Set oRs = Nothing
	End Sub

	' Display Posts selected to copy
	' IN : CopyPosts Session Variable (vararray)
	' OUT: -
	' Revisions:
	' 21/08/2003 Created
	' 22/08/2003 Rev: Uses of global object oCnForum
	Sub DisplayCopyForum
		Dim oRs, rSQL
		Dim sCopyPosts, CopyPosts, I, iPost

		sCopyPosts = Session("CopyPosts")
		CopyPosts = Split(sCopyPosts, ",")

		If Not IsArray(CopyPosts) Then Exit Sub

		Response.Write "<script language=""javascript"" type=""text/javascript"">" & vbCRLF
		Response.Write "  function cancelCopy()" & vbCRLF
		Response.Write "  {" & vbCRLF
		Response.Write "    if (confirm('" & JSEncrypt(GetTranslation("LANG_CONFIRM")) & "'))" & vbCRLF
		Response.Write "    {" & vbCRLF
		Response.Write "      document.copyforum.myAction.value = 'cancelcopy';" & vbCRLF
		Response.Write "      document.copyforum.submit();" & vbCRLF
		Response.Write "    }" & vbCRLF
		Response.Write "  }" & vbCRLF
		Response.Write "</script>" & vbCRLF
		CreateTopTable "ForumCopy", GetTranslation("LANG_FORUM") & " - " & GetTranslation("LANG_COPY") & " " & GetTranslation("LANG_POST")
		Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
		Response.Write "<form name=""copyforum"" method=""post"" action=""" & sURLPage & "?" & myForumPath & """>" & vbCRLF
		Response.Write "<input name=""myAction"" type=""hidden"" value="""">" & vbCRLF
		Response.Write "</form>" & vbCRLF
		Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
		Response.Write "    <td>" & GetTranslation("LANG_POST") & "</td>" & vbCRLF
		Response.Write "    <td width=""120"">" & GetTranslation("LANG_FIELD") & "</td>" & vbCRLF
		Response.Write "    <td>" & GetTranslation("LANG_VALUE") & "</td>" & vbCRLF
		Response.Write "  </tr>" & vbCRLF

		For I = 0 To UBound(CopyPosts)
			iPost = CopyPosts(I)
			If iPost <> "" Then
				rSQL = "SELECT PostTitle, PostUser, PostMessage, PostSection, SectionName"
				rSQL = rSQL & " FROM Posts, Sections "
				rSQL = rSQL & " WHERE PostSection=SectionId AND PostId=" & iPost
				Set oRs = DBRecordSet(oCnForum, rSQL)
				If Not oRs.EOF Then
					Response.Write "  <tr class=""tableline1"">" & vbCRLF
					Response.Write "    <td rowspan=""4"" width=""40"" align=""center"" valign=""top"">" & iPost & "</td>" & vbCRLF
					Response.Write "    <td width=""120"">" & GetTranslation("LANG_SECTION") & "</td>" & vbCRLF
					Response.Write "    <td>" & CodeMessage(oRs("SectionName"), True) & " (" & oRs("PostSection") & ")</td>" & vbCRLF
					Response.Write "  </tr>" & vbCRLF
					Response.Write "  <tr class=""tableline2"">" & vbCRLF
					Response.Write "    <td width=""120"">" & GetTranslation("LANG_TITLE") & "</td>" & vbCRLF
					Response.Write "    <td>" & CodeMessage(oRs("PostTitle"), True) & "</td>" & vbCRLF
					Response.Write "  </tr>" & vbCRLF
					Response.Write "  <tr class=""tableline1"">" & vbCRLF
					Response.Write "    <td>" & GetTranslation("LANG_AUTHOR") & "</td>" & vbCRLF
					Response.Write "    <td>" & oRs("PostUser") & "</td>" & vbCRLF
					Response.Write "  </tr>" & vbCRLF
					Response.Write "  <tr class=""tableline2"">" & vbCRLF
					Response.Write "    <td valign=""top"">" & GetTranslation("LANG_MESSAGE") & "</td>" & vbCRLF
					Response.Write "    <td>" & CodeMessage(oRs("PostMessage"), false) & "</td>" & vbCRLF
					Response.Write "  </tr>" & vbCRLF
				End If
			End If
		Next

		Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
		Response.Write "    <td colspan=""3"">"
		Response.Write "    <input name=""cancel"" type=""button"" class=""button"" value=""" & GetTranslation("LANG_CANCEL") & """ OnClick=""javascript:cancelCopy();"">" & vbCRLF
		Response.Write "    </td>" & vbCRLF
		Response.Write "  </tr>" & vbCRLF
		Response.Write "</table>" & vbCRLF

		CreateBottomTable ""

		Set oRs = Nothing
	End Sub

	' Check if iPostParent is parent for any post on CopyPosts list
	' IN : iPostParent (var) : Post's Id
	' OUT: (Boolean) : True if success, else False
	' Revisions:
	' 21/08/2003 Created
	' 22/08/2003 Rev: Uses of global object oCnForum
	Function IsParent(iPostParent)
		Dim oRs, rSQL
		Dim sCopyPosts, CopyPosts, I, iPost

		IsParent = False

		sCopyPosts = Session("CopyPosts")
		CopyPosts = Split(sCopyPosts, ",")

		If Not IsArray(CopyPosts) Then Exit Function

		For I = 0 To UBound(CopyPosts)
			iPost = cLng(CopyPosts(I))
			rSQL = "SELECT PostParent FROM Posts WHERE PostID=" & iPost
			Set oRs = DBRecordSet(oCnForum, rSQL)
			If Not oRs.EOF Then
				If oRs("PostParent").Value = cLng(iPostParent) Then
					IsParent = True
				End If
			End If
		Next
		Set oRs = Nothing
	End Function

	' Check if iPost is on CopyPosts list
	' IN : iPost (var) : Post's Id
	' OUT: (Boolean) : True if success, else False
	' Revisions:
	' 21/08/2003 Created
	Function IsCopied(iPost)
		Dim sCopyPosts, CopyPosts, I

		IsCopied = False

		sCopyPosts = Session("CopyPosts")
		CopyPosts = Split(sCopyPosts, ",")

		If Not IsArray(CopyPosts) Then Exit Function

		For I = 0 To UBound(CopyPosts)
			If cLng(CopyPosts(I)) = cLng(iPost) Then
				IsCopied = True
			End If
		Next
	End Function

	' Clear {Copy|Paste} Posts Session Variables
	' Revisions:
	' 21/08/2003 Created
	Sub CancelCopy
		Session("CopyStatus") = ""
		Session("CopyPosts") = ""
	End Sub

	' Notes iPost to CopyPosts Session List
	' IN : iPosts (var) : Post's Id
	' OUT: (Boolean) : If success then True, else False
	Function CopyPost(iPost)
		Dim sCopyPosts

		CopyPost = False

		If iPost <> "" and iPost <> 0 Then
			Session("CopyStatus") = "copy"
			sCopyPosts = Session("CopyPosts") 
			if sCopyPosts <> "" Then sCopyPosts = sCopyPosts & ", "
			sCopyPosts = sCopyPosts & iPost
			Session("CopyPosts") = sCopyPosts
			CopyPost = True
		End If
	End Function

	Function TextAsBool(sValue)
		TextAsBool = cBool(sValue <> "")
	End Function

	Function TextAsSQLBool(vValue)
		If vValue <> "" Then 
			TextAsSQLBool = DB_TRUE
		Else
			TextAsSQLBool = DB_FALSE
		End If
	End Function

	Function BoolAsText(bValue)
		If bValue Then
			BoolAsText = DB_TRUE
		Else
			BoolAsText = DB_FALSE
		End if
	End Function

	' Process the CopyPosts Session List
	' IN : iDestPost (int) : Destination Post's Id 
	' OUT: (Boolean) : If success True, else False
	' Revisions:
	' 21/08/2003 Created
	' 22/08/2003 Rev: Uses of global object oCnForum
	Function PastePost(iDestPost)
		Dim oRs, oRs2, rSQL
		Dim sCopyPosts, CopyPosts, I, sDate
		Dim iPostId, iPostParent, iPostSection
		Dim sPostUser, iPostFeeling, sPostTitle, sPostDate, sPostMessage, iPostHits, sPostUserIP, bPostValid, sPostEditDate, bPostSmileys
		Dim bPostSignature, bPostSticked, sPostLastDate, bPostEMailNotify, bPostClosed, iPostPollId, iOldPostParent, sOldPostDate

		sCopyPosts = Session("CopyPosts")
		CopyPosts = Split(sCopyPosts, ",")
		CancelCopy

		If Not IsArray(CopyPosts) Then Exit Function

		For I = 0 To UBound(CopyPosts)
			iPostId = cLng(CopyPosts(I))
			rSQL = "SELECT PostParent FROM Posts WHERE PostID=" & iPostId
			Set oRs = DBRecordSet(oCnForum, rSQL)
			iPostParent = oRs("PostParent")
			If cLng(iPostId) = cLng(iPostParent) Then
			' Join Thread to a Thread
				rSQL = "SELECT * FROM Posts WHERE PostParent=" & iPostId & " ORDER BY PostDate, PostId"
				Set oRs = DBRecordSet(oCnForum, rSQL)
				While Not oRs.Eof
					sDate = DateTimeToString(GMTNow())
					bPostValid = SQLBoolean(oRs(10).Value)
					bPostSmileys = SQLBoolean(oRs(12).Value)
					bPostSignature = SQLBoolean(oRs(13).Value)
					bPostSticked = SQLBoolean(oRs(14).Value)
					bPostEMailNotify = SQLBoolean(oRs(16).Value)
					bPostClosed = SQLBoolean(oRs(17).Value)
					rSQL = "INSERT INTO Posts" & _
							" (PostParent, PostSection, PostUser, PostFeeling, PostTitle, PostDate, PostMessage" & _
							", PostHits, PostUserIP, PostValid, PostEditDate, PostSmileys, PostSignature, PostSticked" & _
							", PostLastDate, PostEMailNotify, PostClosed, PostPollId, OldPostParent, OldPostDate)" & _
							" VALUES " & _
							"(" & iDestPost & _
							", " & oRs(2) & _
							", '" & SQLEncrypt(oRs(3)) & "'" & _
							", " & oRs(4) & _
							", '" & SQLEncrypt(oRs(5)) & "'" & _
							", '" & sDate & "'" & _
							", '" & SQLEncrypt(oRs(7)) & "'" & _
							", " & oRs(8) & _
							", '" & oRs(9) & "'" & _
							", " & bPostValid & _
							", '" & sDate & "'" & _
							", "  & bPostSmileys & _
							", " & bPostSignature & _
							", " & bPostSticked & _
							", '" & oRs(15) & "'" & _
							", " & bPostEMailNotify & _
							", " & bPostClosed & _
							", " & oRs(18) & _
							", " & oRs(1) & _
							", '" & oRs(6) & "'" & _
							")"
					DBExecute oCnForum, rSQL
					oRs.MoveNext
				WEnd
				If FORUMRELEASE Then ' Add:22/08/2003
					rSQL = "DELETE FROM Posts WHERE PostParent=" & iPostId
				Else
					rSQL = "UPDATE Posts SET PostValid="&DB_FALSE&" WHERE PostParent=" & iPostId
				End If
				DBExecute oCnForum, rSQL
			Else
			' Move Post to a Thread => change PostParent
				rSQL =	"UPDATE Posts" & _
						" SET PostParent=" & iDestPost & _
						", OldPostParent=PostParent" & _
						", OldPostDate=PostDate" & _
						", PostDate='" & DateTimeToString(GMTNow()) & "'" & _
						" WHERE PostID=" & iPostId
				DBExecute oCnForum, rSQL
			End If
		Next

		Set oRs = Nothing
	End Function

	' Process the CopyPosts Session List
	' IN : iDestSection (int) : Destination Section's Id 
	' OUT: (Boolean) : If success True, else False
	' Revisions:
	' 21/08/2003 Created
	' 22/08/2003 Rev: Uses of global object oCnForum
	Function PasteSection(iDestSection)
		Dim oRs, oRs2, rSQL
		Dim sCopyPosts, CopyPosts, I, sDate
		Dim iPostId, iPostParent, iPostSection, sPostDate

		sCopyPosts = Session("CopyPosts")
		CopyPosts = Split(sCopyPosts, ",")
		CancelCopy

		If Not IsArray(CopyPosts) Then Exit Function

		For I = 0 To UBound(CopyPosts)
			iPostId = cLng(CopyPosts(I))
			rSQL = "SELECT PostParent, PostSection, PostDate FROM Posts WHERE PostID=" & iPostId
			Set oRs = DBRecordSet(oCnForum, rSQL)
			If not oRs.EOF Then
				iPostParent = oRs("PostParent")
				iPostSection = oRs("PostSection")
				sPostDate = oRs("PostDate")
				If cLng(iPostId) = cLng(iPostParent) Then
				' Change a thread to another section
					rSQL = "UPDATE Posts SET PostSection=" & iDestSection
					rSQL = rSQL & " WHERE PostParent=" & iPostId
					DBExecute oCnForum, rSQL
				Else
				' Transform a Post into a Thread
					rSQL = "UPDATE Posts SET PostParent=" & iPostId & ", PostSection=" & iDestSection
					rSQL = rSQL & " WHERE PostID=" & iPostId
					DBExecute oCnForum, rSQL
				' Move the Tail to the Thread
					rSQL = "UPDATE Posts SET PostParent=" & iPostId & ", PostSection=" & iDestSection
					rSQL = rSQL & " WHERE PostParent=" & iPostParent & " AND PostDate>='" & sPostDate & "'"
					DBExecute oCnForum, rSQL
				End If
			End If
		Next

		Set oRs = Nothing
	End Function

	' Check if user sLoginUser has access right over user sPostUser
	' IN : sLoginUser (str) : Current session User
	'    : sPostUser (str)  : Author of the post
	' OUT: True if success, else False
	Function HasAccessRight(sLoginUser, sPostUser)
		Dim oRs, rSQL
		Dim bResult, iPostUserRole, iLoginUserRole

		bResult = True

		If not HiearchyAccessRight Then
			HasAccessRight = bResult
			Exit Function
		End If

		rSQL = "SELECT uRole, uValid FROM Users WHERE uLogin='" & SQLEncrypt(sPostUser) & "'"
		Set oRs = DBRecordSet(oCnMain, rSQL)
		If not oRs.EOF Then
			If oRs("uValid").Value Then
				iPostUserRole = oRs("uRole")
				rSQL = "SELECT uRole FROM Users WHERE uLogin='" & SQLEncrypt(sLoginUser) & "'"
				Set oRs = DBRecordSet(oCnMain, rSQL)
				If not oRs.EOF Then
					iLoginUserRole = oRs("uRole")
					bResult = cBool((iLoginUserRole > iPostUserRole) Or iLoginUserRole = ROLE_ADMIN)
				End If
			End If
		End If

		HasAccessRight = bResult
	End Function

	' Get User Name from Profile
	' IN  : sUserLogin (str) : User Forum Login
	' OUT : sUserName
	Function GetUserName(sUserLogin)
		Dim oRs, rSQL
		Dim sResult

		sResult = sUserLogin

		rSQL = "SELECT uProfile, uName FROM Users WHERE uLogin='" & SQLEncrypt(sUserLogin) & "'"
		Set oRs = DBRecordSet(oCnMain, rSQL)

		If Not oRs.EOF Then 
			Dim bProfile, sUserName

			bProfile = oRs("uProfile").Value
			sUserName = oRs("uName")
			If SysParmDef("Forum.UserName", cLng(False)) Then
				If sUserName <> "" And (bProfile) Then
					sResult = sUserName
				End If
			End If
		End If

		GetUserName = sResult

		Set oRs = Nothing
	End Function

	' Display the menu for sort table results
	' IN : sFieldName (string) : target field name
	'    : sField (string) : target field
	'    : sSortedField (string) : field currently sorted
	'    : bAscSort (boolean) : if True then ASC sort, else DESC
	' OUT: -
	' 30/01/2004 Rev: Translation for short Asc/Desc 
	Sub SortForumMenu(sFieldName, sField, sSortedField, bAscSort)
		Dim bSame, sASC, sDesc

		bSame = LCase(sSortedField) = LCase(sField)
		sASC = GetTranslation("LANG_ASC_SHORT")
		sDesc = GetTranslation("LANG_DESC_SHORT")

		Response.Write sFieldName & "&nbsp;<span class=""small"">(<a href=""" & sURLPage & "?" & myForumPath & "&sort=" & sField & "&sortype=asc"">"
		If bSame and bAscSort Then 
			Response.Write "<b>{" & sAsc & "}</b>"
		Else
			Response.Write sAsc
		End If
		Response.Write "</a>/<a href=""" & sURLPage & "?" & myForumPath & "&sort=" & sField & "&sortype=desc"">"
		If bSame and Not bAscSort Then 
			Response.Write "<b>{" & sDesc & "}</b>"
		Else
			Response.Write sDesc
		End If
		Response.Write "</a>)"
		Response.Write "</span>"
	End Sub

	Function DeletePost(vPost)
		Dim oRs, rSQL

		DeletePost = False

		If IsNumeric(vPost) and vPost <> 0 Then
			rSQL = "SELECT PostParent FROM Posts WHERE PostID=" & vPost
			Set oRs = DBRecordSet(oCnForum, rSQL)
			If Not oRs.EOF Then
				If oRs("PostParent") = CInt(vPost) Then
					rSQL = "DELETE FROM Posts WHERE PostParent=" & vPost
				Else
					rSQL = "DELETE FROM Posts WHERE PostID=" & vPost
				End If
				DBExecute oCnForum, rSQL
				DeletePost = True
			End If
		End If
	End Function

	' Check if the profile of user sUserLogin is public
	Function IsPublicProfile(sUserLogin)
		Dim oRs, rSQL
		IsPublicProfile = False
		rSQL = "SELECT uProfile FROM ForumUsers WHERE uLogin='" & SQLEncrypt(sUserLogin) & "'"
		Set oRs = DBRecordSet(oCnMain, rSQL)
		If Not oRs.EOF Then
			If oRs(0).Value Then
				IsPublicProfile = True
			End If
		End If
		Set oRs = Nothing
	End Function

	' Display the Profile ToolBar for the sPostUser user
	' IN : sPostUser (str) : UserLogin to be showed 
	' OUT: -
	' Revisions
	' 30/09/2003 Add: msn instant messenger
	' 23/02/2004 Fix: Guest User
	Sub AddProfileToolBar(sPostUser)
		Dim oRs, rSQL, sTemp

		If sPostUser = "" Then 
			Exit Sub
		End If
		Response.Write	" <a href='" & GLOBAL_SITE_PATH & GLOBAL_SITE_PROFILE_PAGE & "?id=" & Server.URLEncode(sPostUser) & "'>" & _
						"<img src='" & ImagesPath & Icon_Profile & "' border='0' hspace='2' alt='" & GetTranslation("LANG_PROFILE") & " - " & sPostUser & "'>" & _
						"</a>" & vbCrLf
		If bIsValid Then
		' Private Message
			Response.Write	" <a href='" & GLOBAL_SITE_PATH & GLOBAL_SITE_PRIVATE_MESSAGES_PAGE & "?do=new" & "&to=" & Server.URLEncode(sPostUser) & "'>" & _
							"<img src='" & ImagesPath & Icon_PMessage & "' border='0' hspace='2' alt='" & GetTranslation("LANG_SEND_PRIVATE_MESSAGE") & " - " & sPostUser & "'>" & _
							"</a>" & vbCrLf
		' Search for
			Response.Write	" <a href='" & GLOBAL_SITE_PATH & "forum/search.asp" & "?do=search" & "&searchon=" & qtAuthor & "&query=" & Server.URLEncode(sPostUser) & "'>" & _
							"<img src='" & ImagesPath & Icon_Search & "' border='0' hspace='2' alt='" & GetTranslation("LANG_SEARCH") & " - " & sPostUser & "'>" & _
							"</a>" & vbCrLf
		' Add as Collega
			Response.Write	" <a href='" & GLOBAL_SITE_PATH & GLOBAL_SITE_PRIVATE_MESSAGES_PAGE & "?do=friend" & "&friend=" & Server.URLEncode(sPostUser) & "'>" & _
							"<img src='" & ImagesPath & Icon_Friend & "' border='0' hspace='2' alt='" & GetTranslation("LANG_ADD_FRIEND") & " - " & sPostUser & "'>" & _
							"</a>" & vbCrLf
		End If 
		rSQL = "SELECT uProfile, uEMail, uMSN, uYahoo, uICQ, uAIM, uURL FROM Users WHERE uLogin='" & SQLEncrypt(sPostUser) &"'"
		Set oRs = DBRecordSet(oCnMain, rSQL)
		If Not oRs.EOF Then
			If oRs(0).Value Then
				' uEMail
				If oRs(1).Value&"" <> "" Then
					Response.Write	" <a href='" & EncodeEmail("mail" & "to:" & oRs(1)) & "'>" & _
									"<img src='" & ImagesPath & Icon_Email & "' border='0' hspace='2' " & _
									"alt='" & GetTranslation("LANG_SENDMAIL") & " - " & sPostUser & "'>" & _
									"</a>" & vbCrLf

				End If
				' uMSN
				If oRs(2).Value&"" <> "" Then
					Response.Write	" <a href='http://arkansasmall.tcworks.net:8080/message/msn/" & EncodeEmail(oRs(2)) & "'>" & _
									"<img src='" & ImagesPath & Icon_MSN & "' border='0' hspace='2' " & _
									"alt='" & GetTranslation("LANG_IM_TO") & " - " & sPostUser & "'>" & _
									"</a>" & vbCrLf
				End If
				' uYahoo
				If oRs(3).Value&"" <> "" Then
					Response.Write	" <a href='ymsgr:SendIM?" & EncodeEmail(oRs(3))& "'>" & _
									"<img src='" & ImagesPath & Icon_Yahoo & "' border='0' hspace='2' " & _
									"alt='" & GetTranslation("LANG_IM_TO") & " - " & sPostUser & "'>" & _
									"</a>" & vbCrLf
				End If
				' uICQ
				If oRs(4).Value&"" <> "" Then
					Response.Write	" <a href='http://wwp.icq.com/scripts/search.dll?to=" & EncodeEmail(oRs(4)) & "'>" & _
									"<img src='http://online.mirabilis.com/scripts/online.dll?icq=" & EncodeEmail(oRs(4))& "&img=5' border=0 hspace=2 " & _
									"alt='" & GetTranslation("LANG_IM_TO") & " - " & sPostUser & "'>" & _
									"</a>" & vbCrLf
								'	ImagesPath & Icon_ICQ
				End If
				' uAIM
				If oRs(5).Value&"" <> "" Then
					Response.Write	" <a href='aim:GoIM?screenname=" & EncodeEmail(oRs(5)) & "'>" & _
									"<img src='" & ImagesPath & Icon_AIM & "' border='0' hspace='2' " & _
									"alt='" & GetTranslation("LANG_IM_TO") & " - " & sPostUser & "'>" & _
									"</a>" & vbCrLf
				End If
				' uURL
				If oRs(6).Value&"" <> "" Then
					Response.Write	OpenURL(oRs(6).Value&"") & _
									"<img src='" & ImagesPath & Icon_Web & "' border='0' hspace='2' " & _
									"alt='" & GetTranslation("LANG_WEBSITE") & " - " & sPostUser & "'>" & _
									"</a>" & vbCrLf
				End If
			End If
		End If
		Set oRs = Nothing
	End Sub

	' Display the online status of the sPostUser user
	' IN : sPostUser (str) : UserLogin to be showed
	' OUT: True if success, else False
	Function DisplayOnline(sPostUser)
		Dim rSQL, oRsTemp, bResult
		rSQL = "SELECT sLogin, uRole FROM Sessions, Users WHERE uLogin=sLogin AND sLogin='" & SQLEncrypt(sPostUser) & "'"
		Set oRsTemp = DBRecordSet(oCnMain, rSQL)
		Response.Write "<span>"
		bResult = Not oRsTemp.EOF
		If bResult Then
			If oRsTemp("uRole") = ROLE_ADMIN Then
				Response.Write "<img src='" & GLOBAL_SITE_PATH & "forum/imgs/admin.gif' border=0 alt='"
			Else
				Response.Write "<img src='" & GLOBAL_SITE_PATH & "forum/imgs/online.gif' border=0 alt='"
			End If
			Response.Write sPostUser & " - " & GetTranslation("LANG_ONLINE") & "'> "
		Else
			Response.Write "<img src='" & GLOBAL_SITE_PATH & "forum/imgs/offline.gif' border=0 alt='"& sPostUser & " - " & GetTranslation("LANG_OFFLINE") & "'> "
		End If
		Response.Write "</span>" & vbCRLF
		DisplayOnline = bResult
		Set oRsTemp = Nothing
	End Function

	' Display the topic button bar
	' Revisions
	' 14/02/2004 Add: New icons for the buttons
	' 22/02/2004 Add: Allow anonymous post on public forum/section
	' 17/06/2004 Add: ForumAllowPostGuest feature
	Sub DisplayTopicButtonBar(sButtons)
		Dim aButtons, I, sURL
		aButtons = Split(sButtons, ",")
'		If sPseudo <> "" and bIsValid Then ' Rem:22/02/2004
		If bIsAuthorized Then ' Add:22/02/2004
			Response.Write "<table width=""100%""><tr>"
			Response.Write "<td width=""100%"">&nbsp;</td>" & vbCRLF
			If IsArray(aButtons) Then
				For I = 0 To UBound(aButtons)
					Response.Write "<td width='140'>" & vbCRLF
					Select Case cLng(aButtons(I))
						Case btnNewTopic
							If blnForumAllowPost Then ' Fix:05/07/2004
								Response.Write "<a href=""Post.asp?forum=" & myForum & "&section=" & mySection & """>"
								Response.Write "<img src='" & GLOBAL_FORUM_IMGS_RANK & "newtopic.gif' hspace='2' border='0' alt='" & GetTranslation("LANG_NEW_SUBJECT") & "' align=absmiddle></a>"
								Response.Write "<input name=""nouveausujet"" type=""button"" class=""button"" value=""" & GetTranslation("LANG_NEW_SUBJECT") & """ OnClick=""javascript:document.location='Post.asp?forum=" & myForum & "&section=" & mySection & "';"">" & vbCRLF
							End If
						Case btnNewPoll
							If blnForumAllowPost Then ' Fix:05/07/2004
								Response.Write "<a href=""Post.asp?forum=" & myForum & "&section=" & mySection & """>"
								Response.Write "<img src='" & GLOBAL_FORUM_IMGS_RANK & "newpoll.gif' hspace='2' border='0' alt='" & GetTranslation("LANG_NEW_POLL") & "' align=absmiddle></a>" 
								Response.Write "<input name=""nouveapoll"" type=""button"" class=""button"" value=""" & GetTranslation("LANG_NEW_POLL") & """ OnClick=""javascript:document.location='Post.asp?forum=" & myForum & "&section=" & mySection & "&mode=poll';"">" & vbCRLF
							End If
						Case btnPrintTopic
							sUrl = GLOBAL_SITE_PATH & GLOBAL_SITE_PRINT_PAGE & "?id=" & myPost & "&categorytype=" & CATEGORY_TYPE_TOPIC & "&page=" & myPage & "&comments=" & False
							Response.Write "<a href=""javascript:PopUpCenter('" & sUrl & "', '" & GetTranslation("LANG_PRINT") & "');"">"
							Response.Write "<img src='" & GLOBAL_FORUM_IMGS_RANK & "printtopic.gif' hspace='2' border='0' alt='" & GetTranslation("LANG_PRINT_SUBJECT") & "' align=absmiddle></a>"
							Response.Write "<input name=""printsujet"" type=""button"" class=""button"" value=""" & GetTranslation("LANG_PRINT_SUBJECT") & """ OnClick=""javascript:PopUpCenter('" & sUrl & "', '" & GetTranslation("LANG_PRINT") & "');"">" & vbCRLF
					End Select
					Response.Write "</td>" & vbCRLF
				Next
			End If
			Response.Write "<td>&nbsp;</td>" & vbCRLF
			Response.Write "</tr></table>" & vbCRLF
		End If
	End Sub

	' Return Item Title related by Category iCatSubs
	' IN : iCatSubs (int) : CatSubs's Id
	' IN : iItem (int) : Item's Id
	' OUT: item title / name
	Function GetItemTitle(iCatSubs, iItem)
		Dim oRs, rSQL

		GetItemTitle = ""
		Select Case iCatSubs
			Case csForum: 
				rSQL = "SELECT ForumName FROM Forums WHERE ForumId=" & iItem
			Case csSection: 
				rSQL = "SELECT SectionName FROM Sections WHERE SectionId=" & iItem
			Case csTopic: 
				rSQL = "SELECT PostTitle FROM Posts WHERE PostId=" & iItem
			Case Else
				rSQL = ""
		End Select
		If rSQL <> "" Then
			Set oRs = DBRecordSet(oCnForum, rSQL)
			If Not oRs.EOF Then
				GetItemTitle = oRs(0)
			End If
			Set oRs = Nothing
		End If
	End Function

	' Return Subscription Category title 
	' IN : iCatSubs (int) : CatSubs' Id
	' OUT: Subscription category title translated
	Function GetCatSubsTitle(iCatSubs)
		Dim rSQL, oRsTemp
		rSQL = "SELECT CatSubsTitle FROM CatSubs WHERE CatSubsId=" & CLng(iCatSubs)
		Set oRsTemp = DBRecordSet(oCnForum, rSQL)
		If Not oRsTemp.EOF Then
			GetCatSubsTitle = GetTranslation(oRsTemp(0))
		Else
			GetCatSubsTitle = ""
		End If
		Set oRsTemp = Nothing
	End Function

	' Display the Subscription link 
	Sub DisplaySubsLink(iLink, iCatSubs, iItem)
		Dim sCatSubsTitle
		sCatSubsTitle = GetCatSubsTitle(iCatSubs)
		Select Case CLng(iLink)
			Case lnkSubscribe
				Response.Write "<div class=""""><a href=""subscribe.asp?do=add&catsubs=" & iCatSubs & "&item=" & iItem & """ >"
				Response.Write GetTranslation("LANG_SUBSCRIBE_TO") & " " & sCatSubsTitle
				Response.Write "</a></div>" & vbCRLF
			Case lnkUnSubscribe
				Response.Write "<div class=""""><a href=""subscribe.asp?do=cdel&Id=" & iItem & """ >"
				Response.Write GetTranslation("LANG_UNSUBSCRIBE_TO") & " " & sCatSubsTitle
				Response.Write "</a></div>" & vbCRLF
		End Select
	End Sub

	' Display the Subscription link bar
	Sub DisplaySubsLinkBar(iLink, iCatSubs, iItem)
		If bIsValid Then
			Response.Write "<table><tr>"
			Response.Write "<td width=""10"">&nbsp;</td>" & vbCRLF
			Response.Write "<td class=button nowrap><a href=""subscribe.asp"">" & GetTranslation("LANG_MY_SUBSCRIPTIONS") & "</a></td>" & vbCRLF
			Response.Write "<td>&nbsp;&nbsp;</td>" & vbCRLF
			Response.Write "<td class=button nowrap>" & vbCRLF
			DisplaySubsLink iLink, iCatSubs, iItem 
			Response.Write "</td>" & vbCRLF
			Response.Write "<td>&nbsp;</td>" & vbCRLF
			Response.Write "</tr></table>" & vbCRLF
		End If
	End Sub

	' Display Status Subscription
	' IN : iCatSubs (int) : Subscription Category's Id
	' OUT: -
	Sub DisplaySubscription(iCatSubs, iItem)
		Dim oRs, rSQL

		rSQL = "SELECT SubsId, SubsValid FROM Subs WHERE SubsUser='" & SQLEncrypt(sPseudo) & "'" & _
			" AND SubsCat=" & iCatSubs & _
			" AND SubsValue=" & iItem
		Set oRs = DBRecordSet(oCnForum, rSQL)
		If Not oRs.EOF Then
		' UnSubcribe to ...
			If oRs(1).Value Then
				DisplaySubsLinkBar lnkUnSubscribe, iCatSubs, cLng(oRs(0))
				Exit Sub
			End If
		End If
		' Subscribe to this item
		DisplaySubsLinkBar lnkSubscribe, iCatSubs, iItem
	End Sub

	Function IsSubscribedTo(sUser, iCatSubs, iItem)
		Dim oRs, rSQL

		IsSubscribedTo = False

		rSQL = "SELECT SubsValid FROM Subs WHERE SubsUser='" & SQLEncrypt(sUser) & "'" & _
			" AND SubsCat=" & iCatSubs & _
			" AND SubsValue=" & iItem
		Set oRs = DBRecordSet(oCnForum, rSQL)
		If Not oRs.EOF And Not oRs.BOF Then
			IsSubscribedTo = cBool(oRs("SubsValid").Value)
		End If
	End Function

	' Get Category Id for sCategory Category name
	' IN  : sCategory (str) : Category name (table categories, field cTitle)
	' OUT : iCategory (int) : Category Id (table categories, field cId)
	Function GetCategoryId(sCategory)
		Dim oRs, rSQL

		rSQL = "SELECT cID FROM categories WHERE cTitle='" & SQLEncrypt(sCategory) & "'"
		Set oRs = DBRecordSet(oCnMain, rSQL)
		If Not oRs.EOF Then
			GetCategoryId = oRs(0)
		End If
		Set oRs = Nothing
	End Function

'
' Moved from forum-inc.asp
'


	' Revisions:
	' 01/10/2003 Add: Default value for ForumLevel
	' 26/01/2004 Fix: Default value for ForumLevel <> 0
	' 27/01/2004 Rev: Default ForumLevel value is not needed, because to table design
	' 30/05/2004 Rev: Default value for ForumOrder = 0
	Function AddForum(sTitle, sDescription)
		Dim rSQL

		AddForum = False

		If sTitle <> "" and sDescription <> "" Then
			rSQL = "INSERT INTO Forums (ForumName, ForumDescription, ForumOrder) VALUES ('" & SQLEncrypt(sTitle) & "', '" & SQLEncrypt(sDescription) & "', 0)"
			oCnForum.Execute rSQL
			AddForum = True
		End If
	End Function

	Function DeleteForum(vForum)
		Dim oRs, rSQL

		DeleteForum = False

		If IsNumeric(vForum) and vForum <> 0 Then
			rSQL = "SELECT SectionID From Sections WHERE SectionForum=" & vForum
			Set oRs = DBRecordSet(oCnForum, rSQL)
			While Not oRs.EOF
				rSQL = "DELETE FROM Posts WHERE PostSection=" & oRs("SectionID")
				DBExecute oCnForum, rSQL
				rSQL = "DELETE FROM Sections WHERE SectionID=" & oRs("SectionID")
				DBExecute oCnForum, rSQL
				oRs.MoveNext
			WEnd
			rSQL = "DELETE FROM Forums WHERE ForumID=" & vForum
			oCnForum.Execute rSQL
			DeleteForum = True
		End If
	End Function

	Function AddSection(sTitle, sDescription, vForum)
		Dim rSQL

		AddSection = False

		If sTitle <> "" and sDescription <> "" and IsNumeric(vForum) and vForum <> 0 Then
'			rSQL = "INSERT INTO Sections (SectionName, SectionForum, SectionDescription) VALUES ('" & SQLEncrypt(sTitle) & "', " & vForum & ", '" & SQLEncrypt(sDescription) & "')"
			rSQL =	"INSERT INTO Sections (SectionName, SectionForum, SectionDescription, SectionOrder)" &_ 
					" VALUES ('" & SQLEncrypt(sTitle) & "', " & vForum & ", '" & SQLEncrypt(sDescription) & "', 0)"
			DBExecute oCnForum, rSQL
			AddSection = True
		End If
	End Function

	Function DeleteSection(vSection)
		Dim rSQL

		DeleteSection = False

		If IsNumeric(vSection) and vSection <> 0 Then
			rSQL = "DELETE FROM Posts WHERE PostSection=" & vSection
			DBExecute oCnForum, rSQL
			rSQL = "DELETE FROM Sections WHERE SectionID=" & vSection
			DBExecute oCnForum, rSQL
			DeleteSection = True
		End If
	End Function

	Function ValidatePost(vPost, bState)
		Dim rSQL

		ValidatePost = False

		If vPost <> "" and vPost <> 0 Then
			rSQL = "UPDATE Posts SET PostValid=" & SQLboolean(bState) & " WHERE PostID=" & vPost
			DBExecute oCnForum, rSQL
			ValidatePost = True
		End If
	End Function

	' 18/08/2003 Created
	Function ClosePost(vPostParent, bState)
		Dim rSQL

		ClosePost = False

		If vPostParent <> "" and vPostParent <> 0 Then
			rSQL = "UPDATE Posts SET PostClosed=" & SQLboolean(bState) & " WHERE PostParent=" & vPostParent
			DBExecute oCnForum, rSQL
			ClosePost = True
		End If
	End Function

	Function AddModerator(sUser, iSection)
		Dim oRs, rSQL

		AddModerator = False
		
		If iSection = "" Then iSection = 0
		rSQL = "SELECT SectionID FROM Sections WHERE SectionID=" & iSection
		Set oRs = DBRecordSet(oCnForum, rSQL)
		If Not oRs.EOF Then
			rSQL = "SELECT UserLogin FROM ForumUsers WHERE UserLogin='" & SQLEncrypt(sUser) & "'"
			Set oRs = DBRecordSet(oCnForum, rSQL)
			If Not oRs.EOF Then
				rSQL = "INSERT INTO Moderators (ModeratorID, ModeratorSection) VALUES ('" & SQLEncrypt(oRs("UserLogin")) & "', " & iSection & ")"
				DBExecute oCnForum, rSQL
				AddModerator = True
			End If
		End If

		Set oRs = Nothing
	End Function

	Function DeleteModerator(sUser, vSection)
		Dim rSQL

		DeleteModerator = False
		
		If IsNumeric(vSection) And vSection <> 0 Then
			rSQL = "DELETE FROM Moderators WHERE ModeratorID = '" & SQLEncrypt(sUser) & "' AND ModeratorSection=" & vSection
			DBExecute oCnForum, rSQL
			DeleteModerator = True
		End If
	End Function

	Function AddAdministrator(sUser, vForum)
		Dim oRs, rSQL

		AddAdministrator = False

		If IsNumeric(vForum) And vForum <> 0 Then
			rSQL = "SELECT UserLogin FROM ForumUsers WHERE UserLogin='" & SQLEncrypt(sUser) & "'"
			Set oRs = DBRecordSet(oCnForum, rSQL)
			If Not oRs.EOF Then
				rSQL = "INSERT INTO Administrators (AdministratorID, AdministratorForum) VALUES ('" & SQLEncrypt(oRs("UserLogin")) & "', " & vForum & ")"
				DBExecute oCnForum, rSQL
				AddAdministrator = True
			End If
			Set oRs = Nothing
		End If
	End Function

	Function DeleteAdministrator(sUser, vForum)
		Dim rSQL

		DeleteAdministrator = False

		If IsNumeric(vForum) And vForum <> 0 Then
			rSQL = "DELETE FROM Administrators WHERE AdministratorID = '" & SQLEncrypt(sUser) & "' AND AdministratorForum=" & vForum
			DBExecute oCnForum, rSQL
			DeleteAdministrator = True
		End If
	End Function

	Function QueryBool(sParm)
		Dim iNum, bResult
		iNum = Request.QueryString(sParm)
		Select Case lCase(iNum)
			Case "1", "on", "til", "true", "sand", "-1"
				iNum = 1
			Case "0", "off", "fra", "false", "falsk"
				iNum = 0
			Case Else
				iNum = 0
		End Select

		if iNum <> 0 Then
			bResult = True
		Else
			bResult = False
		End if
		QueryBool = bResult
	End Function

	Function QueryNumDef(sParm, iDef)
		Dim iResult
		iResult = Request.QueryString(sParm)
		If iResult <> "" and IsNumeric(iResult) Then
			iResult = CLng(iResult)
		Else
			iResult = iDef '0
		End If
		QueryNumDef = iResult
	End Function

	Function QueryStr(sParm)
		Dim sResult
		sResult = cStr(trim( Request.QueryString(sParm) & "" ))
		QueryStr = sResult
	End Function

	' Get extended string parameter
	' IN  : sParm (str): request parameter name
	' OUT : string value of parameter
	Function RequestStrEx(sParm)
		Dim sResult
		sResult = RequestStr(sParm)
		If sResult = "" Then
			sResult = QueryStr(sParm)
		End If
		RequestStrEx = sResult
	End Function

	' Get extended integer parameter
	' IN  : sParm (str): request parameter name
	'     : iDef (int) : default parameter value
	' OUT : int value of parameter
	Function RequestNumEx(sParam, iDef)
		Dim iResult
		iResult = RequestNumDef(sParam, iDef)
		If iResult = iDef Then
			iResult = QueryNumDef(sParam, iDef)
		End If
		RequestNumEx = iResult
	End Function 

	' Get Next Line index (1/2)
	Function NextLine(iLine)
		NextLine = iLine
		iLine = 1 + ((iLine-1) XOR 1)
	End Function

	Function BoolToStr(value)
		If value Then
			BoolToStr = DB_TRUE
		Else
			BoolToStr = DB_FALSE
		End If
	End Function

	Sub MenuFValidateUrl(sUrl, iID, sUser)
		Response.Write "      <a href='" & sUrl & "?id=" & iID & "&user=" & sUser & "&do=val'><img src='" & GLOBAL_SITE_IMAGES_PATH & "validate.gif' width='20' height='20' hspace='2' border='0' alt='" & GetTranslation("LANG_VALIDATE") & "'></a>" & vbCrLf
	End Sub

	Sub MenuFUnvalidateUrl(sUrl, iID, sUser)
		Response.Write "      <a href='" & sUrl & "?id=" & iID & "&user=" & sUser & "&do=unval'><img src='" & GLOBAL_SITE_IMAGES_PATH & "unvalidate.gif' width='20' height='20' hspace='2' border='0' alt='" & GetTranslation("LANG_UNVALIDATE") & "'></a>" & vbCrLf
	End Sub

	Sub MenuFDeleteUrl(sUrl, iID, sUser)
		Response.Write "      <a href='" & sUrl & "?id=" & iID & "&user=" & sUser & "&do=cdel'><img src='" & GLOBAL_SITE_IMAGES_PATH & "del.gif' width='20' height='20' hspace='2' border='0' alt='" & GetTranslation("LANG_DELETE") & "'></a>" & vbCrLf
	End Sub
%>