<%
'	************************************************************************
'	* ASP-Nuke: Free web portal in ASP                                     *
'	************************************************************************
'	* Copyright (c) 2002-2003 by Gaetan Bouveret (webmaster@asp-nuke.com)  *
'	* http://www.asp-nuke.com                                              *
'	*                                                                      *
'	* This program is free software. You can redistribute it and/or modify *
'	* it under the terms of the GNU General Public License as published by *
'	* the Free Software Foundation; either version 2 of the License, or    *
'	* (at your option) any later version.                                  *
'	*                                                                      *
'	************************************************************************
'	FileName:		subscribe-inc.asp
'	Author:			WinRiders
'	Description:	Set of auxiliar sub's/function's for the user forum subscription system
'
'	Revisions:
'	29/01/2004 Add: First release
'	23/02/2004 Fix: LANG_SUBSCRIBE_SUBJECT's tags
'	08/06/2004 Rev: Remove Language issue code
%>
<%

	const GLOBAL_SITE_SUBS_USER_PAGE = "forum/subscribe.asp"

	' EMail Notification for subscribers
	' IN  : iForum (int)     : Forum's id (table Forums, field ForumId)
	'     : iSection (int)   : Section's id (table Posts, field PostSection)
	'     : iParent (int)    : Post Parent's Id (table Posts, field PostParent)
	'     : iPost (int)      : Post's Id (table Posts, field PostID)
	'     : sUserPost (str)  : User Name of Reply Post
	'     : sPostTitle (str) : Title of Reply Post
	'     : sPostMessage (str) : Text of the topic
	' OUT : True if success, else False
	Function DoSubsNotify(iForum, iSection, iParent, iPost, sUserPost, sPostTitle, sPostMessage)
	' Obtener lista de subscripciones activas no caducadas (foro, seccin, tema)
		Dim rSQL, oRs, oRsTemp, sCurrentDate, bSkip, sLogin, iSubId, iSubCat, sRecipient, sSubject, sText
		Dim sBody, sForumName, sSectionName, sLink1, sLink2, sUnsubs
		Dim I, UserArray, sUserArray

		sCurrentDate = DateTimeToString(GMTNow())
		sUserArray = ""
		rSQL = "SELECT SubsUser, SubsCat, SubsValue, SubsId, SubsTitle FROM Subs " & _
			" WHERE SubsValid=" & DB_TRUE & " AND SubsDateEnd>'" & sCurrentDate & "'" & _
			" AND(((SubsValue=" & iForum & ") AND (SubsCat=" & csForum & "))" & _
			"  OR ((SubsValue=" & iSection & ") AND (SubsCat=" & csSection & "))" & _
			"  OR ((SubsValue=" & iParent & ") AND (SubsCat=" & csTopic & "))" & _
			") ORDER BY SubsUser, SubsCat, SubsValue"
		Set oRs = DBRecordSet(oCnForum, rSQL)
		While Not oRs.EOF 
			sLogin = oRs("SubsUser")
			iSubId = oRs("SubsId")
			iSubCat = oRs("SubsCat")

			bSkip = False
			UserArray = Split(sUserArray, ";")
			If IsArray(UserArray) Then
				I = 0
				While (I < UBound(UserArray)) And Not bSkip
					If (StrComp(UserArray(I), sLogin, vbTextCompare) = 0) Then
						bSkip = True
					End If
					I = I + 1
				WEnd
			End If

			bSkip = bSkip or CBool(StrComp(sUserPost, sLogin, vbTextCompare) = 0)

			If Not bSkip Then
				rSQL = "SELECT uEmail, uName FROM ForumUsers WHERE uValid=" & DB_TRUE &" AND uLogin='" & SQLEncrypt(sLogin) & "'"
				Set oRsTemp = DBRecordSet(oCnMain, rSQL)
				If Not oRsTemp.EOF Then
					If oRsTemp("uEMail") <> "" Then
						sRecipient = "<" & oRsTemp("uEMail") & ">"
						If oRsTemp("uName") <> "" Then
							sRecipient = """" & oRsTemp("uName") & """" & sRecipient
						Else
							sRecipient = """" & sLogin & """" & sRecipient
						End If
					Else
						bSkip = True ' Has not e-mail
					End If
				Else
					bSkip = True ' User no longer valid
				End If
			End If

			If Not bSkip Then
				sForumName = DLookupF("ForumName","Forums","ForumId=" & iForum)
				sSectionName = DLookupF("SectionName", "Sections", "SectionId=" & iSection)

				sSubject = GetTranslation("LANG_SUBS_NOTIFY_SUBJECT")
				sSubject = Replace(sSubject, "%forum%", sForumName)
				sSubject = Replace(sSubject, "%section%", sSectionName)

				Select Case iSubCat
					Case csForum:   sUnsubs = GetTranslation("LANG_UNSUBS_FORUM_LINK")
					Case csSection: sUnsubs = GetTranslation("LANG_UNSUBS_SECTION_LINK")
					Case csTopic:   sUnsubs = GetTranslation("LANG_UNSUBS_TOPIC_LINK")
					Case Else
						sUnsubs = GetTranslation("LANG_UNSUBS_FORUM_LINK")
				End Select
				sText = GetTranslation("LANG_SUBS_POST_NOTIFY")
				sText = Replace(sText, "%login%", sLogin)
				sText = Replace(sText, "%user%", sUserPost)
				sText = Replace(sText, "%title%", sPostTitle)
				sText = Replace(sText, "%forum%", sForumName)
				sText = Replace(sText, "%section%", sSectionName)
				sText = Replace(sText, "%post%", "<HR><div>" & _
					CodeMessageEx(sPostMessage, 0, False, False) & "</div>" )
				If InStr(sText, "%link1%") <> 0 Then
					sLink1 = "<a href=""" & GLOBAL_SITE_URL & GLOBAL_SITE_FORUM_PATH & GLOBAL_SITE_FORUM_PAGE & "?forum=" & iForum & "&section=" & iSection & "&post=" & iParent & "&page=last#" & iPost & """>" & GetTranslation("LANG_LINK") & "</a>" & vbCRLF
					sText = Replace(sText, "%link1%", sLink1)
				End If
				If InStr(sText, "%unsubs%") <> 0 Then
					sLink2 = "<a href=""" & GLOBAL_SITE_URL & GLOBAL_SITE_PATH & GLOBAL_SITE_SUBS_USER_PAGE & "?do=cdel&id=" & iSubId &  """>" & GetTranslation("LANG_LINK") & "</a>" & vbCRLF
					sUnSubs = Replace(sUnSubs, "%link2%", sLink2)
					sText = Replace(sText, "%unsubs%", sUnsubs)
				End If

				sBody = sSubject & vbCRLF & CodeMessage(sText, False) & vbCRLF
				SendMail GLOBAL_ACCOUNTS_EMAIL, sRecipient, sSubject, sBody, True

				sUserArray = sUserArray & ";" & sLogin

			End If

			oRs.MoveNext
		WEnd
		DoSubsNotify = True
	End Function

	' Delete Subscription iSubsID
	' IN  : iID (int) : Subs's id (table subs, field SubsID)
	' OUT : (boolean) : True if deleted
	Function DeleteSubs(iSubsID)
		Dim rSQL
		DeleteSubs = True
		If iSubsId > 0 Then
			rSQL = DB_DELETE_FROM & " Subs WHERE SubsId=" & iSubsId
			DBExecuteF rSQL
		Else
			DeleteSubs = False
		End If
	End Function

	' Validate Subscription (mark as valid), and expand SubsDateEnd period
	' IN  : iID (int) : Subs's id (table subs, field SubsID)
	' OUT : (boolean) : True if deleted
	Function ValidateSubs(iID)
		Dim rSQL, sDateEnd

		sDateEnd = DateTimeToString(GMTNow() + MAX_FORUM_SUBSCRIPTION_PERIOD)
		rSQL = "UPDATE Subs Set SubsValid=" & DB_TRUE & ", SubsDateEnd='" & sDateEnd & "' " & _
			"WHERE SubsId=" & iID & " AND SubsValid=" & DB_FALSE
		DBExecuteF rSQL

		ValidateSubs = True
	End Function

	' Unvalidate Subscription (mark as not valid)
	' IN  : iID (int) : Subs's id (table subs, field SubsID)
	' OUT : (boolean) : True if deleted
	Function UnvalidateSubs(iID)
		Dim rSQL

		rSQL = "UPDATE Subs Set SubsValid=" & DB_FALSE & " WHERE SubsId=" & iID
		DBExecuteF rSQL

		UnvalidateSubs = True
	End Function

	' Display deleting's form (to confirm)
	' IN  : uID (string) : Subs's Id (table subs, field SubsId)
	' OUT : -
	' Revisions
	' 09/02/2004 Fix: Check if user login is owner of subscription
	Sub ConfirmDeleteSubs(uID, sUser)
		Dim oRs, rSQL
		Dim iCatSubs, iItem, sTitle

		If uID <> "" Then
			rSQL = "SELECT * FROM Subs, CatSubs WHERE CatSubsId=SubsCat AND SubsId=" & uID & _
					" AND SubsUser='" & SQLEncrypt(sUser) & "'"
			Set oRs = DBRecordSet(oCnForum, rSQL)
			If Not oRs.EOF Then
				Response.Write "<bgsound src=""" & GLOBAL_SITE_PATH & "avviso.wav"">" & vbCRLF
				iCatSubs = oRs("SubsCat")
				iItem = oRs("SubsValue")
				sTitle = GetItemTitle(iCatSubs, iItem)

				CreateTopTable "ConfirmDelSubs", GetTranslation("LANG_CONFIRM") & " - " & GetTranslation("LANG_DELETE")
				Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF

IF TRUE THEN

				Dim oForm
				Set oForm = New DesignForms
				With oForm
					.Open			    "ConfirmDelete", "post", sUrlPage
					.AddHidden		"Do", "del"
					.AddHidden		"Id", oRs("SubsId")
					.AddShowBottom	GetTranslation("LANG_CONFIRM_DELETE")
					.AddShowText	GetTranslation("LANG_LOGIN"),			oRs("SubsUser")
					.AddShowText	GetTranslation("LANG_CATEGORY"),		GetTranslation(oRs("CatSubsTitle"))
					.AddShowText	GetTranslation("LANG_TITLE"),			sTitle
					.AddShowText	GetTranslation("LANG_DATE_BEGIN"),		GetDateDDMMYYYY(GMT2Local(StringToDate(oRs("SubsDate"))))
					.AddShowText	GetTranslation("LANG_DATE_END"),		GetDateDDMMYYYY(GMT2Local(StringToDate(oRs("SubsDateEnd"))))
					.AlignRight
					.ConfirmSubmit
					.AddShowBottom	.AddSubmit(GetTranslation("LANG_YES"),"bYes") & "&nbsp;&nbsp;&nbsp;&nbsp;" & .AddBack(GetTranslation("LANG_NO"),"bNo")
					.Close
				End With
				Set oForm = Nothing

ELSE

				Response.Write "<script language=""javascript"" type=""text/javascript"">" & vbCRLF
				Response.Write "  function DeleteSubs()" & vbCRLF
				Response.Write "  {" & vbCRLF
				Response.Write "    document.ConfirmDelete.Do.value='del';" & vbCRLF
				Response.Write "    document.ConfirmDelete.submit();" & vbCRLF

				Response.Write "  }" & vbCRLF
				Response.Write "</script>" & vbCRLF

				Response.Write "<form name=""ConfirmDelete"" method=""post"" action=""" & sURLPage & """>" & vbCRLF
				Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
				Response.Write "    <td>" & GetTranslation("LANG_CONFIRM_DELETE") & "</td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF
				Response.Write "</table>" & vbCRLF
				Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
				
				Dim iTableLine
				iTableLine = 1
				AddHidden				"", "Do", "", "", iTableLine
				AddHidden				"", "Id", oRs("SubsId"), "", iTableLine
				AddShowTextLine			GetTranslation("LANG_LOGIN"), oRs("SubsUser"), iTableLine
				AddShowTextLine			GetTranslation("LANG_CATEGORY"), GetTranslation(oRs("CatSubsTitle")), iTableLine
				AddShowTextLine			GetTranslation("LANG_TITLE"), GetTranslation(oRs("CatSubsTitle")), iTableLine
				AddShowTextLine			GetTranslation("LANG_DATE_BEGIN"), GetDateDDMMYYYY(StringToDate(oRs("SubsDate"))), iTableLine
				AddShowTextLine			GetTranslation("LANG_DATE_END"), GetDateDDMMYYYY(StringToDate(oRs("SubsDateEnd"))), iTableLine

				Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
				Response.Write "    <td colspan=2 align=right>" & vbCRLF
				Response.Write "      <input type=""button"" name=""Oui"" value=""" & GetTranslation("LANG_YES") & """ class=button onClick=""javascript:DeleteSubs();"">&nbsp;&nbsp;&nbsp;&nbsp;" & vbCRLF
				Response.Write "      <input type=""button"" name=""Non"" value=""" & GetTranslation("LANG_NO") & """ class=button onClick=""javascript:document.suppression.submit();"">&nbsp;" & vbCRLF
				Response.Write "    </td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF
				Response.Write "</form>" & vbCRLF

END IF

				Response.Write "</table>" & vbCRLF
				CreateBottomTable ""
			End If
		End If
	End Sub

	' Display the User Subs List
	' * Display only the valid user subcripcions
	' * Let's the user to delete the subscriptions
	' IN  : -
	' OUT : -
	Sub DisplayUserSubs
		Dim oRs, rSQL, iLine, iNum, iItem, iNbInvalid
		Dim rSQLTemp, oRsTemp, sLink, iSubsCat, iSubsID

		rSQL = "SELECT Count(SubsId) " & _
			" FROM Subs" & _
			" WHERE SubsUser='" & SQLEncrypt(sPseudo) & "'" & _
			" AND SubsValid=" & DB_FALSE
		Set oRs = DBRecordSet(oCnForum, rSQL)
		If Not oRs.EOF Then
			iNbInvalid = oRs(0)
		Else
			iNbInvalid = 0
		End If
		Set oRs = Nothing

		rSQL =	"SELECT SubsId, SubsCat, SubsDate, SubsValue, CatSubsTitle, SubsDateEnd, SubsValid" & _
				" FROM Subs, CatSubs" & _
				" WHERE SubsCat=CatSubsId AND SubsUser='" & SQLEncrypt(sPseudo) & "'" & _
				" AND SubsValid=" & DB_TRUE & "" & _
				" ORDER BY SubsCat ASC, SubsDate ASC"
		Set oRs = DBRecordSet(oCnForum, rSQL)

		Response.Write "<script language=""javascript"" type=""text/javascript"">" & vbCRLF
		Response.Write "  function checkallsubs(thestate) {" & vbCrLf
		Response.Write "    var el_collection = eval(""document.forms.subslist.todelete;"");" & vbCrLf
		Response.Write "    for (c=0; c < el_collection.length; c++) {" & vbCrLf
		Response.Write "      el_collection[c].checked = thestate;" & vbCrLf
		Response.Write "    }" & vbCrLf
		Response.Write "  }" & vbCrLf
		Response.Write "  function deleteSelectedSubs() {" & vbCRLF
		Response.Write "    if (confirm('" & JsEncrypt(GetTranslation("LANG_CONFIRM")) & "'))" & vbCRLF
		Response.Write "    {" & vbCRLF
		Response.Write "      document.subslist.Do.value = 'delsubs';" & vbCRLF
		Response.Write "      document.subslist.submit();" & vbCRLF
		Response.Write "    }" & vbCRLF
		Response.Write "  }" & vbCRLF
		Response.Write "</script>" & vbCRLF

		CreateTopTable "MySubscriptions", GetTranslation("LANG_MY_SUBSCRIPTIONS")

		If iNbInvalid > 0 Then
			Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
			Response.Write " <tr class="""">" & vbCRLF ' tablelinemain
			Response.Write "  <td class=""tableline1"">" & vbCRLF
			Response.Write GetTranslation("LANG_SUBS_HAS_INVALID", iNbInvalid) & vbCRLF
			Response.Write "  </td>" & vbCRLF
			Response.Write " </tr>" & vbCRLF
			Response.Write "</table>" & vbCRLF
		End If

		If Not oRs.EOF Then
			Response.Write "<form name=""subslist"" method=""post"" action=""" & sURLPage & """>" & vbCRLF
			Response.Write "<input type=""hidden"" name=""Do"" value="""">" & vbCRLF

			Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
			Response.Write " <tr class=""tablelinemain"">" & vbCRLF
			Response.Write "  <td>" & vbCRLF
			Response.Write "   <table width=""100%"" cellpadding=""0"" cellspacing=""0"" border=""0"">" & vbCRLF
			Response.Write "    <tr>" & vbCRLF
			Response.Write "     <td align=""right"">" & vbCRLF
			Response.Write "      <input type=""button"" class=""button"" name=""DeleteSubs"" onClick=""javascript:deleteSelectedSubs()"" value=""" & GetTranslation("LANG_DELETE_SUBSCRIPTIONS") & """><br>" & vbCRLF
			Response.Write "      <input type=""button"" class=""button"" name=""cmdChkAll"" value=""" & GetTranslation("LANG_CHECK_ALL") & """ onClick=""checkallsubs(true)"">" & vbCrLf 
			Response.Write "      <input type=""button"" class=""button"" name=""cmdUnChkAll"" value=""" & GetTranslation("LANG_UNCHECK_ALL") & """ onClick=""checkallsubs(false)"">" & vbCrLf 
			Response.Write "     <td>" & vbCRLF
			Response.Write "    </tr>" & vbCRLF
			Response.Write "   </table>" & vbCRLF
			Response.Write "  </td>" & vbCRLF
			Response.Write " </tr>" & vbCRLF
			Response.Write "</table>" & vbCRLF
		End If

		Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF

		If Not oRs.EOF Then
			Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
			Response.Write "    <td width=""5%"">&nbsp;</td>" & vbCRLF
			Response.Write "    <td width=""15%"">" & GetTranslation("LANG_CATEGORY") & vbCRLF
			Response.Write "    <td>" & GetTranslation("LANG_TITLE") & vbCRLF
			Response.Write "    <td width=""20%"" align=""center"">" & GetTranslation("LANG_DATE_BEGIN") & "</td>" & vbCRLF
			Response.Write "    <td width=""20%"" align=""center"">" & GetTranslation("LANG_DATE_END") & "</td>" & vbCRLF
			Response.Write "    <td width=""5%"">&nbsp;</td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF

			iNum = 1
			iLine = 1
			While Not oRs.EOF
				iSubsId = oRs("SubsID")
				Response.Write " <tr class=""tableline" & iLine & """>" & vbCRLF
				Response.Write "  <td align=""center"">" & iNum & "</td>" & vbCRLF
				Response.Write "  <td width=""10%"">" & GetTranslation(oRs("CatSubsTitle")) & "</td>" & vbCRLF
				Response.Write "  <td>"

				iItem = cLng(oRs("SubsValue"))
				iSubsCat = cLng(oRs("SubsCat"))
				Select Case iSubsCat
					Case csForum :
						rSQLTemp = "SELECT ForumName FROM Forums WHERE ForumId=" & iItem
					Case csSection :
						rSQLTemp = "SELECT SectionName, ForumId FROM Sections, Forums WHERE SectionForum=ForumId AND SectionId=" & iItem
					Case csTopic :
						rSQLTemp = "SELECT PostTitle, SectionId, ForumId FROM Posts, Sections, Forums WHERE PostSection=SectionId AND SectionForum=ForumId AND PostId=" & iItem
					Case Else
						rSQLTemp = ""
				End Select

				If rSQLTemp <> "" Then
					Set oRsTemp = DBRecordSet(oCnForum, rSQLTemp)
					If Not oRsTemp.EOF Then
						Select Case iSubsCat
							Case csForum :
								Response.Write "<a href=""forum.asp?forum=" & iItem & """>"
							Case csSection :
								Response.Write "<a href=""forum.asp?forum=" & oRsTemp(1) & "&section=" & iItem & """>"
							Case csTopic :
								Response.Write "<a href=""forum.asp?forum=" & oRsTemp(2) & "&section=" & oRsTemp(1) & "&post=" & iItem & """>"
						End Select
						Response.Write oRsTemp(0) & "</a>" & vbCRLF
					End If
					Set oRsTemp = Nothing
				End If

				Response.Write "</td>" & vbCRLF
				Response.Write "  <td width=""15%"" align=""center"">" & GetDateDDMMYYYY(GMT2Local( StringToDate(oRs("SubsDate")))) & "</td>" & vbCRLF
				Response.Write "  <td width=""15%"" align=""center"">" & GetDateDDMMYYYY(GMT2Local( StringToDate(oRs("SubsDateEnd")))) & "</td>" & vbCRLF
'				Response.Write "  <td width=""7%"" align=""center"">" & ShowBoolean(oRs("SubsValid")) & "</td>" & vbCRLF
				Response.Write "  <td align=""center""><input type=""checkbox"" name=""todelete"" value=""" & iSubsID & """></td>" & vbCRLF
'				Response.Write "  <td width=""10%"" align=""center"">"
'				MenuValidateUrl GLOBAL_SITE_SUBS_USER_PAGE, oRs("SubsId")
'				MenuDeleteUrl   GLOBAL_SITE_SUBS_USER_PAGE, oRs("SubsId")
'				Response.Write "</td>" & vbCRLF
				Response.Write " </tr>" & vbCRLF

				iLine = ((iLine - 1) Xor 1) + 1
				iNum = iNum + 1
				oRs.MoveNext
			WEnd
			Response.Write "</form>" & vbCRLF
		End If

		Response.Write "</table>" & vbCRLF
		CreateBottomTable ""

		Set oRs = Nothing
	End Sub

	' Add a new subscription 
	' Sends an e-mail to the user to advise
	' IN : iCatSubs (int) : QueryString
	'    : iItem (int) : QueryString
	' OUT: (boolean) True if success, else False
	Function AddSubs(iCatSubs, iItem)
		Dim rSQL, oRs
		Dim sTitle, sCurrentDate, sEndSubsDate, iLastSubsID, iValid, iForumSubscriptionPeriod
		Dim sSubject, sCategory, sMyName, sMyEmail, sURL, BodyText

		sCategory = GetCatSubsTitle(iCatSubs)
		sTitle = GetTranslation("LANG_TO") & " " & sCategory & " '" & GetItemTitle(iCatSubs, iItem) & "'"
		sCurrentDate = DateTimeToString(GMTNow())
		iForumSubscriptionPeriod = SysParmDef("Forum.Subscription.MaxPeriod", MAX_FORUM_SUBSCRIPTION_PERIOD)
		sEndSubsDate = DateTimeToString(GMTNow() + iForumSubscriptionPeriod)
		iValid = SysParmDef("Forum.Subscription.AutoValid", cLng(True))

		rSQL = "SELECT SubsID, SubsValid FROM Subs" & _
			" WHERE SubsUser='" & SQLEncrypt(sPseudo) & "'" & _
			" AND SubsCat=" & SQLEncrypt(iCatSubs) & "" & _
			" AND SubsValue=" & SQLEncrypt(iItem) & ""

		Set oRs = DBRecordSet(oCnForum, rSQL)
		If not oRs.EOF Then
			' Already Exist!
			' If unvalid then valid again
			If Not oRs("SubsValid").Value Then
				iLastSubsID = cLng(oRs("SubsID"))
				AddSubs = ValidateSubs(iLastSubsID)
			Else
				' Error
				AddSubs = False
			End if
			Exit Function
		End If

		rSQL = "SELECT MAX(SubsId) FROM Subs"
		Set oRs = DBRecordSet(oCnForum, rSQL)

		If Not oRs.EOF Then
			iLastSubsID = oRs(0)
			If isNull(iLastSubsID) Then 
				iLastSubsID = 1
			Else
				iLastSubsID = iLastSubsID + 1
			End If
		End If

		rSQL =	"INSERT INTO Subs" & _
			" (SubsID, SubsTitle, SubsUser, SubsCat, SubsDate, SubsValue, SubsDateEnd, SubsValid) " & _
			" VALUES " & _
			"(" & cLng(iLastSubsID) & _
			", '" & SQLEncrypt(sTitle) & "'" & _
			", '" & SQLEncrypt(sPseudo) & "'" & _
			", " & cLng(iCatSubs) & _
			", '" & sCurrentDate & "'" & _
			", " & cLng(iItem) & _
			", '" & sEndSubsDate & "'" & _
			", " & SQLBoolean(iValid) & _
			")"
		DBExecuteF rSQL

		rSQL = "SELECT uName, uEMail FROM ForumUsers Where uLogin='" & SQLEncrypt(sPseudo) & "'"
		Set oRs = DBRecordSet(oCnMain, rSQL)
		If Not oRs.EOF Then
			sMyName = oRs("uName")
			sMyEmail = oRs("uEMail")
			BodyText =	GetTranslation("LANG_SUBSCRIBE_TEXT") & "<br><br>" & _
				"  " & GetTranslation("LANG_NAME") & " : " & sMyName & "<br>" & _
				"  " & GetTranslation("LANG_EMAIL") & " : " & sMyEmail & "<br>" & _
				"  " & GetTranslation("LANG_TITLE") & " : " & sTitle & "<br>" & _
				"  " & GetTranslation("LANG_CATEGORY") & " : " & sCategory & "<br>" & _
				"  " & GetTranslation("LANG_DATE_BEGIN") & " : " & GMT2Local( StringToDate(sCurrentDate)) & "<br>" & _
				"  " & GetTranslation("LANG_DATE_END") & " : " & GMT2Local( StringToDate(sEndSubsDate)) & "<br><br>" 

			If Not cBool(iValid) Then
				sURL = GLOBAL_SITE_URL & GLOBAL_SITE_PATH
				If Right(sURL, 1) <> "/" Then sURL = sURL & "/"
				sURL = sURL & GLOBAL_SITE_SUBS_USER_PAGE & "?do=val"
				sURL = sURL & "&id=" & iLastSubsId
				BodyText =	BodyText & "<br>" & _
					GetTranslation("LANG_SUBSCRIBE_CONFIRM_LINK", "<a href=""" & sURL & """ target=""_blank"">" & GetTranslation("LANG_LINK") & "</a>") & _ 
					"<br><br>"
			End If

			BodyText = BodyText & "<br>" & _
				"<br>" & _
				GLOBAL_SITE_NAME & "<br>" & _
				"<br>" & _
				GLOBAL_SITE_URL

			sSubject = Replace(GetTranslation("LANG_SUBSCRIBE_SUBJECT"), "%site%", GLOBAL_SITE_NAME)
			SendMail GLOBAL_ACCOUNTS_EMAIL, sMyEmail, sSubject & " - " & GLOBAL_SITE_NAME, BodyText, True
		End If
		AddSubs = True
		Set oRs = Nothing
	End Function

	' Display user subscription page
	' IN  : -
	' OUT : -
	Sub DisplayUserSubsPage()
		Dim sDo, i, iSubsId

		sDo = RequestStrEx("Do")
		iSubsId = RequestNumEx("Id", -1)
		
		Select Case sDo
			Case "cdel" :
				ConfirmDeleteSubs iSubsId, sPseudo
		End Select

		DisplayUserSubs
	End Sub

	Sub DoUserSubs()
		Dim sDo, i, iSubsId, iCatSubs, iItem

		sDo = RequestStrEx("Do")
		iSubsId = RequestNumEx("Id", -1)
		iCatSubs = cLng(QueryNumDef("catsubs", -1))
		iItem = cLng(QueryNumDef("item", -1))

		Select Case sDo
			Case "add" :
				If AddSubs(iCatSubs, iItem) Then
					sInfoPage = GetTranslation("LANG_SUBSCRIPTIONS") & " - " & GetTranslation("LANG_ADD_SUCCESS")
				Else
					sInfoPage = GetTranslation("LANG_SUBSCRIPTIONS") & " - " & GetTranslation("LANG_ADD_ERROR")
				End If
			Case "del" :
					If DeleteSubs(iSubsId)Then
					sInfoPage = GetTranslation("LANG_SUBSCRIPTIONS") & " - " & GetTranslation("LANG_DELETE_SUCCESS")
					Else
						sInfoPage = GetTranslation("LANG_SUBSCRIPTIONS") & " - " & GetTranslation("LANG_DELETE_ERROR")
					End If
			Case "delsubs" :
				For i = 1 to Request.Form("todelete").Count
					DeleteSubs(Request.Form("todelete").item(i))
				Next
				If Request.Form("todelete").Count > 1 Then
					sInfoPage = GetTranslation("LANG_SUBSCRIPTIONS") & " - " & GetTranslation("LANG_DELETE_SUCCESS")
				Else
					sInfoPage = GetTranslation("LANG_SUBSCRIPTIONS") & " - " & GetTranslation("LANG_DELETE_ERROR")
				End If
			Case "val" :
				If ValidateSubs(iSubsId) Then
					sInfoPage = GetTranslation("LANG_SUBSCRIPTION") & " - " & GetTranslation("LANG_MODIFY_SUCCESS")
				Else
					sInfoPage = GetTranslation("LANG_SUBSCRIPTION") & " - " & GetTranslation("LANG_MODIFY_ERROR")
				End If
		End Select
	End Sub

%>