<%
'	************************************************************************
'	* ASP-Nuke: Free web portal in ASP                                     *
'	************************************************************************
'	* Copyright (c) 2002-2003 by Gaetan Bouveret (webmaster@asp-nuke.com)  *
'	* http://www.asp-nuke.com                                              *
'	*                                                                      *
'	* This program is free software. You can redistribute it and/or modify *
'	* it under the terms of the GNU General Public License as published by *
'	* the Free Software Foundation; either version 2 of the License, or    *
'	* (at your option) any later version.                                  *
'	*                                                                      *
'	************************************************************************
'	FileName:		variables-inc.asp
'	Author:			*Various*
'	Description:	Definition of the Global Forum Application variables
'					Setup of session forum variables
'					Check forum access control of current user
'
'	Revisions:
'	22/08/2003 Add: Default Connection for DB_FORUM, oCnForum
'	30/08/2003 Rev: Integration with Asp-Nuke 1.3.006
'	30/08/2003 Add: Topic Sorting feature
'	15/09/2003 Fix: Topic Sorting feature
'	22/02/2004 Add: bIsAuthorized, new global forum variable
'	17/06/2004 Add: bForumAllowPostGuest, new global forum variable
'	17/06/2004 Rev: blnAuthorizationSection, blnAuthorizationForum; new globals forum variables
'	05/07/2004 Add: blnForumAllowPost, new global forum variable
%>
<%
	Dim operatorMode, isOwner, isAdministrator, isModerator, bIsValid
	Dim myForum, mySection, myPost, myPage, myForumPath
	Dim myAscSort, mySortedField
	Dim bIsAuthorized
	Dim blnAuthorizationSection, blnAuthorizationForum
	Dim blnForumAllowPost ' Add:05/07/2004
	Dim sNickName ' Add:26/11/2004

	If IsNumeric(Request("forum")) and Request("forum") <> "" Then 
		myForum = cInt(Request("forum"))
		myForumPath = myForumPath & "forum=" & myForum
	End If
	If IsNumeric(Request("section")) and Request("section") <> "" Then 
		mySection = Request("section")
		myForumPath = myForumPath & "&amp;section=" & mySection
	End If
	If IsNumeric(Request("post")) and Request("post") <> "" Then 
		myPost = Request("post")
	End If
	If IsNumeric(Request("page")) and Request("page") <> "" Then 
		myPage = Request("page")
	End If

	operatorMode = Request.Cookies(GLOBAL_UNIQ_ID & "operatorMode") ' Rev:18/06/2004

	If ShowTopicSorting Then ' Add:30/08/2003
		Dim sSortType

		myAscSort = True
		mySortedField = LCase(RequestSession("sort","postlastdate"))
		sSortType = RequestSession("sortype", "desc")
		If sSortType = "desc" Then	myAscSort = False
	End If

	bIsValid = GetIsValid(sPseudo) ' Mov:20/08/2003

	If Request("operatorMode") = "oui" and bIsValid Then ' Rev:20/08/2003 ' sPseudo <> ""
		operatorMode = Request("operatorMode")
		Response.Cookies(GLOBAL_UNIQ_ID & "operatorMode") = "oui" ' Rev:18/06/2004
	ElseIf Request("operatorMode") = "non" Then
		operatorMode = ""
		Response.Cookies(GLOBAL_UNIQ_ID & "operatorMode") = "" ' Rev:18/06/2004
	End If

	If Not IsNumeric(myForum) Then myForum = 0
	If Not IsNumeric(mySection) Then mySection = 0
	If Not IsNumeric(myPost) Then myPost = 0
	If Not IsNumeric(myPage) Then 
		myPage = 0
	ElseIf Request("page") = "last" Then 
		myPage = GetPostLastPage(myPost)
	End If

'	bIsValid = GetIsValid(sPseudo)
	bIsAuthorized = False ' False ' Add:22/02/2004
	blnForumAllowPost = False ' Fix:05/07/2004

	If GetIsOwner(sPseudo) Then 
		isOwner = ACTIVED
		isAdministrator = ACTIVED
		isModerator = ACTIVED
		bIsAuthorized = True
		blnAuthorizationForum = True
		blnAuthorizationSection = True
		blnForumAllowPost = True ' Fix:05/07/2004
		sNickName = sPseudo
	Else
		If myForum <> 0 and myForum <> "" Then
			blnAuthorizationForum = AuthorizationForum(sPseudo, myForum) ' Rev:17/06/2004
			bIsAuthorized = blnAuthorizationForum ' Rev:17/06/2004
			If not bIsAuthorized Then
				Response.Redirect GLOBAL_SITE_PATH & GLOBAL_SITE_AUTHENTICATION_PAGE & "?" & Request.QueryString
			End If
			If GetIsAdministrator(sPseudo, myForum) Then isAdministrator = ACTIVED
		End If

		If mySection <> 0 and mySection <> "" Then
		'	blnAuthorizationSection = blnForumAllowPost ' Add:01/10/2004
		'	blnAuthorizationSection = blnAuthorizationSection AND AuthorizationSection(sPseudo, mySection) ' Rev:17/06/2004
			blnAuthorizationSection = AuthorizationSection(sPseudo, mySection) ' Rev:26/11/2004
			bIsAuthorized = blnAuthorizationSection 'Rev:17/06/2004
			If Not bIsAuthorized Then
				If myForum <> 0 Then
					Response.Redirect("Forum.asp?forum=" & myForum)
				Else
					Response.Redirect("Forum.asp")
				End If
			End If
			If GetIsModerator(sPseudo, mySection) Then isModerator = ACTIVED
		End If

		If not bIsValid Then ' Add:22/02/2004
			sPseudoName = GetTranslation("LANG_GUEST")
			sNickName = Request.Cookies(GLOBAL_UNIQ_ID & "nickname")
			
			If sNickName = "" Then
				sNickName = sPseudoName
			Else
				sPseudoName = sNickName & " - " & sPseudoName
			End If
		Else
			sNickName = sPseudo
		End If
	End If
%>
