<%
'	************************************************************************
'	* ASP-Nuke: Free web portal in ASP                                     *
'	************************************************************************
'	* Copyright (c) 2002-2003 by Gaetan Bouveret (webmaster@asp-nuke.com)  *
'	* http://www.asp-nuke.com                                              *
'	*                                                                      *
'	* This program is free software. You can redistribute it and/or modify *
'	* it under the terms of the GNU General Public License as published by *
'	* the Free Software Foundation; either version 2 of the License, or    *
'	* (at your option) any later version.                                  *
'	*                                                                      *
'	************************************************************************
%>
<%
	Dim sCommand

	' Display the top articles list (by date)
	' IN  : iTop (int) : number of results wanted
	' OUT : -
	Sub DisplayTopArticles(iTop)
		Dim oRs, rSQL, iLine
		Dim oCn
		Set oCn=DBConnexion(DB_MAIN)

		If iTop = "" Then iTop = 1
		rSQL =	"SELECT " & SQLtop(iTop) & " arId, arTitle, arAuthor, arDate FROM articles, articlespages" & _
				" WHERE arID=apArticle" & _
				" AND arValid=" & DB_TRUE & _
				" AND apValid=" & DB_TRUE & _
				" AND arRole<=" & iRole
		If sXMLVersion <> "" Then rSQL = rSQL & " AND (arVersion=" & iXMLVersion & " OR arVersion=0)"
		rSQL = rSQL &	" GROUP BY arID, arTitle, arAuthor, arDate" & _
						" ORDER BY arDate DESC"

		Set oRs = DBRecordSet(oCn, rSQL)

		If Not oRs.EOF Then
			CreateTopTable "TopArticles", GetTranslation("LANG_TOP") & " " & iTop & " - " & GetTranslation("LANG_ARTICLES")

			Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
			Response.Write "  <tr class='tablelinemain'>" & vbCRLF
			Response.Write "    <td>" & GetTranslation("LANG_TITLE") & "</td>" & vbCRLF
			Response.Write "    <td width='100' align=center>" & GetTranslation("LANG_AUTHOR") & "</td>" & vbCRLF
			Response.Write "    <td width='80' align=center>" & GetTranslation("LANG_DATE") & "</td>" & vbCRLF
			Response.Write "	</td>" & vbCRLF
			Response.Write "   </tr>" & vbCRLF

			iLine = 1
			While Not oRs.EOF
				Response.Write "  <tr class='tableline" & iLine & "'>" & vbCrLf
				Response.Write "    <td><a href='" & sURLPage & "?id=" & oRs("arID") & "'>" & CodeMessage(oRs("arTitle"), True) & "</a></td>" & vbCrLf
				Response.Write "    <td align=center>" & oRs("arAuthor") & "</td>" & vbCrLf
				Response.Write "    <td align=center>" & GetDateDDMMYYYY( GMT2Local( StringToDate(oRs("arDate")) ) ) & "</td>" & vbCrLf
				Response.Write "	</td>" & vbCrLf
				Response.Write "   </tr>" & vbCrLf

				iLine = 1 + ((iLine-1) XOR 1)
				oRs.MoveNext
			WEnd
			
			Response.Write "</table>" & vbCRLF
			CreateBottomTable ""
		Else
			CreateTable "ArticlesEmpty", "", GetTranslation("LANG_EMPTY_SECTION"), ""
		End If

		Set oRs = Nothing
		Set oCn = Nothing
	End Sub

	' Display a specific article
	' IN  : iID (int) : article's id (table articles, field arID)
	'     : iPage (int) : article's page number
	'     : bPrintIt (boolean) : Print article's page
	' OUT : -
	Sub DisplayArticle(iID, iPage, bPrintIt)
		Dim oRs, rSQL
		Dim sTitle, sDate, sAuthor, sCurrentContent, iCurrentHits, iNumPage, iCountPage
		Dim iCurrentPage,iPreviousPage, iNextPage, sCurrentTitle, sPreviousTitle, sNextTitle

		iNumPage = 0
		If iID = "" Then iID = 0
		Dim oCn
		Set oCn=DBConnexion(DB_MAIN)

	'	rSQL = "SELECT Count(apID) as Pages FROM articlespages WHERE apVALID=" & DB_TRUE & " AND apArticle=" & iID
	'	Set oRs = DBRecordSet(oCn, rSQL)
	'	iCountPage = oRs("Pages")
		iCountPage = dLookupM("Count(*)","articlespages","apVALID=" & DB_TRUE & " AND apArticle=" & iID)
		
		rSQL =	"SELECT arTitle, arAuthor, arDate, apID, apTitle, apHits FROM articles, articlespages " & _
				"WHERE arID=apArticle" & _
				" AND arValid=" & DB_TRUE & _
				" AND apValid=" & DB_TRUE & _
				" AND arID=" & iID & _
				" AND arRole<=" & iRole & _
				" ORDER BY apPage, apID"
		Set oRs = DBRecordSet(oCn, rSQL)
		
		If Not oRs.EOF Then
			sTitle = oRs("arTitle")
			sDate = oRs("arDate")
			sAuthor = oRs("arAuthor")

			If bPrintIt Then
				Response.Write "<table width='100%' border=0>" & vbCrLf
				Response.Write " <tr><td align=center>" & CodeMessage(sTitle, True) & "</td></tr>" & vbCrLf
				Response.Write " <tr><td>" & vbCrLf
			Else
				CreateTopTable "Article", sTitle
			End If
			
			if iCountPage > 1 Then 
				Response.Write "<script language=""javascript"" type=""text/javascript"">" & vbCRLF
				Response.Write "	function changeThePage()" & vbCRLF
				Response.Write "	{" & vbCRLF
				Response.Write "		window.document.location.href='" & JSEncrypt(GLOBAL_SITE_PATH & GLOBAL_SITE_ARTICLES_PAGE) & "?id=" & iID & "&page=' + document.articlepage.changePage.options[document.articlepage.changePage.selectedIndex].value;" & vbCRLF
				Response.Write "	}" & vbCRLF
				Response.Write "</script>" & vbCRLF
				Response.Write "<form name='articlepage' method='get' action='" & GLOBAL_SITE_PATH & GLOBAL_SITE_ARTICLES_PAGE & "'>" & vbCRLF
			End If
			Response.Write "<span class='small'>" & _
						GetTranslation("LANG_POST_DATE_BY", GetDateLitteralDDMMYYYYHHMMSS(GMT2Local(StringToDate(sDate))), _
						"<a href='" & GLOBAL_SITE_PATH & GLOBAL_SITE_PROFILE_PAGE & "?id=" & Server.URLEncode(sAuthor) & "'>" & _
						sAuthor & "</a>") & vbCrLf

			' Print MOD
			If NOT bPrintIt Then
				Response.Write "| " & AddPopUpPrint(CATEGORY_TYPE_ARTICLES, iID, iPage, true) & vbCrLf
				Response.Write "" & AddSend2Friend(GLOBAL_SITE_URL & GLOBAL_SITE_PATH & GLOBAL_SITE_ARTICLES_PAGE & "?id=" & iID & IIF(iPage>0,"&amp;page="&iPage,""), CodeMessage(sTitle, True)) & vbCrLf
			End If
			' Print MOD

			Response.Write "</span>" & vbCRLF

			if iCountPage > 1 AND NOT bPrintIt Then Response.Write "<div align='right'>" & vbCRLF
			iPreviousPage = 0
			iNextPage = 0
			If iPage <= 0 Then
				iPage = 1
			End If

			if iCountPage > 1 AND NOT bPrintIt Then 
				Response.Write "  <select name='changePage' class=cell onChange=""javascript:changeThePage()"">" & vbCRLF
			End If
			While Not oRs.EOF
				iNumPage = iNumPage + 1
				if iCountPage > 1 AND NOT bPrintIt Then Response.Write "    <option value=""" & iNumPage & """"
				If iNumPage = iPage Then
					iCurrentPage = oRs("apID")
					sCurrentTitle = oRs("apTitle")
				'	sCurrentContent = oRs("apContent")
					iCurrentHits = oRs("apHits")
					if iCountPage > 1 AND NOT bPrintIt Then Response.Write " selected"
				ElseIf iNumPage = iPage - 1 Then
					iPreviousPage = oRs("apID")
					sPreviousTitle = oRs("apTitle")
				ElseIf iNumPage = iPage + 1 Then
					iNextPage = oRs("apID")
					sNextTitle = oRs("apTitle")
				End If
				if iCountPage > 1 AND NOT bPrintIt Then Response.Write ">" & oRs("apTitle") & "</option>" & vbCRLF
				oRs.MoveNext
			WEnd
			if iCountPage > 1 AND NOT bPrintIt Then Response.Write "  </select>" & vbCRLF
			if iCountPage > 1 AND NOT bPrintIt Then Response.Write "</div>" & vbCRLF
			if iCountPage > 1 AND NOT bPrintIt Then Response.Write "</form>" & vbCRLF
			
			Response.Write "<h3>" & CodeMessage(sCurrentTitle, True) & "</h3>" & vbCRLF

			sCurrentContent = dLookupM("apContent","articlespages","apID=" & iCurrentPage)
			sCurrentContent = Replace(sCurrentContent, vbCRLF, "")
			Response.Write CodeMessageEx(sCurrentContent, 0, false, False)

			If (iPreviousPage <> 0 OR iNextPage <> 0) AND NOT bPrintIt Then
				Response.Write "<br><br>" & vbCrLf
				Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
				Response.Write " <tr class=tablelinemain>" & vbCrLf
				Response.Write "  <td width='50%'>"
				If iPreviousPage <> 0 Then
					Response.Write "<span class=small><a href='" & sURLPage & "?id=" & iID & "&page=" & iPage-1 & "'>&lt;&lt; " & CodeMessage(sPreviousTitle, True) & "</a></span>"
				Else
					Response.Write "&nbsp;"
				End If
				Response.Write "</td>" & vbCrLf

				Response.Write "  <td width='50%' align=right>"
				If iNextPage <> 0 Then
					Response.Write "<span class=small><a href='" & sURLPage & "?id=" & iID & "&page=" & iPage+1 & "'>" & CodeMessage(sNextTitle, True) & " &gt;&gt;</a></span>"
				Else
					Response.Write "&nbsp;"
				End If
				Response.Write "</td>" & vbCRLF
				Response.Write " </tr>" & vbCRLF
				Response.Write "</table>" & vbCRLF
			End If


			If bPrintIt Then
				Response.Write "</td></tr></table>" & vbCrLf
			Else
				Response.Write "<table width='100%' align=center border=0><tr><td align=center><span class=small>" & _
								"<a href='javascript:history.back(1)'>" & GetTranslation("LANG_BACK") & "</a></span></td></tr></table>" & vbCrLf
				CreateBottomTable ""
			End If

			rSQL = "UPDATE articlespages SET apHits=" & iCurrentHits+1 & " WHERE apID=" & iCurrentPage
			DBExecuteM rSQL
		End If

		Set oRs = Nothing
		Set oCn = Nothing
	End Sub

	' Display all articles for one category
	' IN  : iCategory (int) : article's category (table articles, field arCategory)
	'     : bRevSort (boolean) : True = DESC sort, false = normal sort
	'     : iTop (int) : Number to show
	' OUT : -
	Sub DisplayArticlesSearch(iCategory, bRevSort, iTop)
		Dim oRs, rSQL, bFirst, iNbPages
		If Not IsNumeric(iTop) Then iTop = 0
		Dim oCn
		Set oCn=DBConnexion(DB_MAIN)

		bFirst = True

		If iCategory = "" Then iCategory = 0
		rSQL =	"SELECT " & SQLtop(iTop) & " arId, arTitle, arAuthor, arDate, count(apID) as NbPages" & _
				" FROM articles, articlespages" & _
				" WHERE arID=apArticle" & _
				" AND arValid=" & DB_TRUE & _
				" AND apValid=" & DB_TRUE & _
				" AND arCategory=" & iCategory
		If sXMLVersion <> "" Then rSQL = rSQL & " AND (arVersion='" & iXMLVersion & "' OR arVersion=0)"
		rSQL = rSQL & " AND arRole<=" & iRole
		rSQL = rSQL & " GROUP BY arID, arDate, arTitle, arAuthor, arDate"
		rSQL = rSQL & " ORDER BY arDate"
		IF bRevSort THEN rSQL = rSQL & " DESC"

		Set oRs = DBRecordSet(oCn, rSQL)

'	Function CodeMessageEx(sMessageToCode, iLen, bEncodeHTML, bDisplaySmileys)

		If Not oRs.EOF Then
			CreateTopTable "ArticlesByCategory", GetCategoryTitle(iCategory) 'GetTranslation("LANG_ARTICLES")

			While Not oRs.EOF
				If Not bFirst Then Response.Write "<br><br>" & vbCRLF
				iNbPages = oRs("NbPages")

				If iNbPages > 0 Then 'sURLPage
					Response.Write "<b><a href=""" & GLOBAL_SITE_PATH & GLOBAL_SITE_ARTICLES_PAGE & "?id=" & oRs("arID") & """>" & _
									CodeMessage(oRs("arTitle"), True) & "</a></b><br>" & vbCRLF
				Else
					Response.Write "<b>" & CodeMessage(oRs("arTitle"), True) & "</b><br>" & vbCRLF
				End If
				Response.Write "<span class=""small"">"
				Response.Write Replace(Replace(GetTranslation("LANG_POST_DATE_BY"), "%1%", _
								GetDateLitteralDDMMYYYYHHMMSS(GMT2Local(StringToDate(oRs("arDate"))))), "%2%", _
								"<a href=""" & GLOBAL_SITE_PATH & GLOBAL_SITE_PROFILE_PAGE & "?id=" & Server.URLEncode(oRs("arAuthor")) & """>" & _
								oRs("arAuthor") & "</a>") & " | " & vbCrLf

				Response.Write " " & iNbPages & " "
				If iNbPages > 1 Then
					Response.Write GetTranslation("LANG_ARTICLE_PAGES")
				Else
					Response.Write GetTranslation("LANG_ARTICLE_PAGE")
				End If
			'	Response.Write "| " & AddPopUpPrint(CATEGORY_TYPE_ARTICLES, oRs("arID"), 0, true) & vbCrLf

				Response.Write "</span><br>" & vbCRLF
			'	Response.Write oRs("arDescription") & vbCRLF
			'	Response.Write dLookupM("arDescription", "articles", "arId=" & oRs("arID") ) 
				Response.Write CodeMessageEx(dLookupM("arDescription", "articles", "arId=" & oRs("arID") ) , 0, false, False)

				bFirst = False

				oRs.MoveNext
			WEnd

			CreateBottomTable ""
		End If

		Set oRs = Nothing
		Set oCn = Nothing
	End Sub

	' Display a navigation bar for articles
	' IN  : iCategoryParent (int) : category's parent id (table categories, field cParent)
	' OUT : -
	Sub DisplayArticlesNavigation(iCategoryParent)
		Dim oRs, oRs2, rSQL, iLine, iNum, sCrit
		Dim oCn
		Set oCn=DBConnexion(DB_MAIN)

		If iCategoryParent = "" Then iCategoryParent = 0
		
		If iCategoryParent <> 0 Then
			rSQL = "SELECT cId, cParent, cTitle, cDescription, cImage FROM categories WHERE cID=" & iCategoryParent

			Set oRs = DBRecordSet(oCn, rSQL)

			If Not oRs.EOF Then
				CreateTopTable "ArticleCategory", CodeMessage(oRs("cTitle"), True)
				If oRs("cImage") <> "" Then
					Response.Write "<img src='" & oRs("cImage") & "' border=0 align=left>"
				End If
				Response.Write CodeMessage(oRs("cDescription"), True)
				Response.Write "<br><br><a href='" & sURLPage & "?cat=" & oRs("cParent") & "'>" & GetTranslation("LANG_BACK") & "</a>" & vbCRLF
				CreateBottomTable ""
			End If
		End If
		
		rSQL =	"SELECT DISTINCT cId, cTitle, cSort FROM categories, articles" & _
				" WHERE arCategory=cID" & _
				" AND cType=" & CATEGORY_TYPE_ARTICLES & _
				" AND cParent=" & iCategoryParent
		If sXMLVersion <> "" Then rSQL = rSQL & " AND (arVersion=" & iXMLVersion & " OR arVersion=0)"
		rSQL = rSQL & " ORDER BY cSort, cTitle"

		Set oRs = DBRecordSet(oCn, rSQL)

		If Not oRs.EOF Then
			If iCategoryParent = 0 Then
				CreateTopTable "SearchArticleCategories", GetTranslation("LANG_ARTICLES") & " - " & GetTranslation("LANG_CATEGORIES")
			Else
				CreateTopTable "SearchArticleCategories", GetTranslation("LANG_ARTICLES") & " - " & GetTranslation("LANG_SUB_CATEGORIES")
			End If
			Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
			iLine = 1
			iNum = 0

			While Not oRs.EOF
				If iNum mod 2 = 0 Then Response.Write " <tr class='tableline" & iLine & "'>" & vbCRLF

				Response.Write "  <td width='50%'>" & vbCrLf
				Response.Write "   <a href='" & sURLPage & "?cat=" & oRs("cID") & IIF(Trim(sCommand & "")<>"", "&do="&Trim(sCommand&""), "") & "'>" & oRs("cTitle")

				sCrit = "arValid=" & DB_TRUE & " AND arRole<=" & iRole & " AND (arVersion=" & iXMLVersion & " OR arVersion=0)"
				Response.Write " (" & GetPopulationTable(oRs("cID"), "articles", "arCategory", sCrit) & ")</a>" & vbCrLf
				Response.Write "  </td>" & vbCRLF

				If iNum mod 2 = 1 Then 
					Response.Write "  </tr>" & vbCRLF
					iLine = 1 + ((iLine-1) XOR 1)
				End If

				iNum = iNum + 1
				oRs.MoveNext
			WEnd
			If iNum mod 2 = 1 Then 
				Response.Write "  <td>&nbsp;</td>" & vbCRLF
				Response.Write " </tr>" & vbCRLF
			End If
			
			Response.Write "</table>" & vbCRLF
			CreateBottomTable ""
		End If

		Set oRs = Nothing
		Set oCn = Nothing
	End Sub

	' Display the latest article written in the category
	' IN  : iCategoryParent (int) : Category to show
	'     : bShowNav (boolean) : true shows articles navigation 
	' OUT :
	Sub DisplayLatestArticleCategory(iCategoryParent, bShowNavn)
		Dim oRs, oRs2, rSQL, iLine, iNum, iPage
		Dim oCn
		Set oCn=DBConnexion(DB_MAIN)

		If iCategoryParent = "" Then iCategoryParent = 0

		DisplayArticlesSearch iCategoryParent, true, 1

		rSQL =	"SELECT arID FROM articles, articlespages" & _
				" WHERE arID=apArticle" & _
				" AND arValid=" & DB_TRUE & _
				" AND apValid=" & DB_TRUE & _
				" AND arCategory=" & iCategoryParent & _
				" AND arRole<=" & iRole
		If sXMLVersion <> "" Then rSQL = rSQL & " AND (arVersion=" & iXMLVersion & " OR arVersion=0)"
		rSQL = rSQL & " ORDER BY arDate DESC" 
		Set oRs2 = DBRecordSet(oCn, rSQL)
		iPage = 0
		If NOT oRs2.EOF Then
			DisplayArticle oRs2("arID"), iPage, False
		End If

		Set oRs = Nothing
		Set oRs2 = Nothing
		Set oCn = Nothing
	End Sub

	' Get the last article in a category
	' IN  : iCategoryParent (int) - The category to search
	' OUT : (int) - Last articles ID
	Function GetLastArticleID(iCategoryParent)
		Dim rSQL, oRs, iID
		Dim oCn
		Set oCn=DBConnexion(DB_MAIN)

		If iCategoryParent = "" Then iCategoryParent = 0
		iID = 0
		rSQL =	"SELECT arID FROM articles, articlespages" & _
				" WHERE arID=apArticle" & _
				" AND arValid=" & DB_TRUE & _
				" AND apValid=" & DB_TRUE & _
				" AND arCategory=" & iCategoryParent & _
				" AND arRole<=" & iRole
		If sXMLVersion <> "" Then rSQL = rSQL & " AND (arVersion=" & iXMLVersion & " OR arVersion=0)"
		rSQL = rSQL & " ORDER BY arDate DESC" 
		Set oRs = DBRecordSet(oCn, rSQL)
		If Not oRs.EoF Then
			iID = oRs("arID")
		End IF

		Set oRs = Nothing
		Set oCn = Nothing

		GetLastArticleID = iID
	End Function

	' Do Last Article
	Sub DoLastArticlesPage()
		Dim iCat, iArticleID, sCmd, sDo
		sDo = Request("do")
		sCmd = Request("cmd")
		iCat = RequestNum("cat")
		iArticleID = RequestNum("id")
		'LogLine "Show Article", "articles.asp?do=" & sDo & "&cmd=" & sCmd  & "&cat=" & iCat & "&id=" & iArticleID 
		if lcase(sCmd)="last" Then
			If iArticleID = 0 Then
				iArticleID = GetLastArticleID(iCat)
				If iArticleID <> 0 Then
				'	LogLine "Last>" & sUrlPage & "?cmd=last&cat=" & iCat & "&id=" & iArticleID
					Response.Redirect sUrlPage & "?cmd=last&cat=" & iCat & "&id=" & iArticleID
					Response.End
				End If
			End If
		End If
	End Sub

	' Display page
	' IN  : -
	' OUT : -
	Sub DisplayArticlesPage()
		Dim iCat, iPage, iArticleID, sCmd
		sCmd = RequestStr("cmd")
		sCommand = Trim(sCmd & "")
		iCat = RequestNum("cat")
		iPage = RequestNum("page")
		iArticleID = RequestNum("id")

		Select case lcase(sCmd)
		Case "last"
			DisplayArticlesNavigation(iCat)
			DisplayLatestArticleCategory iCat, true
		Case else
			If iArticleID = 0 Then DisplayArticlesNavigation(iCat)
			If iCat = 0 and iArticleID = 0 Then
				DisplayTopArticles GLOBAL_ARTICLES_TOP
			Else
				If iCat <> 0 Then DisplayArticlesSearch iCat, false, 0
				If iArticleID <> 0 Then	DisplayArticle iArticleID, iPage, False
			End If		
		End Select
	End Sub
%>