<%
'	************************************************************************
'	* ASP-Nuke: Free web portal in ASP                                     *
'	************************************************************************
'	* Copyright (c) 2002-2003 by Gaetan Bouveret (webmaster@asp-nuke.com)  *
'	* http://www.asp-nuke.com                                              *
'	*                                                                      *
'	* This program is free software. You can redistribute it and/or modify *
'	* it under the terms of the GNU General Public License as published by *
'	* the Free Software Foundation; either version 2 of the License, or    *
'	* (at your option) any later version.                                  *
'	*                                                                      *
'	************************************************************************
%>
<%
' Show Image, and show a Blank image if Image does not exist
' IN  : sImage (string) - Path to image
' OUT : (string) 
Dim sGlobalDefaultBullet
Sub SetDefaultBullet(sImage)
	if sImage = "" Then
		sGlobalDefaultBullet = GLOBAL_SITE_IMAGES_PATH & "blank.gif"
	Else
		sGlobalDefaultBullet = sImage
	End IF
End Sub

SetDefaultBullet GLOBAL_SITE_IMAGES_PATH & "blank.gif"
'SetDefaultImage GLOBAL_SITE_PATH & "scripts/blank.gif"
Function ShowBullet(sImage)
	Dim sPic
	If trim(sImage&"") <> "" Then
		If ExistFiles(sImage) Then
			sPic = sImage
		Else
			sPic = sGlobalDefaultBullet
		End If
	Else
		sPic = sGlobalDefaultBullet
	End IF
	ShowBullet = "<img src='" & sPic & "' border='0' alt=''>"
End Function	

' Display Menu Table Box
' IN  : -
' OUT : -
Sub DisplayMenuBox()
	If bXMLtheme Then
		Response.Write "<table width='100%' cellspacing='0' cellpadding='0' border='0' class='normal'>" & vbCrLf
	ElseIf bIsAdvanceTheme Then
		Response.Write "<table width='100%' cellspacing='0' cellpadding='0' border='0' class='box'>" & vbCrLf
	Else
		Response.Write "<table width='100%' cellspacing='0' cellpadding='0' border='0' class='normal'>" & vbCrLf
	End If
End Sub
	
' Display Menu Items for Vertical Menu
' IN  : sBullet (string) - Code to show bullet
'     : sTitle (string) - Menu Item Title
'     : sPath (string) - Path to Page
' OUT : -
Sub DisplayMenuItem(sMenuBullet, sTitle, sPath)
	Response.Write " <tr>" & vbCRLF
	If bDisplayBullet Then
		Response.Write "  <td align='center' valign='middle'>"
		if NOT((trim(sTitle&"")="") OR (trim(sPath&"")="")) then
			Response.Write ShowBullet(sMenuBullet) & vbCRLF
		else
			Response.Write "&nbsp;" & vbCrLf
		end if
		Response.Write "  </td>" & vbCrLf
	End If

	Response.Write "  <td width='100%' valign='middle' style='text-indent:3px;'>"
	if trim(sPath&"")<>"" Then
		Response.Write "<a href='" & sPath & "'>" & sTitle & "</a></td>" & vbCrLf
	Else
		Response.Write sTitle & "</td>" & vbCrLf
	End If
	Response.Write " </tr>" & vbCrLf
End Sub
	
' Display Menu Items
' IN  : iItemRole (integer) - User Role Level access for menu item
'     : sBullet (string) - Code to show bullet
'     : sTitle (string) - Menu Item Title
'     : sPath (string) - Path to Page
' OUT : -
Sub DisplayMenuItemLvl(iItemRole, sMenuBullet, sTitle, sPath)
	IF IsAuthorized (iItemRole) Then
		DisplayMenuItem sMenuBullet, sTitle, sPath
	End If
End Sub

' Display Menu Items for Horisontal menu
' IN  : sBullet (string) - Code to show bullet
'     : sTitle (string) - Menu Item Title
'     : sPath (string) - Path to Page
' OUT : -
Sub DisplayMenuItemH(sMenuBullet, sTitle, sPath)
	If bDisplayBullet Then
		Response.Write "  <td align='center' valign='middle'>"
		if NOT((trim(sTitle&"")="") OR (trim(sPath&"")="")) then
			Response.Write ShowBullet(sMenuBullet) & vbCRLF
		else
			Response.Write "&nbsp;" & vbCRLF
		end if
		Response.Write "  </td>" & vbCRLF
	End If

	Response.Write "  <td valign='middle' style='text-indent:3px;'>"
	if trim(sPath&"")<>"" Then
		Response.Write "<a href='" & sPath & "'>" & sTitle & "</a>"
	Else
		Response.Write sTitle 
	End If
	Response.Write "</td>" & vbCrLf
End Sub

' Display Menu Items for Horisontal menu with user access
' IN  : iItemRole (integer) - User Role Level access for menu item
'     : sBullet (string) - Code to show bullet
'     : sTitle (string) - Menu Item Title
'     : sPath (string) - Path to Page
' OUT : -
Sub DisplayMenuItemLvlH(iItemRole, sMenuBullet, sTitle, sPath)
	IF IsAuthorized (iItemRole) Then
		DisplayMenuItemH sMenuBullet, sTitle, sPath
	End If
End Sub

Function MenuEntryOK(ByVal iiRole)
	Dim bOK
	bOk = false
	Select Case iiRole
		Case -1								'	Always Show
			bOk = true
		Case -2								'	Only Show if UserRole is Newser or greater
			If isAuthorized(ROLE_NEWS) Then bOk = true
		Case ROLE_USER						'	Only show if User Login
			If sPseudo <> "" Then bOk = true
		Case 0								'	Only show if NOT login
			If sPseudo = "" Then bOk = true
		Case Else							'	Only show if UserRole is Authorized
			If isAuthorized(iiRole) Then bOk = true
		'	If isAuthorizedBin(iiRole) Then bOk = true
	End Select
	MenuEntryOK = bOK
End Function

' Display Menu Entry
Sub DisplayMenuEntry(iiRole, sBullet, sLink, sTarget, sFlag, sLabel)
	Dim bOk, sHTML

	bOK = MenuEntryOK(iiRole)

	Select Case lCase(sFlag)
	Case "0"
		If sLabel = GetTranslation("LANG_EMPTY_SECTION") Then
			sHTML = "<br>" & vbCrLf
		End If
	Case "br"
		sHTML = "<br>" & vbCrLf
	Case "hr"
		sHTML = "<hr>" & vbCrLf
	Case "header"
		sHTML = "<br><b>" & sLabel & "</b><br>" & vbCrLf
	Case "code"
		If sLabel<>"" Then
			sHTML = sLabel & vbCrLf
		End If
	Case Else
		If sLink <> "" Then
			sHTML = sBullet & "<a href='" & sLink & "' target='" & sTarget & "' title='"&sLabel&"'>" & sLabel & "</a><br>" & vbCrLf
		Else
			sHTML = sBullet & sLabel & "<br>" & vbCrLf
		End If
	End Select
	
	If bOk Then
		Response.Write sHTML
	End If
End Sub

' Display website's menu
' IN  : -
' OUT : -
Sub DisplayXMLMenu(ByVal sMenuTitle, ByVal sMenuXML)
	Dim NodeList, SubNodeList, SubNode

	Dim sText, target, link, role, bullet, flag

	CreateTopTable "Menu", sMenuTitle

	Set NodeList = GetNewXMLDocument(sMenuXML)
	Set SubNodeList = NodeList.selectNodes("element")
	For Each SubNode In SubNodeList
		role = GetXMLValueDef("role", SubNode, -1)
		IF MenuEntryOK(role) THEN
			sText  = GetXMLValueDef("text",   SubNode, "")
			target = GetXMLValueDef("target", SubNode, "_self")
			link   = GetXMLValueDef("link",   SubNode, "")
			flag   = GetXMLValueDef("flag",   SubNode, 1)
			If bDisplayBullet Then
				bullet = GetXMLValueDef("bullet", SubNode, GLOBAL_SITE_THEMES_PATH & sTheme & "/bullet.gif")
				if bullet<>"null" then
					bullet = "<img src='" & bullet & "' border=0 alt=''>&nbsp;"
				else
					bullet = ""
				end if
			End If

			DisplayMenuEntry role, bullet, link, target, flag, sText
		End IF
	Next
	Set NodeList = Nothing
	CreateBottomTable ""
End Sub


' Get number of anonymous visitors connected to the site
' IN  : -
' OUT : (int) number of anonymous visitors
Function AnonymousVisitors()
	AnonymousVisitors = dLookupM("Count(*)","sessions","")
End Function
	
' Get number of authenticated visitors connected to the site
' IN  : -
' OUT : (int) number of authenticated visitors
Function AuthentVisitors()
	AuthentVisitors = dLookupM("Count(*)","sessions","sLogin<>''")
End Function


' Display members' page
' IN  : -
' OUT : -
Sub DisplayShortMembersPage()
	Dim Rs, rSQL, iLine

	Dim oCn
	Set oCn=DBConnexion(DB_MAIN)

	rSQL = "SELECT sLogin FROM sessions WHERE sLogin <> '' ORDER BY sLogin"
	Set oRs = DBRecordSet(oCn, rSQL)

	Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
	Response.Write "  <tr class='tablelinemain>" & vbCRLF
	Response.Write "    <td>" & GetTranslation("LANG_MEMBERS") & "</td>" & vbCRLF
	Response.Write "    <td>&nbsp;</td>" & vbCRLF
	Response.Write "  </tr>" & vbCRLF
	iLine = 1
	While Not oRs.EOF
		Response.Write "  <tr class='tableline" & iLine & "'>" & vbCRLF
		Response.Write "    <td><a href='" & GLOBAL_SITE_PATH & GLOBAL_SITE_PROFILE_PAGE & "?id=" & Server.URLPathEncode(oRs("sLogin")) & "'>" & oRs("sLogin") & "</a></td>" & vbCRLF
		Response.Write "    <td><a href='" & GLOBAL_SITE_PATH & GLOBAL_SITE_PRIVATE_MESSAGES_PAGE & "?do=new&amp;to=" & Server.URLPathEncode(oRs("sLogin")) & "'><img src='" & GLOBAL_SITE_IMAGES_PATH & "pmclosed.gif' border='0' alt='" & GetTranslation("LANG_SEND_PRIVATE_MESSAGE") & "'></a></td>" & vbCRLF
		Response.Write "  </tr>" & vbCRLF
		iLine = ((iLine - 1) XOr 1) + 1
		oRs.MoveNext
	WEnd
	Response.Write "</table>" & vbCRLF

	Set oRs = Nothing
	Set oCn = Nothing
End Sub


Sub DisplayOnlineUsers()
	AllowCollapsTable(false)
	CreateTopTable "online", GetTranslation("LANG_ONLINE")
%>
<br>
<center>
<iframe src="<%=GLOBAL_SITE_PATH%>onlinemembers.asp" name="online" width="99%" height="160" align="center" frameborder="1" scrolling="auto">
 You will not see this text if your browser supports IFRAME. If you CAN see this, you are in a bad way.
</iframe>
<img src="<%=GLOBAL_SITE_THEMES_PATH & sTheme%>/single03.gif" border="0" alt="<%=Gettranslation("LANG_STAFF")%>">&nbsp;<%=Gettranslation("LANG_STAFF")%>
 | <img src="<%=GLOBAL_SITE_THEMES_PATH & sTheme%>/single01.gif" border="0" alt="<%=Gettranslation("LANG_MEMBERS")%>">
 | <img src="<%=GLOBAL_SITE_THEMES_PATH & sTheme%>/single02.gif" border="0" alt="<%=Gettranslation("LANG_GUESTS")%>">
<% If SysParmDef("Online.ShowGender",cLng(True)) Then %>
 | <img src="<%=TestImageExt(GLOBAL_SITE_IMAGES_PATH & IMAGE_GENDER_MALE)%>" border="0" alt="<%=Gettranslation("LANG_MALE")%>">
 | <img src="<%=TestImageExt(GLOBAL_SITE_IMAGES_PATH & IMAGE_GENDER_FEMALE)%>" border="0" alt="<%=Gettranslation("LANG_FEMALE")%>">
<% End if %>
</center>
<%
   	CreateBottomTable ""
End Sub


' Display number of visitors connected to the site
' IN  : -
' OUT : -
Sub DisplayDynamicCounter()
	Dim oRs, rSQL
	AllowCollapsTable(false)
	CreateTopTable "NbVisitors", GetTranslation("LANG_STATS")
%>
<%=GLOBAL_SITE_SUBTABLE%>
 <tr>
  <td class="tablelinemain" colspan="2">
   <img src="<%=GLOBAL_SITE_IMAGES_PATH%>pmopened.gif" border="0" alt> - <%=GetTranslation("LANG_PRIVATE_MESSAGES")%>
  </td>
 </tr>

 <tr>
  <td><%=GetTranslation("LANG_PRIVATE_MESSAGES")%></td>
  <td align="center"><%= dLookupM("Count(*)","messageslist","")%></td>
 </tr>

 <tr>
  <td class="tablelinemain" colspan="2">
   <img src="<%=GLOBAL_SITE_IMAGES_PATH%>comments.gif" border="0" alt> - <%=GetTranslation("LANG_COMMENTS")%>
  </td>
 </tr>

 <tr>
  <td>
   <%=GetTranslation("LANG_COMMENTS")%>
  </td>
  <td align="center"><%=dLookupM("Count(*)","comments","")%>
  </td>
 </tr>

 <tr>
  <td class="tablelinemain" colspan="2">
   <img src="<%=GLOBAL_SITE_IMAGES_PATH%>images.gif" border="0" alt> - <%=GetTranslation("LANG_IMAGES")%>
  </td>
 </tr>

 <tr>
  <td>
   <%=GetTranslation("LANG_AVAILABLE")%>
  </td>
  <td align="center">
   <%=dLookupM("Count(*)","images","iValid=" & DB_TRUE)%>
  </td>
 </tr>

 <tr>
  <td>
   <%=GetTranslation("LANG_VIEWED_IMAGES")%>
  </td>
  <td align="center"><%=dLookupM("Sum(iHits)","images","iValid=" & DB_TRUE)%>
  </td>
 </tr>

 <tr>
  <td class="tablelinemain" colspan="2">
   <img src="<%=GLOBAL_SITE_IMAGES_PATH%>download.gif" border="0" alt> - <%=GetTranslation("LANG_DOWNLOADS")%>
  </td>
 </tr>

 <tr>
  <td>
   <%=GetTranslation("LANG_AVAILABLE")%>
  </td>
  <td align="center">
   <%=dLookupM("Count(*)","downloads","dValid=" & DB_TRUE)%>
  </td>
 </tr>

 <tr>
  <td>
   <%=GetTranslation("LANG_DONE_DOWNLOADS")%>
  </td>
  <td align="center">
   <%=dLookupM("Sum(dHits)","downloads","dValid=" & DB_TRUE)%>
  </td>
 </tr>

 <tr>
  <td colspan="2">
   <%Transfered()%>
  </td>
 </tr>

 <tr>
  <td class="tablelinemain" colspan="2">
   <img src="<%=GLOBAL_SITE_IMAGES_PATH%>forum.gif" border="0" alt> - <%=GetTranslation("LANG_FORUMS")%>
  </td>
 </tr>

 <tr>
  <td>
   <%=GetTranslation("LANG_ACTIVE_FORUMS")%>
  </td>
  <td align="center">
   <%=dLookupF("Count(*)","Forums","ForumHide=" & DB_FALSE)%>
  </td>
 </tr>

 <tr>
  <td>
   <%=GetTranslation("LANG_ACTIVE_SECTIONS")%>
  </td>
  <td align="center">
   <%=dLookupF("Count(*)","Sections","")%>
  </td>
 </tr>

 <tr>
  <td>
   <%=GetTranslation("LANG_TOTAL_MESSAGES")%>
  </td>
  <td align="center">
   <%=dLookupF("Count(*)","Posts","PostValid="&DB_TRUE)%>
  </td>
 </tr>
</table>
<%
	' Forum statistiks
	CreateBottomTable ""
End Sub


' Display favorites websites
' IN  : -
' OUT : -
Sub DisplayFavorites()
	Dim oRs, rSQL

	Dim oCn
	Set oCn=DBConnexion(DB_MAIN)

	rSQL = "SELECT uTitle, uURL, uHits FROM urls WHERE uFavorite="&DB_TRUE&" AND uHidden=" & DB_FALSE & " ORDER BY uHits DESC"
	Set oRs = DBRecordSet(oCn, rSQL)
	If Not oRs.EOF Then
		AllowCollapsTable(false)
		CreateTopTable "Favorite", GetTranslation("LANG_MY_FAVORITES")
		Response.Write "<table id='Favorites' border='0' cellspacing='0' cellpadding='0'>" & vbCRLF
		While Not oRs.EOF
%> <tr>
  <td class="small">
   <a href="<%=GLOBAL_SITE_PATH & GLOBAL_SITE_GOTOURL_PAGE & "?url=" & Server.URLPathEncode(oRs("uURL")) %>" target="_blank"><%=oRS("uTitle")%></a> (<%=oRs("uHits")%>)
  </td>
 </tr>
<%
   			oRs.MoveNext
   		WEnd
   		Response.Write "</table>" & vbCRLF
   		CreateBottomTable ""
   	End If

	Set oRs = Nothing
	Set oCn = Nothing
End Sub


' Display search engine's form
' IN  : -
' OUT : -
Sub DisplaySearch()
	Dim bSelected
	bSelected = True

	AllowCollapsTable(false)
	CreateTopTable "Search", GetTranslation("LANG_SEARCH")
%>
<table id="SearchTable" border="0" cellpadding="0" cellspacing="0">
<form name="rechercher" method="post" action="<%=GLOBAL_SITE_PATH & GLOBAL_SITE_SEARCH_PAGE%>">
 <tr>
  <td colspan="2">
   <select name="section" class="cell">
<%
	If GLOBAL_NEWS_TOP > 0 Then
		Response.Write "    <option value='news'" & IIF(bSelected," selected","") & ">" & GetTranslation("LANG_NEWS") & "</option>" & vbCRLF
		bSelected = False
	End If
	If GLOBAL_DOWNLOADS_TOP > 0 Then
		Response.Write "    <option value='downloads'" & IIF(bSelected," selected","") & ">" & GetTranslation("LANG_DOWNLOADS") & "</option>" & vbCRLF
		bSelected = False
	End If
	If GLOBAL_ARTICLES_TOP > 0 Then
		Response.Write "		  <option value=""articles""" & IIF(bSelected," selected","") & ">" & GetTranslation("LANG_ARTICLES") & "</option>" & vbCRLF
		bSelected = False
	End If
	If GLOBAL_DIRECTORY_TOP > 0 Then
		Response.Write "		  <option value=""directory""" & IIF(bSelected," selected","") & ">" & GetTranslation("LANG_DIRECTORY") & "</option>" & vbCRLF
		bSelected = False
	End If
	If GLOBAL_IMAGES_TOP > 0 Then
		Response.Write "		  <option value=""images""" & IIF(bSelected," selected","") & ">" & GetTranslation("LANG_IMAGES") & "</option>" & vbCRLF
		bSelected = False
	End If
	If GLOBAL_CALENDER_TOP > 0 Then
		Response.Write "		  <option value=""calender""" & IIF(bSelected," selected","") & ">" & GetTranslation("LANG_CALENDER") & "</option>" & vbCRLF
		bSelected = False
	End If
%>   </select>
   <img src="<%=GLOBAL_SITE_IMAGES_PATH%>/search.gif" border="0" alt>
  </td>
 </tr>
 <tr>
  <td><input type="text" name="r" maxlength="50" size="10" class="cell"></td>
  <td><input type="submit" value="<%=GetTranslation("LANG_OK")%>" class="button" id="1" name="1"></td>
 </tr>
</form>
</table>
<%
   	CreateBottomTable ""
End Sub

' Display some accounts' information
' IN  : -
' OUT : -
Sub DisplayAccountsInfo()
	Dim oRs, rSQL, sTmp

	AllowCollapsTable(false)
	CreateTopTable "Accounts", GetTranslation("LANG_ACCOUNTS")
%>
<%=GetTranslation("LANG_ACCOUNTS_INFO", dLookupM("Count(*)","users",""))%><br>
<img src="<%=GLOBAL_SITE_IMAGES_PATH%>member_act.gif" border="0" alt> <%=GetTranslation("LANG_ACTIVE") & dLookupM("Count(*)","users","uValid="&DB_TRUE)%><br>
<img src="<%=GLOBAL_SITE_IMAGES_PATH%>member_inact.gif" border="0" alt> <%=GetTranslation("LANG_INACTIVE") & dLookupM("Count(*)","users","uValid="&DB_FALSE)%><br>
<% If sPseudo <> "" Then
	sTmp = dLookupM("uLogin","users","uValid="&DB_TRUE & " ORDER BY uDate DESC")
%>
<span class="small"><%=GetTranslation("LANG_LAST_ACCOUNT")%> : <a href="<%=GLOBAL_SITE_PATH & GLOBAL_SITE_PROFILE_PAGE%>?id=<%=Server.URLPathEncode(sTmp)%>"><%=sTmp%></a></span><br>
<span class="small"><a href="<%=GLOBAL_SITE_PATH & GLOBAL_SITE_MEMBERSLIST_PAGE%>"><%=GetTranslation("LANG_TITLE_MEMBERSLIST")%></a></span><br>
<% End If %>
<br>
<br>
<%	'Show random users, code is in custumblocks-inc
	RandomUser()
	CreateBottomTable ""
End Sub

' Display the top last websites added to the directory
' IN  : iTop (int) : number of results wanted
' OUT : -
Sub DisplayDirectoryLastSites(ByVal iTop)
	Dim oRs, rSQL
	Dim oCn
	Set oCn=DBConnexion(DB_MAIN)

	rSQL =	"SELECT " & SQLtop(iTop) & " dID, dTitle, dDate, dURL, uHits FROM directory, urls" & _
			" WHERE dValid=" & DB_TRUE & " AND dUrl=uUrl AND uHidden=" & DB_FALSE & _
			" ORDER BY uHits DESC, dTitle"
	Set oRs = DBRecordSet(oCn, rSQL)
	If Not oRs.EOF Then
		AllowCollapsTable(false)
		CreateTopTable "Top", GetTranslation("LANG_TOP") & " - " & GetTranslation("LANG_SITES")
		While Not oRs.EOF
%>   <span class="small"><a href="<%=GLOBAL_SITE_PATH & GLOBAL_SITE_GOTOURL_PAGE & "?url=" & Server.URLPathEncode(oRs("dURL"))%>" target="_blank"><%=oRs("dTitle")%></a> (<%=oRs("uHits")%>)</span><br>
<%
			oRs.MoveNext
		WEnd
		CreateBottomTable ""
	End If
	Set oRs = Nothing
	Set oCn = Nothing
End Sub

' Display versions languages available
' IN  : -
' OUT : -
Sub DisplayVersions()
	Dim oFs, oFolder, oFile, sVersion, sCurrentVersion, sName
	Dim rSQL, sExt, iPos
	Set oFs = Server.CreateObject("Scripting.FileSystemObject")
			
	If oFs.FolderExists(Server.MapPath(GLOBAL_SITE_VERSIONS_PATH)) Then
		sCurrentVersion = sXMLVersion
		If sCurrentVersion = "" Then sCurrentVersion = GLOBAL_SITE_DEFAULT_VERSION
				
		AllowCollapsTable(false)
		CreateTopTable "Versions", GetTranslation("LANG_VERSIONS")
%>
<script language="javascript" type="text/javascript">
function changeVersion(){
 document.VersionSetting.submit();
}
</script>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
<form method="post" name="VersionSetting" action="<%=sURLPage & IIF(Request.QueryString="","","?"&Request.QueryString)%>">
 <tr>
  <td align="center">
   <select name="_SetCurrentVersion" class="cell" onChange="javascript:changeVersion();">
<%
		Set oFolder = oFs.GetFolder(Server.MapPath(GLOBAL_SITE_VERSIONS_PATH))
		For Each oFile In oFolder.Files
			sName=oFile.Name
			iPos = InStrRev(sName,".")
			sExt = LCase(Mid(sName,iPos+1))
			If sExt = "xml" and InStr(1,sName,"menu",1)=0 then
				sVersion = LCase(Left(sName,iPos-1))
				Response.Write "    <option value='" & sVersion & "'" & IIf(LCase(sVersion) = LCase(sCurrentVersion)," selected","") & ">"
				sName=dLookupM("vTitle","versions","vCode LIKE '" & sVersion & "'")
				if sName="" Then sName = sVersion
				Response.Write sName & "</option>" & vbCRLF
			End If
		Next
%>
   </select>
  </td>
 </tr>
</form>
</table>
<%
		' This code shows, if Debug is true, if your LCID (Local Country ID) i valid
		If bLCIDerror Then
			DebugPrint "<center>LCID:" & GetXMLAttribute("lcid") & ":error </center>"
		Else
			DebugPrint "<center>LCID:" & Session.LCID & ":ok </center>"
		End If
				
		CreateBottomTable ""
	End If
		
	Set oFs = Nothing
End Sub


Sub DisplayNewPrivateMessages(sMyLogin)
	Dim oRs, rSQL, iNbMessages, iNbOldMessages, bDisplayPopup
	bDisplayPopup = False
	If sMyLogin <> "" Then
		Dim oCn
		Set oCn=DBConnexion(DB_MAIN)

		rSQL = "SELECT Count(*) FROM MessagesList WHERE mlTo='" & SQLEncrypt(sMyLogin) & "' AND mlRead=0"
		Set oRs = DBRecordSet(oCn, rSQL)
		iNbMessages = oRs(0)

		If iNbMessages > 0 Then
			iNbOldMessages = Request.Cookies(GLOBAL_UNIQ_ID & "NewPrivateMessages")

			If iNbOldMessages = "" Then
				bDisplayPopup = False
			Else
				If IsNumeric(iNbOldMessages) Then
					iNbOldMessages = CInt(iNbOldMessages)
					If iNbMessages > iNbOldMessages Then bDisplayPopup = False
				End If
			End If

			If bDisplayPopup And InStr(sURLPage, GLOBAL_SITE_PRIVATE_MESSAGES_PAGE) = 0 Then
				Response.Write "<script language=""javascript"" type=""text/javascript"">"
				Response.Write "window.open('" & GLOBAL_SITE_PATH & "newpmessage.asp', 'PrivateMessage', 'width=150, height=60, menubars=off');"
				Response.Write "</script>"
			End If

		'	Response.Write " " & GetTranslation("LANG_INCLUDE")
			Response.Write " <a href=""" & GLOBAL_SITE_PATH & GLOBAL_SITE_PRIVATE_MESSAGES_PAGE & """ id=flashlink flashtype=0 flashcolor=red> "
			Response.Write Replace(GetTranslation("LANG_GOT_MAIL"),"%1%",iNbMessages)
			Response.Write "</a>" & vbCrLf
		End If

		If Not Session("BeenToProfile") Then
			Dim iCountComments
			iCountComments=dLookupM("Count(*)", "comments" ,"cType="&CATEGORY_TYPE_PROFILE&" AND cItem=" & dLookupM("uID","users","uLogin='" & SQLEncrypt(sMyLogin) & "'") & " AND cDate>='" & sLastVisit & "'")
			IF iCountComments > 0 Then
				Response.Write " <a href='" & GLOBAL_SITE_PATH & GLOBAL_SITE_PROFILE_PAGE & "?id=" & Server.URLEncode(sMyLogin) & "' id=flashlink flashtype=0 flashcolor=red> "
				Response.Write GetTranslation("LANG_GOTPROFILECOMMENT", iCountComments)
				Response.Write "</a>" & vbCrLf
			End IF
		End IF
			
		Set oRs = Nothing
		Set oCn = Nothing
	End If
End Sub


Function WriteMemberTotalPMessage()
	Dim iPM, oRs, rSQL, sHTML
	Dim oCn
	Set oCn=DBConnexion(DB_MAIN)
	sHTML = ""

	If SysParmDef("PMsg.Show.UnReadMsg", cLng(true)) Then
		rSQL = "SELECT Count(*) FROM messageslist WHERE mlRead=0 AND mlTo='" & sPseudo & "'"
		Set oRs = DBRecordSet(oCn, rSQL)
		iPM = cLng(oRs(0))
		if iPM>0 Then
			sHTML = sHTML & GLOBAL_SITE_SUBTABLE & vbCRLF
			sHTML = sHTML & " <tr>" & vbCrLF
			sHTML = sHTML & "  <td>"
		'	sHTML = sHTML & "<IMG src='" & GLOBAL_SITE_IMAGES_PATH & "PMsgRed.gif'>"
			sHTML = sHTML & GetTranslation("LANG_NEW")
			sHTML = sHTML & "  </td>" & vbCrLf
				
			sHTML = sHTML & "  <td align='center'>"
			If iPM>0 Then
				sHTML = sHTML & oRs(0)
			ELSE
				sHTML = sHTML & "0"
			End IF
			sHTML = sHTML & "</td>" & vbCrLf
			sHTML = sHTML & " </tr>" & vbCrLf
		End IF
	End If

	If SysParmDef("PMsg.Show.ReadMsg", cLng(false)) Then
		rSQL = "SELECT Count(*) FROM messageslist WHERE mlTo='" & sPseudo & "'"
		Set oRs = DBRecordSet(oCn, rSQL)
		iPM = cLng(oRs(0))
		If iPM > 0 Then
			If Len(sHTML)=0 THEN sHTML = sHTML & GLOBAL_SITE_SUBTABLE & vbCRLF
			sHTML = sHTML & " <tr>" & vbCrLf
			sHTML = sHTML & "  <td>"
		'	sHTML = sHTML & "<IMG src='" & GLOBAL_SITE_IMAGES_PATH & "PMsgGreen.gif'>"
			sHTML = sHTML & GetTranslation("LANG_READ")
			sHTML = sHTML & "</td>" & vbCrLf
				
			sHTML = sHTML & "<td align='center'>"
			if iPM>0 Then
				sHTML = sHTML & oRs(0)
			ELSE
				sHTML = sHTML & "0"
			End IF
			sHTML = sHTML & "</td>" & vbCrLf
			sHTML = sHTML & " </tr>" & vbCRLF
		End If
	End If
	If Len(sHTML)>0 THEN
		sHTML = sHTML & "</table>" & vbCRLF
		oRs.Close
		set oRs = Nothing
	End If
	Set oCn = Nothing
	WriteMemberTotalPMessage = sHTML
End Function

' Display one column, using a table containing a code for each bloc
' IN  : tColumnContent (array) : table with index of blocs
' OUT : -
Sub DisplayColumn(tColumnContent)
	Dim X

	If IsArray(tColumnContent) Then
		For X = 0 to UBound(tColumnContent)
			Select Case CInt(tColumnContent(X))
			Case 0		: DisplayMenu()
			Case 1		: DisplayDynamicCounter()
			Case 2		: DisplayAccountsInfo()
			Case 3		: DisplaySearch()
			Case 4		: DisplayFavorites()
			Case 5		: DisplayDirectoryLastSites GLOBAL_DIRECTORY_TOP
			Case 6		: DisplayVersions()
			Case 7		: DisplayWebCounters()
			Case 8		: DisplayLastPoll()
			Case Else	: DisplayCustomBlock(CInt(tColumnContent(X))-8)
			End Select
		Next
	End If
End Sub

Function GetTableAvailableColumns()
	Dim X, sTemp
		
	For X = 0 To 8 + GLOBAL_CUSTOM_BLOCKS
		If sTemp = "" Then
			sTemp = Right("00" & X, 2)
		Else
			sTemp = sTemp & GLOBAL_COLUMN_DIVIDER & Right("00" & X, 2)
		End If
	Next

	GetTableAvailableColumns = Split(sTemp, GLOBAL_COLUMN_DIVIDER)
End Function
%>