<%
'	************************************************************************
'	* ASP-Nuke: Free web portal in ASP                                     *
'	************************************************************************
'	* Copyright (c) 2002-2003 by Gaetan Bouveret (webmaster@asp-nuke.com)  *
'	* http://www.asp-nuke.com                                              *
'	*                                                                      *
'	* This program is free software. You can redistribute it and/or modify *
'	* it under the terms of the GNU General Public License as published by *
'	* the Free Software Foundation; either version 2 of the License, or    *
'	* (at your option) any later version.                                  *
'	*                                                                      *
'	************************************************************************
'
'	************************************************************************
'	* Form Functions - Make forms easy to build                            *
'	************************************************************************
'	* Copyright (c) 2003 by Rolf Thomassen (MrSpock(at)rediffmail.com)     *
'	* http://www.thomassens.dk                                             *
'	*                                                                      *
'	************************************************************************
'
Const	DefaultFormName		=	"edition"	'	Default name of the forum used by DesignForms
Const	DefaultTextWidth	=	150			'	Default Width of Text column
Const	DefaultInputAlign	=	"left"		'	Values for Align = left, center, right
'
'	NextTableLine							'Next tableline entry
'	Required								'Default value = true
'	NotRequired								'Default value = false
'
'	AddShowHeader		sTitle, sText
'	AddShowText			sTitle, sText
'	AddShowCheckbox		sTitle, bValue
'	AddBottomLine		sText
'	AddShowCountry		sTitle, iValue
'
'	AddInput			sTitle, sField, sDefault, iMaxLen, iSize, 
'	AddInputHidden		sField, sDefault
'	AddTextHidden		sTitle, sField, sDefault
'	AddTextHidden2		sTitle, sField, sDefault, sShowStr
'	AddPassword			sTitle, sField, iMaxLen, iSize
'	AddDateTime			sTitle, sField, dDate, bShowAll
'	AddListbox			sTitle, sField, sDefault
'	AddCheckbox			sTitle, sField, bDefault
'	AddCategory			sField, iDefault, iCategotyType, bAllowAdd
'	AddVersion			sField, iDefault
'	AddCountry			sTitle, sField, iDefault
'	AddRole				sField, iDefault
'	AddRate				s.Field, iDefault
'	AddComboBox			sTitle, sField, sValue, iDefault, bAllowAdd
'	AddImage			sField, sDefault
'	AddTextBox			sTitle, sField, sDefault, iCols, iRows, bShowDoc
'	AddTextArea			sTitle, sField, sDefault, iCols, iRows, bShowDoc
'	AddTextEdit			sTitle, sField, sDefault, iCols, iRows, bShowDoc, bHTMLarea, bSmileys
'
'	AddHint				sText
'
'	Set oFrom = New DesignForms								'	Create Object and initialize vars
'	Open				sFormName, sMethod, sAction			'	Make form start
'	Close													'	End form
'															'	Close Writes all the form to Response.Write 
'	Set oForm = Nothing										'	Setting OBJ to Nothing also Writes all out
'
'	Dim oForm
'	Set oForm = new DesignForms 
'	With oForm
'		.TextWidth = 150
'		.InputAlign = ""
'		.FormName = ""
'	End With
'	Set oForm = nothing

Class DesignForms
	Private s_SUBMIT			' Submit Java code
	Private s_JAVA				' All the Java code this this OBJ makes
	Private s_HTML				' All the HTML code that this OBJ makes
	Private i_EditBarNo			' Dokument Edit Bar no, default is: 0
	Private i_TableLine			' Table Line counter, default is : 1
	Private s_InputAlign		' How to align the Input field of a form, default is LEFT, avalible is: Left, Center, Right
	Private i_InputAlign		' Aligntype -1:left,0:center,1:right
	Private i_TextWidth			' Default width of text field, default is: 150
	Private s_FormName			' Name of form, default is : edition
	Private s_Method			' Form Method, default = post
	Private s_Action			' Form Action
	Private b_Required			' Field Required, will be false after each ADD
	Private b_RequiredFirst		' Is this first Required field
	Private b_Confirm			' Confirm Submit
	Private s_RequiredBullet	' Bullet to show when Field is Required
	Private s_RequiredField		' Fields that are required
	Private s_RequiredTitle		' Title of fields that are required
	Private s_Hint				' Field Hint/Help
	Private i_FieldNo			' Numbers of fields in Form
	Private s_BgColor			' Background color of cell
	Private s_RowClass			' Set Class of Row
	Private i_ColSpan			' Set How many col input field should span..
	Private s_Disabled			' Set to disable a input field disabled


	' ------------------------------------------

	Public Sub Initialize
		FormName		= DefaultFormname
		TextWidth		= DefaultTextWidth
		InputAlign		= ""
		TableLine		= 1
		EditBarNo		= 1
		RequiredBullet	= ""
		b_RequiredFirst	= True
		i_FieldNo		= 0
		BgColor			= ""
		ColSpan			= 1

		NotRequired
		Enabled

		ClearSubmitJAVA
		ClearJAVA
		ClearHTML
	End Sub

    Private Sub Class_Initialize
		Initialize
    End Sub

	Private Sub Class_Terminate
		Response.Write ShowSubmitJAVA
		Response.Write ShowJAVA
		Response.Write ShowHTML
	End Sub

	' ------------------------------------------

	Private Sub AddHTML(ByVal sCode)
		s_HTML = s_HTML & sCode
	End Sub
	Private Sub ClearHTML
		s_HTML = ""
	End Sub
	Private Function ShowHTML
		ShowHTML = s_HTML
	End Function
	
	Public Sub AddJAVA(ByVal sCode)
		s_JAVA = s_JAVA & sCode
	End Sub
	Private Sub ClearJAVA
		s_JAVA = ""
	End Sub
	Private Function ShowJAVA
		If len(Trim(s_JAVA))>0 Then
			ShowJAVA =	"<script language='javascript' type='text/javascript'>" & vbCrLf & _
						s_JAVA & vbCrLf & _
						"</script>" & vbCrLf
		Else
			ShowJAVA = ""
		End If
	End Function

	Public Property Let EditBarNo(iBarNo)
		if Not IsNumeric(iBarNo) Then iBarNo = 1
		i_EditBarNo = iBarNo
	End Property
	Private Property Get EditBarNo
		EditBarNo = i_EditBarNo
	End Property

	Public Property Let TableLine(iLine)
		if Not IsNumeric(iLine) Then iLine = 1
		i_TableLine = iLine
	End Property
	Private Property Get TableLine
		TableLine = i_TableLine
	End Property
	Public Sub NextTableLine
		TableLine = ((TableLine - 1) Xor 1) + 1
	End Sub

	Public Property Let InputAlign(sAlign)
		If trim(sAlign&"")="" Then
			s_InputAlign = DefaultInputAlign '"left"
		else
			s_InputAlign = LCase(trim(sAlign))
		End If
		Select Case LCase(s_InputAlign)
			Case "left"		:	i_InputAlign = -1
			Case "center"	:	i_InputAlign =  0
			Case "right"	:	i_InputAlign =  1
			Case Else		:	i_InputAlign = -1
		End Select
	End Property
	Private Property Get InputAlign
		InputAlign = ""
		If s_InputAlign <> "left" Then
			InputAlign = " align='" & s_InputAlign & "' "
		End If
	End Property
	Sub	AlignLeft
		InputAlign = "left"
	End Sub
	Sub AlignRight
		InputAlign = "right"
	End Sub
	Sub AlignCenter
		InputAlign = "center"
	End Sub

	Public Property Let BgColor(sBgColor)
		s_BgColor = sBgColor
	End Property
	Private Property Get BgColor
		If s_BgColor = "" Then
			BgColor = ""
		Else
			BgColor = " bgcolor='" & s_BgColor & "' "
		End If
	End Property

	Public Property Let ColSpan(iColSpan)
		i_ColSpan = iColSpan
		if i_ColSpan < 1 then i_ColSpan = 1
	End Property
	Private Property Get ColSpan
		If i_ColSpan = 1 Then
			ColSpan = ""
		Else
			ColSpan = " colspan='" & i_ColSpan & "' "
		End If
	End Property
	
	Public Property Let RowClass(sRowClass)
		s_RowClass=sRowClass
	End Property
	Private Property Get RowClass
		If s_RowClass = "" Then
			RowClass = "tableline" & TableLine
		Else
			RowClass = s_RowClass
		End If
	End Property
	
	Public Property Let TextWidth(iWidth)
		If Not IsNumeric(iWidth) Then iWidth = DefaultTextWidth '150
		i_TextWidth = iWidth
	End Property
	Private Property Get TextWidth
		TextWidth = ""
		if i_TextWidth <> 0 Then
			TextWidth = " width='" & i_TextWidth & "' "
		End If
	End Property
	
	Public Property Let FormName(sName)
		If trim(sName&"") = "" Then
			s_FormName = DefaultFormName '"edition"
		Else
			s_FormName = sName
		End If
	End Property
	Private Property Get FormName
		FormName = s_FormName
	End Property
	
	Private Property Get JSFormName
		JSFormName = Replace(s_FormName," ", "_", 1, -1, 1)
	End Property

	Public Property Let Method(sMethod)
		If trim(sMethod & "") = "" Then
			s_Method = "post"
		Else
			s_Method = sMethod
		End If
	End Property
	Private Property Get Method
		Method = s_Method
	End Property

	Public Sub Required
		b_Required = True
	End Sub
	Public Sub NotRequired
		b_Required = False
	End Sub
	
	Public Sub Enabled
		s_Disabled = ""
	End Sub
	Public Sub Disabled
		s_Disabled = "disabled "
	End Sub

	Public Property Let RequiredField(sField)
		If Len(s_RequiredField)<>0 Then
			s_RequiredField = s_RequiredField & ", "
		End If
		s_RequiredField = s_RequiredField & Replace(sField,"'","''")
	End Property
	Public Property Get RequiredField
		RequiredField = s_RequiredField
	End Property

	Public Property Let RequiredTitle(sTitle)
		If Len(s_RequiredTitle)<>0 Then
			s_RequiredTitle = s_RequiredTitle & ", "
		End If
		s_RequiredTitle = s_RequiredTitle & "'" & Replace(sTitle,"'","''") & "'"
	End Property
	Public Property Get RequiredTitle
		RequiredTitle = s_RequiredTitle
	End Property

	Public Property Let RequiredBullet(sBullet)
		If trim(sBullet & "") = "" Then
		'	s_RequiredBullet = "<font color=""red"" face=""Verdana, Arial, Helvetica, sans-serif""><b>*</b></font>"
			s_RequiredBullet = "<font title='" & GetTranslation("LANG_REQUIRED_FIELDS") &"' color=""red"" face=""Verdana, Arial, Helvetica, sans-serif""><b>*</b></font>"
		Else
			s_RequiredBullet = sBullet
		End If
	End Property
	Private Property Get RequiredBullet
		RequiredBullet = s_RequiredBullet
	End Property
	
	Public Property Let Hint(sHint)
		If trim(sHint & "") = "" Then
			s_Hint = ""
		Else
			s_Hint = sHint
		End If
	End Property
	Private Property Get Hint
		Hint = s_Hint
	End Property

	Private Sub NextField
		i_FieldNo = i_FieldNo + 1
	End Sub
	Private Function FieldNo
		FieldNo = FormName & "_" & i_FieldNo
	End Function
	
	' ------------------------------------------------------------
	
	Public Sub ConfirmSubmit
		b_Confirm=True
	End Sub
	
	Private Function SetConfirm
		Dim	sJAVA
		sJAVA = ""
	'	"if (confirm('" & JSEncrypt(GetTranslation("LANG_CONFIRM")) & "')) document.edition.submit();" & vbCrLf
		sJAVA = sJAVA & " if (!confirm('" & JSEncrypt(GetTranslation("LANG_CONFIRM")) & "')) {" & vbCrLf
		sJAVA = sJAVA & "  return false;" & vbCrLf
		sJAVA = sJAVA & " }" & vbCrLf
		SetConfirm = sJAVA
	End Function


	Public Sub AddSubmitJAVA(ByVal sCode)
		s_SUBMIT = s_SUBMIT & sCode
	End Sub
	Private Sub ClearSubmitJAVA
		s_SUBMIT = ""
	End Sub
	Private Function ShowSubmitJAVA
		Dim sJAVA
		sJAVA = ""
		sJAVA = sJAVA & "<script language=""javascript"" type=""text/javascript"">" & vbCrLf
		sJAVA = sJAVA & "function onSubmit_" & JSFormName & "() {" & vbCrLf
		sJAVA = sJAVA & " var ok_" & JSFormName & " = true;" & vbCrLf
		sJAVA = sJAVA & " var texte = '" & GetTranslation("LANG_MUST_FILL") & "';" & vbCrLf
	'	sJAVA = sJAVA & " var required = '" & RequiredField & "';" & vbCrlf

		sJAVA = sJAVA & s_SUBMIT & vbCrLf

		sJAVA =	sJAVA & " if (ok_" & JSFormName & ") {" & vbCrLf
	'	sJAVA =	sJAVA & "  document." & FormName & ".submit();" & vbCrLf
		If b_Confirm Then
			sJAVA = sJAVA & SetConfirm
		End If
		sJAVA =	sJAVA & "  return true; " & vbCrLf
		sJAVA =	sJAVA & " } else {" & vbCrLf
		sJAVA =	sJAVA & "  if (texte!='" & GetTranslation("LANG_MUST_FILL") & "') {" & vbCrLf
		sJAVA = sJAVA & "   alert(texte);" & vbCrLf
		sJAVA = sJAVA & "  }" & vbCrLf
		sJAVA =	sJAVA & "  return false; " & vbCrLf
		sJAVA =	sJAVA & " }" & vbCrLf
		sJAVA =	sJAVA & "}" & vbCrLf
		sJAVA =	sJAVA & "</script>" & vbCrLf

		ShowSubmitJAVA = sJAVA
	End Function

	Public Sub AddTestEmail(ByVal sTitle, ByVal sField)
			' Idea from Soudweld
			AddSubmitJAVA "   if (document." & FormName & "." & sField & ".value.search(/@/)== '-1') {" & vbCRLF
			AddSubmitJAVA "    ok_" & JSFormName & " = false;" & vbCRLF
			AddSubmitJAVA "    texte = texte + '\n - " & sTitle & "';" & vbCRLF
			AddSubmitJAVA "   }" & vbCRLF
	End Sub

	Public Sub Open(ByVal sFormName, ByVal sMethod, ByVal sAction)
		Initialize
		FormName = sFormName
		Method = sMethod
		AddHTML "<form" & _
				" name='" & FormName & "'" & _
				" method='" & Method & "'" & _
				" action='" & sAction & "'" & _
				" onSubmit='" & "return onSubmit_" & formname & "();" & "'" & _
				">" & vbCrLf
	End Sub
	
	Public Sub Close
		AddEndRequired
	'	AddHTML "</form>" & vbCrLf
		
		Response.Write ShowSubmitJAVA
		Response.Write ShowHTML
		Response.Write ShowJAVA
		Response.Write "</form>" & vbCrLf
		Initialize
	End Sub

	' ------------------------------------------------------------

	Private Function AddRequired(ByVal iFieldNo, ByVal sTitle, ByVal sField)
		Dim sHTML
		sHTML = ""
		If b_Required Then
			If b_RequiredFirst Then
				b_RequiredFirst = False
			End If
			RequiredField = FieldNo
			RequiredTitle = sTitle
		
			AddSubmitJAVA  " if (document."&formname&"."&sField&".value == '') {" & vbCrLf
			AddSubmitJAVA  "  ok_" & JSFormName & " = false;" & vbCrLf
			AddSubmitJAVA  "  texte = texte + '\n - " & sTitle & "';" & vbCrLf
			AddSubmitJAVA  " }" & vbCrLf

			sHTML = sHTML & RequiredBullet
		End If
		AddRequired = sHTML
	End Function

	Private Sub AddEndRequired
		If False Then
			If NOT b_RequiredFirst Then
			'	AddInputHidden	"required", RequiredField
			
				AddJAVA "	function check_required(Formnavn, required_fields, required_text)" & vbCRLF
				AddJAVA "	{" & vbCRLF
				AddJAVA "		var required_array;" & vbCRLF
				AddJAVA "		var emptyfields = 0;" & vbCRLF
				AddJAVA "		var FormItemIndex;" & vbCRLF
				AddJAVA "		var FormItem = '';" & vbCRLF
				AddJAVA "		if (required_fields != '')" & vbCRLF
				AddJAVA "		{" & vbCRLF
				AddJAVA "			required_array = required_fields.split(', ');" & vbCRLF
				AddJAVA "			for (var i=0; i < required_array.length; i++)" & vbCRLF
				AddJAVA "			{" & vbCRLF
				AddJAVA "				FormItemIndex = parseInt(required_array[i]);" & vbCRLF
				AddJAVA "				if (Formnavn.Items[FormItemIndex].value == '')" & vbCRLF
				AddJAVA "				{" & vbCRLF
				AddJAVA "					emptyfields += 1;" & vbCRLF
				AddJAVA "					FormItem = FormItem + '/n - ' + required_array[i];" & vbCRLF
				AddJAVA "				}" & vbCRLF
				AddJAVA "			}" & vbCRLF
				AddJAVA "			if (emptyfields > 0) { self.window.alert(required_text + FormItem); }" & vbCRLF
				AddJAVA "			if (emptyfields == 0){ return true; }" & vbCRLF
				AddJAVA "			if (emptyfields > 0) { return false; }" & vbCRLF
				AddJAVA "	   }" & vbCRLF
				AddJAVA "	   else" & vbCRLF
				AddJAVA "	   {return true; }" & vbCRLF
				AddJAVA "	}" & vbCRLF
				
				AddJAVA "	function form_" & FormName & "_Submit() {" & vbCRLF
				AddJAVA "		var ok_" & JSFormName & " = true;" & vbCRLF
				AddJAVA "		var texte = '" & GetTranslation("LANG_MUST_FILL") & "';" & vbCrLf
				AddJAVA "		var required = '" & RequiredField & "';" & vbCrlf
				AddJAVA "		if (check_required(document." & FormName & ", required, texte) == false) {ok_" & JSFormName & " = false };" & vbCRLF
			'	AddJAVA "		ok_" & JSFormName & " = check_required(" & FormName & ", required, '"& GetTranslation("LANG_MUST_FILL")&"');" & vbCRLF
				AddJAVA "		if (ok_" & JSFormName & ") {" & vbCRLF
			'	AddJAVA "			document." & FormName & ".submit();" & vbCRLF
				AddJAVA "		   return true; " & vbCRLF
				AddJAVA "		} else {" & vbCRLF
				AddJAVA "			if (texte!='" & GetTranslation("LANG_MUST_FILL") & "') {" & vbCrLf
				AddJAVA "				alert(texte)" & vbCrLf
				AddJAVA "			}" & vbCRLF
				AddJAVA "		   return false; " & vbCRLF
				AddJAVA "		}" & vbCRLF
				AddJAVA "	}" & vbCRLF
			Else
				AddJAVA "	function form_" & FormName & "_Submit()" & vbCRLF
				AddJAVA "	{" & vbCRLF
				AddJAVA "	   return true;" & vbCRLF
				AddJAVA "	}" & vbCRLF
			End If
		End If
	End Sub

	' Add ShowTextline
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of field to make input too
	' OUT : code to make text line
	Private Sub AddMainRow
		AddHTML "	<tr class='tablelinemain'>" & vbCrLf
	End Sub
	Private Sub AddLineRow
	'	AddHTML "	<tr class='tableline" & TableLine & "'>" & vbCrLf
		AddHTML "	<tr class='" & RowClass & "'>" & vbCrLf
	End Sub
	Private Sub AddTitle(ByVal sTitle)
		sTitle = sTitle & ""
		AddHTML "		<td" & TextWidth & ">" & vbCrLf
		AddHTML "			" & sTitle & vbCrLf
		AddHTML "		</td>" & vbCrLf
	End Sub
	Private Sub AddText(ByVal sText)
		sText = sText & ""
		AddHTML "		<td" & ColSpan & InputAlign & ">" & vbCrLf
		AddHTML "			" & sText & vbCrLf 
		AddHTML "		</td>" & vbCrLf
	End Sub
	Private Sub AddMainRowEnd
		AddHTML "	</tr>" & vbCrLf
	End Sub
	Private Sub AddLineRowEnd
		AddHTML "	</tr>" & vbCrLf
		NextTableLine
	End Sub

	' Add ShowHeaderline
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sHeader (string) : Name of field to make input too
	' OUT : code to make text line
	Sub AddShowHeader(ByVal sTitle, ByVal sText)
		AddMainRow
		AddTitle		sTitle
		AddHTML "		<td" & ColSpan & InputAlign & ">" & vbCrLf
		AddHTML "			" & sText & vbCrLf 
		AddHTML "		</td>" & vbCrLf
		AddMainRowEnd
	End Sub

	' Add ShowBottomline
	' IN  : sText (string) : Text of Bottom line
	' OUT : code to make text line
	Sub AddShowBottom(ByVal sText)
		AddMainRow
		AddHTML "		<td colspan='" & 1 + i_ColSpan & "' " & InputAlign & ">" & vbCrLf
		AddHTML "			" & sText & vbCrLf
		AddHTML "		</td>" & vbCrLf
		AddMainRowEnd
	End Sub

	' Show Table Line across
	Sub AddShowLine(ByVal sText)
		AddLineRow
		AddHTML "		<td colspan='" & 1+ i_ColSpan & "' " & InputAlign & BgColor & ">" & vbCrLf
		AddHTML "			" & sText & vbCrLf
		AddHTML "		</td>" & vbCrLf
		AddLineRowEnd
	End Sub

	' Add ShowTextline
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of field to make input too
	' OUT : code to make text line
	Sub AddShowText(ByVal sTitle, ByVal sText)
		AddLineRow
		AddTitle	sTitle
		AddText		sText
		AddLineRowEnd
	End Sub

	' Add ShowCheckbox line
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of field to make input too
	'     : bValue (boolean) : Default value of sField
	' OUT : code to make Boolean line
	Sub AddShowCheckbox(Byval sTitle, ByVal bValue)
		AddLineRow
		AddTitle	sTitle
		AddText		ShowCheckbox(bValue)
		AddLineRowEnd
	End Sub
	Sub AddShowBoolean(Byval sTitle, ByVal bValue)
		AddLineRow
		AddTitle	sTitle
		AddText		ShowBoolean(bValue)
		AddLineRowEnd
	End Sub
	
	Sub AddShowCountry(ByVal sTitle, ByVal iCountry)
		AddLineRow
		AddTitle	sTitle
	'	If i_InputAlign<=0 Then
	'		AddText		DLookupM("cbTitle","combobox","cbID=" & iCountry) & ShowFlag(iCountry)
	'	Else
			AddText		ShowFlag(iCountry) & " " & GetCountryName(iCountry) 'DLookupM("cbTitle","combobox","cbID=" & iCountry)
	'	End If
		AddLineRowEnd
	End Sub
	Sub AddShowRole(ByVal sTitle, ByVal iRole)
		AddLineRow
		AddTitle	sTitle
		AddText		GetTranslation(DLookupM("rTitle","roles","rID=" & iRole))
		AddLineRowEnd
	End Sub
	Sub AddShowGender(ByVal sTitle, ByVal iGender)
		AddLineRow
		AddTitle	sTitle
		AddText		ShowGender(iGender)
		'	"<img src='" & GLOBAL_SITE_IMAGES_PATH & IMAGE_GENDER & iGender & ".gif' valign='middle' border=0 alt='" & GetTranslation(DLookupM("gTitle","gender","gID=" & iGender)) & "'>"
		AddLineRowEnd
	End Sub
	Sub AddShowCombo(ByVal sTitle, ByVal iCombo)
		AddLineRow
		AddTitle	sTitle
		AddText		GetTranslation(DLookupM("cbTitle","combobox","cbID=" & iCombo))
		AddLineRowEnd
	End Sub
	
	Sub AddShowCombobox(ByVal sTitle, ByVal sField, ByVal sValue)
		AddLineRow
		AddTitle	sTitle
		AddText		GetTranslation(DLookupM("cbTitle","combobox","cbField='" & sField)&"' AND cbValue='"& sValue &"'")
		AddLineRowEnd
	End Sub
	
	Sub AddShowCategory(ByVal sTitle, ByVAl iCategory)
		AddLineRow
		AddTitle	sTitle
		AddText		GetTranslation(DLookupM("cTitle", "categories", "cID=" & iCategory))
		AddLineRowEnd
	End Sub
	Sub AddShowVersion(ByVal sTitle, ByVAl iVersion)
		AddLineRow
		AddTitle	sTitle
		AddText		GetTranslation(DLookupM("vTitle", "versions", "vID=" & iVersion))
		AddLineRowEnd
	End Sub
	Sub AddShowTimeZone(ByVal sTitle, ByVAl iTZOffset)
		AddLineRow
		AddTitle	sTitle
		AddText		GetTranslation(DLookupM("tTimeZone", "timezone", "tID=" & iTZOffset))
		AddLineRowEnd
	End Sub
	Sub AddShowWeekDay(ByVal sTitle, ByVal iWeekday)
		AddLineRow
		AddTitle	sTitle
		AddText		WeekdayName(iWeekDay, false, vbMonday)
		AddLineRowEnd
	End Sub

	Sub AddShowImage(Byval sTitle, sField, sImage)
		Dim sInp, sImg, sView
		AddLineRow
		AddTitle	sTitle

		If Trim(sImage&"") <> "" Then
			AddJavaShowPicture sField, sImage 
			sView = "<a href='javascript:showPicture_" & sField & "()'><img src='" & GLOBAL_SITE_IMAGES_PATH & "view.gif' valign='middle' border='0'></a>"
			AddText		sView & " " & sImage
		Else
			AddText		"-"
		End IF
		AddLineRowEnd
	End Sub
	Sub AddShowPicture(ByVal sTitle, sURL)
		AddLineRow
		AddTitle	sTitle
		AddText		"<img src='" & sURL & "' valign='middle' border='0'>"
		AddLineRowEnd
	End Sub

' ---------------------------------------- INPUT FUNCTIONS -------------------------

	' Add Input field
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of field to make input too
	'     : sDefault (string) : Default value of sField
	'     : iMaxLen (int) : Maximum lenght of input
	'     : iSize (int) : Size of input field
	' OUT : code to make input field
	Sub AddInput(Byval sTitle, Byval sField, ByVal sDefault, Byval iMaxLen, ByVal iSize)
		AddLineRow
		AddTitle	sTitle

		Dim sInp
		sInp = "<input name=""" & sField & """ value=""" & sDefault & """ maxlength='" & iMaxLen & "' size='" & iSize & "' class='cell' " & s_Disabled & " id=" & FieldNo & ">"
		If i_InputAlign<=0 Then
			AddText	sInp & AddRequired(FieldNo, sTitle, sField)
		Else
			AddText	AddRequired(FieldNo, sTitle, sField) & sInp
		End If
		NextField
		AddLineRowEnd
	End Sub
	'	disabled

	' Add Input Confirm field
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sTitle2 (string) : 2nd Text to show infront of input 2nd field
	'     : sField (string) : Name of field to make input too
	'     : sField2 (string) : Name of 2nd field to make input too
	'     : sDefault (string) : Default value of sField
	'     : iMaxLen (int) : Maximum lenght of input
	'     : iSize (int) : Size of input field
	'     : sDiffText (string) : Text to show if the 2 input fields are not the same
	' OUT : code to make input field
	Sub AddInputConfirm(Byval sTitle, Byval sField, Byval iMaxLen, ByVal iSize, ByVal sTitle2, ByVal sField2, ByVal sDiffText)
		AddInput sTitle,  sField,  "", iMaxLen, iSize
		AddInput sTitle2, sField2, "", iMaxLen, iSize
		
		AddSubmitJAVA  " if (document."&formname&"."&sField&".value != document."&formname&"."&sField2&".value) {" & vbCRLF
		AddSubmitJAVA  "  ok_" & JSFormName & " = false;" & vbCRLF
		AddSubmitJAVA  "  texte = texte + '\n" & sDiffText & "';" & vbCRLF
		AddSubmitJAVA  " }" & vbCRLF
	End Sub

	' Add Password field
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of field to make input too
	'     : iMaxLen (int) : Maximum lenght of input
	'     : iSize (int) : Size of input field
	' OUT : code to make input field
	Sub AddPassword(Byval sTitle, Byval sField, Byval iMaxLen, ByVal iSize)
		Dim sInp
		AddLineRow
		AddTitle	sTitle

		sInp = "<input name=""" & sField & """ type='password' maxlength='" & iMaxLen & "' size='" & iSize & "' class='cell' onFocus=""this.value='';"" id=" & FieldNo & ">"
		If i_InputAlign<=0 Then
			AddText	sInp & AddRequired(FieldNo, sTitle, sField)
		Else
			AddText	AddRequired(FieldNo, sTitle, sField) & sInp
		End IF
		NextField
		AddLineRowEnd
	End Sub

	' Add Confirm Password field
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sTitle2 (string) : 2nd Text to show infront of 2nd input field
	'     : sField (string) : Name of field to make input too
	'     : sField2 (string) : Name of 2nd field to make input too
	'     : iMaxLen (int) : Maximum lenght of input
	'     : iSize (int) : Size of input field
	'     : sDiffText (string) : Text to show if the 2 input fields are not the same
	' OUT : code to make input field
	Sub AddPasswordConfirm(Byval sTitle, Byval sField, Byval iMaxLen, ByVal iSize, Byval sTitle2, Byval sField2, ByVal sDiffText)
		AddPassword sTitle,  sField, iMaxLen, iSize
		AddPassword sTitle2, sField2, iMaxLen, iSize
		
		AddSubmitJAVA  " if (document."&formname&"."&sField&".value != document."&formname&"."&sField2&".value) {" & vbCRLF
		AddSubmitJAVA  "  ok_" & JSFormName & " = false;" & vbCRLF
		AddSubmitJAVA  "  texte = texte + '\n" & sDiffText & "';" & vbCRLF
		AddSubmitJAVA  " }" & vbCRLF
	End Sub


	' Add Hidden Input field, with Text
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of field to make input too
	'     : sDefault (string) : Default value of sField
	'     : sShowStr (string) : string to show with hidden value, if empty, don't make line just hidden input
	' OUT : code to make input field
	Sub AddTextHidden2(Byval sTitle, Byval sField, ByVal sDefault, ByVal sShowStr)
		if Trim(sTitle & "") <> "" Then
			AddLineRow
			AddTitle	sTitle
			AddText		"<input type='hidden' name='" & sField & "' value='" & sDefault & "' id=" & FieldNo & ">" & sShowStr
			AddLineRowEnd
		else
			AddHTML "	<input type='hidden' name='" & sField & "' value='" & sDefault & "' id=" & FieldNo & ">" & vbCrLf
		end if
		NextField
	End Sub

	' Add Hidden Input field, with Text
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of field to make input too
	'     : sDefault (string) : Default value of sField
	' OUT : code to make input field
	Sub AddTextHidden(Byval sTitle, Byval sField, ByVal sDefault)
		AddTextHidden2	sTitle, sField, sDefault, sDefault
	End Sub

	' Add Hidden Input field
	' IN  : sField (string) : Name of field to make input too
	'     : sDefault (string) : Default value of sField
	' OUT : code to make input field
	Sub AddInputHidden(Byval sField, ByVal sDefault)
		AddTextHidden2	"", sField, sDefault, ""
	End Sub
	Sub AddHidden(Byval sField, ByVal sDefault)
		AddTextHidden2	"", sField, sDefault, ""
	End Sub

	' Add Date/time field
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of field to make input too
	'     : dDate (date/time) : Default value of sField
	'     : bShowAll (boolean) : True : Show all minuts, False : Only show every 15min
	' OUT : code to make input field
	Sub AddDateTime(ByVal sTitle, ByVal sField, ByVal dDate, bShowAll)
		AddDate sTitle, sField, dDate, GetXMLAttribute("date_time_format_text"), bShowAll
	End Sub

	' Add Date field
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of field to make input too
	'     : dDate (date/time) : Default value of sField
	'     : sFormat (string) : Format of Date/Time, how to show the Date/Time Entry, "" = Default format for date_format from Language file
	'     : bShowAll (boolean) : True : Show all minuts, False : Only show every 15min
	' OUT : code to make input field
	Sub AddDate(ByVal sTitle, ByVal sField, ByVal dDate, ByVal sFormat, ByVal bShowAll)
		Dim sYear,sMonth,sDay,sHour,sMinut,sSecond, X, sTemp, aPos, iMin, iYear
		sYear   = sField & "_Year"
		sMonth  = sField & "_Month"
		sDay    = sField & "_Day"
		sHour   = sField & "_Hour"
		sMinut  = sField & "_Min"
		sSecond = sField & "_Sec"

		sTemp = Trim(sFormat&"") ' GetXMLAttribute("date_format") ' DATE_FORMAT
		if sTemp = "" Then sTemp = GetXMLAttribute("date_format") 'date_time_format_text
		sTemp = Replace(sTemp, "-", "/")
		sTemp = Replace(sTemp, "\", "/")
		sTemp = Replace(sTemp, ":", "/")
		sTemp = Replace(sTemp, ";", "/")
		sTemp = Replace(sTemp, "_", "/")
		sTemp = Replace(sTemp, ".", "/")
		sTemp = Replace(sTemp, ",", "/")
		sTemp = Replace(sTemp, "|", "/")
		sTemp = Replace(sTemp, " ", "/")
		sTemp = Replace(sTemp, "//", "/")
		aPos = Split(sTemp, "/")
		
		AddLineRow
		AddTitle	sTitle
	'	DebugPrint "DF: '" & sTemp & "'"
		AddHTML "		<td" & ColSpan & InputAlign & ">" & vbCrLf
		
		Dim i
		For i = 0 to Ubound(aPos)
	'		DebugPrint "'" & aPos(i) & "'"
			Select Case aPos(i)
				Case "DD"
					AddHTML "			<select name='"& sDay &"' class='cell' id=" & FieldNo & ">" & vbCrLf
					For X = 1 to 31
						AddHTML "				<option value='" & Right("0" & CStr(X), 2) & "'"
						If X = Day(dDate) Then AddHTML " selected"
						AddHTML ">" & Right("0" & CStr(X), 2) & "</option>" & vbCrLf
					Next
					AddHTML "			</select>" & vbCrLf
					NextField

				Case "MM"
					AddHTML "			<select name='"& sMonth &"' class='cell' id=" & FieldNo & ">" & vbCrLf
					For X = 1 to 12
						AddHTML "				<option value='" & Right("00" & X, 2) & "'"
						If X = Month(dDate) Then AddHTML " selected"
						AddHTML ">" & Right("00" & X, 2) & "</option>" & vbCrLf
					Next
					AddHTML "			</select>" & vbCrLf
					NextField

				Case "MN"
					AddHTML "			<select name='"& sMonth &"' class='cell' id=" & FieldNo & ">" & vbCrLf
					For X = 1 to 12
						AddHTML "				<option value='" & Right("0" & X, 2) & "'"
						If X = Month(dDate) Then AddHTML " selected"
						AddHTML ">" & MonthName(X) & "</option>" & vbCrLf
					Next
					AddHTML "			</select>" & vbCrLf
					NextField

				Case "YY", "YYYY"
					AddHTML "			<select name='"& sYear &"' class='cell' id=" & FieldNo & ">" & vbCrLf
					iYear=Year(ddate)
					IF iYear=9999 Then
						iYear=Year(now())
					End IF
				'	For X = Year(DateAdd("yyyy", -2, dDate)) to Year(DateAdd("yyyy", 5, dDate))
					For X = iYear-2 to iYear+5
						AddHTML "				<option value='" & X & "'"
						If X = Year(dDate) Then AddHTML " selected"
						AddHTML ">" & CStr(X) & "</option>" & vbCrLf
					Next
					X=9999
					AddHTML "				<option value='" & X & "'"
					If X = Year(dDate) Then AddHTML " selected"
					AddHTML ">" & GetTranslation("LANG_END_OF_TIME") & "</option>" & vbCrLf
					
					AddHTML "			</select>" & vbCrLf
					NextField

				Case "YYY"
					AddHTML "			<select name='"& sYear &"' class='cell' id=" & FieldNo & ">" & vbCrLf
					For X = Year(DateAdd("yyyy", -99, date)) to Year(DateAdd("yyyy", 9, date))
						AddHTML "				<option value='" & X & "'"
						If X = Year(dDate) Then AddHTML " selected"
						AddHTML ">" & CStr(X) & "</option>" & vbCrLf
					Next
					AddHTML "			</select>" & vbCrLf
					NextField

				Case "yy"
					AddHTML "			<input name='" & sYear & "' value='" & Right(Year(dDate),2) & "' maxlength='2' size='2' class='cell' " & s_Disabled & " id=" & FieldNo & ">" & vbCrLf
					NextField

				Case "yyyy"
					AddHTML "			<input name='" & sYear & "' value='" & Year(dDate) & "' maxlength='4' size='4' class='cell' " & s_Disabled & " id=" & FieldNo & ">" & vbCrLf
					NextField

				Case "hh", "h"
					AddHTML "			<select name='"& sHour &"' class='cell' id=" & FieldNo & ">" & vbCrLf
					For X = 0 to 23
						AddHTML "				<option value='" & Right("0" & CStr(X), 2) & "'"
						If X = Hour(dDate) Then AddHTML " selected"
						AddHTML ">" & Right("0" & CStr(X), 2) & "</option>" & vbCrLf
					Next
					AddHTML "			</select>" & vbCrLf
					AddHTML "			" & GetTranslation("LANG_HOUR_SHORT") & vbCrLf
				'	AddHTML "      : " & vbCrLf
					NextField

				Case "mm", "m"
					AddHTML "			<select name='"& sMinut &"' class='cell' id=" & FieldNo & ">" & vbCrLf
				'	iMin = Int( Minute(dDate) / 15) * 15
					For X = 0 to 59
						if bShowAll Then
							AddHTML "				<option value='" & Right("0" & CStr(X), 2) & "'"
							If X = Minute(dDate) Then AddHTML " selected"
							AddHTML ">" & Right("0" & CStr(X), 2) & "</option>" & vbCrLf
						Else
							Select Case X
							'	Case 1
							'		AddHTML "				<option value='" & Right("0" & CStr(X), 2) & "'"
							'		If X = Minute(dDate) Then AddHTML " selected"
							'		AddHTML ">" & GetTranslation("LANG_PENDING_INFO") & "</option>" & vbCrLf
								Case 0, 15, 30, 45, 55
									AddHTML "				<option value='" & Right("0" & CStr(X), 2) & "'"
									If (X = Int(Minute(dDate)/15)*15) OR (X=Minute(dDate)) Then AddHTML " selected"
									AddHTML ">" & Right("0" & CStr(X), 2) & "</option>" & vbCrLf
							End Select
						End If
					Next
					AddHTML "			</select>" & vbCrLf
					AddHTML "			" & GetTranslation("LANG_MINUT_SHORT") & vbCrLf
					NextField

				Case "ss", "s"
					If bShowAll Then
						AddHTML "			<select name='"& sSecond &"' class='cell' id=" & FieldNo & ">" & vbCrLf
						For X = 0 to 59
						AddHTML "				<option value='" & Right("0" & CStr(X), 2) & "'"
							If X = Second(dDate) Then AddHTML " selected"
							AddHTML ">" & Right("0" & CStr(X), 2) & "</option>" & vbCrLf
						Next
						AddHTML "			</select>" & vbCrLf
						AddHTML "			" & GetTranslation("LANG_SECOND_SHORT") & vbCrLf 
					End If
					NextField
					
				Case Else
					AddHTML "			" & aPos(i) & " " & vbCrLf

			End Select 
		Next
		AddHTML "		</td>" & vbCrLf
		AddLineRowEnd
	End Sub

	' Add Weekday field
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of field to make input too
	'     : sDefault (string) : Default value of sField
	' OUT : code to make input field
	Sub AddWeekDay(ByVal sTitle, ByVal sField, ByVal iDefault)
		AddLineRow
		AddTitle	sTitle
		AddHTML "  <td" & ColSpan & InputAlign & ">" & vbCrLf
		AddHTML "   <select name='" & sField & "' class='cell' id=" & FieldNo & ">" & vbCrLf
		Dim X
		For X = 1 to 7
			AddHTML "    <option value='" & X & "'"
			If X = iDefault Then AddHTML " selected"
			AddHTML ">" & WeekdayName(X, false, vbMonday) & "</option>" & vbCrLf
		Next
		AddHTML "   </select>" & vbCrLf
		AddHTML "  </td>" & vbCrLf
		AddLineRowEnd
	End Sub


	' Add Listbox field
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of field to make input too
	'     : sDefault (string) : Default value of sField
	'     : sValue (string) : cbfield from combobox
	' OUT : code to make input field
	Sub AddListbox(Byval sTitle, Byval sField, ByVal sDefault, ByVal sValue)
		AddLineRow
		AddTitle	sTitle
		AddHTML "		<td" & ColSpan & InputAlign & ">" & vbCrLf

		Dim oRs, rSQL, oCnL
		Set oCnL = DBConnexion(DB_MAIN)
		rSQL = "SELECT cbID, cbValue, cbTitle FROM combobox WHERE cbField='" & sValue & "'" & " ORDER BY cbSort, cbID"
		Set oRs = DBRecordSet(oCnL, rSQL)
		If Not oRs.EOF Then
			AddHTML "			<select name='" & sField & "' class='cell' id='" & FieldNo & "'>" & vbCrLf
			Do While Not oRs.EOF
				AddHTML "				<option value='" & oRs("cbValue") & "'"
				If oRs("cbValue") = sDefault Then AddHTML " selected"
				AddHTML ">" & GetTranslation(oRs("cbTitle")) & "</option>" & vbCrLf
				oRs.MoveNext
			Loop 'WEnd
			AddHTML "			</select>" & vbCrLf
			NextField
		End If
		Set oRs = Nothing

		AddHTML "		</td>" & vbCrLf
		AddLineRowEnd
		Set oCnL = Nothing
	End Sub
		
	' Add Checkbox field
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of field to make input too
	'     : bDefault (boolean) : Default value of sField
	' OUT : code to make input field
	Sub AddCheckbox(Byval sTitle, Byval sField, ByVal bDefault)
		AddLineRow
		AddTitle sTitle

		AddHTML "		<td" & ColSpan & InputAlign & ">" & vbCrLf
		AddHTML "			<input type='checkbox' name='" & sField & "'"
		AddHTML " " & s_Disabled
		AddHTML " id=" & FieldNo
		AddHTML IIF(bDefault=0 OR bDefault="",""," checked")
		AddHTML ">" & vbCrLf
		AddHTML "		</td>" & vbCrLf


		NextField
		AddLineRowEnd
	End Sub
	' Add Checkbox Button to your field
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of field to make input too
	'     : bDefault (boolean) : True = Checked, False = Not Checked
	Function AddCheckBoxButton(ByVal sTitle, ByVal sField, ByVal bDefault)
		Dim sHTML
		sHTML = ""
		If i_InputAlign<=0 Then	'Put title on left of checkbox button
			sHTML = sHTML & "<label for='" & FieldNo & "'>"& sTitle & "</label>&nbsp;"
		End IF

		sHTML = sHTML & "<input type='checkbox' name='" & sField & "' Value='" & sValue & "' id='" & FieldNo & "'"
		If bDefault=0 OR bDefault="" Then sHTML = sHTML & " checked"
		sHTML = sHTML & " " & s_Disabled & ">&nbsp;" & vbCrLf

		If i_InputAlign>0 Then	' Put title on right of checkbox button
			sHTML = sHTML & "<label for='" & FieldNo & "'>"& sTitle & "</label>&nbsp;"
		End IF

		NextField
		AddCheckBoxButton = sHTML
	End Function

	' Add Radio field
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of field to make input too
	'     : bDefault (boolean) : Default value of sField
	' OUT : code to make input field
	Sub AddRadio(Byval sTitle, Byval sField, ByVal bDefault, ByVal sValue)
		AddLineRow
		AddTitle	sTitle

		AddHTML "		<td" & ColSpan & InputAlign & ">" & vbCrLf
		AddHTML "			<input type='radio' name='" & sField & "' value='" & sValue & "'"
		If bDefault Then AddHTML " checked"
		AddHTML " " & s_Disabled & "id=" & FieldNo & ">" & vbCrLf
		AddHTML "		</td>" & vbCrLf

		NextField
		AddLineRowEnd
	End Sub
	
	' Add Radio Button to your field
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of field to make input too
	'     : sValue (string) : Value of field when checked
	'     : bDefault (boolean) : True = Checked, False = Not Checked
	Function AddRadioButton(ByVal sTitle, ByVal sField, ByVal sValue, ByVal bDefault)
		Dim sHTML
		sHTML = ""
		If i_InputAlign<=0 Then	'Put title on left of radio button
			sHTML = sHTML & "<label for='" & FieldNo & "'>"& sTitle & "</label>&nbsp;"
		End IF
		sHTML = sHTML & "<input type='radio' name='" & sField & "' Value='" & sValue & "' id='" & FieldNo & "'"
		If bDefault Then sHTML = sHTML & " checked"
		sHTML = sHTML & " " & s_Disabled & ">&nbsp;" & vbCrLf
		If i_InputAlign>0 Then	' Put title on right of radio button
			sHTML = sHTML & "<label for='" & FieldNo & "'>"& sTitle & "</label>&nbsp;"
		End IF

		NextField
		AddRadioButton = sHTML

		'	<input type="radio" value="V1" name="R1" id="fp1"><label for="fp1">TEST</label>
	End Function

	' Add Button to your field
	' IN  : sTitle (string) : Text to show on botton
	'     : sField (string) : Name of field to make input too
	'     : sOnClick (string) : What to do on OnClick
	Function AddButton(ByVal sTitle, ByVal sField, ByVal sOnClick)
		Dim sHTML
		sHTML = "<input type='button' name='" & sField & "' Value='" & sTitle & "' onClick='" & sOnClick & "' class='button' " & s_Disabled & "id=" & FieldNo & ">&nbsp;"
		NextField
		AddButton = sHTML
	End Function
	
	Function AddValidate(ByVal sTitle, ByVal sField)
		AddValidate = AddButton(sTitle, sField, "javascript:form_" & FormName & "_Submit()")
	End Function
	' Add Button to your field
	' IN  : sTitle (string) : Text to show on botton
	'     : sField (string) : Name of field to make input too
	'     : sOnClick (string) : What to do on OnClick
	Function AddSubmit(ByVal sTitle, ByVal sField)
		Dim sHTML
		If sTitle = "" Then sTitle = GetTranslation("LANG_SUBMIT")
		If sField = "" Then sField = "bSubmit"
		
		sHTML = "<input type='submit' name='" & sField & "' Value='" & sTitle & "' class='button' id=" & FieldNo & ">&nbsp;"
		NextField
		AddSubmit = sHTML
	End Function
	Function AddReset(ByVal sTitle, ByVal sField)
		Dim sHTML
		If sTitle = "" Then sTitle = GetTranslation("LANG_RESET")
		If sField = "" Then sField = "bReset"
		
		sHTML = "<input type='reset' name='" & sField & "' Value='" & sTitle & "' class='button' id=" & FieldNo & ">&nbsp;"
		NextField
		AddReset = sHTML
	End Function
	Function AddBack(sTitle, sField)
		Dim sHTML
		If sTitle = "" Then sTitle = GetTranslation("LANG_BACK")
		If sField = "" Then sField = "bBack"
		sHTML = "<input type='button' name='" & sField & "' Value='" & sTitle & "' onClick='" & "javascript:history.back();" & "' class='button' " & s_Disabled & "id=" & FieldNo & ">&nbsp;"
		AddBack = sHTML
	End Function

	

'"<input type=""submit"" class=""button"" name=""bProfil"" value=""" & GetTranslation("LANG_MODIFY") & """>"
'"<input type=""button"" class=""button"" name=""bPassword"" value=""" & GetTranslation("LANG_MODIFY") & """ onClick=""javascript:formSubmit()"">
'"<input type=""button"" class=""button"" name=""valider"" value=""" & GetTranslation("LANG_SUBMIT") & """ onClick=""javascript:formSubmit();"" >"
'"<input type=""button"" class=""button"" name=""Oui"" value=""" & GetTranslation("LANG_YES") & """ onClick=""javascript:delAccount();"">"
'"<input type=""button"" class=""button"" name=""Non"" value=""" & GetTranslation("LANG_NO") & """ onClick=""javascript:document.suppression.submit();"">" 

	' Add Category field
	' IN  : sField (string) : Name of 1st Category field to make input too
	'     : iDefault (int) : Default value of sField
	'     : iCategotyType (int) : Category Type (eg. CATEGORY_TYPE_CALENDER)
	'     : bAllowAdd (boolean) : Allow add categories
	' OUT : code to make input field
	Sub AddCategory(Byval sField, ByVal iDefault, ByVal iCategotyType, ByVal bAllowAdd)
		AddLineRow
		AddTitle GetTranslation("LANG_CATEGORY")
		AddHTML "		<td" & ColSpan & InputAlign & ">" & vbCrLf
		
		Dim oRs, rSQL, sField2
		Dim oCnL
		Set oCnL = DBConnexion(DB_MAIN)
		
		sField2 = sField & "_add"
		rSQL = "SELECT cID, cTitle FROM categories WHERE cType=" & iCategotyType & " ORDER BY cSort, cID"
		Set oRs = DBRecordSet(oCnL, rSQL)
		If Not oRs.EOF Then
			AddHTML "			<select name=""" & sField & """ class=""cell"" id=" & FieldNo & ">" & vbCrLf
			While Not oRs.EOF
				AddHTML "				<option value=""" & oRs("cID") & """"
				If oRs("cID") = iDefault Then AddHTML " selected"
				AddHTML ">" & oRs("cTitle") & "</option>" & vbCrLf
				oRs.MoveNext
			WEnd
			AddHTML "			</select>" & vbCrLf
			NextField
			if bAllowAdd Then
				AddHTML "			" & GetTranslation("LANG_ADD") & " - " & GetTranslation("LANG_CATEGORY") & " : " & _
						"<input name='" & sField2 & "' class='cell' size='20' maxlength='50' value='' id=" & FieldNo & ">" & vbCrLf
				NextField
			End If
		Else
			AddHTML "			<input name='" & sField2 & "' class='cell' size='20' maxlength='50' value='" & GLOBAL_SITE_NAME & "' id=" & FieldNo & ">" & vbCrLf
			NextField
		End If
		Set oRs = Nothing
		
		AddHTML "		</td>" & vbCrLf
		AddLineRowEnd
		Set oCnL = Nothing
	End Sub

	' Add Parent Category field
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of 1st Category field to make input too
	'     : iDefault (int) : Default value of sField
	'     : iCategotyType (int) : Category Type (eg. CATEGORY_TYPE_CALENDER)
	' OUT : code to make input field
	Sub AddParentCategory(ByVal sTitle, Byval sField, ByVal iDefault, ByVal iCategotyType)
		AddLineRow
		AddTitle sTitle
		AddHTML "		<td" & ColSpan & InputAlign & ">" & vbCrLf
		
		Dim oRs, rSQL
		Dim oCnL
		Set oCnL = DBConnexion(DB_MAIN)
		rSQL = "SELECT cID, cTitle FROM Categories WHERE cType=" & iCategotyType & " ORDER BY cTitle"
		Set oRs = DBRecordSet(oCnL, rSQL)
		If Not oRs.EOF Then
			AddHTML "			<select name='" & sField & "' class='cell' id=" & FieldNo & ">" & vbCrLf
			AddHTML "				<option value='0'" & IIF(iDefault = 0," selected","") & ">-</option>" & vbCrLf
			While Not oRs.EOF
				AddHTML "				<option value='" & oRs("cID") & "'" & IIF(oRs("cID") = iDefault," selected","") & ">" & oRs("cTitle") & "</option>" & vbCrLf
				oRs.MoveNext
			WEnd
			AddHTML "			</select>" & vbCrLf
			NextField
		End If
		Set oRs = Nothing
		
		AddHTML "		</td>" & vbCrLf
		AddLineRowEnd
		Set oCnL = Nothing
	End Sub



	' Add Select
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of 1st Category field to make input too
	'     : iDefault (int) : Default value of sField
	'     : oCn (connection) : Activ connection to DB
	'     : rSQL (string) : Query that have to have atleast 2 return fields
	' OUT : code to make input field
	Sub AddSelect(ByVal sTitle, Byval sField, ByVal iDefault, oCn, ByVal rSQL)
		AddLineRow
		AddTitle sTitle
		AddHTML "		<td" & ColSpan & InputAlign & ">" & vbCrLf
		
		Dim oRs, sField2
		Set oRs = DBRecordSet(oCn, rSQL)
		If Not oRs.EOF Then
			AddHTML "			<select name='" & sField & "' class='cell' id=" & FieldNo & ">" & vbCrLf
			AddHTML "				<option value='0'" & IIF(iDefault=0, " selected","") & ">-</option>" & vbCrLf
			While Not oRs.EOF
				AddHTML "				<option value='" & oRs(0) & "'" & IIF(oRs(0) = iDefault," selected","") & ">" & oRs(1) & "</option>" & vbCrLf
				oRs.MoveNext
			WEnd
			AddHTML "			</select>" & vbCrLf
			NextField
		End If
		Set oRs = Nothing
		
		AddHTML "		</td>" & vbCrLf
		AddLineRowEnd
	End Sub


	' Add Version field
	' IN  : sField (string) : Name of 1st Category field to make input too
	'     : iDefault (int) : Default value of sField
	' OUT : code to make input field
	Sub AddVersion(Byval sField, ByVal iDefault)
		AddLineRow
		AddTitle	GetTranslation("LANG_VERSION")
		AddHTML "		<td" & ColSpan & InputAlign & ">" & vbCrLf
		Dim oRs, rSQL
		Dim oCnL
		Set oCnL = DBConnexion(DB_MAIN)
		AddHTML "			<select name='" & sField & "' class='cell' id=" & FieldNo & ">" & vbCrLf
		rSQL = "SELECT * FROM versions ORDER BY vCode"
		Set oRs = DBRecordSet(oCnL, rSQL)
		While Not oRs.EOF
			AddHTML "				<option value='" & oRs("vID") & "'"
			If oRs("vID") = iDefault Then AddHTML " selected"
			AddHTML ">" & GetTranslation(oRs("vTitle")) & "</option>" & vbCrLf
			oRs.MoveNext
		WEnd
		AddHTML "			</select>" & vbCrLf
		NextField
		Set oRs = Nothing
		
		AddHTML "		</td>" & vbCrLf
		AddLineRowEnd
		Set oCnL = Nothing
	End Sub

	' Add Role field
	' IN  : sField (string) : Name of field to make Role
	'     : iDefault (int) : Default value of sField
	' OUT : code to make input field
	Sub AddRole(Byval sField, ByVal iDefault)
		AddLineRow
		AddTitle	GetTranslation("LANG_ROLE")
		AddHTML "		<td" & ColSpan & InputAlign & ">" & vbCrLf
		AddHTML "			<select name=""" & sField & """ class=""cell"" id=" & FieldNo & ">" & vbCrLf
		Dim oRs, rSQL
		Dim oCnL
		Set oCnL = DBConnexion(DB_MAIN)
		Set oRs = Nothing
		rSQL = "SELECT rID, rTitle FROM roles ORDER BY rID"
		Set oRs = DBRecordSet(oCnL, rSQL)
		While Not oRs.EOF
			AddHTML "				<option value=""" & oRs("rID") & """"
			If (iRole = 0 and oRs("rID")=0) OR (iDefault = oRs("rID")) Then AddHTML " selected"
			AddHTML ">" & GetTranslation(oRs("rTitle")) & "</option>" & vbCrLf
			oRs.MoveNext
		WEnd
		Set oRs = Nothing
		NextField
		AddHTML "			</select>" & vbCrLf

		AddHTML "		</td>" & vbCrLf
		AddLineRowEnd
		Set oCnL = Nothing
	End Sub



	' Add Login field
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of field to make Role
	'     : iDefault (int) : Default value of sField
	' OUT : code to make input field
	Sub AddLogin(ByVal sTitle, Byval sField, ByVal iDefault)
		AddLineRow
		AddTitle	sTitle
		AddHTML "		<td" & ColSpan & InputAlign & ">" & vbCrLf
		AddHTML "			<select name='" & sField & "' class='cell' id=" & FieldNo & ">" & vbCrLf
		Dim oRs, rSQL
		Set oRs = Nothing
		Dim oCnL
		Set oCnL = DBConnexion(DB_MAIN)
		rSQL = "SELECT * FROM users WHERE uValid="&DB_TRUE&" ORDER BY uLogin"
		Set oRs = DBRecordSet(oCnL, rSQL)
		While Not oRs.EOF
			AddHTML "				<option value='" & oRs("uLogin") & "'"
			If iDefault = oRs("uLogin") Then AddHTML " selected"
			AddHTML ">" & GetTranslation(oRs("uLogin")) & "</option>" & vbCrLf
			oRs.MoveNext
		WEnd
		Set oRs = Nothing
		NextField
		AddHTML "			</select>" & vbCrLf

		AddHTML "		</td>" & vbCrLf
		AddLineRowEnd
		Set oCnL = Nothing
	End Sub


	' Add Rate field
	' IN  : sField (string) : Name of field to make Rate
	'     : iDefault (int) : Default value of sField
	' OUT : code to make input field
	Sub AddRate(Byval sField, ByVal iDefault)
		AddLineRow
		AddTitle GetTranslation("LANG_RATE_IT")
		AddHTML "  <td" & ColSpan & InputAlign & ">" & vbCrLf
		AddHTML "   <select name=""" & sField & """ class=""cell"" id=" & FieldNo & ">" & vbCrLf
	'	AddHTML "    <option value=""0"">-</a>" & vbCrLf
		Dim X
		For X = 0 to COMMENTS_MAX_RATING
			AddHTML "    <option value='" & X & "'" & IIF(iDefault=X," selected","") & ">" & IIF(X=0,"-",X) & "</option>" & vbCrLf
		Next
		AddHTML "   </select> / " & COMMENTS_MAX_RATING & vbCrLf
		AddHTML "  </td>" & vbCrLf
		NextField
		AddLineRowEnd
	End Sub

	' Add TimeZone field
	' IN  : sTitle (string) : Title of field to make TimeZone
	'     : sField (string) : Name of field to make TimeZone
	'     : iDefault (int) : Default value of sField
	' OUT : TimeZoneOffset to make input field
	Sub AddTimeZone(ByVal sTitle, Byval sField, ByVal iDefault)
		AddLineRow
		AddTitle	sTitle
		AddHTML "  <td" & ColSpan & InputAlign & ">" & vbCrLf
		AddHTML "   <select name='" & sField & "' class=cell id=" & FieldNo & ">" & vbCrLf

		Dim oRs, rSQL
		Dim oCnL
		Set oCnL = DBConnexion(DB_MAIN)
		Set oRs = Nothing
		rSQL = "SELECT * FROM timezone ORDER BY tTZoffset, tTimeZone"
		Set oRs = DBRecordSet(oCnL, rSQL)
		While Not oRs.EOF
			'	tTZoffset
			AddHTML "    <option value='" & oRs("tID") & "'"

			If iDefault=0 Then
				AddHTML IIF((iDefault=oRs("tTZoffset")) AND (oRs("tSmonth")=0)," selected","") & ">"
			Else
				AddHTML IIF(iDefault=oRs("tID")," selected","") & ">"
			End IF
			
			AddHTML	oRs("tTimeZone") & "</option>" & vbCrLf
			oRs.MoveNext
		WEnd
		Set oRs = Nothing
		AddHTML "   </select>" & vbCrLf
		AddHTML "  </td>" & vbCrLf
		NextField
		AddLineRowEnd
		Set oCnL = Nothing
	End Sub

	' Add Daylight saving field
	' IN  : sTitle (string) : Title of field to make TimeZone
	'     : sField (string) : Name of field to make TimeZone
	'     : iDefault (int) : Default value of sField
	' OUT : TimeZoneOffset to make input field
	Sub AddDaylight(ByVal sTitle, Byval sField, ByVal iDefault)
		'	SELECT dID, dLocation, 
		'				dStartDay, dStartMonth, dStartHour, dStartPosition, 
		'				dEndDay, dEndMonth, dEndHour, dEndPosition 
		'			FROM daylight
		AddLineRow
		AddTitle	sTitle
		AddHTML "  <td" & ColSpan & InputAlign & ">" & vbCrLf
		AddHTML "   <select name='" & sField & "' class=cell id=" & FieldNo & ">" & vbCrLf

		Dim oRs, rSQL
		Dim oCnL
		Set oCnL = DBConnexion(DB_MAIN)
		Set oRs = Nothing
		rSQL = "SELECT * FROM daylight"
		Set oRs = DBRecordSet(oCnL, rSQL)
		While Not oRs.EOF
			AddHTML "    <option value='" & oRs("dID") & "'" & _
						IIF(iDefault=oRs("dID")," selected","") & ">" & _
						oRs("dLocation") & "</option>" & vbCrLf
			oRs.MoveNext
		WEnd
		Set oRs = Nothing
		AddHTML "   </select>" & vbCrLf
		AddHTML "  </td>" & vbCrLf
		NextField
		AddLineRowEnd
		Set oCnL = Nothing
	End Sub

	' Add Country field
	' IN  : sField (string) : Name of field to make Role
	'     : iDefault (int) : Default value of sField
	' OUT : code to make input field
	Sub AddCountry(ByVal sTitle, Byval sField, ByVal iDefault)
		Dim sFlag, sFlagIMG
		AddLineRow
		AddTitle	sTitle
		AddHTML "		<td" & ColSpan & InputAlign & ">" & vbCrLf
		
		Dim oRs, rSQL, sField2
		Dim oCnL
		Set oCnL = DBConnexion(DB_MAIN)
		sField2 = sField & "_add"
		if Not IsNumeric(iDefault) OR iDefault=0 then
			iDefault = GetCountryID(GetIPCountryCode)
			if iDefault=0 then iDefault = GetCountryID(GLOBAL_SITE_DEFAULT_VERSION)
		End IF

		rSQL = "SELECT * FROM country ORDER BY cTitle"
		Set oRs = DBRecordSet(oCnL, rSQL)
		If not oRs.EOF Then
			sFlag = TestImageExt( GLOBAL_SITE_IMAGES_FLAGS_PATH & GetCountry(iDefault) )
			if NOT existfiles(sFlag) Then 
				sFlag = TestImageExt( GLOBAL_SITE_IMAGES_FLAGS_PATH & "--" )
			End If
			sFlagIMG = "			<img name='selectedCountry_" & sField & "' src='" & sFlag & "' border=0 width=27 height=16> " & vbCrLf
			If i_InputAlign>0 Then
				AddHTML	sFlagIMG
			End If

			AddHTML "			<select name='" & sField & "' class='cell' onChange='javascript:changeCountry_" & sField & "()' id=" & FieldNo & ">" & vbCrLf
			NextField
			While Not oRs.EOF
				AddHTML "				<option value='" & oRs("cID") & " " & oRs("cValue") & "'" & _
						IIF(oRs("cID") = iDefault, " selected","") & ">" & _
						oRs("cTitle") & "</option>" & vbCrLf
				oRs.MoveNext
			WEnd
			AddHTML "			</select>" & vbCrLf
			If i_InputAlign<=0 Then
				AddHTML	sFlagIMG
			End If
		Else
			AddHTML "			<input name='" & sField2 & "' class='cell' size='20' maxlength=*50' value='" & GLOBAL_SITE_NAME & "' id=" & FieldNo & ">" & vbCrLf
			NextField
		End If
		Set oRs = Nothing
		AddHTML "<script language=""javascript"" type=""text/javascript"">" & vbCrLf
		AddHTML " function changeCountry_" & sField & "() {" & vbCrLf
		AddHTML "  document.images[""selectedCountry_" & sField & """].src = '" & _
								GLOBAL_SITE_URL & GLOBAL_SITE_IMAGES_FLAGS_PATH & _
								"'+document." & FormName & "." & sField & ".value.split(' ')[1]+'.JPG';" & vbCrLf
		AddHTML " }" & vbCrLf
		AddHTML "</script>" & vbCrLf

		AddHTML "		</td>" & vbCrLf
		AddLineRowEnd
		Set oCnL = Nothing
	End Sub

	' Add Gender
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of field to make Role
	'     : iDefault (int) : Default value of sField
	' OUT : code to make input field
	Sub AddGender(Byval sTitle, Byval sField, ByVal iDefault)
		AddLineRow
		AddTitle	sTitle
		AddHTML "		<td" & ColSpan & InputAlign & ">" & vbCrLf

		Dim sGender, sGenderIMG
		sGender = TestImageExt( GLOBAL_SITE_IMAGES_PATH & IMAGE_GENDER & iDefault )
		if NOT existfiles(sGender) Then 
			sGender = TestImageExt( GLOBAL_SITE_IMAGES_FLAGS_PATH & "--" )
		End If
		sGenderIMG = "			<img name='selectedGender_" & sField & "' src='" & sGender & "' border=0 width=11 height=11> " & vbCrLf
		If i_InputAlign>0 Then
			AddHTML	sGenderIMG
		End If

		AddHTML "			<select name='" & sField & "' class='cell' onChange='javascript:changeGender_" & sField & "()' id=" & FieldNo & ">" & vbCrLf
		Dim oRs, rSQL
		Dim oCnL
		Set oCnL = DBConnexion(DB_MAIN)
	'	rSQL = "SELECT gID, gTitle FROM gender ORDER BY gID"
		rSQL = "SELECT cbID, cbField, cbValue, cbTitle FROM combobox WHERE cbField='gender' ORDER BY cbSort, cbID"
		Set oRs = DBRecordSet(oCnL, rSQL)
		While Not oRs.EOF
			AddHTML "				<option value='" & oRs("cbValue") & "'"
			If cLng(iDefault) = cLng(oRs("cbValue")) Then AddHTML " selected"
			AddHTML ">" & GetTranslation(oRs("cbTitle")) & "</option>" & vbCrLf
			oRs.MoveNext
		WEnd
		Set oRs = Nothing
		NextField
		AddHTML "			</select>" & vbCrLf
		If i_InputAlign<=0 Then
			AddHTML	sGenderIMG
		End If

		AddHTML "<script language='javascript' type='text/javascript'>" & vbCrLf
		AddHTML "function changeGender_" & sField & "() {" & vbCrLf
		AddHTML " document.images['selectedGender_" & sField & "'].src = '" & _
								GLOBAL_SITE_URL & GLOBAL_SITE_IMAGES_PATH & IMAGE_GENDER & _
								"'+document." & FormName & "." & sField & ".value+'.gif';" & vbCrLf
		AddHTML "}" & vbCrLf
		AddHTML "</script>" & vbCrLf

		AddHTML "		</td>" & vbCrLf
		AddLineRowEnd
		Set oCnL = Nothing
	End Sub

	' Add Combobox
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of field to make Role
	'     : sValue (string) : Name of Combobox Value to show
	'     : iDefault (int) : Default value of sField
	'     : bAllowAdd (boolean) : Allow add to countries
	' OUT : code to make input field
	Sub AddComboBox(Byval sTitle, Byval sField, Byval sValue, ByVal iDefault, ByVal bAllowAdd)
		AddLineRow
		AddTitle	sTitle
		AddHTML "		<td" & ColSpan & InputAlign & ">" & vbCrLf

		Dim oRs, rSQL, sField2
		Dim oCnL
		Set oCnL = DBConnexion(DB_MAIN)
		sField2 = sField & "_add"
		rSQL = "SELECT * FROM combobox WHERE cbField='" & sValue & "'" & " ORDER BY cbSort, cbID"
		Set oRs = DBRecordSet(oCnL, rSQL)
		If not oRs.EOF Then
			AddHTML "			<select name='" & sField & "' class=""cell"" id=" & FieldNo & ">" & vbCrLf
			NextField
			While Not oRs.EOF
				AddHTML "				<option value='" & oRs("cbID") & "'"
				If cLng(iDefault) = cLng(oRs("cbID").value) Then AddHTML " selected"
				AddHTML ">" & GetTranslation(oRs("cbTitle")) & "</option>" & vbCrLf
				oRs.MoveNext
			WEnd
			AddHTML "			</select>" & vbCrLf
			if bAllowAdd Then
				AddHTML "			" & GetTranslation("LANG_ADD") & " - " & sTitle & " : <input name=""" & sField2 & """ class=""cell"" size=""20"" maxlength=""50"" value="""" id=" & FieldNo & ">" & vbCrLf
				NextField
			End If
		Else
			AddHTML "			<input name=""" & sField2 & """ class=""cell"" size=""20"" maxlength=""50"" value=""" & GLOBAL_SITE_NAME & """ id=" & FieldNo & ">" & vbCrLf
			NextField
		End If
		Set oRs = Nothing

		AddHTML "		</td>" & vbCrLf
		AddLineRowEnd
		Set oCnL = Nothing
	End Sub

	' Add Javascript to Form to view a Image URL
	Sub AddJavaOpenPicture(sField)
		AddJAVA " function openPicture_" & sField & "() {" & vbCrLf
		AddJAVA "  var sMyPicture = document." & FormName & "." & sField & ".value;" & vbCrLf
		AddJAVA "  if (sMyPicture != '') {" & vbCrLf
		AddJAVA "   window.open('" & GLOBAL_SITE_PATH & GLOBAL_SITE_VIEW_IMAGE_PAGE & "?img=' + sMyPicture," & _
							" 'Picture'," & _
							" 'width=10,height=10,menubar=no,resizable=no,status=no,toolbar=no');" & vbCrLf
		AddJAVA "  }" & vbCrLf
		AddJAVA " }" & vbCrLf
	End Sub

	' Add Javascript to Form to view a Image URL
	Sub AddJavaShowPicture(ByVal sField, ByVal sImage)
		AddJAVA " function showPicture_" & sField & "() {" & vbCrLf
		AddJAVA "  var sMyPicture = '" & sImage & "';" & vbCrLf
		AddJAVA "  if (sMyPicture != '') {" & vbCrLf
		AddJAVA "   window.open('" & GLOBAL_SITE_PATH & GLOBAL_SITE_VIEW_IMAGE_PAGE & "?img=' + sMyPicture," & _
							" 'Picture'," & _
							" 'alwaysraised=yes,width=10,height=10,menubar=no,resizable=no,status=no,toolbar=no');" & vbCrLf
		AddJAVA "  }" & vbCrLf
		AddJAVA " }" & vbCrLf
	End Sub

	Function AddShowImagePop(ByVal sField, ByVal sImageTN, ByVal sImage, ByVal sAlign)
		Dim sView
		sView = ""
		if sImageTN <> "" Then
			AddJavaShowPicture sField, trim(sImage)
			sView = "<a href='javascript:showPicture_" & sField & "()'>" & _
					"<img src='" & sImageTN &"' align='" & sAlign & "' border='0'></a>"
		End If
		AddShowImagePop = sView
	End Function
	
	Sub AddJavaUploadImage(ByVal sField, ByVal iType, ByVal sUploadPath)
		Const dW="500px"
		Const dH="233px"
		AddJAVA "	function InsertImage_"&sField&"() {" & VbCrLf
		AddJAVA "		var bColor = showModalDialog('"& GLOBAL_SITE_PATH & "upload.asp?page=uploadselect&type="&iType&"&apPath=" & Server.URLPathEncode(sUploadPath) & _
							"','upload'," & _
							"'dialogWidth:"&dW&";dialogHeight:"&dH&";center:Yes;help:no;resizable:No;scroll:off; status:no;' );" & VbCrLf
		AddJAVA "		if (bColor != null) {" & VbCrLf
		AddJAVA "			aFile=bColor.split('|');" & vbCrLf
		AddJAVA "			sFileName=aFile[0];" & vbCrLf
		AddJAVA "			iFileSize=(aFile[1] >> 10)+1;" & vbCrLf
	'	AddJAVA "			if (ubound(aFile)>=2){" & vbCrLf
		AddJAVA "				iWidth=aFile[2];" & vbCrLf
		AddJAVA "				iHeight=aFile[3];" & vbCrLf
		AddJAVA "				iDepth=aFile[4];" & vbCrLf
		AddJAVA "				sType=aFile[5];" & vbCrLf
	'	AddJAVA "			}" & vbCrLf
		AddJAVA "			document."&FormName&"."&sField&".value=sFileName;" & vbCrLf
							' http://localhost/aspnuke/nuke14/files/avatar/Mr.Spock/dankort_mellem.gif|261|35|22|16|GIF
		AddJAVA "		}" & VbCrLf
		AddJAVA "	}" & VbCrLf
	end Sub

	' Add Image field
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of 1st Category field to make input too
	'     : sDefault (string) : Default value of sField
	'     : iSize (int) : Size of input field
	' OUT : code to make input field
	Sub AddImage(ByVal sTitle, Byval sField, ByVal sDefault, ByVal iSize)
		Dim sInp
		AddLineRow
		AddTitle		sTitle	'GetTranslation("LANG_URL") & " - " & GetTranslation("LANG_IMAGE")
		AddHTML "		<td" & ColSpan & InputAlign & ">" & vbCrLf
		sInp = "			<input name='" & sField & "' class='cell' maxlength='250' size='" & iSize & "' value='" & sDefault & "' " & s_Disabled & "id=" & FieldNo & ">"

	'	AddHTML sInp & vbCrLf
		If i_InputAlign<=0 Then
			AddHTML	sInp & AddRequired(FieldNo, sTitle, sField)
		Else
			AddHTML	AddRequired(FieldNo, sTitle, sField) & sInp
		End If

		NextField
		AddJavaOpenPicture(sField)
		AddHTML "			<a href='javascript:openPicture_" & sField & "()'><img src='" & GLOBAL_SITE_IMAGES_PATH & "view.gif' border='0'></a>" & vbCrLf
		AddHTML "		</td>" & vbCrLf
		AddLineRowEnd

	End Sub


	' Add Select file with possiblity for  Upload and delete
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of field to make input too
	'     : sDefault (string) : Default value of sField
	'     : sType (string) : Type of Upload		Valid	:	(avatar, image, tn, file, admin)
	'     : sUploadPath (string) : Path to folder of Upload		(from root of site, only used at type 'admin')
	'     : bAllowUpload (Boolean) : Allow Upload of file
	'     : bAllowDelete (Boolean) : Allow Delete of file
	' OUT : code to make input field
	Sub AddSelectFile(ByVal sTitle, ByVal sField, ByVal sDefault, ByVal sType, ByVal sUploadPath, ByVal bAllowUpload, ByVal bAllowDelete)
		Dim sInp, sImg, sView, sDel
		AddLineRow
		AddTitle	sTitle
		If bAllowUpload Then
			AddJavaUploadImage sField, sType, sUploadPath
			sImg =	"<a href='javascript:InsertImage_" & sField & "()'>" & _
					"<img width='20' height='20' hspace='1' vspace='1' align='absmiddle' border='0' src='" & _
					testimageext(GLOBAL_SITE_IMAGES_PATH & IMAGE_UPLOAD) & "' alt='" & GetTranslation("LANG_UPLOAD") & "'></a>"
		Else
			sImg = ""
		End IF

		Select Case LCase(sType)
			Case "image", "avatar", "tn"
				AddJavaOpenPicture(sField)
				sView = "<a href='javascript:openPicture_" & sField & "()'>" & _
						"<img src='" & GLOBAL_SITE_IMAGES_PATH & "view.gif' valign='middle' border='0'>" & _
						"</a>"
			Case Else
				sView = ""
		End Select
		If bAllowDelete Then
			sDel = ""
		Else
			sDel = ""
		End If

		sInp = "<input name='" & sField & "' value='" & sDefault & "' maxlength='" & iMaxLen & "' size='" & iSize & "' class='cell' " & s_Disabled & "id=" & FieldNo & ">"

		If i_InputAlign<=0 Then
			AddText	sInp & AddRequired(FieldNo, sTitle, sField) & sView & sImg & sDel
		Else
			AddText sImg & sDel & sView & AddRequired(FieldNo, sTitle, sField) & sInp 
		End If
		NextField
		AddLineRowEnd

	End Sub

	' Add Upload field
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of field to make input too
	'     : sDefault (string) : Default value of sField
	'     : iMaxLen (int) : Maximum lenght of input
	'     : iSize (int) : Size of input field
	'     : sType (string) : Type of Upload		Valid	:	(avatar, image, tn, file, admin)
	'     : sUploadPath (string) : Path to folder of Upload		(from root of site, only used at type 'admin')
	' OUT : code to make input field
	Sub AddUpload(Byval sTitle, Byval sField, ByVal sDefault, Byval iMaxLen, ByVal iSize, ByVal sType, ByVal sUploadPath)
		Dim sInp, sImg, sView, sSize, iUpSize
		AddLineRow
		AddTitle	sTitle
		AddJavaUploadImage sField, sType, sUploadPath
		Select Case sType
			Case "image", "avatar", "tn"
				AddJavaOpenPicture(sField)
				sView = "<a href='javascript:openPicture_" & sField & "()'>" & _
						"<img src='" & GLOBAL_SITE_IMAGES_PATH & "view.gif' vAlign='absmiddle' border=0" & _
						" alt='"&GetTranslation("LANG_PREVIEW")&"'" & _
						">" & _
						"</a>"
			Case Else
				sView = ""
		End Select

		iUpSize=GetParm("Upload.MaxSizeKB." & sType)
		sSize= GetTranslation("LANG_MAX_UPLOAD_SIZE", iUpSize)
		if sSize="LANG_MAX_UPLOAD_SIZE" Then sSize=Replace("Max %1% KB", "%1%", iUpSize)

		sImg =	"<a href='javascript:InsertImage_" & sField & "()'>" & _
				"<img src='" & testimageext(GLOBAL_SITE_IMAGES_PATH & IMAGE_UPLOAD) & "'" & _
				" width=20 height=20 hspace=0 vspace=0 vAlign=absmiddle border=0" & _
				" alt='" & GetTranslation("LANG_UPLOAD") &" "& sSize & "'></a>"
		sSize= "<span class=small>" & sSize & "</span>"

		sInp = "<input name='" & sField & "' value='" & sDefault & "' maxlength='" & iMaxLen & "' size='" & iSize & "' class='cell' " & s_Disabled & "id=" & FieldNo & ">"

		If i_InputAlign<=0 Then
			AddText	sInp & " " & AddRequired(FieldNo, sTitle, sField) & sView & sImg & sSize & vbCrLf
		Else
			AddText sSize & " " & sImg & " " & sView & " " & AddRequired(FieldNo, sTitle, sField) & sInp & vbCrLf'
		End If
		NextField
		AddLineRowEnd
	End Sub

	Sub AddShowDoc(ByVal sField, ByVal bHTMLarea)
		AddLineRow
		AddTitle		""'GetTranslation("LANG_EDIT_MENU")

		AddHTML "		<td" & ColSpan & InputAlign & ">" & vbCrLf
		If bHTMLarea Then
			ShowDisplayEditBar sField , EditBarNo, bHTMLarea
		Else
			ShowDisplayEditBar "document." & FormName & "." & sField , EditBarNo, bHTMLarea
		End IF
		EditBarNo = EditBarNo + 1

		AddHTML "		</td>" & vbCrLf
		AddMainRowEnd
	End Sub

	Sub AddSmileys(ByVal sField, ByVal bHTMLarea)
		AddLineRow
		AddTitle		""'GetTranslation("LANG_SMILEYS")
		AddHTML "		<td" & ColSpan & InputAlign & ">" & vbCrLf
		
		AddHTML "		<" & "script language='javaScript' type='text/javascript'>" & vbCrLf
		AddHTML "			function smiley_" & sField & "(val) {" & vbCrLf
		If bHTMLarea Then
		'	AddHTML	AddHTMLAREA_Insert(sField,"' '+val")
			AddHTML	AddHTMLAREA_Append(sField,"' '+val")
		'	AddHTML "			editor_" & sField & ".insertHTML(val); " & vbCrLf
		Else
			AddHTML "			document." & FormName & "." & sField & ".value += val;" & vbCrLf
		End IF
		AddHTML "			}" & vbCrLf
		AddHTML "		<" & "/script>" & vbCrLf

		Dim X, tSmileys
		tSmileys = GetSmileysTable()
		For X = 0 To UBound(tSmileys)
			AddHTML "			<img src='"
			If LCase(Left(tSmileys(X, 1), 7)) <> "http://" Then AddHTML GLOBAL_SITE_IMAGES_SMILEYS_PATH
			AddHTML Server.URLEncode(tSmileys(X, 1)) & "' border='0' OnClick=""javascript:smiley_" & sField & "(' " & tSmileys(X,0) & "');""> " & vbCrLf
		Next
		AddHTML "		</td>" & vbCrLf
		AddMainRowEnd
	End Sub

	Private Sub Add_HtmlArea(ByVal sField, ByVal iCols, ByVal iRows)
		' Find AddHtmlArea_Editor in /includes/HTMLAREA-INC.ASP
		AddHTML	AddHtmlArea_Editor(sField, iCols, iRows)
		AddSubmitJAVA "" & AddHtmlArea_GetHTML(FormName, sField)
	End Sub

	' Add Textbox field
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of 1st Category field to make input too
	'     : sDefault (string) : Default value of sField
	'     : iCols (int) : Number of cols in Textbox
	'     : iRows (int) : Number of rows in Textbox
	'     : bShowDoc (boolean) : Show EditMenu on textbox
	'     : bHTMLarea (boolean) : Use HTML editor in TEXTAREA
	'     : bSmileys (boolean) : Add Smileys to the TEXTAREA
	' OUT : code to make input field
	Sub AddTextEdit(Byval sTitle, Byval sField, ByVal sDefault, ByVal iCols, ByVal iRows, ByVal bShowDoc, ByVal bHTMLarea, ByVal bSmileys)
		If bShowDoc Then
			AddShowDoc sField, bHTMLarea
		'	AddLineRowEnd
		End If
		AddLineRow
		AddTitle	sTitle
		AddHTML "		<td" & ColSpan & InputAlign & ">" & vbCrLf

		Dim sInp
		sInp = "			<textarea name='" & sField & "' style='width:100%' cols='" & iCols & "' rows='" & iRows & "' class='cell' id='" & sField & "'>" & sDefault & "</textarea>" & vbCrLf ' id=" & FieldNo & "
		If i_InputAlign<=0 Then' style="width:100%"
			AddHTML	sInp & AddRequired(FieldNo, sTitle, sField) & vbCrLf
		Else
			AddHTML	AddRequired(FieldNo, sTitle, sField) & sInp & vbCrLf
		End If
		If bHTMLarea Then
			Add_HtmlArea sField, iCols, iRows
		End If
		NextField
		AddHTML "		</td>" & vbCrLf
		AddHTML "	</tr>" & vbCrLf

	'	AddLineRow
		If bSmileys Then
			AddSmileys sField, bHTMLarea
		End If
	'	NextTableLine
		AddLineRowEnd
	End Sub

	' Add Textbox field, use HTML editor if avalible
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of 1st Category field to make input too
	'     : sDefault (string) : Default value of sField
	'     : iCols (int) : Number of cols in Textbox
	'     : iRows (int) : Number of rows in Textbox
	'     : bShowDoc (boolean) : Show EditMenu on textbox
	' OUT : code to make input field
	Sub AddTextBox(Byval sTitle, Byval sField, ByVal sDefault, ByVal iCols, ByVal iRows, ByVal bShowDoc)
		AddTextEdit		sTitle, sField, sDefault, iCols, iRows, bShowDoc, bWYSIWYGeditor<>0, true
	End Sub

	' Add TextArea field, NOT HTML editor
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of 1st Category field to make input too
	'     : sDefault (string) : Default value of sField
	'     : iCols (int) : Number of cols in Textbox
	'     : iRows (int) : Number of rows in Textbox
	'     : bShowDoc (boolean) : Show EditMenu on textbox
	' OUT : code to make input field
	Sub AddTextArea(Byval sTitle, Byval sField, ByVal sDefault, ByVal iCols, ByVal iRows, ByVal bShowDoc)
		AddTextEdit		sTitle, sField, sDefault, iCols, iRows, bShowDoc, false, true
	End Sub

	' Add Textbox field, use HTML editor if avalible, no smilies or other things, (later will only be minimum functions)
	'	Add a WYSIWYG (What You See Is What You Get) Editor
	' IN  : sTitle (string) : Text to show infront of input field
	'     : sField (string) : Name of 1st Category field to make input too
	'     : sDefault (string) : Default value of sField
	'     : iCols (int) : Number of cols in Textbox
	'     : iRows (int) : Number of rows in Textbox
	' OUT : code to make input field
	Sub AddWYSIWYG(Byval sTitle, Byval sField, ByVal sDefault, ByVal iCols, ByVal iRows)
		AddTextEdit		sTitle, sField, sDefault, iCols, iRows, false, bWYSIWYGeditor<>0, false
	End Sub

	' Display the edit bar
	' IN  : sInsertZone (string) : id of the textarea or text field
	'     : sID (string) : id of the edit bar (useful for multiple edit bars)
	' OUT : -
	Private Sub ShowDisplayEditBar(sInsertZone, sID, bHTMLarea)
		Dim aTag(), X
		If NOT bHTMLarea Then
			ReDim aTag(9,1)
			aTag(0,0)="b"			:	aTag(0,1) = "LANG_BOLD"
			aTag(1,0)="i"			:	aTag(1,1) = "LANG_ITALIC"
			aTag(2,0)="u"			:	aTag(2,1) = "LANG_UNDERSCORE"
			aTag(3,0)="s"			:	aTag(3,1) = "LANG_STRIKETHRU"
			aTag(4,0)="url"			:	aTag(4,1) = "LANG_URL"
			aTag(5,0)="img"			:	aTag(5,1) = "LANG_IMAGE"
			aTag(6,0)="cit"			:	aTag(6,1) = "LANG_QUOTE"
			aTag(7,0)="email"		:	aTag(7,1) = "LANG_EMAIL"
			aTag(8,0)="code"		:	aTag(8,1) = "LANG_CODE_EXAMPLE"
			aTag(9,0)="profile"		:	aTag(9,1) = "LANG_PROFILE"
		Else
			ReDim aTag(4,1)
			aTag(0,0)="url"			:	aTag(0,1) = "LANG_URL"
			aTag(1,0)="cit"			:	aTag(1,1) = "LANG_QUOTE"
			aTag(2,0)="code"		:	aTag(2,1) = "LANG_CODE_EXAMPLE"
			aTag(3,0)="profile"		:	aTag(3,1) = "LANG_PROFILE"
			aTag(4,0)="quote"		:	aTag(4,1) = "LANG_QUOTE"
		End If

		AddHTML "<script language=""Javascript"" type=""text/javascript"">" & vbCrLf

		AddHTML "  var tTags_" & sID & " = new Array("
		For X = 0 TO UBound(aTag)
			IF X > 0 Then AddHTML "," 
			AddHTML	"0"
		Next 
		AddHTML ");" & vbCrLf
		
		AddHTML "  var tTagsOpen_" & sID & " = new Array("
		For X = 0 TO UBound(aTag)
			IF X > 0 Then AddHTML "," 
			AddHTML	"'[" & aTag(X,0) & "]'"
		Next 
		AddHTML ");" & vbCrLf
		
		AddHTML "  var tTagsClose_" & sID & " = new Array("
		For X = 0 TO UBound(aTag)
			IF X > 0 Then AddHTML "," 
			AddHTML	"'[/" & aTag(X,0) & "]'"
		Next 
		AddHTML ");" & vbCrLf


		AddHTML "  function insertTag_" & sID & "(tID, spanID)" & vbCrLf
		AddHTML "  {" & vbCrLf
		AddHTML "    if (!tTags_" & sID & "[tID])" & vbCrLf
		AddHTML "    {" & vbCrLf
		AddHTML "      tTags_" & sID & "[tID] = 1;" & vbCrLf

		If bHTMLarea Then
		'	AddHTML	AddHTMLAREA_Insert(sInsertZone, "tTagsOpen_" & sID & "[tID]")
			AddHTML	AddHTMLAREA_Append(sInsertZone, "tTagsOpen_" & sID & "[tID]")
		'	AddHTML "		editor_" & sInsertZone & ".insertHTML(tTagsOpen_" & sID & "[tID]); " & vbCRLF
		Else
			AddHTML "      " & sInsertZone & ".value = " & sInsertZone & ".value + tTagsOpen_" & sID & "[tID];" & vbCRLF
		End IF

		AddHTML "      if (tTagsOpen_" & sID & "[tID] == '[img]' || tTagsOpen_" & sID & "[tID] == '[url]') {"
		If bHTMLarea Then
		'	AddHTML	"        " & AddHTMLAREA_Insert(sInsertZone, "'http://'") & vbCrLf
			AddHTML	"        " & AddHTMLAREA_Append(sInsertZone, "'http://'") & vbCrLf
		Else
			AddHTML "        " & sInsertZone & ".value = " & sInsertZone & ".value + 'http://';" & vbCrLf
		End If
		AddHTML "      }" & vbCRLF
		AddHTML "      spanID.innerText = tTagsClose_" & sID & "[tID];" & vbCRLF
		AddHTML "    }" & vbCRLF
		AddHTML "    else" & vbCRLF
		AddHTML "    {" & vbCRLF
		AddHTML "      tTags_" & sID & "[tID] = 0;" & vbCRLF

		If bHTMLarea Then
		'	AddHTML	"      " & AddHTMLAREA_Insert(sInsertZone, "tTagsClose_" & sID & "[tID]")
			AddHTML	"      " & AddHTMLAREA_Append(sInsertZone, "tTagsClose_" & sID & "[tID]")
		Else
			AddHTML "      " & sInsertZone & ".value = " & sInsertZone & ".value + tTagsClose_" & sID & "[tID];" & vbCRLF
		End IF

		AddHTML "      spanID.innerText = tTagsOpen_" & sID & "[tID];" & vbCRLF
		AddHTML "    }" & vbCRLF
		AddHTML "  }" & vbCRLF
		AddHTML "</scr" & "ipt>" & vbCRLF
		AddHTML "<table class='cell' border='1'>" & vbCRLF
		AddHTML "  <tr>" & vbCRLF
		For X = 0 TO UBound(aTag)
			AddHTML	"    <td width='" & 30+len(aTag(X,0))*5 & "'" & _
					" align=center" & _
					" title='" & GetTranslation(aTag(X,1)) & "'" & _
					" onClick=""insertTag_" & sID & "(" & X & ", document.getElementById('tag_" & X & "_" & sID & "'))"">" & _
					"<b><span id='tag_" & X & "_" & sID & "'>[" & aTag(X,0) & "]</span></b>" & _
					"</td>" & vbCrLf

		Next
		AddHTML "  </tr>" & vbCRLF
		AddHTML "</table>" & vbCRLF
	End Sub

End Class
%>
