<%
'	************************************************************************
'	* ASP-Nuke Community: Free web portal in ASP                           *
'	************************************************************************
'	* ASP-Nuke Community 1.4 Copyright  2004 by Rolf Thomassen            *
'	* (mrspock(a)rediff.com) http://www.rot.dk                             *
'	*                                                                      *
'	* Re-design by Rolf Thomassen  2004 (mrspock@rediff.com)              *
'	*                                                                      *
'	* ASP-Nuke Community 1.3  2003 by Rolf Thomassen                      *
'	* (mrspock(a)rediff.com) http://www.rot.dk                             *
'	*                                                                      *
'	* ASP-Nuke 1.0, 1.1, 1.2 Copyright (c) 2002-2003 by Gaetan Bouveret    *
'	* (webmaster@asp-nuke.com) http://www.asp-nuke.com                     *
'	*                                                                      *
'	* This program is free software. You can redistribute it and/or modify *
'	* it under the terms of the GNU General Public License as published by *
'	* the Free Software Foundation; either version 2 of the License, or    *
'	* (at your option) any later version.                                  *
'	*                                                                      *
'	************************************************************************
'
'	FileName:		forum-inc.asp
'	Author:			*Various*
'	Description:	Set of sub's/functions for display the top forum block
'
'	Revisions:
'	01/10/2003 Add: Show the last forum used user level access
'	12/12/2003 Rev: Look and Feel  AspNuke v.14
'	14/02/2004 Add: DisplayPost Sub, for print post feature
'	04/04/2004 Rev: ShowLastTopics, display last topics instead of last post
'	08/06/2004 Rev: Remove Language issue code
'	15/07/2004 Rev: Forum.ShowLastTopics FALSE by default
'	01/12/2004 Add: PostNick feature
'	02/12/2004 Add: LastVisit feature
%>
<!-- #include file='../forum/includes/consts-inc.asp' -->
<!-- #include file='../forum/includes/configuration-inc.asp' -->
<!-- #include file='../forum/includes/functions-inc.asp' -->
<!-- #include file='../forum/includes/variables-inc.asp' -->
<%
	Dim Forum_ShowLastTopics
	Forum_ShowLastTopics = SysParmDef("Forum.ShowLastTopics", cLng(False))

	' Display the last posts on forum
	' IN  : iTop (int) : Number of results
	' OUT : -
	' 01/12/2004 Add: PostNick feature
	' 02/12/2004 Add: LastVisit feature
	Sub DisplayTopForum(iTop)
		Dim oRs, rSQL, sTitle, iPos, sPostUser, iLine, sPostNick, sPostUserName, sPostMessage

		If iTop <> 0 Then
			If iTop = "" Then iTop = 1
			Dim oCnF
			Set oCnF = DBConnexion(DB_FORUM)

			rSQL =	"SELECT" & SQLTop(iTop) & " PostID, PostParent, PostUser, PostDate, PostTitle, PostSection, PostSmileys, SectionForum, SectionLevel" & _
					", PostNick" & _
					" FROM Posts, Sections" & _
					" WHERE PostSection=SectionID" & _
					" AND PostValid=" & DB_TRUE & _
					" AND SectionLevel<=" & flMember
			If Forum_ShowLastTopics Then
				rSQL = rSQL & " AND PostId=PostParent" ' Add:04/04/2004
			End If
			rSQL = rSQL & " ORDER BY PostDate DESC"
			Set oRs = DBRecordSet(oCnF, rSQL)

			CreateTopTable "TopPosts", GetTranslation("LANG_TOP") & " " & iTop & " - " & GetTranslation("LANG_FORUM")
			If Not oRs.EOF Then
				iLine = 1
				While Not oRs.EOF
					sPostUser = oRs("PostUser")
					If sPostUser = "" Then
						sPostNick = oRs("PostNick")
						sPostUserName = GetTranslation("LANG_GUEST")
						If sPostNick <> "" And sPostUserName <> sPostNick Then
							sPostUserName = sPostNick & " - " & sPostUserName
						End If
					Else
						sPostUserName = GetUserName(sPostUser)
					End If
					sTitle= HTML2flat(oRs("PostTitle"))

					iPos=instr(sTitle, ":")
					If iPos>0 Then sTitle = Mid(sTitle,iPos+1)

					sTitle=CodeMessageEx(sTitle, DISPLAYPOSTLENGTH, false, false)
					Response.Write "<span class='small'>" & _
										sPostUserName & " - " & _
										GetDateDDMMYYHHMMSS(GMT2Local(StringToDate(oRs("PostDate")))) & " - " & _
										sTitle & _
									"</span>" & vbCrLf

					sPostMessage=dLookupF("PostMessage","Posts","PostID=" & oRs("PostID"))

					Select Case LCase(SysparmDef("Forum.TopForum.Style", "new"))
						Case "new"
							Response.Write "<table class='myTable' width='100%'><tr>"
							Response.Write "<td class='tableline"& iLine & "'>" & vbCrLf
							If oRs("PostDate") > sLastVisit Then
								Response.Write "<span class='NewNews'>" & GetTranslation("LANG_NEWNEWS") & "</span>" & vbCRLF
							End If
							Response.Write "<a href='" & GLOBAL_SITE_FORUM_PATH & GLOBAL_SITE_FORUM_PAGE & _
											"?forum=" & oRs("SectionForum") & _
											"&section=" & oRs("PostSection") & _
											"&post=" & oRs("PostParent") & _
											"&page=last"
							If oRs("PostID") <> oRs("PostParent") Then Response.Write "#" & oRs("PostID")
							Response.Write "'>"
							Response.Write CodeMessageEx(HTML2flat(sPostMessage), 50, false, oRs("PostSmileys").Value)
							Response.Write "</a>" & vbCrLf

							Response.Write "</td></tr></table>" & vbCRLF

						Case Else
							Response.Write "<br>" & vbCrLf
							If oRs("PostDate") > sLastVisit Then
								Response.Write "<span class='NewNews'>" & GetTranslation("LANG_NEWNEWS") & "</span>" & vbCRLF
							End If
							Response.Write "<a href='" & GLOBAL_SITE_FORUM_PATH & GLOBAL_SITE_FORUM_PAGE & _
											"?forum=" & oRs("SectionForum") & _
											"&section=" & oRs("PostSection") & _
											"&post=" & oRs("PostParent") & _
											"&page=last"
							If oRs("PostID") <> oRs("PostParent") Then Response.Write "#" & oRs("PostID")
							Response.Write "'>"
							Response.Write CodeMessageEx(HTML2flat(sPostMessage), 50, false, oRs("PostSmileys").Value)
							Response.Write "</a>" & vbCRLF
							Response.Write "<br>" & vbCRLF
					End Select

					oRs.MoveNext

					iLine = ((iLine - 1) Xor 1) + 1
				WEnd
			Else
				Response.Write GetTranslation("LANG_EMPTY_SECTION")
			End If

			CreateBottomTable ""
			Set oRs = Nothing
			Set oCnF = Nothing
		End If

	End Sub

	' Display a topic
	' IN  : iID (int) : post' id (table Posts, field PostID, PostParent)
	'     : iPage (int) : page number
	'     : bPrintIt (boolean) : If true, make EasyPrintable Post
	' 01/12/2004 Add: PostNick feature
	Sub DisplayPost(iID, iPage, bPrintIt)
		Dim oRs, rSQL, X
		Dim sPostTitle, sPostMessage, sPostUser, sPostDate, sPostNick, sPostUserName
		Dim oCnF
		Set oCnF = DBConnexion(DB_FORUM)

		rSQL = "SELECT" & SQLTop(iPage*FORUM_MAX_THREADS) & " PostTitle, PostUser, PostDate, PostSection, SectionName, SectionForum, ForumName" & _
			", PostNick" & _
			" FROM Posts, Sections, Forums" & _
			" WHERE PostParent=" & iID & " AND PostSection=SectionId AND SectionForum=ForumId"
		If isModerator = "" and isAdministrator = "" and isOwner = "" Then rSQL = rSQL & " AND PostValid=" & DB_TRUE
		rSQL = rSQL & " ORDER BY PostDate, PostID"

		Set oRs = DBRecordSet(oCnF, rSQL)
		oRs.PageSize = FORUM_MAX_THREADS
		If oRs.RecordCount <> - 1 Then
			oRs.AbsolutePage = iPage
		Else
			For X = 1 To (iPage-1)*FORUM_MAX_THREADS
				oRs.MoveNext
			Next
		End If

		If Not oRs.EOF Then
			Response.Write "<table width='100%' border=0>" & vbCrLf
			Response.Write "  <tr><td colspan=2 align=center>" & _
							CodeMessage(oRs("SectionName"), True) & _
							" - " & _
							CodeMessage(oRs("ForumName"), True) & _
							"</td></tr>" & vbCrLf
			While Not oRs.EOF
				sPostTitle = oRs("PostTitle")
			'	sPostMessage = oRs("PostMessage")
				sPostMessage = dLookupF("PostMessage","Posts","PostID=" & oRs("PostID"))

				sPostUser = oRs("PostUser")
				If sPostUser <> "" Then
					sPostNick = oRs("PostNick")
					sPostUserName = GetTranslation("LANG_GUEST")
					If sPostNick <> "" And  sPostUserName <> sPostNick Then
						sPostUserName = sPostNick & " - " & sPostUserName
					End If
				Else
					sPostUserName = GetUserName(sPostUser)
				End If
				sPostDate = oRs("PostDate")
				Response.Write "  <tr><td colspan=2 class=small><hr>" & sPostTitle & "</td></tr>" & vbCrLf
				Response.Write "  <tr>" & vbCrLf
				Response.Write "    <td width='20%' align=center>" & sPostUserName & "</td>" & vbCrLf
				Response.Write "    <td width='80%'>" & vbCrLf
				Response.Write "<span class=small>" & GetTranslation("LANG_POST_DATE", GetDateLitteralDDMMYYYYHHMMSS(GMT2Local(StringToDate(sPostDate)))) & "</span>" & vbCrLf
				Response.Write "<hr>" & vbCrLf
				Response.Write CodeMessageEx(sPostMessage, 0, false, false) & vbCrLf
				Response.Write "    </td>" & vbCrLf
				Response.Write "  </tr>" & vbCrLf
				oRs.MoveNext
			WEnd
			Response.Write "</table>" & vbCrLf
		End If
		Set oRs = Nothing
		Set oCnF = Nothing
	End Sub
%>
