<%
'	************************************************************************
'	* ASP-Nuke: Free web portal in ASP                                     *
'	************************************************************************
'	* Copyright (c) 2002-2003 by Gaetan Bouveret (webmaster@asp-nuke.com)  *
'	* http://www.asp-nuke.com                                              *
'	*                                                                      *
'	* This program is free software. You can redistribute it and/or modify *
'	* it under the terms of the GNU General Public License as published by *
'	* the Free Software Foundation; either version 2 of the License, or    *
'	* (at your option) any later version.                                  *
'	*                                                                      *
'	************************************************************************
%>
<%
	' Send mail with eider CDONTS or JMAIL
	' IN  : sSender (string) : sender of the mail
	'     : sRecipient (string) : recipient of the mail (can use ; to send to many recipients)
	'     : sSubject (string) : subject of the mail
	'     : sText (string) : content of the mail
	'     : bHTML (boolean) : send HTML or text mail
	' OUT : (boolean) : True
	Function SendMail(ByVal sSender, ByVal sRecipient, ByVal sSubject, ByVal sText, ByVal bHTML)
		Dim bOk, sMailType

		If SysParmDef("Email.Log", cLng(TRUE)) Then
			LogLine "Send Email", _
					"| Sender:" & sSender & " | Recipient:" & sRecipient & vbCrLf & _
					"| HTML:" & cLng(bHTML) & " | Subject:" & sSubject & vbCrLf & _
					"| Text:" & sText & "|" & vbCrLf
		End IF
		
		Select Case LCase(GLOBAL_EMAIL_SERVER_MAILTYPE) 'Setup in configuration-inc.asp
			Case "cdonts"
				bOk = SendMail_CDONTS(sSender, sRecipient, sSubject, sText, bHTML)
			Case "jmail"
				bOk = SendMail_JMAIL(sSender, sRecipient, sSubject, sText, bHTML)
			Case "cdo","cdosys"
				bOk = SendMail_CDO(sSender, sRecipient, sSubject, sText, bHTML)
			Case "aspemail"
				bOk = SendMail_ASPEMAIL(sSender, SRecipient, SSubject, SText, bHTML)
			Case "aspmail"
				bOk = SendMail_ASPMAIL(sSender, SRecipient, SSubject, SText, bHTML)
			Case "mailenable"
				bOk = SendMail_MailEnable(sSender, SRecipient, SSubject, SText, bHTML)
			Case Else ' If not selected, then use CDO
				bOk = SendMail_CDO(sSender, sRecipient, sSubject, sText, bHTML)
		End Select

		SendMail = bOk
	End Function


	' Send mail with CDONTS
	' IN  : sSender (string) : sender of the mail
	'     : sRecipient (string) : recipient of the mail (can use ; to send to many recipients)
	'     : sSubject (string) : subject of the mail
	'     : sText (string) : content of the mail
	'     : bHTML (boolean) : send HTML or text mail
	' OUT : (boolean) : True
	Function SendMail_CDONTS(ByVal sSender, ByVal sRecipient, ByVal sSubject, ByVal sText, ByVal bHTML)
		Dim oCDONTS
		Dim bOk

		bOk = False

		On Error Resume Next
		Set oCDONTS = Server.CreateObject("CDONTS.NewMail")
		If Err.number <> 0 Then
			Response.Write "<span class=""small"">eMail problem: creating email error</span><br>" & err.Description  & "<br>" & vbCrLf
			LogLine "Error Email", Err.Description  
		Else
			With oCDONTS
				'	All metodes of CDONTS
				'		.AttachFile
				'		.AttachURL
				'		.Bcc
				'		.Body
				'		.BodyFormat
				'		.Cc
				'		.ContentBase
				'		.ContentLocation
				'		.From
				'		.Importance
				'		.MailFormat
				'		.Send
				'		.SetLocaleIDs
				'		.Subject
				'		.To
				'		.Value
				'		.Version
				'
				.From = sSender
				.To = sRecipient
				If cBool(SysParmDef("Email.CopyToSender", cLng(FALSE))) Then .Bcc = sSender
				.Subject = sSubject
				If bHTML Then
					.BodyFormat = 0
					.MailFormat = 0
					.Body = "<html><body>" & vbCRLF & CodeMessage(sText, false) & vbCRLF & "</body></html>"
				Else
					.BodyFormat = 1
					.MailFormat = 1
					.Body = sText
				End If
				.Send
			End With
			bOk = True
		End If
		
		On Error GoTo 0
		Set oCDONTS = Nothing
		SendMail_CDONTS = bOk
	End Function

	' Send mail with JMail (http://www.dimac.net)
	' IN  : sSender (string) : sender of the mail
	'     : sRecipient (string) : recipient of the mail (can use ; to send to many recipients)
	'     : sSubject (string) : subject of the mail
	'     : sText (string) : content of the mail
	'     : bHTML (boolean) : send HTML or text mail
	' OUT : (boolean) : True
	Function SendMail_JMAIL(ByVal sSender, ByVal sRecipient, ByVal sSubject, ByVal sText, ByVal bHTML)
		Dim oJmail, bOk

		bOk = False

		On Error Resume Next
		Set oJmail = Server.CreateObject("JMail.Message")
		If Err.number <> 0 Then
			Response.write "<span class=""small"">eMail problem: creating email error</span><br>" & err.Description & "<br>" & vbCrLf
			LogLine "Error Email", err.Description
		Else
			With oJmail
				.From = sSender
				.Subject = sSubject
				.AddRecipient sRecipient
				If SysParmDef("Email.CopyToSender", cLng(FALSE)) Then .AddRecipientBCC sSender
				If bHTML Then
					If InStr(sText, "<html>") = 0 Then sText = "<html><body>" & vbCRLF & CodeMessage(sText,false) & vbCRLF & "</body></html>"
					.AppendHTML sText
					'.Body = sText
				Else
					'.AppendText sText
					.Body = sText
				End IF
				.Priority = 3
				if .Send (GLOBAL_EMAIL_SERVER_ADDRESS) Then
					Response.write "<span class=""small"">email sent succesfully!</span><br>" & vbCrLf
				Else
					Response.write "<pre>" & .log & "</pre>" & vbCrLf
					Logline "Error Email", .log
				End If
			End With
			bOk = True
		End If
		Set oJmail = Nothing

		On Error GoTo 0
		SendMail_JMAIL = bOk
	End Function

	' Send mail with CDO
	' IN  : sSender (string) : sender of the mail
	'     : sRecipient (string) : recipient of the mail (can use ; to send to many recipients)
	'     : sSubject (string) : subject of the mail
	'     : sText (string) : content of the mail
	'     : bHTML (boolean) : send HTML or text mail
	' OUT : (boolean) : True
	Function SendMail_CDO(ByVal sSender, ByVal sRecipient, ByVal sSubject, ByVal sText, ByVal bHTML)
		Dim oCDO, bOk
		Dim oConfig

		bOk = False
		On error resume next
		'CDOSYS
		Set oCDO = Server.CreateObject("CDO.Message")
		If Err.number <> 0 Then
			Response.write "<span class=small>eMail problem: 'CDO' creating email error</span><br>" & err.Description & "<br>" & vbCrLf
			LogLine "Error Email", err.Description
		Else
			Set oConfig = Server.CreateObject("CDO.Configuration")

			'Configuration:
			oConfig.Fields.Item("http://schemas.microsoft.com/cdo/configuration/sendusing") = 2 '
			oConfig.Fields.Item("http://schemas.microsoft.com/cdo/configuration/smtpserver") = GLOBAL_EMAIL_SERVER_ADDRESS ' "xxxxxxxx" 'your smtp
			oConfig.Fields.Item("http://schemas.microsoft.com/cdo/configuration/smtpserverport") = GLOBAL_EMAIL_SERVER_PORT '25 
			oConfig.Fields.Item("http://schemas.microsoft.com/cdo/configuration/smtpauthenticate") = 1 '
			oConfig.fields.Item("http://schemas.microsoft.com/cdo/configuration/sendusername") = GLOBAL_EMAIL_SERVER_USER ' your smtp user
			oConfig.fields.Item("http://schemas.microsoft.com/cdo/configuration/sendpassword") = GLOBAL_EMAIL_SERVER_PASSWORD ' your smtp password
			oConfig.fields.Item("http://schemas.microsoft.com/cdo/configuration/smtpconnectiontimeout") = 30 '

			'Update configuration
			oConfig.Fields.Update
			Set oCDO.Configuration = oConfig 

			'message body
			If bHTML Then
				oCDO.HTMLBody = "<html><body>" & vbCRLF & CodeMessage(sText,false) & vbCRLF & "</body></html>"
			Else
				oCDO.TextBody = sText
			End If
			'FINE CDOSYS

			oCDO.From = sSender
			oCDO.To = sRecipient
			oCDO.Subject = sSubject
			If SysParmDef("Email.CopyToSender", cLng(FALSE)) Then oCDO.BCC = sSender
			oCDO.Send
			bOk = True
		End IF

		Set oCDO = Nothing

		on error goto 0
		SendMail_CDO = bOk 
	End Function

	' Send mail with ASPEmail
	' IN  : sSender (string) : sender of the mail
	'     : sRecipient (string) : recipient of the mail (can use ; to send to many recipients)
	'     : sSubject (string) : subject of the mail
	'     : sText (string) : content of the mail
	'     : bHTML (boolean) : send HTML or text mail
	' OUT : (boolean) : True
	Function SendMail_ASPEMAIL(ByVal sSender, ByVal sRecipient, ByVal sSubject, ByVal sText, ByVal bHTML)
		Dim oAspEmail, bOk
		
		bOk = False

		Set oAspEmail = Server.CreateObject("Persits.MailSender")
		If Err.number <> 0 Then
			Response.write "<span class=small>eMail problem: 'Persits' creating email error</span><br>" & err.Description & "<br>" & vbCrLf
			LogLine "Error Email", err.Description
		Else
			With oAspEmail
				'Idea from Thanos to make ASPEmail support CharSet from language XML file
				.CharSet = sCharset
				.Host = GLOBAL_EMAIL_SERVER_ADDRESS
				if GLOBAL_EMAIL_SERVER_PORT<>25		Then	.port = GLOBAL_EMAIL_SERVER_PORT
				if GLOBAL_EMAIL_SERVER_USER<>""		Then	.Username = GLOBAL_EMAIL_SERVER_USER
				if GLOBAL_EMAIL_SERVER_PASSWORD<>"" Then	.Password = GLOBAL_EMAIL_SERVER_PASSWORD

				.From = sSender
				.FromName = sSender
				.AddAddress sRecipient
				If SysParmDef("Email.CopyToSender", cLng(FALSE)) Then .AddBCC sSender
				.Priority = 3
				.Subject = sSubject
				.IsHTML = bHTML

				If bHTML Then
					.Body =  "<html><body>" & vbCRLF & CodeMessage(sText,false) & vbCRLF & "</body></html>"
				Else
					.Body = sText
				End If

				On Error Resume Next
				.Send
				If Err <> 0 Then
					Logline "Error Email", Err.Description
					bOk = False
				Else
					bOk = True 
				End If
			End With
		End IF
		On Error Goto 0
		Set oAspEmail = Nothing
		SendMail_ASPEMAIL = bOk
	End Function

	' Send mail with ASPmail
	' IN  : sSender (string) : sender of the mail
	'     : sRecipient (string) : recipient of the mail (can use ; to send to many recipients)
	'     : sSubject (string) : subject of the mail
	'     : sText (string) : content of the mail
	'     : bHTML (boolean) : send HTML or text mail
	' OUT : (boolean) : True
	Function SendMail_ASPMAIL(ByVal sSender, ByVal sRecipient, ByVal sSubject, ByVal sText, ByVal bHTML)
		Dim oAspMail, bOk

		bOk = False

		Set oAspMail = Server.CreateObject("SMTPsvg.Mailer")
		If Err.number <> 0 Then
			Response.write "<span class=small>eMail problem: 'SMTPsvg' creating email error</span><br>" & err.Description & "<br>" & vbCrLf
			LogLine "Error Email", err.Description
		Else
			With oAspMail
				.RemoteHost = GLOBAL_EMAIL_SERVER_ADDRESS
				.FromAddress = sSender
				.FromName = sSender
				.AddRecipient sRecipient, sRecipient
				If SysParmDef("Email.CopyToSender", cLng(FALSE)) Then .AddBCC sSender, sSender
				.Priority = 3
				.Subject = sSubject

				If bHTML Then
					.ContentType = "text/html"
					.BodyText =  "<html><body>" & vbCRLF & CodeMessage(sText,false) & vbCRLF & "</body></html>"
				Else
				'	.ContentType = "text"
					.BodyText = sText
				End If

				On Error Resume Next
				if .SendMail Then
					bOk = True 
				else
					bOk = False 
					Logline "Error Email", .Response
				end if
			End With
		End IF

		On Error Goto 0
		Set oAspMail = Nothing
		SendMail_ASPMAIL = bOk
	End Function

	' Send mail with MailEnable
	' IN  : sSender (string) : sender of the mail
	'     : sRecipient (string) : recipient of the mail (can use ; to send to many recipients)
	'     : sSubject (string) : subject of the mail
	'     : sText (string) : content of the mail
	'     : bHTML (boolean) : send HTML or text mail
	' OUT : (boolean) : True
	Function SendMail_MailEnable(ByVal sSender, ByVal sRecipient, ByVal sSubject, ByVal sText, ByVal bHTML)
		Dim oMailEnable, bOk

		bOk = False

		Set oMailEnable = Server.CreateObject("MEMail.Message")
		If Err.number <> 0 Then
			Response.write "<span class=small>eMail problem: 'MEMail' creating email error</span><br>" & err.Description & "<br>" & vbCrLf
			LogLine "Error Email", err.Description
		Else
			With oMailEnable
				.SetDefault
				.Server = GLOBAL_EMAIL_SERVER_ADDRESS
				if GLOBAL_EMAIL_SERVER_PORT<>25 then .ServerPort = GLOBAL_EMAIL_SERVER_PORT
		
				.MailFrom = sSender
				.MailTo = sRecipient
				If SysParmDef("Email.CopyToSender", cLng(FALSE)) Then .MailBCC sSender
				.Subject = sSubject
				If bHTML Then
					.ContentType = "text/html;"
					.MessageBody = "<html><body>" & vbCRLF & CodeMessage(sText,false) & vbCRLF & "</body></html>"
				Else
				'	.ContentType = "text"
					.MessageBody = sText
				End If

				On Error Resume Next
				
				if .SendMessage<>0 Then
					bOk = True 
				else
					bOk = False 
					Logline "Error Email", .ErrorString
				end if
			End With
		End If

		On Error Goto 0
		Set oAspMail = Nothing
		SendMail_ASPMAIL = bOk
	End Function

%>
