<%
'	************************************************************************
'	* ASP-Nuke: Free web portal in ASP                                     *
'	************************************************************************
'	* Copyright (c) 2002-2003 by Gaetan Bouveret (webmaster@asp-nuke.com)  *
'	* http://www.asp-nuke.com                                              *
'	*                                                                      *
'	* This program is free software. You can redistribute it and/or modify *
'	* it under the terms of the GNU General Public License as published by *
'	* the Free Software Foundation; either version 2 of the License, or    *
'	* (at your option) any later version.                                  *
'	*                                                                      *
'	************************************************************************
%>
<%
	' ---------------------------------------------------------------
	' Modules XML functions
	' This functions is to read configuration from the MODules set.

	' Display modules available
	' IN  : bCustomBlock (boolean)	Is Modules shown in Custom block(true) or Menu-section(false)
	'     : sModPath (string)		Path to Modules folder (default = GLOBAL_SITE_MODULES_PATH)
	'     : sModTitle (string)		Title of Modules block (default = LANG_MODULES)
	' OUT : -
	Sub DisplayModules(ByVal bCustomBlock, ByVal sModPath, ByVal sModTitle)
		Dim oFs, oFolder, oSubFolder, oSmallFolder, oFile, sModuleName
		Dim oXML, sBullet, imRole, sTitle
		Dim bFirst
		bFirst = true

		Set oFs = Server.CreateObject("Scripting.FileSystemObject")

		if sModPath = "" Then sModPath = GLOBAL_SITE_MODULES_PATH
		if sModTitle = "" Then sModTitle = "LANG_MODULES"
		If oFs.FolderExists(Server.MapPath(sModPath)) Then
			Set oFolder = oFs.GetFolder(Server.MapPath(sModPath))
			Set oXML = New moduleXMLobj
			For Each oSubFolder In oFolder.SubFolders
				Set oSmallFolder = oFs.GetFolder(Server.MapPath(sModPath & oSubFolder.Name ))
				For Each oFile In oSmallFolder.Files
					If lcase(oFile.Name) = "default.asp" then
						If bFirst Then
							If bCustomBlock Then
								AllowCollapsTable(false)
								CreateTopTable "Modules", GetTranslation(sModTitle)
								DisplayMenuBox()
								SetDefaultBullet GLOBAL_SITE_THEMES_PATH & sTheme & "/bullet.gif"
							Else
								DisplayMenuItem "","<b>" & GetTranslation(sModTitle) & "</b>",""
							End If
							bFirst=false
						End If

						sModuleName = oSubFolder.Name

						oXML.LoadXML(sModPath & sModuleName & "/" & sModuleName)
						If Not oXML.Loaded Then oXML.LoadXML (sModPath & sModuleName & "/" & "default")
						If oXML.Loaded Then

							sBullet = Trim(oXML.config("Bullet")&"")
							imRole = cLng(oXML.config ("role"))
							sTitle = oXML.Parameter("TITLE")  'oXML.GetTranslation("LANG_MODULE")' XMLParameter("TITLE")
							
							DisplayMenuItemLvl imRole, _
												sModPath & sModuleName & "/" & sBullet, _
												sTitle, _
												sModPath & sModuleName & "/" & "default.asp"
						Else
							DisplayMenuItem sModPath & sModuleName & "/bullet.gif", _
											sModuleName, _
											sModPath & sModuleName & "/" & "default.asp"
						End IF
						oXML.close
					End If
				Next
			Next
			set oXML = Nothing
			If NOT bFirst Then
				If bCustomBlock Then
					Response.Write "</table>" & vbCRLF
					CreateBottomTable ""
				Else
					DisplayMenuItem "","",""
				End If
			End If
		End If
		Set oFs = Nothing
	End Sub

	'	This Code is the Class that is used in the Modules to add Translations and configuration of the modules.
	'
	'	Put your module XML file in the folder of the module, and call the XML the name of the module
	'	Remember to save the XML file in UNICODE format
	'	example.xml:
	'		<?xml version="1.0" encoding="Unicode" ?>
	'		<modules_config>
	'			<config role="2" version="1.4" bullet="unix-icon.gif">
	'				<parameter name="TITLE">Example</parameter>
	'				<parameter name="AUTHOR">Mr.Spock</parameter>
	'			</config>
	'			<lang>
	'				<translation name="LANG_MODULE">Default Language</translation>
	'				<translation name="LANG_TITLE_DEFAULT">Default title</translation>
	'				<translation name="LANG_TITLE">Default title</translation>
	'				<en>
	'					<translation name="LANG_TITLE_DEFAULT">Default module title</translation>
	'					<translation name="LANG_MODULE">Example module</translation>
	'					<translation name="LANG_TITLE">Title of module</translation>
	'				</en>
	'				<dk>
	'					<translation name="LANG_TITLE_DEFAULT">Standard modul titel</translation>
	'					<translation name="LANG_MODULE">Eksemple modul</translation>
	'					<translation name="LANG_TITLE">Modulets title</translation>
	'				</dk>
	'			</lang>
	'		</modules_config>
	'
	'	role		= userlevel access to the module
	'	bullet		= icon to use in menu of module
	'	title		= title of module in menu
	'	version		= what very of asp-nuke this module is for, minumum
	'	<lang>		= translations of the module, default, all versions
	'		<en>	= english translations
	'		<dk>	= danish translations
	'		<xx>	= "xx" translation
	'
	'	LANG_MODULE = Title of Module
	'	LANG_TITLE_DEFAULT = Title of module on page's title
	'	rest of tags are free.
	
	Class moduleXMLobj
		Private oXML

	    Private Sub Class_Initialize
			Set oXML = nothing
	    End Sub

		Private Sub Class_Terminate
			Set oXML = nothing
		End Sub

		Public Sub Close
			Set oXML = Nothing
		End Sub

		Public Property Get Loaded
			Loaded = Not oXML Is Nothing
		End Property
		
		'Public Property Let LoadXML(sXMLdoc)
		Public Sub LoadXML(sXMLdoc)
			Dim oDom, sFile, iPos
			iPos = InStrRev(sXMLdoc,".")
			if iPos = 0 then
				sXMLdoc = sXMLdoc & ".xml"
			elseif LCase(mid(sXMLdoc, ipos)) <> ".xml" then
				sXMLdoc = sXMLdoc & ".xml"
			end if
			Set oDom = Server.CreateObject("Microsoft.XMLDOM")
			oDom.async = False
			If oDom.Load(Server.MapPath(sXMLdoc )) Then ' & ".xml"
				Set oXML = oDom.documentElement
			'	DebugPrint sXMLdoc & " loaded"
			End If
			Set oDom = Nothing
		End Sub
		'End Property
		
		Public Property Get config(sAttribute)
			Dim oNode, sConfig
			sConfig = ""
			If Loaded Then
				Set oNode = oXML.selectSingleNode("config")
				If Not oNode Is Nothing Then 
					sConfig = oNode.getAttribute(lcase(sAttribute))
				End If
			End If
			config = sConfig
		End Property 
		
		Public Property Get Parameter(sParamKey)
			Dim sTranslationValue, oTranslation
			sTranslationValue = ""
			If Loaded Then
				Set oTranslation = oXML.selectSingleNode("config/parameter[@name=""" & Ucase(sParamKey) & """]")
				If Not oTranslation Is Nothing Then
					sTranslationValue = oTranslation.text
				End If
			End If
			Parameter = sTranslationValue
		End Property

		Public Property Get GetTranslation(sTranslationKey)
			Dim sTranslationValue, oTranslation
			sTranslationValue = ""
			If Loaded Then
				Set oTranslation = oXML.selectSingleNode("lang/" & lcase(sXMLVersion) & "/translation[@name=""" & Ucase(sTranslationKey) & """]")
				If Not oTranslation Is Nothing Then
					sTranslationValue = oTranslation.text
				Else
					Set oTranslation = oXML.selectSingleNode("lang/translation[@name=""" & Ucase(sTranslationKey) & """]")
					If Not oTranslation Is Nothing Then
						sTranslationValue = oTranslation.text
					End If
				End If
			End If
			GetTranslation = sTranslationValue
		End Property

	End Class

%>
