<%
'	************************************************************************
'	* ASP-Nuke Community: Free web portal in ASP                           *
'	************************************************************************
'	* ASP-Nuke Community 1.4 Copyright  2004 by Rolf Thomassen            *
'	* (mrspock(a)rediff.com) http://www.rot.dk                             *
'	*                                                                      *
'	* Re-design by Rolf Thomassen  2004 (mrspock@rediff.com)              *
'	*                                                                      *
'	* ASP-Nuke Community 1.3  2003 by Rolf Thomassen                      *
'	* (mrspock(a)rediff.com) http://www.rot.dk                             *
'	*                                                                      *
'	* ASP-Nuke 1.0, 1.1, 1.2 Copyright (c) 2002-2003 by Gaetan Bouveret    *
'	* (webmaster@asp-nuke.com) http://www.asp-nuke.com                     *
'	*                                                                      *
'	* This program is free software. You can redistribute it and/or modify *
'	* it under the terms of the GNU General Public License as published by *
'	* the Free Software Foundation; either version 2 of the License, or    *
'	* (at your option) any later version.                                  *
'	*                                                                      *
'	************************************************************************
%>
<%

'	This Code is the Class that is used in the Modules to add Translations and configuration of the modules.
'
Class mXMLobj
	Private oXML
	Private XMLparent
	Private XMLitem
	Private XMLname
	Private XMLError
	Private XMLdoc

    Private Sub Initialize
		ErrorTxt = ""
		Parent = "lang"
		Item = "translation"
		Name = "name"
    End Sub

    Private Sub Class_Initialize
		Set oXML = nothing
		Initialize
    End Sub

	Private Sub Class_Terminate
		Set oXML = nothing
	End Sub


	Public Sub Open(ByVal sXMLdoc)
		XMLdoc = sXMLdoc
		LoadXML(XMLdoc)
	End Sub

	Public Sub Load(ByVal sXMLdoc, ByVal sParent, ByVal sItem, ByVal sName)
		XMLdoc = sXMLdoc
		Parent = sParent
		Item = sItem
		Name = sName
		Open(XMLdoc)
	End Sub

	Public Sub Close
		Set oXML = Nothing
	End Sub

	Public Property Get Loaded
		Loaded = Not oXML Is Nothing
	End Property
		
	Public Sub LoadXML(ByVal sXMLdoc)
		Dim oDom, sFile, iPos
		Errortxt = ""
		iPos = InStrRev(sXMLdoc,".")
		if iPos = 0 then
			sXMLdoc = sXMLdoc & ".xml"
		elseif LCase(mid(sXMLdoc, ipos)) <> ".xml" then
			sXMLdoc = sXMLdoc & ".xml"
		end if
			
		Set oDom = Server.CreateObject("Microsoft.XMLDOM")
		oDom.async = False
		If oDom.Load(Server.MapPath(sXMLdoc )) Then ' & ".xml"
			Set oXML = oDom.documentElement
		Else
		'	DebugPrint "XML: {" & sXMLdoc & "} not loaded"
			Errortxt = "XML: {" & sXMLdoc & "} not loaded"
		End If
		Set oDom = Nothing
	End Sub

	Public Property Let Parent(ByVal sParent)
		XMLparent = sParent
	End Property
	Public Property Get Parent
		Parent = XMLparent
	End Property

	Public Property Let Item(ByVal sItem)
		XMLitem = sItem
	End Property
	Public Property Get Item
		Item = XMLitem
	End Property

	Public Property Let Name(ByVal sName)
		XMLname = sName
	End Property
	Public Property Get Name
		Name = XMLname
	End Property

	Private Property Let Errortxt(ByVal sError)
		XMLError = sError
	End Property
	Public Property Get Errortxt
		Errortxt = XMLError
	End Property

	' Return a field from a specific XML object
	' IN  : sFieldKey (string) : value of the attribute of the item
	'     : oFileXML (object) : XML object containing the field
	'     : sParent (object) : parent of the item
	'     : sItem (object) : item containing the field
	'     : sAttr (object) : attribute for locating the field
	' OUT : (string) : text of the corresponding node
	Private Function GetXMLField(ByVal sParent, ByVal sItem, ByVal sName, ByVal sFieldKey)
		Dim sFieldValue, oField

		sFieldValue = sFieldKey

		If Loaded Then
			Set oField = oXML.selectSingleNode(sParent & "/" & sItem & "[@" & sName & "=""" & uCase(sFieldKey) & """]")
			If Not oField Is Nothing Then
				sFieldValue = oField.text
			End If
		End If

		GetXMLField = sFieldValue
	End Function

	Public Function Field(ByVal sField)
		Field = GetXMLfield(Parent, Item, Name, sField )
	End Function

	' Gives the attrib of an translation tag
	' IN  : sField (string) : tag's name
	'     : sAttribute (string) : tag's attribute
	' OUT : (string) : attribute's value
	Private Function GetXMLFieldAttrib(ByVal sParent, ByVal sItem, ByVal sName, ByVal sFieldKey, ByVal sAttribute)
		Dim oNode, sAttrib
		sAttrib = ""
		If Loaded Then
			Set oNode = oXML.selectSingleNode(sParent & "/" & sItem & "[@" & sName & "=""" & uCase(sFieldKey) & """]")
			If Not oNode Is Nothing Then
				sAttrib = oNode.getAttribute(sAttribute)
			End If
		End If
		GetXMLFieldAttrib = sAttrib
	End Function

	' Gives the attrib of an translation tag
	' IN  : sField (string) : tag's name
	'     : sAttribute (string) : tag's attribute
	' OUT : (string) : attribute's value
	Public Function FieldAttrib(ByVal sField, ByVal sAttribute)
		FieldAttrib = GetXMLFieldAttrib(Parent, Item, Name, sField, sAttribute)
	End Function

		
	' Gives the attrib of an XML tag
	' IN  : sAttribute (string) : tag's attribute
	' OUT : (string) : attribute's value
	Private Function GetXMLAttrib(ByVal sParent, ByVal sAttribute)
		Dim oNode, sConfig
		sConfig = ""
		If Loaded Then
			Set oNode = oXML.selectSingleNode(sParent)
			If Not oNode Is Nothing Then 
				sConfig = oNode.getAttribute(lcase(sAttribute))
			End If
		End If
		GetXMLAttrib = sConfig
	End Function 

	' Gives the attrib of an XML tag
	' IN  : sAttribute (string) : tag's attribute
	' OUT : (string) : attribute's value
	Public Function Attrib(ByVal sAttribute)
		Attrib = GetXMLAttrib(Parent, sAttribute)
	End Function 

End Class

Dim xmltmp
Set xmltmp = new mXMLobj
With xmltmp
'	.Load (sXMLdoc, sParent, sItem, sName)
'	.Attrib(aAttribute)
'	.Errortxt
'	.Field(sField)
'	.FieldAttrib (sField, sAttribute)
'	.Item
'	.Loaded
'	.LoadXML(sXMLdoc)
'	.Name
'	.Parent
End With
Set xmltmp = Nothing

'	----------------------------------------------------------
'	----------------------------------------------------------
'	----------------------------------------------------------

' Set the specified attribute of the node "lang" from the XML version
' IN  : name (string) : attribute's name
'     : value (string) : attribute's value
Sub SetXMLAttribute(name, value)
	Dim oNode
	Dim oDom
	Dim oDocXML
	Dim f1, f2, f_out

	'save in loaded object
	If Not oLangXML Is Nothing Then
		Set oNode = oLangXML.selectSingleNode("lang")
		If Not oNode Is Nothing Then
			oNode.setAttribute name, value
		End If
	End If
	Set oNode = Nothing

	'open file
	Set oDom = Server.CreateObject("Microsoft.XMLDOM")
	oDom.async = False
	f1 = Server.MapPath(GLOBAL_SITE_VERSIONS_PATH & sXMLVersion & ".xml")
	f2 = Server.MapPath(GLOBAL_SITE_VERSIONS_PATH & GLOBAL_SITE_DEFAULT_VERSION & ".xml")
	If oDom.Load(f1) Then
		Set oDocXML = oDom.documentElement
		f_out = f1
	ElseIf oDom.Load(f2) Then
		Set oDocXML = oDom.documentElement
		f_out = f2
	Else
		Response.Write "Error : XML file is missing"
		Response.End
	End If

	'save file
	If Not oDocXML Is Nothing Then
		Set oNode = oDocXML.selectSingleNode("lang")
		If Not oNode Is Nothing Then
			oNode.setAttribute name, value
			oDom.save f_out
		End If
	End If

	Set oNode = Nothing
	Set oDocXML = Nothing
	Set oDom = Nothing
End Sub

' Return a translation from a specific XML object
' IN  : sTranslationKey (string) : value of the "name" attribute of the translation
'     : oFileXML (object) : XML object containing the translation
' OUT : (string) : text of the corresponding node
Function GetNewTranslation(sTranslationKey, oFileXML, sDefault)
	GetNewTranslation = GetXMLField(sTranslationKey, oFileXML, "lang", "translation", "name", sDefault)
End Function

' Return a field from a specific XML object
' IN  : sFieldKey (string) : value of the attribute of the item
'     : oFileXML (object) : XML object containing the field
'     : sParent (object) : parent of the item
'     : sItem (object) : item containing the field
'     : sAttr (object) : attribute for locating the field
'     : sDefault (string) : default value for the field
' OUT : (string) : text of the corresponding node
Function GetXMLField(sFieldKey, oFileXML, sParent, sItem, sAttr, sDefault)
	Dim sFieldValue, oField

	sFieldValue = sFieldKey

	If Not oFileXML Is Nothing Then
		Set oField = oFileXML.selectSingleNode(sParent & "/" & sItem & "[@" & sAttr & "=""" & sFieldKey & """]")
		If Not oField Is Nothing Then
			sFieldValue = oField.text
		Else
			If sDefault <> "" Then
				sFieldValue = sDefault
			End If
		End If
	End If

	GetXMLField = sFieldValue
End Function
	
' Return a new XML object from a specific file
' IN  : sXMLFileName (string) : name of the XML file to read
' OUT : (object) : new XML object
Function GetNewXMLDocument(sXMLFileName)
	Dim oDom

	Set oDom = Server.CreateObject("Microsoft.XMLDOM")
	oDom.async = False
	If oDom.Load(Server.MapPath(GLOBAL_SITE_VERSIONS_PATH & sXMLFileName & ".xml")) Then
		Set GetNewXMLDocument = oDom.documentElement
	Else
		Response.Write "Error : XML file is missing - " & GLOBAL_SITE_VERSIONS_PATH & sXMLFileName & ".xml"
		Response.End
	End If

	Set oDom = Nothing
End Function

' Return a new XML object from a string
' IN  : sXML (string) : string containing the XML
' OUT : (object) : new XML object
Function GetNewXMLDocumentFromString(sXML)
	Dim oDom

	Set oDom = Server.CreateObject("Microsoft.XMLDOM")
	oDom.async = False
	If oDom.LoadXML(sXML) Then
		Set GetNewXMLDocumentFromString = oDom.documentElement
	Else
		Response.Write "Error : XML string is wrong"
		Response.End
	End If

	Set oDom = Nothing
End Function

' Return a value from a specific XML object
' IN  : sFieldKey (string) : name of the item
'     : SubNode (object) : XML object containing the item
' OUT : (string) : text of the corresponding node
Function GetXMLValue(sFieldKey, SubNode)
	Dim tempText, tempNode, tempAttribute

	tempText = ""
	tempAttribute = ""
	If Not SubNode Is Nothing Then
		on error resume next
		Set tempNode = SubNode.selectSingleNode(sFieldKey)
		if Err.number <> 0 then
			Err.clear
			tempText = ""
		elseIf Not tempNode Is Nothing Then
			tempText = "" & tempNode.text
			if tempText <> "" then
				tempAttribute = tempNode.getAttribute("type")
				select case lcase(tempAttribute)
				case "instruction", "vbscript", "javascript"
					tempText = Eval(tempText)
				case "translation"
					tempText = GetTranslation(tempText)
				case else
					tempText = Replace(tempText, "&gt;", ">")
					tempText = Replace(tempText, "&lt;", "<")
					tempText = Replace(tempText, "&amp;", "&")
				end select
			End If
		End If
		on error goto 0
		Set tempNode = Nothing
	End If
	GetXMLValue = tempText
End Function

Function GetXMLValueDef(sFieldKey, SubNode, sDefault)
	Dim sResult
	sResult=GetXMLValue(sFieldKey, SubNode)
	If Trim(sResult)="" Then
		sResult=sDefault
	End If
	GetXMLValueDef=sResult
End Function
	
%>