#	-----------------------------------------------;
#	Now Select MAIN13 and run the following code:
#	-----------------------------------------------;
#
# Remember to set DB_PROVIDER = "4.0" to be able to do the full update
#
# Tell Script to use MAIN13.mdb database  for this update.;

USE MAIN13;

ALTER TABLE advertising ADD aDateStart TEXT(17);
UPDATE advertising SET aDateStart='' WHERE aDateStart IS NULL;
ALTER TABLE advertising ADD aDateEnd TEXT(17);
UPDATE advertising SET aDateEnd='' WHERE aDateEnd IS NULL;

ALTER TABLE [calender] ADD COLUMN [kRole] INTEGER NULL;
UPDATE calender SET kRole=0 WHERE kRole IS NULL;

ALTER TABLE downloads ADD dScreenshot TEXT(250);
UPDATE downloads SET dScreenshot='' WHERE dScreenshot IS NULL;
ALTER TABLE downloads ADD dScreenshotTN TEXT(250);
UPDATE downloads SET dScreenshot='' WHERE dScreenshotTN IS NULL;
ALTER TABLE downloads ADD dOwner TEXT(50);
UPDATE downloads SET dOwner='' WHERE dOwner IS NULL;

ALTER TABLE edito ADD eRole INT;
UPDATE edito SET eRole=0 WHERE eRole IS NULL;
ALTER TABLE edito ADD eVersion INT;
UPDATE edito SET eVersion=0 WHERE eVersion IS NULL;

ALTER TABLE fete ADD fVersion INT;
UPDATE fete SET fVersion=0 WHERE fVersion IS NULL;

CREATE TABLE [gender];
ALTER TABLE [gender] ADD COLUMN [gID] INTEGER NULL IDENTITY CONSTRAINT [pkgID] PRIMARY KEY;
ALTER TABLE [gender] ADD COLUMN [gTitle] TEXT(50) NULL;
INSERT INTO gender (gID, gTitle) VALUES (0, 'LANG_NOGENDER');
INSERT INTO gender (gID, gTitle) VALUES (1, 'LANG_MALE');
INSERT INTO gender (gID, gTitle) VALUES (2, 'LANG_FEMALE');

ALTER TABLE guestbook ADD gIP TEXT(15);
UPDATE guestbook SET gIP='' WHERE gIP IS NULL;
ALTER TABLE guestbook ADD gDate TEXT(17);
UPDATE guestbook SET gDate = year(gDato) & Right("0"&Month(gDato),2) & Right("0"&Day(gDato),2) & ' ' & Right("0"&Hour(gDato),2) & ':' & Right("0"&Minute(gDato),2) & ':' & Right("0"&Second(gDato),2);

ALTER TABLE images ADD iSourceFull TEXT(250);
UPDATE images SET iSourceFull='' WHERE iSourceFull IS NULL;

ALTER TABLE log ADD lStatus TEXT(20);
UPDATE log SET lStatus='' WHERE lStatus IS NULL;

ALTER TABLE news ADD nTagged BIT;
UPDATE news SET nTagged=0 WHERE nTagged IS NULL;
ALTER TABLE news DROP COLUMN nTaged;
ALTER TABLE news ADD nEndDate TEXT(17);
UPDATE news SET nEndDate='' WHERE nEndDate IS NULL;

ALTER TABLE sysparm ADD sDescription MEMO;
UPDATE sysparm SET sDescription='' WHERE sDescription IS NULL;
ALTER TABLE sysparm ADD sHidden BIT;
UPDATE sysparm SET sHidden=0 WHERE sHidden IS NULL;
ALTER TABLE sysparm ADD sEdit BIT;
UPDATE sysparm SET sEdit=0 WHERE sEdit IS NULL;

ALTER TABLE tips ADD tpTips MEMO;
UPDATE tips SET tpTips=tpTip;
ALTER TABLE tips ADD tpValid BIT;
UPDATE tips SET tpValid=0 WHERE tpValid IS NULL;
ALTER TABLE tips ADD tpTitle TEXT;
UPDATE tips SET tpTitle='' WHERE tpTitle IS NULL;
ALTER TABLE tips ADD tpAuthor TEXT(50);
UPDATE tips SET tpAuthor='' WHERE tpAuthor IS NULL;

ALTER TABLE urls ADD uHidden BIT;
UPDATE urls SET uHidden=0 WHERE uHidden IS NULL;

ALTER TABLE users ADD uGender INT;
UPDATE users SET uGender=0 WHERE uGender IS NULL;
ALTER TABLE users ADD uBirthday TEXT(17);
UPDATE users SET uBirthday='' WHERE uBirthday IS NULL;
ALTER TABLE users ADD uDescription MEMO;
UPDATE users SET uDescription='' WHERE uDescription IS NULL;
ALTER TABLE users ADD uBirthDayShow BIT;
UPDATE users SET uBirthDayShow=0 WHERE uBirthDayShow IS NULL;
ALTER TABLE users ADD uVisits INT;
UPDATE users SET uVisits=0 WHERE uVisits Is Null;
ALTER TABLE users ADD uShowCode BIT;
UPDATE users SET uShowCode=-1;
ALTER TABLE users ADD uLastVisit TEXT(17);
UPDATE users SET uLastVisit='' WHERE uLastVisit IS NULL;
ALTER TABLE users ADD uTimeZone INT;
UPDATE users SET uTimeZone=27 WHERE uTimeZone Is Null;
ALTER TABLE users ADD uUseDaylight INT;
UPDATE users SET uUseDaylight=1 WHERE uUseDaylight Is Null;

# Add Author to Version, and create All Version/Language entry;
ALTER TABLE versions ADD vAuthor TEXT(50);
UPDATE versions SET vAuthor='' WHERE vAuthor IS NULL;
INSERT INTO versions (vID, vCode, vTitle, vPicture, vAuthor) VALUES (0, '--', 'LANG_ALLVERSIONS', '', 'Mr.Spock');

# Update Roles to new Role standard and names;
UPDATE roles SET rTitle='Lang_Public' WHERE rTitle='Public';
UPDATE roles SET rTitle='Lang_User'   WHERE rTitle='User';
UPDATE roles SET rTitle='Lang_Member' WHERE rTitle='Member';
UPDATE roles SET rTitle='Lang_Newser' WHERE rTitle='Newser';
UPDATE roles SET rTitle='Lang_Editor' WHERE rTitle='Editor';
UPDATE roles SET rTitle='Lang_Admin'  WHERE rTitle='Admin';

# Update Typecategories with new Type and names;
UPDATE typescategories SET tcTitle='Lang_News'  WHERE tcTitle='News';
UPDATE typescategories SET tcTitle='Lang_Directory'  WHERE tcTitle='Directory';
UPDATE typescategories SET tcTitle='Lang_Downloads'  WHERE tcTitle='Downloads';
UPDATE typescategories SET tcTitle='Lang_Images'  WHERE tcTitle='Images';
UPDATE typescategories SET tcTitle='Lang_Articles'  WHERE tcTitle='Articles';
UPDATE typescategories SET tcTitle='Lang_Calender'  WHERE tcTitle='Calender';
INSERT INTO typescategories (tcID, tcTitle) VALUES (7, 'Lang_Menu');
INSERT INTO typescategories (tcID, tcTitle) VALUES (8, 'Lang_Profile');
INSERT INTO typescategories (tcID, tcTitle) VALUES (9, 'Lang_Topics');

CREATE TABLE [wordfilter];
ALTER TABLE [wordfilter] ADD COLUMN [wID] INTEGER NULL IDENTITY CONSTRAINT [pkwID] PRIMARY KEY;
ALTER TABLE [wordfilter] ADD COLUMN [wBadWord] TEXT(255) NULL;
ALTER TABLE [wordfilter] ADD COLUMN [wOkWord] TEXT(255) NULL;
ALTER TABLE [wordfilter] ADD COLUMN [wValid] BIT NULL;

CREATE TABLE [stats];
ALTER TABLE [stats] ADD COLUMN [sID] INTEGER NULL IDENTITY CONSTRAINT [pksID] PRIMARY KEY;
ALTER TABLE [stats] ADD COLUMN [sDate] TEXT(17) NULL;
ALTER TABLE [stats] ADD COLUMN [sHits] INT NULL;
ALTER TABLE [stats] ADD COLUMN [sVisits] INT NULL;

CREATE TABLE [userparm];
ALTER TABLE [userparm] ADD COLUMN [upUser] TEXT(50) NULL;
ALTER TABLE [userparm] ADD COLUMN [upParam] TEXT(50) NULL;
ALTER TABLE [userparm] ADD COLUMN [upValue] MEMO NULL;

CREATE TABLE [country];
ALTER TABLE [country] ADD COLUMN [cID] INTEGER NULL IDENTITY CONSTRAINT [pkcID] PRIMARY KEY;
ALTER TABLE [country] ADD COLUMN [cValue] TEXT(20) NULL;
ALTER TABLE [country] ADD COLUMN [cTitle] TEXT(250) NULL;
INSERT INTO country (cValue, cTitle) VALUES ('--','!N/A!');
INSERT INTO country (cValue, cTitle) VALUES ('a1','Anonymous Proxy');
INSERT INTO country (cValue, cTitle) VALUES ('a2','Satellite Provider');
INSERT INTO country (cValue, cTitle) VALUES ('ad','Andorra');
INSERT INTO country (cValue, cTitle) VALUES ('ae','United Arab Emirates');
INSERT INTO country (cValue, cTitle) VALUES ('af','Afghanistan');
INSERT INTO country (cValue, cTitle) VALUES ('ag','Antigua and Barbuda');
INSERT INTO country (cValue, cTitle) VALUES ('ai','Anguilla');
INSERT INTO country (cValue, cTitle) VALUES ('al','Albania');
INSERT INTO country (cValue, cTitle) VALUES ('am','Armenia');
INSERT INTO country (cValue, cTitle) VALUES ('an','Netherlands Antilles');
INSERT INTO country (cValue, cTitle) VALUES ('ao','Angola');
INSERT INTO country (cValue, cTitle) VALUES ('ap','Asia/Pacific Region');
INSERT INTO country (cValue, cTitle) VALUES ('aq','Antarctica');
INSERT INTO country (cValue, cTitle) VALUES ('ar','Argentina');
INSERT INTO country (cValue, cTitle) VALUES ('as','American Samoa');
INSERT INTO country (cValue, cTitle) VALUES ('at','Austria');
INSERT INTO country (cValue, cTitle) VALUES ('au','Australia');
INSERT INTO country (cValue, cTitle) VALUES ('aw','Aruba');
INSERT INTO country (cValue, cTitle) VALUES ('az','Azerbaijan');
INSERT INTO country (cValue, cTitle) VALUES ('ba','Bosnia and Herzegovina');
INSERT INTO country (cValue, cTitle) VALUES ('bb','Barbados');
INSERT INTO country (cValue, cTitle) VALUES ('bd','Bangladesh');
INSERT INTO country (cValue, cTitle) VALUES ('be','Belgium');
INSERT INTO country (cValue, cTitle) VALUES ('bf','Burkina Faso');
INSERT INTO country (cValue, cTitle) VALUES ('bg','Bulgaria');
INSERT INTO country (cValue, cTitle) VALUES ('bh','Bahrain');
INSERT INTO country (cValue, cTitle) VALUES ('bi','Burundi');
INSERT INTO country (cValue, cTitle) VALUES ('bj','Benin');
INSERT INTO country (cValue, cTitle) VALUES ('bm','Bermuda');
INSERT INTO country (cValue, cTitle) VALUES ('bn','Brunei Darussalam');
INSERT INTO country (cValue, cTitle) VALUES ('bo','Bolivia');
INSERT INTO country (cValue, cTitle) VALUES ('br','Brazil');
INSERT INTO country (cValue, cTitle) VALUES ('bs','Bahamas');
INSERT INTO country (cValue, cTitle) VALUES ('bt','Bhutan');
INSERT INTO country (cValue, cTitle) VALUES ('bv','Bouvet Island');
INSERT INTO country (cValue, cTitle) VALUES ('bw','Botswana');
INSERT INTO country (cValue, cTitle) VALUES ('by','Belarus');
INSERT INTO country (cValue, cTitle) VALUES ('bz','Belize');
INSERT INTO country (cValue, cTitle) VALUES ('ca','Canada');
INSERT INTO country (cValue, cTitle) VALUES ('cc','Cocos (Keeling) Islands');
INSERT INTO country (cValue, cTitle) VALUES ('cd','Congo, The Democratic Republic of the');
INSERT INTO country (cValue, cTitle) VALUES ('cf','Central African Republic');
INSERT INTO country (cValue, cTitle) VALUES ('cg','Congo');
INSERT INTO country (cValue, cTitle) VALUES ('ch','Switzerland');
INSERT INTO country (cValue, cTitle) VALUES ('ci','Ivory Coast (Cote D''Ivoire)');
INSERT INTO country (cValue, cTitle) VALUES ('ck','Cook Islands');
INSERT INTO country (cValue, cTitle) VALUES ('cl','Chile');
INSERT INTO country (cValue, cTitle) VALUES ('cm','Cameroon');
INSERT INTO country (cValue, cTitle) VALUES ('cn','China');
INSERT INTO country (cValue, cTitle) VALUES ('co','Colombia');
INSERT INTO country (cValue, cTitle) VALUES ('cr','Costa Rica');
INSERT INTO country (cValue, cTitle) VALUES ('cu','Cuba');
INSERT INTO country (cValue, cTitle) VALUES ('cv','Cape Verde');
INSERT INTO country (cValue, cTitle) VALUES ('cx','Christmas Island');
INSERT INTO country (cValue, cTitle) VALUES ('cy','Cyprus');
INSERT INTO country (cValue, cTitle) VALUES ('cz','Czech Republic');
INSERT INTO country (cValue, cTitle) VALUES ('de','Germany');
INSERT INTO country (cValue, cTitle) VALUES ('dj','Djibouti');
INSERT INTO country (cValue, cTitle) VALUES ('dk','Danmark');
INSERT INTO country (cValue, cTitle) VALUES ('dm','Dominica');
INSERT INTO country (cValue, cTitle) VALUES ('do','Dominican Republic');
INSERT INTO country (cValue, cTitle) VALUES ('dz','Algeria');
INSERT INTO country (cValue, cTitle) VALUES ('ec','Ecuador');
INSERT INTO country (cValue, cTitle) VALUES ('ee','Estonia');
INSERT INTO country (cValue, cTitle) VALUES ('eg','Egypt');
INSERT INTO country (cValue, cTitle) VALUES ('eh','Western Sahara');
INSERT INTO country (cValue, cTitle) VALUES ('er','Eritrea');
INSERT INTO country (cValue, cTitle) VALUES ('es','Spain');
INSERT INTO country (cValue, cTitle) VALUES ('et','Ethiopia');
INSERT INTO country (cValue, cTitle) VALUES ('eu','Europa Union');
INSERT INTO country (cValue, cTitle) VALUES ('fi','Finland');
INSERT INTO country (cValue, cTitle) VALUES ('fj','Fiji');
INSERT INTO country (cValue, cTitle) VALUES ('fk','Falkland Islands (Malvinas)');
INSERT INTO country (cValue, cTitle) VALUES ('fm','Micronesia, Federated States of');
INSERT INTO country (cValue, cTitle) VALUES ('fo','Faroe Islands');
INSERT INTO country (cValue, cTitle) VALUES ('fr','France');
INSERT INTO country (cValue, cTitle) VALUES ('fx','France, Metropolitan');
INSERT INTO country (cValue, cTitle) VALUES ('ga','Gabon');
INSERT INTO country (cValue, cTitle) VALUES ('gd','Grenada');
INSERT INTO country (cValue, cTitle) VALUES ('ge','Georgia');
INSERT INTO country (cValue, cTitle) VALUES ('gf','French Guiana');
INSERT INTO country (cValue, cTitle) VALUES ('gh','Ghana');
INSERT INTO country (cValue, cTitle) VALUES ('gi','Gibraltar');
INSERT INTO country (cValue, cTitle) VALUES ('gl','Greenland');
INSERT INTO country (cValue, cTitle) VALUES ('gm','Gambia');
INSERT INTO country (cValue, cTitle) VALUES ('gn','Guinea');
INSERT INTO country (cValue, cTitle) VALUES ('gp','Guadeloupe');
INSERT INTO country (cValue, cTitle) VALUES ('gq','Equatorial Guinea');
INSERT INTO country (cValue, cTitle) VALUES ('gr','Greece');
INSERT INTO country (cValue, cTitle) VALUES ('gs','South Georgia and the South Sandwich Islands');
INSERT INTO country (cValue, cTitle) VALUES ('gt','Guatemala');
INSERT INTO country (cValue, cTitle) VALUES ('gu','Guam');
INSERT INTO country (cValue, cTitle) VALUES ('gw','Guinea-Bissau');
INSERT INTO country (cValue, cTitle) VALUES ('gy','Guyana');
INSERT INTO country (cValue, cTitle) VALUES ('hk','Hong Kong');
INSERT INTO country (cValue, cTitle) VALUES ('hm','Heard and McDonald Islands');
INSERT INTO country (cValue, cTitle) VALUES ('hn','Honduras');
INSERT INTO country (cValue, cTitle) VALUES ('hr','Croatia');
INSERT INTO country (cValue, cTitle) VALUES ('ht','Haiti');
INSERT INTO country (cValue, cTitle) VALUES ('hu','Hungary');
INSERT INTO country (cValue, cTitle) VALUES ('id','Indonesia');
INSERT INTO country (cValue, cTitle) VALUES ('ie','Ireland');
INSERT INTO country (cValue, cTitle) VALUES ('il','Israel');
INSERT INTO country (cValue, cTitle) VALUES ('in','India');
INSERT INTO country (cValue, cTitle) VALUES ('io','British Indian Ocean Territory');
INSERT INTO country (cValue, cTitle) VALUES ('iq','Iraq');
INSERT INTO country (cValue, cTitle) VALUES ('ir','Iran, Islamic Republic of');
INSERT INTO country (cValue, cTitle) VALUES ('is','Iceland');
INSERT INTO country (cValue, cTitle) VALUES ('it','Italy');
INSERT INTO country (cValue, cTitle) VALUES ('jm','Jamaica');
INSERT INTO country (cValue, cTitle) VALUES ('jo','Jordan');
INSERT INTO country (cValue, cTitle) VALUES ('jp','Japan');
INSERT INTO country (cValue, cTitle) VALUES ('ke','Kenya');
INSERT INTO country (cValue, cTitle) VALUES ('kg','Kyrgyzstan');
INSERT INTO country (cValue, cTitle) VALUES ('kh','Cambodia');
INSERT INTO country (cValue, cTitle) VALUES ('ki','Kiribati');
INSERT INTO country (cValue, cTitle) VALUES ('km','Comoros');
INSERT INTO country (cValue, cTitle) VALUES ('kn','Saint Kitts & Nevis');
INSERT INTO country (cValue, cTitle) VALUES ('kp','Korea, Democratic People''s Republic of');
INSERT INTO country (cValue, cTitle) VALUES ('kr','Korea, Republic of');
INSERT INTO country (cValue, cTitle) VALUES ('kw','Kuwait');
INSERT INTO country (cValue, cTitle) VALUES ('ky','Cayman Islands');
INSERT INTO country (cValue, cTitle) VALUES ('kz','Kazakhstan');
INSERT INTO country (cValue, cTitle) VALUES ('la','Lao People''s Democratic Republic (Laos)');
INSERT INTO country (cValue, cTitle) VALUES ('lb','Lebanon');
INSERT INTO country (cValue, cTitle) VALUES ('lc','Saint Lucia');
INSERT INTO country (cValue, cTitle) VALUES ('li','Liechtenstein');
INSERT INTO country (cValue, cTitle) VALUES ('lk','Sri Lanka');
INSERT INTO country (cValue, cTitle) VALUES ('lr','Liberia');
INSERT INTO country (cValue, cTitle) VALUES ('ls','Lesotho');
INSERT INTO country (cValue, cTitle) VALUES ('lt','Lithuania');
INSERT INTO country (cValue, cTitle) VALUES ('lu','Luxembourg');
INSERT INTO country (cValue, cTitle) VALUES ('lv','Latvia');
INSERT INTO country (cValue, cTitle) VALUES ('ly','Libya');
INSERT INTO country (cValue, cTitle) VALUES ('ma','Morocco');
INSERT INTO country (cValue, cTitle) VALUES ('mc','Monaco');
INSERT INTO country (cValue, cTitle) VALUES ('md','Moldova, Republic of');
INSERT INTO country (cValue, cTitle) VALUES ('mg','Madagascar');
INSERT INTO country (cValue, cTitle) VALUES ('mh','Marshall Islands');
INSERT INTO country (cValue, cTitle) VALUES ('mk','Macedonia, Former Yugoslav Republic');
INSERT INTO country (cValue, cTitle) VALUES ('ml','Mali');
INSERT INTO country (cValue, cTitle) VALUES ('mm','Myanmar');
INSERT INTO country (cValue, cTitle) VALUES ('mn','Mongolia');
INSERT INTO country (cValue, cTitle) VALUES ('mo','Macau');
INSERT INTO country (cValue, cTitle) VALUES ('mp','Northern Mariana Islands');
INSERT INTO country (cValue, cTitle) VALUES ('mq','Martinique');
INSERT INTO country (cValue, cTitle) VALUES ('mr','Mauritania');
INSERT INTO country (cValue, cTitle) VALUES ('ms','Montserrat');
INSERT INTO country (cValue, cTitle) VALUES ('mt','Malta');
INSERT INTO country (cValue, cTitle) VALUES ('mu','Mauritius');
INSERT INTO country (cValue, cTitle) VALUES ('mv','Maldives');
INSERT INTO country (cValue, cTitle) VALUES ('mw','Malawi');
INSERT INTO country (cValue, cTitle) VALUES ('mx','Mexico');
INSERT INTO country (cValue, cTitle) VALUES ('my','Malaysia');
INSERT INTO country (cValue, cTitle) VALUES ('mz','Mozambique');
INSERT INTO country (cValue, cTitle) VALUES ('na','Namibia');
INSERT INTO country (cValue, cTitle) VALUES ('nc','New Caledonia');
INSERT INTO country (cValue, cTitle) VALUES ('ne','Niger');
INSERT INTO country (cValue, cTitle) VALUES ('nf','Norfolk Island');
INSERT INTO country (cValue, cTitle) VALUES ('ng','Nigeria');
INSERT INTO country (cValue, cTitle) VALUES ('ni','Nicaragua');
INSERT INTO country (cValue, cTitle) VALUES ('nl','Netherlands');
INSERT INTO country (cValue, cTitle) VALUES ('no','Norway');
INSERT INTO country (cValue, cTitle) VALUES ('np','Nepal');
INSERT INTO country (cValue, cTitle) VALUES ('nr','Nauru');
INSERT INTO country (cValue, cTitle) VALUES ('nu','Niue');
INSERT INTO country (cValue, cTitle) VALUES ('nz','New Zealand');
INSERT INTO country (cValue, cTitle) VALUES ('om','Oman');
INSERT INTO country (cValue, cTitle) VALUES ('pa','Panama');
INSERT INTO country (cValue, cTitle) VALUES ('pe','Peru');
INSERT INTO country (cValue, cTitle) VALUES ('pf','French Polynesia');
INSERT INTO country (cValue, cTitle) VALUES ('pg','Papua New Guinea');
INSERT INTO country (cValue, cTitle) VALUES ('ph','Philippines');
INSERT INTO country (cValue, cTitle) VALUES ('pk','Pakistan');
INSERT INTO country (cValue, cTitle) VALUES ('pl','Poland');
INSERT INTO country (cValue, cTitle) VALUES ('pm','Saint Pierre and Miquelon');
INSERT INTO country (cValue, cTitle) VALUES ('pn','Pitcairn Island');
INSERT INTO country (cValue, cTitle) VALUES ('pr','Puerto Rico');
INSERT INTO country (cValue, cTitle) VALUES ('ps','Palestinian Territory, Occupied');
INSERT INTO country (cValue, cTitle) VALUES ('pt','Portugal');
INSERT INTO country (cValue, cTitle) VALUES ('pw','Palau');
INSERT INTO country (cValue, cTitle) VALUES ('py','Paraguay');
INSERT INTO country (cValue, cTitle) VALUES ('qa','Qatar');
INSERT INTO country (cValue, cTitle) VALUES ('re','Reunion');
INSERT INTO country (cValue, cTitle) VALUES ('ro','Romania');
INSERT INTO country (cValue, cTitle) VALUES ('ru','Russian Federation');
INSERT INTO country (cValue, cTitle) VALUES ('rw','Rwanda');
INSERT INTO country (cValue, cTitle) VALUES ('sa','Saudi Arabia');
INSERT INTO country (cValue, cTitle) VALUES ('sb','Solomon Islands');
INSERT INTO country (cValue, cTitle) VALUES ('sc','Seychelles');
INSERT INTO country (cValue, cTitle) VALUES ('sd','Sudan');
INSERT INTO country (cValue, cTitle) VALUES ('se','Sweden');
INSERT INTO country (cValue, cTitle) VALUES ('sg','Singapore');
INSERT INTO country (cValue, cTitle) VALUES ('sh','Saint Helena');
INSERT INTO country (cValue, cTitle) VALUES ('si','Slovenia');
INSERT INTO country (cValue, cTitle) VALUES ('sj','Svalbard and Jan Mayen Islands');
INSERT INTO country (cValue, cTitle) VALUES ('sk','Slovakia');
INSERT INTO country (cValue, cTitle) VALUES ('sl','Sierra Leone');
INSERT INTO country (cValue, cTitle) VALUES ('sm','San Marino');
INSERT INTO country (cValue, cTitle) VALUES ('sn','Senegal');
INSERT INTO country (cValue, cTitle) VALUES ('so','Somalia');
INSERT INTO country (cValue, cTitle) VALUES ('sr','Suriname');
INSERT INTO country (cValue, cTitle) VALUES ('st','Sao Tome and Principe');
INSERT INTO country (cValue, cTitle) VALUES ('sv','El Salvador');
INSERT INTO country (cValue, cTitle) VALUES ('sy','Syrian Arab Republic');
INSERT INTO country (cValue, cTitle) VALUES ('sz','Swaziland');
INSERT INTO country (cValue, cTitle) VALUES ('tc','Turks and Caicos Islands');
INSERT INTO country (cValue, cTitle) VALUES ('td','Chad');
INSERT INTO country (cValue, cTitle) VALUES ('tf','French Southern Territories');
INSERT INTO country (cValue, cTitle) VALUES ('tg','Togo');
INSERT INTO country (cValue, cTitle) VALUES ('th','Thailand');
INSERT INTO country (cValue, cTitle) VALUES ('tj','Tajikistan');
INSERT INTO country (cValue, cTitle) VALUES ('tk','Tokelau');
INSERT INTO country (cValue, cTitle) VALUES ('tm','Turkmenistan');
INSERT INTO country (cValue, cTitle) VALUES ('tn','Tunisia');
INSERT INTO country (cValue, cTitle) VALUES ('to','Tonga');
INSERT INTO country (cValue, cTitle) VALUES ('tp','East Timor');
INSERT INTO country (cValue, cTitle) VALUES ('tr','Turkey');
INSERT INTO country (cValue, cTitle) VALUES ('tt','Trinidad and Tobago');
INSERT INTO country (cValue, cTitle) VALUES ('tv','Tuvalu');
INSERT INTO country (cValue, cTitle) VALUES ('tw','Taiwan, Province of China');
INSERT INTO country (cValue, cTitle) VALUES ('tz','Tanzania, United Republic of');
INSERT INTO country (cValue, cTitle) VALUES ('ua','Ukraine');
INSERT INTO country (cValue, cTitle) VALUES ('ug','Uganda');
INSERT INTO country (cValue, cTitle) VALUES ('uk','United Kingdom');
INSERT INTO country (cValue, cTitle) VALUES ('um','United States Minor Outlying Islands');
INSERT INTO country (cValue, cTitle) VALUES ('un','United Nations');
INSERT INTO country (cValue, cTitle) VALUES ('us','United States of America');
INSERT INTO country (cValue, cTitle) VALUES ('uy','Uruguay');
INSERT INTO country (cValue, cTitle) VALUES ('uz','Uzbekistan');
INSERT INTO country (cValue, cTitle) VALUES ('va','Vatican City State (Holy See)');
INSERT INTO country (cValue, cTitle) VALUES ('vc','Saint Vincent and The Grenadines');
INSERT INTO country (cValue, cTitle) VALUES ('ve','Venezuela');
INSERT INTO country (cValue, cTitle) VALUES ('vg','Virgin Islands, British');
INSERT INTO country (cValue, cTitle) VALUES ('vi','Virgin Islands, U.S.');
INSERT INTO country (cValue, cTitle) VALUES ('vn','Vietnam');
INSERT INTO country (cValue, cTitle) VALUES ('vu','Vanuatu');
INSERT INTO country (cValue, cTitle) VALUES ('wf','Wallis and Futuna Islands');
INSERT INTO country (cValue, cTitle) VALUES ('ws','West Samoa');
INSERT INTO country (cValue, cTitle) VALUES ('ye','Yemen');
INSERT INTO country (cValue, cTitle) VALUES ('yt','Mayotte');
INSERT INTO country (cValue, cTitle) VALUES ('yu','Yugoslavia (Former)');
INSERT INTO country (cValue, cTitle) VALUES ('za','South Africa');
INSERT INTO country (cValue, cTitle) VALUES ('zm','Zambia');
INSERT INTO country (cValue, cTitle) VALUES ('zr','Zaire');
INSERT INTO country (cValue, cTitle) VALUES ('zw','Zimbabwe');

# Update menus stucture;
CREATE TABLE [menus];
ALTER TABLE [menus] ADD COLUMN [mMenu] INTEGER NULL;
ALTER TABLE [menus] ADD COLUMN [mPos] INTEGER NULL;
ALTER TABLE [menus] ADD COLUMN [mItem] INTEGER NULL;
ALTER TABLE [menus] ADD COLUMN [mType] INTEGER NULL;
ALTER TABLE [menus] ADD COLUMN [mRole] INTEGER NULL;
ALTER TABLE [menus] ADD COLUMN [mTitle] TEXT(50) NULL;
ALTER TABLE [menus] ADD COLUMN [mCommand] TEXT(250) NULL;
ALTER TABLE [menus] ADD COLUMN [mAlt] TEXT(250) NULL;
ALTER TABLE [menus] ADD COLUMN [mTarget] TEXT(50) NULL;
ALTER TABLE [menus] ADD COLUMN [mValid] BIT NULL;
ALTER TABLE [menus] ADD COLUMN [mFirstDate] DATE NULL;
ALTER TABLE [menus] ADD COLUMN [mLastDate] DATE NULL;
ALTER TABLE [menus] ADD COLUMN [mNotLogon] BIT NULL;
ALTER TABLE [menus] ADD COLUMN [mBullet] TEXT(250) NULL;
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (3,0,100,0,0,'LANG_MENU','','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (3,0,110,1,0,'LANG_DEFAULT','default.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (3,0,120,4,0,'','','','',1,NULL,NULL,1,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (3,0,130,1,0,'LANG_AUTHENTICATION','authent.asp','','',1,NULL,NULL,1,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (3,0,140,1,0,'LANG_SIGNUP','signup.asp','','',1,NULL,NULL,1,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (3,0,150,4,0,'','','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (3,0,160,1,0,'LANG_EVENTS','events.asp?show=1','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (3,0,170,1,0,'LANG_TAGS','smileys.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (3,0,180,1,0,'LANG_GUESTBOOK','guestbook.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (3,0,199,6,0,'','','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (3,0,200,0,1,'LANG_PERSONAL','','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (3,0,210,1,1,'LANG_MY_ACCOUNT','account.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (3,0,220,1,1,'LANG_PRIVATE_MESSAGES','pmessages.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (3,0,230,1,3,'LANG_ADMINISTRATION','admin/default.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (3,0,299,6,0,'','','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (4,1,100,1,0,'LANG_NEWS','news.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (4,1,110,1,0,'LANG_ARTICLES','articles.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (4,1,120,1,0,'LANG_CALENDER','calender.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (4,1,130,1,0,'LANG_FORUM','forum.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (4,1,140,1,0,'LANG_DIRECTORY','directory.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (4,1,150,1,0,'LANG_DOWNLOADS','downloads.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (4,1,160,1,0,'LANG_IMAGES','images.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (4,1,170,1,0,'LANG_POLLS','polls.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (4,1,180,1,1,'LANG_DECONNECT','deconnect.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (5,0,100,0,0,'LANG_MENU','','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (5,0,110,1,3,'LANG_DEFAULT','admin/default.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (5,0,120,4,3,'','','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (5,0,130,1,3,'LANG_TAGS','admin/smileys.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (5,0,140,1,3,'LANG_COMMENTS','admin/comments.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (5,0,150,4,3,'','','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (5,0,190,1,0,'LANG_BACK','default.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (5,0,199,6,0,'','','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (5,0,200,0,4,'LANG_EDITOR','','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (5,0,210,1,4,'LANG_FORUM','admin/forum.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (5,0,220,1,4,'LANG_ADVERTISING','admin/advertising.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (5,0,230,1,4,'LANG_CATEGORIES','admin/categories.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (5,0,240,1,4,'LANG_LINKS','admin/links.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (5,0,250,1,4,'LANG_SENDMAIL_MENU','admin/mail.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (5,0,260,1,4,'LANG_GUESTBOOK','admin/guestbook.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (5,0,299,6,4,'','','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (5,0,300,0,5,'LANG_ADMINISTRATION','','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (5,0,310,1,5,'LANG_MEMBERS','admin/account.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (5,0,320,1,5,'LANG_VERSIONS','admin/versions.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (5,0,330,1,5,'LANG_TITLE_BLOCKS_DESIGNER','admin/pattern.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (5,0,340,1,5,'LANG_DATABASE','admin/database.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (5,0,399,6,5,'','','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (6,1,100,0,3,'','','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (6,1,110,1,3,'LANG_NEWS','admin/news.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (6,1,120,1,3,'LANG_ARTICLES','admin/articles.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (6,1,130,1,3,'LANG_EVENTS','admin/events.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (6,1,140,1,3,'LANG_DIRECTORY','admin/directory.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (6,1,150,1,3,'LANG_DOWNLOADS','admin/downloads.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (6,1,160,1,3,'LANG_IMAGES','admin/images.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (6,1,170,1,3,'LANG_POLLS','admin/polls.asp','','',1,NULL,NULL,0,'');
INSERT INTO menus(mMenu,mPos,mItem,mType,mRole,mTitle,mCommand,mAlt,mTarget,mValid,mFirstDate,mLastDate,mNotLogon ,mBullet) VALUES (6,1,199,6,3,'','','','',1,NULL,NULL,0,'');

# Update Sysparm Data;
DELETE * FROM SYSPARM;
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Admin.Advertising.Textbox.WYSIWYG','-1','User WYGSIWYG when adding Advertising/banners to site, when false use standard TEXTBOX, Advertising have no protection against harmfull HTML TAGS, so here you can enter any HTML code, JAVAscript or Vbscipt you want',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Admin.Column.InActiv','','Content of Inactiv column, do not edit this System Parm',1,0);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Admin.Column.Left','','Content of Inactiv column, do not edit this System Parm',1,0);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Admin.Column.Right','','Content of Inactiv column, do not edit this System Parm',1,0);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Admin.Show.IP','4','User Level to show IP number of item',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Admin.Show.IP.Flag','1','User Level of show IPCountryFlag of item',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Admin.Show.IP.Num','5','User level of show IP number of Item',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Admin.Show.IP.Reg','0','User level of show ''IP number registerd to user''',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Debug','0','Used to show DEBUG infomation in site.',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Download.UseBannerClick','0','Special feature, this allowes Admin to get user to Click on banner before they are allowed to download files',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Email.CopyToSender','0','Sent copy of all Emails to InfoAccount',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Email.Log','-1','Log all Emails send from site',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Forum.AdvPostNewsCategoryName','','The name of the Newscategory to post a News from forum',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Forum.UserName','0','Show LoginID or Username in forum',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Menu.Admin.Block','5','Admin menu block''s Category ID',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Menu.Admin.Topbar','6','Admin menu Top bar''s Category ID',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Menu.Main.Block','3','Main menu block''s Category ID',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Menu.Main.Topbar','4','Main menu Top bar''s Category ID',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('News.NewDays','5','How many days is a news "new"',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('PMsg.Max@Role_0','0','Max Pmessages at this User level',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('PMsg.Max@Role_1','20','Max Pmessages at this User level',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('PMsg.Max@Role_2','40','Max Pmessages at this User level',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('PMsg.Max@Role_3','60','Max Pmessages at this User level',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('PMsg.Max@Role_4','80','Max Pmessages at this User level',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('PMsg.Max@Role_5','300','Max Pmessages at this User level',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('PMsg.UseNewStyle.To','-1','Use the new ways of showing users in TO: field, old style is to enter name yourself',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('PMsg.WarningPct','95','PMessage Warning level',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Poll.Cookies.Expires','365','How long time does a Poll vote Cookie stay activ',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Site.BandWidth','128','Max Site Bandwidth, used to calculate time to download a file from site',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Upload.MaxSizeKB.Avatar','25','Max size of Uploaded Avatar, in KB',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Upload.MaxSizeKB.File','2048','Max size of Uploaded File, in KB',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Upload.MaxSizeKB.Image','256','Max size of Uploaded Image, in KB',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Upload.MaxSizeKB.TN','16','Max size of Uploaded Image Thumbnail, in KB',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Upload.MaxSizeKB.Other','1024','Max size of Uploaded Other type. In KB',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Upload.UserRole','4','What level of users are allowed to use upload when they make UserAdded News / Calender / Download / Image',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('User.Allow.Avatar','-1','Allow User to use Avatar',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('User.Allow.BlockDesign','-1','Allow User to chenge Menu Block Design',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('User.Allow.ChangeTheme','-1','Allow User to change Theme',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('User.Info2Admin@EmailChange','-1','Send Email to Admin, if user changes his Email',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('User.Newsletter@Signup','1','Set Newsletter to True at creation of account',0,1);
INSERT INTO sysparm (sParam,sValue,sDescription,sHidden,sEdit) VALUES ('Version','1.4.000','Show database version',1,0);

# Harmful HTMLtags;
CREATE TABLE [htmltags];
ALTER TABLE [htmltags] ADD COLUMN [hID] INTEGER NULL IDENTITY CONSTRAINT [pkhID] PRIMARY KEY;
ALTER TABLE [htmltags] ADD COLUMN [hTag] TEXT(250) NULL;
ALTER TABLE [htmltags] ADD COLUMN [hReplace] TEXT(250) NULL;
ALTER TABLE [htmltags] ADD COLUMN [hValid] BIT NULL;
INSERT INTO htmltags (hTag,hReplace,hValid) VALUES ('location.href','<u>location</u><strong>.</strong><u>href</u>',1);
INSERT INTO htmltags (hTag,hReplace,hValid) VALUES ('vbscript','<u>VB</u><u>Script</u>',1);
INSERT INTO htmltags (hTag,hReplace,hValid) VALUES ('javascript','<u>Java</u><u>Script</u>',1);
INSERT INTO htmltags (hTag,hReplace,hValid) VALUES ('<script','{<u>Script</u>',1);
INSERT INTO htmltags (hTag,hReplace,hValid) VALUES ('</script','{/<u>Script</u>',1);
INSERT INTO htmltags (hTag,hReplace,hValid) VALUES ('<style','{<u>Style</u>',1);
INSERT INTO htmltags (hTag,hReplace,hValid) VALUES ('</style','{/<u>Style</u>',1);
INSERT INTO htmltags (hTag,hReplace,hValid) VALUES ('<form','{<u>Form</u>',1);
INSERT INTO htmltags (hTag,hReplace,hValid) VALUES ('</form','{/<u>Form</u>',1);
INSERT INTO htmltags (hTag,hReplace,hValid) VALUES ('<iframe','{<u>Iframe</u>',1);
INSERT INTO htmltags (hTag,hReplace,hValid) VALUES ('</iframe','{/<u>Iframe</u>',1);
INSERT INTO htmltags (hTag,hReplace,hValid) VALUES ('<ilayer','{<u>Ilayer</u>',1);
INSERT INTO htmltags (hTag,hReplace,hValid) VALUES ('</ilayer','{/<u>Ilayer</u>',1);
INSERT INTO htmltags (hTag,hReplace,hValid) VALUES ('<object','{<u>Object</u>',1);
INSERT INTO htmltags (hTag,hReplace,hValid) VALUES ('</object','{/<u>Object</u>',1);
INSERT INTO htmltags (hTag,hReplace,hValid) VALUES ('<embed','{<u>Embed</u>',1);
INSERT INTO htmltags (hTag,hReplace,hValid) VALUES ('document.','<u>Do<b>k</b>ument</u>.',1);
INSERT INTO htmltags (hTag,hReplace,hValid) VALUES ('<noscript','{<u>noscript</u>',1);
INSERT INTO htmltags (hTag,hReplace,hValid) VALUES ('</noscript','{/<u>noscript</u>',1);

# Timezones;
CREATE TABLE [timezone];
ALTER TABLE [timezone] ADD COLUMN [tID] INTEGER NULL IDENTITY CONSTRAINT [pktzID] PRIMARY KEY;
ALTER TABLE [timezone] ADD COLUMN [tTimeZone] TEXT(250) NULL;
ALTER TABLE [timezone] ADD COLUMN [tStandardTime] TEXT(250) NULL;
ALTER TABLE [timezone] ADD COLUMN [tDaylightTime] TEXT(250) NULL;
ALTER TABLE [timezone] ADD COLUMN [tTZ] DOUBLE NULL;
ALTER TABLE [timezone] ADD COLUMN [tTZoffset] INTEGER NULL;
ALTER TABLE [timezone] ADD COLUMN [tDlt] INTEGER NULL;
ALTER TABLE [timezone] ADD COLUMN [tLmonth] INTEGER NULL;
ALTER TABLE [timezone] ADD COLUMN [tLday] INTEGER NULL;
ALTER TABLE [timezone] ADD COLUMN [tLpos] INTEGER NULL;
ALTER TABLE [timezone] ADD COLUMN [tLhour] INTEGER NULL;
ALTER TABLE [timezone] ADD COLUMN [tLmin] INTEGER NULL;
ALTER TABLE [timezone] ADD COLUMN [tLsec] INTEGER NULL;
ALTER TABLE [timezone] ADD COLUMN [tSmonth] INTEGER NULL;
ALTER TABLE [timezone] ADD COLUMN [tSday] INTEGER NULL;
ALTER TABLE [timezone] ADD COLUMN [tSpos] INTEGER NULL;
ALTER TABLE [timezone] ADD COLUMN [tShour] INTEGER NULL;
ALTER TABLE [timezone] ADD COLUMN [tSmin] INTEGER NULL;
ALTER TABLE [timezone] ADD COLUMN [tSsec] INTEGER NULL;
ALTER TABLE [timezone] ADD COLUMN [tValid] BIT NULL;
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (1,'(GMT-12:00) International Date Line West','Dateline Standard Time','Dateline Daylight Time',-12.00,-720,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (2,'(GMT-11:00) Midway Island, Samoa','Samoa Standard Time','Samoa Daylight Time',-11.00,-660,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (3,'(GMT-10:00) Hawaii','Hawaiian Standard Time','Hawaiian Daylight Time',-10.00,-600,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (4,'(GMT-09:00) Alaska','Alaskan Standard Time','Alaskan Daylight Time',-9.00,-540,-60,10,7,-1,2,0,0,4,7,1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (5,'(GMT-08:00) Pacific Time (US & Canada), Tijuana','Pacific Standard Time','Pacific Daylight Time',-8.00,-480,-60,10,7,-1,2,0,0,4,7,1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (6,'(GMT-07:00) Mountain Time (US & Canada)','Mountain Standard Time','Mountain Daylight Time',-7.00,-420,-60,10,7,-1,2,0,0,4,7,1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (7,'(GMT-07:00) Chihuahua, La Paz, Mazatlan','Mexico Standard Time 2','Mexico Daylight Time 2',-7.00,-420,-60,9,7,-1,2,0,0,5,7,1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (8,'(GMT-07:00) Arizona','US Mountain Standard Time','US Mountain Daylight Time',-7.00,-420,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (9,'(GMT-06:00) Saskatchewan','Canada Central Standard Time','Canada Central Daylight Time',-6.00,-360,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (10,'(GMT-06:00) Guadalajara, Mexico City, Monterrey','Mexico Standard Time','Mexico Daylight Time',-6.00,-360,-60,9,7,-1,2,0,0,5,7,1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (11,'(GMT-06:00) Central Time (US & Canada)','Central Standard Time','Central Daylight Time',-6.00,-360,-60,10,7,-1,2,0,0,4,7,1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (12,'(GMT-06:00) Central America','Central America Standard Time','Central America Daylight Time',-6.00,-360,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (13,'(GMT-05:00) Indiana (East)','US Eastern Standard Time','US Eastern Daylight Time',-5.00,-300,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (14,'(GMT-05:00) Eastern Time (US & Canada)','Eastern Standard Time','Eastern Daylight Time',-5.00,-300,-60,10,7,-1,2,0,0,4,7,1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (15,'(GMT-05:00) Bogota, Lima, Quito','SA Pacific Standard Time','SA Pacific Daylight Time',-5.00,-300,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (16,'(GMT-04:00) Santiago','Pacific SA Standard Time','Pacific SA Daylight Time',-4.00,-240,-60,3,6,2,0,0,0,10,6,2,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (17,'(GMT-04:00) Caracas, La Paz','SA Western Standard Time','SA Western Daylight Time',-4.00,-240,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (18,'(GMT-04:00) Atlantic Time (Canada)','Atlantic Standard Time','Atlantic Daylight Time',-4.00,-240,-60,10,7,-1,2,0,0,4,7,1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (19,'(GMT-03:30) Newfoundland','Newfoundland Standard Time','Newfoundland Daylight Time',-3.50,-210,-60,10,7,-1,2,0,0,4,7,1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (20,'(GMT-03:00) Greenland','Greenland Standard Time','Greenland Daylight Time',-3.00,-180,-60,10,7,-1,2,0,0,4,7,1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (21,'(GMT-03:00) Buenos Aires, Georgetown','SA Eastern Standard Time','SA Eastern Daylight Time',-3.00,-180,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (22,'(GMT-03:00) Brasilia','E. South America Standard Time','E. South America Daylight Time',-3.00,-180,-60,2,7,2,2,0,0,10,7,3,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (23,'(GMT-02:00) Mid-Atlantic','Mid-Atlantic Standard Time','Mid-Atlantic Daylight Time',-2.00,-120,-60,9,7,-1,2,0,0,3,7,-1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (24,'(GMT-01:00) Cape Verde Is.','Cape Verde Standard Time','Cape Verde Daylight Time',-1.00,-60,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (25,'(GMT-01:00) Azores','Azores Standard Time','Azores Daylight Time',-1.00,-60,-60,10,7,-1,3,0,0,3,7,-1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (26,'(GMT) Casablanca, Monrovia','Greenwich Standard Time','Greenwich Daylight Time',0.00,0,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (27,'(GMT) Greenwich Mean Time : Dublin, Edinburgh, Lisbon, London','GMT Standard Time','GMT Daylight Time',0.00,0,-60,10,7,-1,2,0,0,3,7,-1,1,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (28,'(GMT+01:00) Amsterdam, Berlin, Bern, Rome, Stockholm, Vienna','W. Europe Standard Time','W. Europe Daylight Time',1.00,60,-60,10,7,-1,3,0,0,3,7,-1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (29,'(GMT+01:00) Belgrade, Bratislava, Budapest, Ljubljana, Prague','Central Europe Standard Time','Central Europe Daylight Time',1.00,60,-60,10,7,-1,3,0,0,3,7,-1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (30,'(GMT+01:00) Brussels, Copenhagen, Madrid, Paris','Romance Standard Time','Romance Daylight Time',1.00,60,-60,10,7,-1,3,0,0,3,7,-1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (31,'(GMT+01:00) Sarajevo, Skopje, Warsaw, Zagreb','Central European Standard Time','Central European Daylight Time',1.00,60,-60,10,7,-1,3,0,0,3,7,-1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (32,'(GMT+01:00) West Central Africa','W. Central Africa Standard Time','W. Central Africa Daylight Time',1.00,60,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (33,'(GMT+02:00) Athens, Istanbul, Minsk','GTB Standard Time','GTB Daylight Time',2.00,120,-60,10,7,-1,3,0,0,3,7,-1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (34,'(GMT+02:00) Bucharest','E. Europe Standard Time','E. Europe Daylight Time',2.00,120,-60,10,7,-1,1,0,0,3,7,-1,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (35,'(GMT+02:00) Cairo','Egypt Standard Time','Egypt Daylight Time',2.00,120,-60,9,3,-1,2,0,0,5,5,1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (36,'(GMT+02:00) Harare, Pretoria','South Africa Standard Time','South Africa Daylight Time',2.00,120,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (37,'(GMT+02:00) Helsinki, Kyiv, Riga, Sofia, Tallinn, Vilnius','FLE Standard Time','FLE Daylight Time',2.00,120,-60,10,7,-1,4,0,0,3,7,-1,3,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (38,'(GMT+02:00) Jerusalem','Jerusalem Standard Time','Jerusalem Daylight Time',2.00,120,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (39,'(GMT+03:00) Baghdad','Arabic Standard Time','Arabic Daylight Time',3.00,180,-60,10,7,1,4,0,0,4,7,1,3,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (40,'(GMT+03:00) Kuwait, Riyadh','Arab Standard Time','Arab Daylight Time',3.00,180,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (41,'(GMT+03:00) Moscow, St. Petersburg, Volgograd','Russian Standard Time','Russian Daylight Time',3.00,180,-60,10,7,-1,3,0,0,3,7,-1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (42,'(GMT+03:00) Nairobi','E. Africa Standard Time','E. Africa Daylight Time',3.00,180,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (43,'(GMT+03:30) Tehran','Iran Standard Time','Iran Daylight Time',3.50,210,-60,9,2,4,2,0,0,3,7,1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (44,'(GMT+04:00) Abu Dhabi, Muscat','Arabian Standard Time','Arabian Daylight Time',4.00,240,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (45,'(GMT+04:00) Baku, Tbilisi, Yerevan','Caucasus Standard Time','Caucasus Daylight Time',4.00,240,-60,10,7,-1,3,0,0,3,7,-1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (46,'(GMT+04:30) Kabul','Afghanistan Standard Time','Afghanistan Daylight Time',4.50,270,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (47,'(GMT+05:00) Ekaterinburg','Ekaterinburg Standard Time','Ekaterinburg Daylight Time',5.00,300,-60,10,7,-1,3,0,0,3,7,-1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (48,'(GMT+05:00) Islamabad, Karachi, Tashkent','West Asia Standard Time','West Asia Daylight Time',5.00,300,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (49,'(GMT+05:30) Chennai, Kolkata, Mumbai, New Delhi','India Standard Time','India Daylight Time',5.50,330,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (50,'(GMT+05:45) Kathmandu','Nepal Standard Time','Nepal Daylight Time',5.75,345,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (51,'(GMT+06:00) Almaty, Novosibirsk','N. Central Asia Standard Time','N. Central Asia Daylight Time',6.00,360,-60,10,7,-1,3,0,0,3,7,-1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (52,'(GMT+06:00) Astana, Dhaka','Central Asia Standard Time','Central Asia Daylight Time',6.00,360,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (53,'(GMT+06:00) Sri Jayawardenepura','Sri Lanka Standard Time','Sri Lanka Daylight Time',6.00,360,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (54,'(GMT+06:30) Rangoon','Myanmar Standard Time','Myanmar Daylight Time',6.50,390,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (55,'(GMT+07:00) Bangkok, Hanoi, Jakarta','SE Asia Standard Time','SE Asia Daylight Time',7.00,420,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (56,'(GMT+07:00) Krasnoyarsk','North Asia Standard Time','North Asia Daylight Time',7.00,420,-60,10,7,-1,3,0,0,3,7,-1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (57,'(GMT+08:00) Beijing, Chongqing, Hong Kong, Urumqi','China Standard Time','China Daylight Time',8.00,480,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (58,'(GMT+08:00) Irkutsk, Ulaan Bataar','North Asia East Standard Time','North Asia East Daylight Time',8.00,480,-60,10,7,-1,3,0,0,3,7,-1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (59,'(GMT+08:00) Kuala Lumpur, Singapore','Malay Peninsula Standard Time','Malay Peninsula Daylight Time',8.00,480,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (60,'(GMT+08:00) Perth','W. Australia Standard Time','W. Australia Daylight Time',8.00,480,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (61,'(GMT+08:00) Taipei','Taipei Standard Time','Taipei Daylight Time',8.00,480,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (62,'(GMT+09:00) Osaka, Sapporo, Tokyo','Tokyo Standard Time','Tokyo Daylight Time',9.00,540,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (63,'(GMT+09:00) Seoul','Korea Standard Time','Korea Daylight Time',9.00,540,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (64,'(GMT+09:00) Yakutsk','Yakutsk Standard Time','Yakutsk Daylight Time',9.00,540,-60,10,7,-1,3,0,0,3,7,-1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (65,'(GMT+09:30) Adelaide','Cen. Australia Standard Time','Cen. Australia Daylight Time',9.50,570,-60,3,7,-1,3,0,0,10,7,-1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (66,'(GMT+09:30) Darwin','AUS Central Standard Time','AUS Central Daylight Time',9.50,570,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (67,'(GMT+10:00) Brisbane','E. Australia Standard Time','E. Australia Daylight Time',10.00,600,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (68,'(GMT+10:00) Canberra, Melbourne, Sydney','AUS Eastern Standard Time','AUS Eastern Daylight Time',10.00,600,-60,3,7,-1,3,0,0,10,7,-1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (69,'(GMT+10:00) Guam, Port Moresby','West Pacific Standard Time','West Pacific Daylight Time',10.00,600,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (70,'(GMT+10:00) Hobart','Tasmania Standard Time','Tasmania Daylight Time',10.00,600,-60,3,7,-1,3,0,0,10,7,1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (71,'(GMT+10:00) Vladivostok','Vladivostok Standard Time','Vladivostok Daylight Time',10.00,600,-60,10,7,-1,3,0,0,3,7,-1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (72,'(GMT+11:00) Magadan, Solomon Is., New Caledonia','Central Pacific Standard Time','Central Pacific Daylight Time',11.00,660,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (73,'(GMT+12:00) Auckland, Wellington','New Zealand Standard Time','New Zealand Daylight Time',12.00,720,-60,3,7,3,2,0,0,10,7,1,2,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (74,'(GMT+12:00) Fiji, Kamchatka, Marshall Is.','Fiji Standard Time','Fiji Daylight Time',12.00,720,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
INSERT INTO timezone (tID,tTimeZone,tStandardTime,tDaylightTime,tTZ,tTZoffset,tDlt,tLmonth,tLday,tLpos,tLhour,tLmin,tLsec,tSmonth,tSday,tSpos,tShour,tSmin,tSsec,tValid) VALUES (75,'(GMT+13:00) Nuku''alofa','Tonga Standard Time','Tonga Daylight Time',13.00,780,-60,0,7,0,0,0,0,0,7,0,0,0,0,1);
